package cn.newfeifan.mall.module.bpm.controller.admin.task.vo.instance;

import cn.newfeifan.mall.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

// TODO @kyle：建议改成 BpmProcessInstanceCopyMyPageReqVO；cc 缩写不容易理解，所以改成 copy，虽然会长一点，但是可读性更重要；
@Schema(description = "管理后台 - 流程实例抄送的分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmProcessInstanceCCMyPageReqVO extends PageParam {

    @Schema(description = "流程名称", example = "非繁")
    private String processInstanceName;

    @Schema(description = "流程编号", example = "123456768")
    private String processInstanceId;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
