package cn.newfeifan.mall.module.distri.enums;

import cn.newfeifan.mall.framework.common.exception.ErrorCode;

public interface ErrorCodeConstants {
    // ========== 分销信息商户信息 1-002-029-000 ==========
    ErrorCode SHARE_PATH_NOT_EXISTS = new ErrorCode(1_002_030_000, "分销路径不存在");
    ErrorCode SOCIAL_STATUS_NOT_EXISTS = new ErrorCode(1_002_030_001, "身价不存在");
    ErrorCode SOURCE_NOT_EXISTS = new ErrorCode(1_002_030_002, "分销来源不存在");
    ErrorCode INTEGRAL_NOT_EXISTS = new ErrorCode(1_002_030_003, "积分表不存在");
    ErrorCode ORDER_CALC_NOT_EXISTS = new ErrorCode(1_002_030_004, "计算不存在");
    ErrorCode ORDER_PERCENTAGE_NOT_EXISTS = new ErrorCode(1_002_030_005, "订单计算不存在");
    ErrorCode PARTITION_BROTHERS_NOT_EXISTS = new ErrorCode(1_002_030_006, "兄弟分区不存在");
    ErrorCode PARTITION_SON_NOT_EXISTS = new ErrorCode(1_002_030_007, "儿子分区不存在");
    ErrorCode USER_NOT_EXISTS = new ErrorCode(1_002_030_008, "分销用户不存在");
    ErrorCode DUSER_NOT_EXISTS = new ErrorCode(1_002_030_009, "分销用户不存在");
    ErrorCode IS_EXISTS = new ErrorCode(1_002_030_010, "当前推销人已经存在上级");
    ErrorCode PARTITION_CRASH_NOT_EXISTS = new ErrorCode(1_002_030_011, "碰撞分区不存在");
    ErrorCode PT_PROFIT_NOT_EXISTS = new ErrorCode(1_002_030_012, "平台利润不存在");
    ErrorCode PT_PROFIT_LOG_NOT_EXISTS = new ErrorCode(1_002_030_013, "平台利润日志表不存在");
    ErrorCode PERCENT_LARGE_ONE_HUNDRED = new ErrorCode(1_002_030_014, "百分比总和超过100");
    ErrorCode HAS_PARENT = new ErrorCode(1_002_030_015, "该直推人已经有推荐人, 故不能增加");

    // ========== 分享链接信息 1-003-030-000 ==========
    ErrorCode SHARE_LINK_NOT_EXISTS = new ErrorCode(1_003_031_001, "分享链接不存在");
    ErrorCode SHARE_LINK_REGISTER_NOT_EXISTS = new ErrorCode(1_003_031_002, "通过分享链接，新注册用户不存在");

    // ========== 用户曾经收藏过什么商品的 T1_004_000_000 ==========
    ErrorCode USER_COLLECT_BEFORE_NOT_EXISTS = new ErrorCode(1_004_031_001, "用户曾经收藏过什么商品的不存在");

    // ========== 会员身价变化类别 T1_005_000_000 ==========
    ErrorCode SOCIAL_STATUS_CHANGE_CATEGORY_NOT_EXISTS = new ErrorCode(1_005_031_001, "会员身价变化类别不存在");
    ErrorCode USER_SIGN_IN_LOG_NOT_EXISTS = new ErrorCode(1_005_031_002, "用户签到日志记录不存在");
    ErrorCode REDIS_ORDER_PERCENTAGE_NOT_EXISTS = new ErrorCode(1_005_031_003, "缓存中没有找到存储的签到获取的身价值");
    ErrorCode APPLICATION_FOR_WITHDRAWAL_NOT_EXISTS = new ErrorCode(1_005_031_004, "提现申请记录不存在");
    ErrorCode PT_DAILY_WITHDRAWAL_NOT_EXISTS = new ErrorCode(1_005_031_005, "平台每日提现记录不存在");
    ErrorCode APPLICATION_FOR_WITHDRAWAL_CHANNEL_NOT_EXISTS = new ErrorCode(1_005_031_006, "提现渠道记录不存在");
    ErrorCode CONSUMPTION_TOP_UP_LOG_NOT_EXISTS = new ErrorCode(1_002_030_035, "充值消费分记录不存在");
    ErrorCode CONSUMPTION_CHANGE_LOG_NOT_EXISTS = new ErrorCode(1_002_030_036, "消费分变动记录不存在");
    ErrorCode CONSUMPTION_TRANSFER_LOG_NOT_EXISTS = new ErrorCode(1_002_030_037, "消费分转让记录不存在");
    ErrorCode USER_TOP_UP_CONSUMPTION_POINTS_ORDER_NOT_EXISTS = new ErrorCode(1_002_030_038, "用户充值消费分订单不存在");


}
