package cn.newfeifan.mall.module.distri.controller.admin.duser.vo;

import cn.newfeifan.mall.module.distri.dal.dataobject.integral.IntegralDO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

@Schema(description = "管理后台 - 用户基础信息 Request VO")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DuserInfoVO {


    @Schema(description = "用户积分信息", example = "IntegralDO")
    private IntegralDO integralDO;

    @Schema(description = "用户直推人人数", example = "88")
    private Integer descNo;

    @Schema(description = "团队昨日贡献值=直推奖+合赢奖", example = "88")
    private Long descPrice;

    @Schema(description = "团队历史总贡献值=直推奖+合赢奖", example = "88")
    private Long descTotalPrice;

    @Schema(description = "身价距下一级所需点数")
    private Long socialUpNeed;

    @Schema(description = "团队用户当前身价id", example = "22096")
    private Long socialStatusId;

    @Schema(description = "团队用户当前身价等级", example = "等级一")
    private String socialStatusLevel;

    @Schema(description = "团队用户当前身价等级名称", example = "白银")
    private String socialStatusLevelName;

    @Schema(description = "团队用户当前点数")
    private Long socialStatusPoint;

    @Schema(description = "是否签到")
    private Boolean isSign;

    @Schema(description = "是否是平台用户")
    private Boolean isPtSystemUser;

    @Schema(description = "是否是商户用户")
    private Boolean isShSystemUser;

    @Schema(description = "安卓app注册id")
    private String androidRegisterId;


}
