package cn.newfeifan.mall.module.distri.controller.admin.partitionbrothers.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 兄弟分区分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class PartitionBrothersPageReqVO extends PageParam {

    @Schema(description = "用户ID", example = "11539")
    private Long userId;

    @Schema(description = "分区编号")
    private String partNo;

    @Schema(description = "业绩", example = "24491")
    private Long price;

    @Schema(description = "是否碰撞 0为未碰撞 1为已碰撞")
    private Integer hasHit;

    @Schema(description = "碰撞后额度")
    private Long afterHitQuota;

    @Schema(description = "是否是大区 0为小区 1为大区")
    private Integer size;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "用户注册后，获得的基础最大合赢奖、直推奖积分限额")
    private String baseMaxQuota;

}