package cn.newfeifan.mall.module.distri.controller.admin.partitionbrothers.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 兄弟分区新增/修改 Request VO")
@Data
public class PartitionBrothersSaveReqVO {

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "5562")
    private Long id;

    @Schema(description = "用户ID", example = "11539")
    private Long userId;

    @Schema(description = "分区编号")
    private String partNo;

    @Schema(description = "业绩", example = "24491")
    private Long price;

    @Schema(description = "是否碰撞 0为未碰撞 1为已碰撞", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "是否碰撞 0为未碰撞 1为已碰撞不能为空")
    private Integer hasHit;

    @Schema(description = "碰撞后额度")
    private Long afterHitQuota;

    @Schema(description = "是否是大区 0为小区 1为大区")
    private Integer size;

}