package cn.newfeifan.mall.module.distri.controller.admin.partitioncrash.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 分区碰撞分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class PartitionCrashPageReqVO extends PageParam {

    @Schema(description = "用户ID", example = "15393")
    private Long userId;

    @Schema(description = "分区编号")
    private String partNo;

    @Schema(description = "兄弟分区额度", example = "12349")
    private Long brotherPrice;

    @Schema(description = "子分区额度", example = "30462")
    private Long sonPrice;

    @Schema(description = "碰撞后额度")
    private Long afterHitQuota;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}