package cn.newfeifan.mall.module.distri.controller.admin.partitioncrash.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 分区碰撞 Response VO")
@Data
@ExcelIgnoreUnannotated
public class PartitionCrashRespVO {

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "15914")
    @ExcelProperty("用户编号")
    private Long id;

    @Schema(description = "用户ID", example = "15393")
    @ExcelProperty("用户ID")
    private Long userId;

    @Schema(description = "分区编号")
    @ExcelProperty("分区编号")
    private String partNo;

    @Schema(description = "兄弟分区额度", example = "12349")
    @ExcelProperty("兄弟分区额度")
    private Long brotherPrice;

    @Schema(description = "子分区额度", example = "30462")
    @ExcelProperty("子分区额度")
    private Long sonPrice;

    @Schema(description = "碰撞后额度")
    @ExcelProperty("碰撞后额度")
    private Long afterHitQuota;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}