package cn.newfeifan.mall.module.distri.controller.admin.partitionson.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 后代分区 Response VO")
@Data
@ExcelIgnoreUnannotated
public class PartitionSonRespVO {

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "12758")
    @ExcelProperty("用户编号")
    private Long id;

    @Schema(description = "用户ID", example = "19323")
    @ExcelProperty("用户ID")
    private Long userId;

    @Schema(description = "分区编号")
    @ExcelProperty("分区编号")
    private String partNo;

    @Schema(description = "业绩", example = "5813")
    @ExcelProperty("业绩")
    private Long price;

    @Schema(description = "是否碰撞 0为未碰撞 1为已碰撞", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("是否碰撞 0为未碰撞 1为已碰撞")
    private Integer hasHit;

    @Schema(description = "碰撞后额度")
    @ExcelProperty("碰撞后额度")
    private Long afterHitQuota;

    @Schema(description = "是否是大区 0为小区 1为大区")
    @ExcelProperty("是否是大区 0为小区 1为大区")
    private Integer size;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}