package cn.newfeifan.mall.module.distri.controller.admin.ptprofit.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 平台利润分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class PtProfitPageReqVO extends PageParam {

    @Schema(description = "平台服务费(毛利下的百分比收益)")
    private Integer ptAdd;

    @Schema(description = "平台收益(0.3888 之外的收益)")
    private Integer ptGrossAdd;

    @Schema(description = "平台总收益")
    private Integer ptTotalAdd;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}