package cn.newfeifan.mall.module.distri.controller.admin.ptprofit.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 平台利润 Response VO")
@Data
@ExcelIgnoreUnannotated
public class PtProfitRespVO {

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "24754")
    @ExcelProperty("用户编号")
    private Long id;

    @Schema(description = "平台服务费(毛利下的百分比收益)")
    @ExcelProperty("平台服务费(毛利下的百分比收益)")
    private Integer ptAdd;

    @Schema(description = "平台收益(0.3888 之外的收益)")
    @ExcelProperty("平台收益(0.3888 之外的收益)")
    private Integer ptGrossAdd;

    @Schema(description = "平台总收益")
    @ExcelProperty("平台总收益")
    private Integer ptTotalAdd;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "利润", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("利润")
    private Long profit;

    @Schema(description = "游客收益", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("游客收益")
    private Long visitorEarnings;
}