package cn.newfeifan.mall.module.distri.controller.admin.ptprofitlogdetails.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 平台利润记录详情新增/修改 Request VO")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PtProfitLogDetailsSaveReqVO {

    @Schema(description = "详情编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "32357")
    private Long id;

    @Schema(description = "平台利润记录编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "19955")
    @NotNull(message = "平台利润记录编号不能为空")
    private Long distriPtProfitLogId;

    @Schema(description = "订单项编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "9530")
    @NotNull(message = "订单项编号不能为空")
    private Long orderItemId;

}