package cn.newfeifan.mall.module.distri.controller.admin.socialstatus.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 分销用户身价新增/修改 Request VO")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SocialStatusSaveReqVO {

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "19722")
    private Long id;

    @Schema(description = "身价等级")
    private String level;

    @Schema(description = "身价名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "非繁人")
    @NotEmpty(message = "身价名称不能为空")
    private String name;

    @Schema(description = "升级所需点数")
    private Long point;



}