package cn.newfeifan.mall.module.distri.controller.admin.socialstatuschangecategory.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 会员身价变化类别 Response VO")
@Data
@ExcelIgnoreUnannotated
public class SocialStatusChangeCategoryRespVO {

    @Schema(description = "会员身价变化类别id", requiredMode = Schema.RequiredMode.REQUIRED, example = "15050")
    @ExcelProperty("会员身价变化类别id")
    private Long id;

    @Schema(description = "类别名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "王五")
    @ExcelProperty("类别名称")
    private String name;

    @Schema(description = "类别码", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("类别码")
    private Integer code;

    @Schema(description = "身价点数在本类别操作的变化值", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("身价点数在本类别操作的变化值")
    private Integer variationValue;

    @Schema(description = "描述", example = "你猜")
    @ExcelProperty("描述")
    private String description;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}