package cn.newfeifan.mall.module.distri.controller.admin.socialstatuschangecategory.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 会员身价变化类别新增/修改 Request VO")
@Data
public class SocialStatusChangeCategorySaveReqVO {

    @Schema(description = "会员身价变化类别id", requiredMode = Schema.RequiredMode.REQUIRED, example = "15050")
    private Long id;

    @Schema(description = "类别名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "王五")
    @NotEmpty(message = "类别名称不能为空")
    private String name;

    @Schema(description = "类别码", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "类别码不能为空")
    private Integer code;

    @Schema(description = "身价点数在本类别操作的变化值", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "身价点数在本类别操作的变化值不能为空")
    private Integer variationValue;

    @Schema(description = "描述", example = "你猜")
    private String description;

}