package cn.newfeifan.mall.module.distri.controller.admin.socialstatuschangelog.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 会员身价变化日志分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class SocialStatusChangeLogPageReqVO extends PageParam {

    @Schema(description = "会员资产变化类别id", example = "8042")
    private Long socialStatusChangeCategoryId;

    @Schema(description = "身价点数在本类别操作的变化值")
    private Long variationValue;

    @Schema(description = "操作对应业务对象id，例如订单id", example = "24060")
    private Long objectId;

    @Schema(description = "是否已生效")
    private Boolean effective;

    @Schema(description = "描述", example = "随便")
    private String description;

    @Schema(description = "计划生效时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] planEffectiveTime;

    @Schema(description = "实际生效时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] actualEffectiveTime;

    @Schema(description = "操作时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "用户ID", example = "4593")
    private Long userId;

}