package cn.newfeifan.mall.module.distri.controller.app.applicationforwithdrawal.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "用户 APP - 提现申请记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AppApplicationForWithdrawalPageReqVO extends PageParam {

    @Schema(description = "用户ID", example = "25631")
    private Long userId;

    @Schema(description = "提现渠道类型", example = "2")
    private Integer withdrawalType;

    @Schema(description = "提现金额,单位:元")
    private Long amount;

    @Schema(description = "支付宝账号", example = "30303")
    private String withdrawalAccount;

    @Schema(description = "提现状态,成功是1， 失败是2， 提现中为0", example = "1")
    private Integer status;

    @Schema(description = "提现渠道记录id", example = "19322")
    private Long applicationForWithdrawalChannelId;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "提现总金额,单位:分", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long amountTotal;

    @Schema(description = "提现消费分,单位:分", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long withdrawConsumption;

    @Schema(description = "计算百分比模板")
    private String percentTemplate;

}