package cn.newfeifan.mall.module.distri.controller.app.applicationforwithdrawal.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "用户 APP - 提现申请记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AppApplicationForWithdrawalRespVO {

    @Schema(description = "申请id", requiredMode = Schema.RequiredMode.REQUIRED, example = "20678")
    @ExcelProperty("申请id")
    private Long id;

    @Schema(description = "用户ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "25631")
    @ExcelProperty("用户ID")
    private Long userId;

    @Schema(description = "提现渠道类型", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @ExcelProperty("提现渠道类型")
    private Integer withdrawalType;

    @Schema(description = "提现金额,单位:元", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("提现金额,单位:元")
    private Long amount;

    @Schema(description = "支付宝账号", requiredMode = Schema.RequiredMode.REQUIRED, example = "30303")
    @ExcelProperty("支付宝账号")
    private String withdrawalAccount;

    @Schema(description = "提现状态,成功是1， 失败是2， 提现中为0", example = "1")
    @ExcelProperty("提现状态,成功是1， 失败是2， 提现中为0")
    private Integer status;

    @Schema(description = "提现渠道记录id", requiredMode = Schema.RequiredMode.REQUIRED, example = "19322")
    @ExcelProperty("提现渠道记录id")
    private Long applicationForWithdrawalChannelId;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "提现总金额,单位:分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("提现总金额,单位:分")
    private Long amountTotal;

    @Schema(description = "提现消费分,单位:分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("提现消费分,单位:分")
    private Long withdrawConsumption;

    @Schema(description = "计算百分比模板")
    @ExcelProperty("计算百分比模板")
    private String percentTemplate;
}