package cn.newfeifan.mall.module.distri.controller.app.applicationforwithdrawalchannel.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "用户 APP - 提现渠道记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AppApplicationForWithdrawalChannelPageReqVO extends PageParam {

    @Schema(description = "提现渠道类型", example = "1")
    private Integer withdrawalType;

    @Schema(description = "提现渠道名称", example = "李四")
    private String withdrawalName;

    @Schema(description = "提现金额,单位:元")
    private Long amount;

    @Schema(description = "提现笔数", example = "6693")
    private Integer count;

    @Schema(description = "提现状态,已完成是1，未完成为0", example = "1")
    private Boolean status;

    @Schema(description = "提现渠道记录id", example = "14600")
    private Long ptDailyWithdrawalId;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "导出状态,已导出是1，未导出为0", example = "2")
    private Boolean excelStatus;

    @Schema(description = "提现总金额,单位:分")
    private Long amountTotal;

    @Schema(description = "提现消费分,单位:分")
    private Long withdrawConsumption;

}