package cn.newfeifan.mall.module.distri.controller.app.applicationforwithdrawalchannel.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "用户 APP - 提现渠道记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AppApplicationForWithdrawalChannelRespVO {

    @Schema(description = "提现渠道id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1595")
    @ExcelProperty("提现渠道id")
    private Long id;

    @Schema(description = "提现渠道类型", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @ExcelProperty("提现渠道类型")
    private Integer withdrawalType;

    @Schema(description = "提现渠道名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "李四")
    @ExcelProperty("提现渠道名称")
    private String withdrawalName;

    @Schema(description = "提现金额,单位:元", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("提现金额,单位:元")
    private Long amount;

    @Schema(description = "提现笔数", requiredMode = Schema.RequiredMode.REQUIRED, example = "6693")
    @ExcelProperty("提现笔数")
    private Integer count;

    @Schema(description = "提现状态,已完成是1，未完成为0", example = "1")
    @ExcelProperty("提现状态,已完成是1，未完成为0")
    private Boolean status;

    @Schema(description = "提现渠道记录id", requiredMode = Schema.RequiredMode.REQUIRED, example = "14600")
    @ExcelProperty("提现渠道记录id")
    private Long ptDailyWithdrawalId;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "导出状态,已导出是1，未导出为0", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @ExcelProperty("导出状态,已导出是1，未导出为0")
    private Boolean excelStatus;

    @Schema(description = "提现总金额,单位:分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("提现总金额,单位:分")
    private Long amountTotal;

    @Schema(description = "提现消费分,单位:分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("提现消费分,单位:分")
    private Long withdrawConsumption;
}