package cn.newfeifan.mall.module.distri.controller.app.applicationforwithdrawalchannel.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import javax.validation.constraints.*;

@Schema(description = "用户 APP - 提现渠道记录新增/修改 Request VO")
@Data
public class AppApplicationForWithdrawalChannelSaveReqVO {

    @Schema(description = "提现渠道id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1595")
    private Long id;

    @Schema(description = "提现渠道类型", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "提现渠道类型不能为空")
    private Integer withdrawalType;

    @Schema(description = "提现渠道名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "李四")
    @NotEmpty(message = "提现渠道名称不能为空")
    private String withdrawalName;

    @Schema(description = "提现金额,单位:元", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long amount;

    @Schema(description = "提现笔数", requiredMode = Schema.RequiredMode.REQUIRED, example = "6693")
    @NotNull(message = "提现笔数不能为空")
    private Integer count;

    @Schema(description = "提现状态,已完成是1，未完成为0", example = "1")
    private Boolean status;

    @Schema(description = "提现渠道记录id", requiredMode = Schema.RequiredMode.REQUIRED, example = "14600")
    @NotNull(message = "提现渠道记录id不能为空")
    private Long ptDailyWithdrawalId;

    @Schema(description = "导出状态,已导出是1，未导出为0", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @NotNull(message = "导出状态,已导出是1，未导出为0不能为空")
    private Boolean excelStatus;

    @Schema(description = "提现总金额,单位:分", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "提现总金额,单位:分不能为空")
    private Long amountTotal;

    @Schema(description = "提现消费分,单位:分", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long withdrawConsumption;
}