package cn.newfeifan.mall.module.distri.controller.app.consumptionchangelog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 平台消费分变动记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ConsumptionChangeLogRespVO {

    @Schema(description = "日志编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "7160")
    @ExcelProperty("日志编号")
    private Long id;

    @Schema(description = "用户ID", example = "10871")
    @ExcelProperty("用户ID")
    private Long userId;

    @Schema(description = "变动的消费分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("变动的消费分")
    private Long consumptionPoints;

    @Schema(description = "变动后消费分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("变动后消费分")
    private Long afterConsumptionPoints;

    @Schema(description = "消费分变动类型", example = "2")
    @ExcelProperty("消费分变动类型")
    private Integer consumptionStatus;

    @Schema(description = "类型名称")
    private String consumptionStatusName;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "实际消费分")
    @ExcelProperty("实际消费分")
    private Long practicalConsumptionPoints;

    @Schema(description = "消费分产生对象", example = "23323")
    private Long generateUserId;

    private String generateUserName;


}