package cn.newfeifan.mall.module.distri.controller.app.consumptionchangelog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 平台消费分变动记录新增/修改 Request VO")
@Data
@Builder
public class ConsumptionChangeLogSaveReqVO {

    @Schema(description = "日志编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "7160")
    private Long id;

    @Schema(description = "用户ID", example = "10871")
    private Long userId;

    @Schema(description = "变动的消费分", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "变动的消费分不能为空")
    private Long consumptionPoints;

    @Schema(description = "变动后消费分", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "变动后消费分不能为空")
    private Long afterConsumptionPoints;

    @Schema(description = "消费分变动类型", example = "2")
    private Integer consumptionStatus;

    @Schema(description = "实际消费分")
    private Long practicalConsumptionPoints;

    @Schema(description = "消费分产生对象", example = "23323")
    private Long generateUserId;

    @Schema(description = "订单Id", example = "18715")
    private Long orderId;

    @Schema(description = "订单编号")
    private String orderNo;
}