package cn.newfeifan.mall.module.distri.controller.app.consumptiontransferlog.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 消费分转让记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ConsumptionTransferLogPageReqVO extends PageParam {

    @Schema(description = "转让用户ID", example = "7655")
    private Long transferUserId;

    @Schema(description = "转让人用户名", example = "王五")
    private String transferUserName;

    @Schema(description = "接收用户ID", example = "26720")
    private Long recipientUserId;

    @Schema(description = "接收人用户名", example = "张三")
    private String recipientUserName;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "转让的消费分")
    private Long consumptionPoints;

    @Schema(description = "变动后消费分（余额）")
    private Long afterTransferConsumptionPoints;

    @Schema(description = "接收的消费分")
    private Long recipientPoints;

    @Schema(description = "变动后消费分（余额）")
    private Long afterRecipientConsumptionPoints;

}