package cn.newfeifan.mall.module.distri.controller.app.duser.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "用户 APP - 推荐用户分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AppDuserPageReqVO extends PageParam {

    @Schema(description = "团队人员ID", example = "17459")
    private Long userId;

    @Schema(description = "团队人员姓名", example = "李四")
    private String name;

    @Schema(description = "团队人员手机号码")
    private String mobile;

    @Schema(description = "团队用户当前积分", example = "11037")
    private Long integralId;

    @Schema(description = "团队用户当前身价(等级)", example = "2")
    private Integer socialStatus;

    @Schema(description = "团队用户当前点数")
    private Long socialStatusPoint;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "团队人员来源")
    private Long source;

    @Schema(description = "身价距下一级所需点数")
    private Long socialUpNeed;

    @Schema(description = "用户类型", example = "7588")
    private Long categoryId;

    @Schema(description = "用户名称", example = "张三")
    private String nickName;

}