package cn.newfeifan.mall.module.distri.controller.app.duser.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "用户 APP - 推荐用户 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AppDuserRespVO {

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "23853")
    @ExcelProperty("用户编号")
    private Long id;

    @Schema(description = "团队人员ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "17459")
    @ExcelProperty("团队人员ID")
    private Long userId;

    @Schema(description = "团队人员姓名", requiredMode = Schema.RequiredMode.REQUIRED, example = "李四")
    @ExcelProperty("团队人员姓名")
    private String name;

    @Schema(description = "团队人员手机号码", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("团队人员手机号码")
    private String mobile;

    @Schema(description = "团队用户当前积分", requiredMode = Schema.RequiredMode.REQUIRED, example = "11037")
    @ExcelProperty("团队用户当前积分")
    private Long integralId;

    @Schema(description = "团队用户当前身价(等级)", example = "2")
    @ExcelProperty("团队用户当前身价(等级)")
    private Integer socialStatus;

    @Schema(description = "团队用户当前点数")
    @ExcelProperty("团队用户当前点数")
    private Long socialStatusPoint;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "团队人员来源")
    @ExcelProperty("团队人员来源")
    private Long source;

    @Schema(description = "身价距下一级所需点数")
    @ExcelProperty("身价距下一级所需点数")
    private Long socialUpNeed;

    @Schema(description = "用户类型", example = "7588")
    @ExcelProperty("用户类型")
    private Long categoryId;

    @Schema(description = "用户名称", example = "张三")
    @ExcelProperty("用户名称")
    private String nickName;

}