package cn.newfeifan.mall.module.distri.controller.app.duser.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "用户 APP - 推荐用户新增/修改 Request VO")
@Data
public class AppDuserSaveReqVO {

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "23853")
    private Long id;

    @Schema(description = "团队人员ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "17459")
    @NotNull(message = "团队人员ID不能为空")
    private Long userId;

    @Schema(description = "团队人员姓名", requiredMode = Schema.RequiredMode.REQUIRED, example = "李四")
    @NotEmpty(message = "团队人员姓名不能为空")
    private String name;

    @Schema(description = "团队人员手机号码", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "团队人员手机号码不能为空")
    private String mobile;

    @Schema(description = "团队用户当前积分", requiredMode = Schema.RequiredMode.REQUIRED, example = "11037")
    @NotNull(message = "团队用户当前积分不能为空")
    private Long integralId;

    @Schema(description = "团队用户当前身价(等级)", example = "2")
    private Integer socialStatus;

    @Schema(description = "团队用户当前点数")
    private Long socialStatusPoint;

    @Schema(description = "团队人员来源")
    private Long source;

    @Schema(description = "身价距下一级所需点数")
    private Long socialUpNeed;

    @Schema(description = "用户类型", example = "7588")
    private Long categoryId;

    @Schema(description = "用户名称", example = "张三")
    private String nickName;

}