package cn.newfeifan.mall.module.distri.controller.app.integral.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 推荐用户积分分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class IntegralPageReqVO extends PageParam {

    @Schema(description = "用户ID", example = "19778")
    private Long userId;

    @Schema(description = "当前积分")
    private Long currentQuota;

    @Schema(description = "冻结积分")
    private Long freezeQuota;

    @Schema(description = "用户类型", example = "17348")
    private Long categoryId;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "累计获取的峰值")
    private Long highQuotaTotal;

    @Schema(description = "当前消费分")
    private Long consumptionPoints;
}