package cn.newfeifan.mall.module.distri.controller.app.integral.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 推荐用户积分 Response VO")
@Data
@ExcelIgnoreUnannotated
public class IntegralRespVO {

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "19201")
    @ExcelProperty("用户编号")
    private Long id;

    @Schema(description = "用户ID", example = "19778")
    @ExcelProperty("用户ID")
    private Long userId;

    @Schema(description = "当前积分")
    @ExcelProperty("当前积分")
    private Long currentQuota;

    @Schema(description = "冻结积分")
    @ExcelProperty("冻结积分")
    private Long freezeQuota;

    @Schema(description = "用户类型", example = "17348")
    @ExcelProperty("用户类型")
    private Long categoryId;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "累计获取的峰值")
    @ExcelProperty("累计获取的峰值")
    private Long highQuotaTotal;

    @Schema(description = "当前消费分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("当前消费分")
    private Long consumptionPoints;
}