package cn.newfeifan.mall.module.distri.controller.app.integral.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import javax.validation.constraints.NotNull;


@Schema(description = "管理后台 - 推荐用户积分新增/修改 Request VO")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class IntegralSaveReqVO {

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "19201")
    private Long id;

    @Schema(description = "用户ID", example = "19778")
    private Long userId;

    @Schema(description = "用户类型", example = "17348")
    private Long categoryId;

    @Schema(description = "用户名称", example = "赵六")
    private String name;

    @Schema(description = "用户昵称", example = "赵六")
    private String nickName;

    @Schema(description = "当前积分", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "当前积分不能为空")
    private Long currentQuota;

    @Schema(description = "冻结积分")
    private Long freezeQuota;

    @Schema(description = "合赢奖累计获取积分")
    private Long accumulatedQuota;

    @Schema(description = "直推奖累计获取积分")
    private Long ancestorQuota;

    @Schema(description = "最高可获取积分", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long highQuota;

    @Schema(description = "冻结的最高可获取积分", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long freezeHighQuota;

    @Schema(description = "累计获取的峰值")
    private Long highQuotaTotal;

    @Schema(description = "当前消费分", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long consumptionPoints;
}