package cn.newfeifan.mall.module.distri.controller.app.orderpercentage.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 积分相关计算浮动百分比设置新增/修改 Request VO")
@Data
public class OrderPercentageDoubleSaveReqVO {

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "2203")
    private Long id;

    @Schema(description = "毛利 = 成本 * 0.38... (推广费用)")
    private Double grossProfitPerc;

    @Schema(description = "推广-用户额度 百分比")
    private Double grossProfitUserQuotaPerc;

    @Schema(description = "推广-推荐人额度 百分比")
    private Double grossProfitAncestorQuotaPerc;

    @Schema(description = "推广-合赢奖额度(浮动) 百分比")
    private Double grossProfitBonusQuotaPerc;

    @Schema(description = "推广-平台分成额度(浮动) 百分比")
    private Double grossProfitPlatformQuotaPerc;

    @Schema(description = "分成百分比")
    private Double divideIntoPerc;

    @Schema(description = "购物订单：直推人身价提升", example = "1")
    private String orderAncestorSocialStatus;

    @Schema(description = "购物订单：本人身价提升", example = "2")
    private String orderUserSocialStatus;

    @Schema(description = "新用户注册：直推人身价提升", example = "2")
    private String registerAncestorSocialStatus;

    @Schema(description = "新用户注册：本人身价提升", example = "2")
    private String registerSocialStatus;

    @Schema(description = "是否启用 0关闭 1启动", example = "2")
    private Integer status;

    @Schema(description = "用户注册后，获得的基础最大合赢奖、直推奖积分限额")
    private String baseMaxQuota;

    @Schema(description = "收藏商品获取身价值，同一SPU商品收藏多次无效", example = "1")
    private String collectSocialStatus;

    @Schema(description = "提现佣金百分比")
    private String withdrawCommission;

    @Schema(description = "提现消费分百分比")
    private String withdrawConsumption;


}