package cn.newfeifan.mall.module.distri.controller.app.ptdailywithdrawal.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "用户 APP - 平台每日提现记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AppPtDailyWithdrawalPageReqVO extends PageParam {

    @Schema(description = "提现金额,单位:元")
    private Long amount;

    @Schema(description = "提现笔数", example = "19749")
    private Integer count;

    @Schema(description = "提现状态,0:待转账 1:全部完成 2:部分完成", example = "2")
    private Integer status;

    @Schema(description = "提现开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] startTime;

    @Schema(description = "提现截止时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] endTime;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "提现总金额,单位:分")
    private Long amountTotal;

    @Schema(description = "提现消费分,单位:分")
    private Long withdrawConsumption;

}