package cn.newfeifan.mall.module.distri.controller.app.ptdailywithdrawal.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "用户 APP - 平台每日提现记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AppPtDailyWithdrawalRespVO {

    @Schema(description = "记录id", requiredMode = Schema.RequiredMode.REQUIRED, example = "11736")
    @ExcelProperty("记录id")
    private Long id;

    @Schema(description = "提现金额,单位:元", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("提现金额,单位:元")
    private Long amount;

    @Schema(description = "提现笔数", requiredMode = Schema.RequiredMode.REQUIRED, example = "19749")
    @ExcelProperty("提现笔数")
    private Integer count;

    @Schema(description = "提现状态,0:待转账 1:全部完成 2:部分完成", example = "2")
    @ExcelProperty("提现状态,0:待转账 1:全部完成 2:部分完成")
    private Integer status;

    @Schema(description = "提现开始时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("提现开始时间")
    private LocalDateTime startTime;

    @Schema(description = "提现截止时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("提现截止时间")
    private LocalDateTime endTime;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "提现总金额,单位:分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("提现总金额,单位:分")
    private Long amountTotal;

    @Schema(description = "提现消费分,单位:分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("提现消费分,单位:分")
    private Long withdrawConsumption;
}