package cn.newfeifan.mall.module.distri.controller.app.ptdailywithdrawal.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import javax.validation.constraints.*;
import java.time.LocalDateTime;

@Schema(description = "用户 APP - 平台每日提现记录新增/修改 Request VO")
@Data
public class AppPtDailyWithdrawalSaveReqVO {

    @Schema(description = "记录id", requiredMode = Schema.RequiredMode.REQUIRED, example = "11736")
    private Long id;

    @Schema(description = "提现金额,单位:元", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "提现金额,单位:元不能为空")
    private Long amount;

    @Schema(description = "提现笔数", requiredMode = Schema.RequiredMode.REQUIRED, example = "19749")
    @NotNull(message = "提现笔数不能为空")
    private Integer count;

    @Schema(description = "提现状态,0:待转账 1:全部完成 2:部分完成", example = "2")
    private Integer status;

    @Schema(description = "提现开始时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "提现开始时间不能为空")
    private LocalDateTime startTime;

    @Schema(description = "提现截止时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "提现截止时间不能为空")
    private LocalDateTime endTime;

    @Schema(description = "提现总金额,单位:分", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "提现总金额,单位:分不能为空")
    private Long amountTotal;

    @Schema(description = "提现消费分,单位:分", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "提现消费分,单位:分不能为空")
    private Long withdrawConsumption;
}