package cn.newfeifan.mall.module.distri.controller.app.sharelink.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 分享链接分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AppShareLinkPageReqVO extends PageParam {

    @Schema(description = "链接名称", example = "赵六")
    private String name;

    @Schema(description = "状态：是否启用。默认为1，表示启用；当值为0时，表示停用。", example = "2")
    private Integer status;

    @Schema(description = "创建链接的用户id，关联消费者member_user表的主键", example = "30193")
    private Long createUserId;

    @Schema(description = "分享链接类型编码：1.商城，2.店铺，3.商品")
    private Integer category;

    @Schema(description = "链接对应业务对象id：如果“链接类型”是3=商品，这个id就是商品的spu表的id，即product_spu.id值。", example = "22758")
    private Long objectId;

    @Schema(description = "通过本分享链接，累计注册的用户总数，默认值是0。每注册一个新用户，累加1.", example = "11628")
    private Integer registerUserCount;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}