package cn.newfeifan.mall.module.distri.controller.app.sharelinkregister.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 通过分享链接，新注册用户分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AppShareLinkRegisterPageReqVO extends PageParam {

    @Schema(description = "分享链接表id：关联分享链接表，本记录对应的分享链接表记录", example = "12173")
    private Long distriShareLinkId;

    @Schema(description = "注册用户id:通过distri_share_link_id分享链接，新注册的用户id，对应member_user表的id", example = "21753")
    private Long registerUserId;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}