package cn.newfeifan.mall.module.distri.controller.app.sharelinkregister.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 通过分享链接，新注册用户 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AppShareLinkRegisterRespVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "19900")
    @ExcelProperty("主键id")
    private Long id;

    @Schema(description = "分享链接表id：关联分享链接表，本记录对应的分享链接表记录", requiredMode = Schema.RequiredMode.REQUIRED, example = "12173")
    @ExcelProperty("分享链接表id：关联分享链接表，本记录对应的分享链接表记录")
    private Long distriShareLinkId;

    @Schema(description = "注册用户id:通过distri_share_link_id分享链接，新注册的用户id，对应member_user表的id", requiredMode = Schema.RequiredMode.REQUIRED, example = "21753")
    @ExcelProperty("注册用户id:通过distri_share_link_id分享链接，新注册的用户id，对应member_user表的id")
    private Long registerUserId;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}