package cn.newfeifan.mall.module.distri.controller.app.sharelinkregister.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 通过分享链接，新注册用户新增/修改 Request VO")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AppShareLinkRegisterSaveReqVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "19900")
    private Long id;

    @Schema(description = "分享链接表id：关联分享链接表，本记录对应的分享链接表记录", requiredMode = Schema.RequiredMode.REQUIRED, example = "12173")
    @NotNull(message = "分享链接表id：关联分享链接表，本记录对应的分享链接表记录不能为空")
    private Long distriShareLinkId;

    @Schema(description = "注册用户id:通过distri_share_link_id分享链接，新注册的用户id，对应member_user表的id", requiredMode = Schema.RequiredMode.REQUIRED, example = "21753")
    @NotNull(message = "注册用户id:通过distri_share_link_id分享链接，新注册的用户id，对应member_user表的id不能为空")
    private Long registerUserId;

}