package cn.newfeifan.mall.module.distri.controller.app.sharepath.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "用户 APP - 分销用户关系分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class SharePathPageReqVO extends PageParam {

    @Schema(description = "层级")
    private Integer depth;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "推荐人")
    private Long ancestor;

    @Schema(description = "直推人")
    private Long descendant;

    @Schema(description = "顺序")
    private Integer sort;

    @Schema(description = "推荐人姓名", example = "王五")
    private String ancName;

    @Schema(description = "推荐人手机号")
    private String ancPhone;

    @Schema(description = "直推人姓名", example = "李四")
    private String descName;

    @Schema(description = "推荐人手机号")
    private String descPhone;

    @Schema(description = "推荐人昵称", example = "非繁人")
    private String ancNickName;

    @Schema(description = "直推人昵称", example = "张三")
    private String descNickName;

}