package cn.newfeifan.mall.module.distri.controller.app.sharepath.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "用户 APP - 分销用户关系 Response VO")
@Data
@ExcelIgnoreUnannotated
public class SharePathRespVO {

    @Schema(description = "层级")
    @ExcelProperty("层级")
    private Integer depth;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "12537")
    @ExcelProperty("id")
    private Long id;

    @Schema(description = "推荐人")
    @ExcelProperty("推荐人")
    private Long ancestor;

    @Schema(description = "直推人")
    @ExcelProperty("直推人")
    private Long descendant;

    @Schema(description = "顺序")
    @ExcelProperty("顺序")
    private Integer sort;

    @Schema(description = "推荐人姓名", example = "王五")
    @ExcelProperty("推荐人姓名")
    private String ancName;

    @Schema(description = "推荐人手机号")
    @ExcelProperty("推荐人手机号")
    private String ancPhone;

    @Schema(description = "直推人姓名", example = "李四")
    @ExcelProperty("直推人姓名")
    private String descName;

    @Schema(description = "推荐人手机号")
    @ExcelProperty("推荐人手机号")
    private String descPhone;

    @Schema(description = "推荐人昵称", example = "非繁人")
    @ExcelProperty("推荐人昵称")
    private String ancNickName;

    @Schema(description = "直推人昵称", example = "张三")
    @ExcelProperty("直推人昵称")
    private String descNickName;

    @Schema(description = "头像")
    private String avatar;

    @Schema(description = "身价等级")
    private String socialStatusLevel;

    @Schema(description = "身价等级名称")
    private String socialStatusLevelName;

    @Schema(description = "后代人数")
    private Long descendantsCount;

    @Schema(description = "最高可获取积分(峰值 / 最大值)")
    private Long high_quota;

//    @Schema(description = "剩余的合赢奖额度 + 待确权直推奖")
    @Schema(description = "分区额度")
    private Long residueSocial;

    @Schema(description = "用户名")
    private String username;
}