package cn.newfeifan.mall.module.distri.controller.app.sharepath.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;


@Schema(description = "用户 APP - 分销用户关系新增/修改 Request VO")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SharePathSaveReqVO {

    @Schema(description = "层级")
    private Integer depth;

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "12537")
    private Long id;

    @Schema(description = "推荐人")
    private Long ancestor;

    @Schema(description = "直推人")
    private Long descendant;

    @Schema(description = "顺序")
    private Integer sort;

    @Schema(description = "推荐人姓名", example = "王五")
    private String ancName;

    @Schema(description = "推荐人手机号")
    private String ancPhone;

    @Schema(description = "直推人姓名", example = "李四")
    private String descName;

    @Schema(description = "推荐人手机号")
    private String descPhone;

    @Schema(description = "推荐人昵称", example = "非繁人")
    private String ancNickName;

    @Schema(description = "直推人昵称", example = "张三")
    private String descNickName;

}