package cn.newfeifan.mall.module.distri.controller.app.usercollectbefore.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 用户曾经收藏过什么商品的新增/修改 Request VO")
@Data
public class UserCollectBeforeSaveReqVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "29044")
    private Long id;

    @Schema(description = "收藏商品spu的id", requiredMode = Schema.RequiredMode.REQUIRED, example = "6474")
    @NotNull(message = "收藏商品spu的id不能为空")
    private Long productSpuId;

    @Schema(description = "收藏商品的用户ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "25194")
    private Long userId;

}