package cn.newfeifan.mall.module.distri.controller.app.usersigninlog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 用户签到日志 Response VO")
@Data
@ExcelIgnoreUnannotated
public class UserSignInLogRespVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "24258")
    @ExcelProperty("主键id")
    private Long id;

    @Schema(description = "签到的用户ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "29837")
    @ExcelProperty("签到的用户ID")
    private Long userId;

    @Schema(description = "连续签到天数", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("连续签到天数")
    private Integer runningDays;

    @Schema(description = "操作时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("操作时间")
    private LocalDateTime createTime;

}