package cn.newfeifan.mall.module.distri.controller.app.usersigninlog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 用户签到日志新增/修改 Request VO")
@Data
public class UserSignInLogSaveReqVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "24258")
    private Long id;

    @Schema(description = "签到的用户ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "29837")
    @NotNull(message = "签到的用户ID不能为空")
    private Long userId;

    @Schema(description = "连续签到天数", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "连续签到天数不能为空")
    private Integer runningDays;

}