package cn.newfeifan.mall.module.distri.controller.app.usertopupconsumptionpointsorder.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "用户 APP - 用户充值消费分订单分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UserTopUpConsumptionPointsOrderPageReqVO extends PageParam {

    @Schema(description = "订单流水号")
    private String no;

    @Schema(description = "订单来源终端")
    private Integer terminal;

    @Schema(description = "用户编号", example = "29707")
    private Long userId;

    @Schema(description = "用户 IP")
    private String userIp;

    @Schema(description = "商品标题")
    private String subject;

    @Schema(description = "充值消费分")
    private Long topUpConsumptionPoints;

    @Schema(description = "到账消费分")
    private Long practicalConsumptionPoints;

    @Schema(description = "用户名", example = "李四")
    private String userName;

    @Schema(description = "支付订单编号", example = "9840")
    private Long payOrderId;

    @Schema(description = "是否已支付：[0:未支付 1:已经支付过]", example = "2")
    private Boolean payStatus;

    @Schema(description = "订单支付时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] payTime;

    @Schema(description = "支付成功的支付渠道")
    private String payChannelCode;

    @Schema(description = "订单完成时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] finishTime;

    @Schema(description = "订单取消时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] cancelTime;

    @Schema(description = "应付金额（总），单位：分", example = "5880")
    private Long payPrice;

    @Schema(description = "计算百分比模板")
    private String percentTemplate;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}