package cn.newfeifan.mall.module.distri.controller.app.usertopupconsumptionpointsorder.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "用户 APP - 用户充值消费分订单 Response VO")
@Data
@ExcelIgnoreUnannotated
public class UserTopUpConsumptionPointsOrderRespVO {

    @Schema(description = "用户充值消费分订单编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "3828")
    @ExcelProperty("用户充值消费分订单编号")
    private Long id;

    @Schema(description = "订单流水号", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("订单流水号")
    private String no;

    @Schema(description = "订单来源终端", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("订单来源终端")
    private Integer terminal;

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "29707")
    @ExcelProperty("用户编号")
    private Long userId;

    @Schema(description = "用户 IP", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("用户 IP")
    private String userIp;

    @Schema(description = "商品标题", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("商品标题")
    private String subject;

    @Schema(description = "充值消费分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("充值消费分")
    private Long topUpConsumptionPoints;

    @Schema(description = "到账消费分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("到账消费分")
    private Long practicalConsumptionPoints;

    @Schema(description = "用户名", example = "李四")
    @ExcelProperty("用户名")
    private String userName;

    @Schema(description = "支付订单编号", example = "9840")
    @ExcelProperty("支付订单编号")
    private Long payOrderId;

    @Schema(description = "是否已支付：[0:未支付 1:已经支付过]", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @ExcelProperty("是否已支付：[0:未支付 1:已经支付过]")
    private Boolean payStatus;

    @Schema(description = "订单支付时间")
    @ExcelProperty("订单支付时间")
    private LocalDateTime payTime;

    @Schema(description = "支付成功的支付渠道")
    @ExcelProperty("支付成功的支付渠道")
    private String payChannelCode;

    @Schema(description = "订单完成时间")
    @ExcelProperty("订单完成时间")
    private LocalDateTime finishTime;

    @Schema(description = "订单取消时间")
    @ExcelProperty("订单取消时间")
    private LocalDateTime cancelTime;

    @Schema(description = "应付金额（总），单位：分", requiredMode = Schema.RequiredMode.REQUIRED, example = "5880")
    @ExcelProperty("应付金额（总），单位：分")
    private Long payPrice;

    @Schema(description = "计算百分比模板")
    @ExcelProperty("计算百分比模板")
    private String percentTemplate;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}