package cn.newfeifan.mall.module.distri.dal.dataobject.applicationforwithdrawal;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 提现申请记录 DO
 *
 * @author 非繁人
 */
@TableName("distri_application_for_withdrawal")
@KeySequence("distri_application_for_withdrawal_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ApplicationForWithdrawalDO extends BaseDO {

    /**
     * 申请id
     */
    @TableId
    private Long id;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 提现渠道类型
     */
    private Integer withdrawalType;
    /**
     * 提现金额,单位:元
     */
    private Long amount;
    /**
     * 支付宝账号
     */
    private String withdrawalAccount;
    /**
     * 提现状态,成功是1， 失败是2， 提现中为0
     */
    private Integer status;
    /**
     * 提现渠道记录id
     */
    private Long applicationForWithdrawalChannelId;
    /**
     * 提现总金额,单位:分
     */
    private Long amountTotal;
    /**
     * 提现消费分,单位:分
     */
    private Long withdrawConsumption;
    /**
     * 计算百分比模板
     */
    private String percentTemplate;


}