package cn.newfeifan.mall.module.distri.dal.dataobject.applicationforwithdrawalchannel;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 提现渠道记录 DO
 *
 * @author 非繁人
 */
@TableName("distri_application_for_withdrawal_channel")
@KeySequence("distri_application_for_withdrawal_channel_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ApplicationForWithdrawalChannelDO extends BaseDO {

    /**
     * 提现渠道id
     */
    @TableId
    private Long id;
    /**
     * 提现渠道类型
     */
    private Integer withdrawalType;
    /**
     * 提现渠道名称
     */
    private String withdrawalName;
    /**
     * 提现金额,单位:元
     */
    private Long amount;
    /**
     * 提现笔数
     */
    private Integer count;
    /**
     * 提现状态,已完成是1，未完成为0
     */
    private Boolean status;
    /**
     * 提现渠道记录id
     */
    private Long ptDailyWithdrawalId;

    /**
     * 导出状态,已导出是1，未导出为0
     */
    private Boolean excelStatus;
    /**
     * 提现总金额,单位:分
     */
    private Long amountTotal;
    /**
     * 提现消费分,单位:分
     */
    private Long withdrawConsumption;


}