package cn.newfeifan.mall.module.distri.dal.dataobject.consumptionchangelog;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 平台消费分变动记录 DO
 *
 * @author 非繁人
 */
@TableName("distri_consumption_change_log")
@KeySequence("distri_consumption_change_log_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ConsumptionChangeLogDO extends BaseDO {

    /**
     * 日志编号
     */
    @TableId
    private Long id;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 变动的消费分
     */
    private Long consumptionPoints;
    /**
     * 变动后消费分
     */
    private Long afterConsumptionPoints;
    /**
     * 消费分变动类型
     */
    private Integer consumptionStatus;
    /**
     * 实际消费分
     */
    private Long practicalConsumptionPoints;

    /**
     * 消费分产生对象
     */
    private Long generateUserId;

    /**
     * 订单Id
     */
    private Long orderId;
    /**
     * 订单编号
     */
    private String orderNo;

}