package cn.newfeifan.mall.module.distri.dal.dataobject.consumptiontopuplog;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 平台消费分充值记录 DO
 *
 * @author 非繁人
 */
@TableName("distri_consumption_top_up_log")
@KeySequence("distri_consumption_top_up_log_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ConsumptionTopUpLogDO extends BaseDO {

    /**
     * 充值编号
     */
    @TableId
    private Long id;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 转账凭证附件
     */
    private String attachment;
    /**
     * 消费分
     */
    private Long consumptionPoints;
    /**
     * 实际消费分
     */
    private Long practicalConsumptionPoints;
    /**
     * 用户名
     */
    private String userName;

}