package cn.newfeifan.mall.module.distri.dal.dataobject.consumptiontransferlog;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 消费分转让记录 DO
 *
 * @author 非繁人
 */
@TableName("distri_consumption_transfer_log")
@KeySequence("distri_consumption_transfer_log_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ConsumptionTransferLogDO extends BaseDO {

    /**
     * 日志编号
     */
    @TableId
    private Long id;
    /**
     * 转让用户ID
     */
    private Long transferUserId;
    /**
     * 转让人用户名
     */
    private String transferUserName;
    /**
     * 接收用户ID
     */
    private Long recipientUserId;
    /**
     * 接收人用户名
     */
    private String recipientUserName;
    /**
     * 转让的消费分
     */
    private Long consumptionPoints;
    /**
     * 变动后消费分（余额）
     */
    private Long afterTransferConsumptionPoints;
    /**
     * 接收的消费分
     */
    private Long recipientPoints;
    /**
     * 变动后消费分（余额）
     */
    private Long afterRecipientConsumptionPoints;

}