package cn.newfeifan.mall.module.distri.dal.dataobject.duser;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 推荐用户 DO
 *
 * @author 非繁人
 */
@TableName("distri_duser")
@KeySequence("distri_duser_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DuserDO extends BaseDO {

    /**
     * 用户编号
     */
    @TableId
    private Long id;
    /**
     * 团队人员ID
     */
    private Long userId;
    /**
     * 团队人员姓名
     */
    private String name;
    /**
     * 团队人员手机号码
     */
    private String mobile;
    /**
     * 团队人员来源
     */
    private Integer source;
    /**
     * 团队用户当前积分
     */
    private Long integralId;
    /**
     * 团队用户当前身价id
     */
    private Long socialStatusId;
    /**
     * 团队用户当前点数
     */
    private Long socialStatusPoint;
    /**
     * 身价距下一级所需点数
     */
    private Long socialUpNeed;
    /**
     * 用户类型
     */
    private Long categoryId;

    private String nickName;

}