package cn.newfeifan.mall.module.distri.dal.dataobject.integral;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 推荐用户积分 DO
 *
 * @author 非繁人
 */
@TableName("distri_integral")
@KeySequence("distri_integral_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class IntegralDO extends BaseDO {

    /**
     * 用户编号
     */
    @TableId
    private Long id;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 当前积分
     */
    private Long currentQuota;
    /**
     * 冻结积分
     */
    private Long freezeQuota;
    /**
     * 用户类型
     */
    private Long categoryId;

    private Long highQuota;

    private String name;

    private String nickName;

    /**
     * 合赢奖累计获取积分
     */
    private Long accumulatedQuota;
    /**
     * 直推奖累计获取积分
     */
    private Long ancestorQuota;
    /**
     * 冻结的最高可获取积分
     */
    private Long freezeHighQuota;

    /**
     * 累计获取的峰值
     */
    private Long highQuotaTotal;

    /**
     * 当前消费分
     */
    private Long consumptionPoints;
}