package cn.newfeifan.mall.module.distri.dal.dataobject.ordercalc;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 订单产生数据计算 DO
 *
 * @author 非繁人
 */
@TableName("distri_order_calc")
@KeySequence("distri_order_calc_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OrderCalcDO extends BaseDO {

    /**
     * 用户编号
     */
    @TableId
    private Long id;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 售价
     */
    private Integer price;
    /**
     * 成本
     */
    private Integer cost;
    /**
     * 毛利 = 成本 * 0.38... (推广费用)
     */
    private Integer grossProfit;
    /**
     * 推广-用户额度
     */
    private Integer grossProfitUserQuota;
    /**
     * 推广-推荐人额度
     */
    private Integer grossProfitAncestorQuota;
    /**
     * 推广-合赢奖额度(浮动)
     */
    private Integer grossProfitBonusQuota;
    /**
     * 推广-平台分成额度(浮动)
     */
    private Integer grossProfitPlatformQuota;
    private String percentTemplate;

}