package cn.newfeifan.mall.module.distri.dal.dataobject.partitioncrash;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 分区碰撞 DO
 *
 * @author 非繁人
 */
@TableName("distri_partition_crash")
@KeySequence("distri_partition_crash_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PartitionCrashDO extends BaseDO {

    /**
     * 用户编号
     */
    @TableId
    private Long id;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 分区编号
     */
    private String partNo;
    /**
     * 兄弟分区额度
     */
    private Long brotherPrice;
    /**
     * 子分区额度
     */
    private Long sonPrice;
    /**
     * 碰撞后额度
     */
    private Long afterHitQuota;

}