package cn.newfeifan.mall.module.distri.dal.dataobject.partitionson;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 后代分区 DO
 *
 * @author 非繁人
 */
@TableName("distri_partition_son")
@KeySequence("distri_partition_son_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PartitionSonDO extends BaseDO {

    /**
     * 用户编号
     */
    @TableId
    private Long id;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 分区编号
     */
    private String partNo;
    /**
     * 业绩
     */
    private Long price;
    /**
     * 是否碰撞 0为未碰撞 1为已碰撞
     */
    private Integer hasHit;
    /**
     * 碰撞后额度
     */
    private Long afterHitQuota;
    /**
     * 是否是大区 0为小区 1为大区
     */
    private Integer size;

}