package cn.newfeifan.mall.module.distri.dal.dataobject.ptdailywithdrawal;

import lombok.*;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 平台每日提现记录 DO
 *
 * @author 非繁人
 */
@TableName("distri_pt_daily_withdrawal")
@KeySequence("distri_pt_daily_withdrawal_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PtDailyWithdrawalDO extends BaseDO {

    /**
     * 记录id
     */
    @TableId
    private Long id;
    /**
     * 提现金额,单位:元
     */
    private Long amount;
    /**
     * 提现笔数
     */
    private Integer count;
    /**
     * 提现状态,0:待转账 1:全部完成 2:部分完成
     */
    private Integer status;
    /**
     * 提现开始时间
     */
    private LocalDateTime startTime;
    /**
     * 提现截止时间
     */
    private LocalDateTime endTime;

    /**
     * 提现总金额,单位:分
     */
    private Long amountTotal;
    /**
     * 提现消费分,单位:分
     */
    private Long withdrawConsumption;

}