package cn.newfeifan.mall.module.distri.dal.dataobject.ptprofit;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 平台利润 DO
 *
 * @author 非繁人
 */
@TableName("distri_pt_profit")
@KeySequence("distri_pt_profit_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PtProfitDO extends BaseDO {

    /**
     * 用户编号
     */
    @TableId
    private Long id;
    /**
     * 平台服务费(毛利下的百分比收益)
     */
    private Long ptAdd;
    /**
     * 平台收益(0.3888 之外的收益)
     */
    private Long ptGrossAdd;
    /**
     * 平台总收益
     */
    private Long ptTotalAdd;
    /**
     * 利润
     */
    private Long profit;
    /**
     * 游客收益
     */
    private Long visitorEarnings;

}