package cn.newfeifan.mall.module.distri.dal.dataobject.sharelink;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 分享链接 DO
 *
 * @author 非繁人
 */
@TableName("distri_share_link")
@KeySequence("distri_share_link_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ShareLinkDO extends BaseDO {

    /**
     * 分享链接id
     */
    @TableId
    private Long id;
    /**
     * 链接名称
     */
    private String name;
    /**
     * 状态：是否启用。默认为1，表示启用；当值为0时，表示停用。
     */
    private Integer status;
    /**
     * 创建链接的用户id，关联消费者member_user表的主键
     */
    private Long createUserId;
    /**
     * 分享链接类型编码：1.商城，2.店铺，3.商品
     */
    private Integer category;
    /**
     * 链接对应业务对象id：如果“链接类型”是3=商品，这个id就是商品的spu表的id，即product_spu.id值。
     */
    private Long objectId;
    /**
     * 通过本分享链接，累计注册的用户总数，默认值是0。每注册一个新用户，累加1.
     */
    private Integer registerUserCount;

}