package cn.newfeifan.mall.module.distri.dal.dataobject.sharelinkregister;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 通过分享链接，新注册用户 DO
 *
 * @author 非繁人
 */
@TableName("distri_share_link_register")
@KeySequence("distri_share_link_register_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ShareLinkRegisterDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 分享链接表id：关联分享链接表，本记录对应的分享链接表记录
     */
    private Long distriShareLinkId;
    /**
     * 注册用户id:通过distri_share_link_id分享链接，新注册的用户id，对应member_user表的id
     */
    private Long registerUserId;

}