package cn.newfeifan.mall.module.distri.dal.dataobject.sharepath;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 分销用户关系 DO
 *
 * @author 非繁人
 */
@TableName("distri_share_path")
@KeySequence("distri_share_path_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SharePathDO extends BaseDO {

    /**
     * 层级
     */
    private Integer depth;
    /**
     * id
     */
    @TableId
    private Long id;
    /**
     * 推荐人
     */
    private Long ancestor;
    /**
     * 直推人
     */
    private Long descendant;
    /**
     * 顺序
     */
    private Integer sort;
    /**
     * 推荐人姓名
     */
    private String ancName;
    /**
     * 推荐人手机号
     */
    private String ancPhone;
    /**
     * 直推人姓名
     */
    private String descName;
    /**
     * 推荐人手机号
     */
    private String descPhone;
    /**
     * 推荐人昵称
     */
    private String ancNickName;
    /**
     * 直推人昵称
     */
    private String descNickName;

}