package cn.newfeifan.mall.module.distri.dal.dataobject.socialstatus;

import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 分销用户身价 DO
 *
 * @author 非繁人
 */
@TableName("distri_social_status")
@KeySequence("distri_social_status_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SocialStatusDO extends BaseDO {

    /**
     * 用户编号
     */
    @TableId
    private Long id;
    /**
     * 身价等级
     */
    private String level;
    /**
     * 身价名称
     */
    private String name;
    /**
     * 升级所需点数
     */
    private Long point;


}