package cn.newfeifan.mall.module.distri.dal.dataobject.socialstatuschangelog;

import lombok.*;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 会员身价变化日志 DO
 *
 * @author 非繁人
 */
@TableName("distri_social_status_change_log")
@KeySequence("distri_social_status_change_log_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SocialStatusChangeLogDO extends BaseDO {

    /**
     * 会员身价变化日志id
     */
    @TableId
    private Long id;
    /**
     * 会员资产变化类别id
     */
    private Long socialStatusChangeCategoryId;
    /**
     * 身价点数在本类别操作的变化值
     */
    private Long variationValue;
    /**
     * 操作对应业务对象id，例如订单id
     */
    private Long objectId;
    /**
     * 是否已生效
     */
    private Boolean effective;
    /**
     * 描述
     */
    private String description;
    /**
     * 计划生效时间
     */
    private LocalDateTime planEffectiveTime;
    /**
     * 实际生效时间
     */
    private LocalDateTime actualEffectiveTime;
    /**
     * 用户ID
     */
    private Long userId;

}