package cn.newfeifan.mall.module.distri.dal.dataobject.usersigninlog;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 用户签到日志 DO
 *
 * @author 非繁人
 */
@TableName("distri_user_sign_in_log")
@KeySequence("distri_user_sign_in_log_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UserSignInLogDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 签到的用户ID
     */
    private Long userId;
    /**
     * 连续签到天数
     */
    private Integer runningDays;

}