package cn.newfeifan.mall.module.distri.dal.dataobject.usertopupconsumptionpointsorder;

import lombok.*;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 用户充值消费分订单 DO
 *
 * @author 非繁人
 */
@TableName("distri_user_top_up_consumption_points_order")
@KeySequence("distri_user_top_up_consumption_points_order_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UserTopUpConsumptionPointsOrderDO extends BaseDO {

    /**
     * 用户充值消费分订单编号
     */
    @TableId
    private Long id;
    /**
     * 订单流水号
     */
    private String no;
    /**
     * 订单来源终端
     */
    private Integer terminal;
    /**
     * 用户编号
     */
    private Long userId;
    /**
     * 用户 IP
     */
    private String userIp;
    /**
     * 商品标题
     */
    private String subject;
    /**
     * 充值消费分
     */
    private Long topUpConsumptionPoints;
    /**
     * 到账消费分
     */
    private Long practicalConsumptionPoints;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 支付订单编号
     */
    private Long payOrderId;
    /**
     * 是否已支付：[0:未支付 1:已经支付过]
     */
    private Boolean payStatus;
    /**
     * 订单支付时间
     */
    private LocalDateTime payTime;
    /**
     * 支付成功的支付渠道
     */
    private String payChannelCode;
    /**
     * 订单完成时间
     */
    private LocalDateTime finishTime;
    /**
     * 订单取消时间
     */
    private LocalDateTime cancelTime;
    /**
     * 应付金额（总），单位：分
     */
    private Long payPrice;
    /**
     * 计算百分比模板
     */
    private String percentTemplate;

}