package cn.newfeifan.mall.module.distri.service.applicationforwithdrawal;

import javax.validation.*;
import cn.newfeifan.mall.module.distri.controller.app.applicationforwithdrawal.vo.*;
import cn.newfeifan.mall.module.distri.dal.dataobject.applicationforwithdrawal.ApplicationForWithdrawalDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;

/**
 * 提现申请记录 Service 接口
 *
 * @author 非繁人
 */
public interface ApplicationForWithdrawalService {

    /**
     * 创建提现申请记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createApplicationForWithdrawal(@Valid AppApplicationForWithdrawalSaveReqVO createReqVO);

    /**
     * 更新提现申请记录
     *
     * @param updateReqVO 更新信息
     */
    void updateApplicationForWithdrawal(@Valid AppApplicationForWithdrawalSaveReqVO updateReqVO);

    /**
     * 删除提现申请记录
     *
     * @param id 编号
     */
    void deleteApplicationForWithdrawal(Long id);

    /**
     * 获得提现申请记录
     *
     * @param id 编号
     * @return 提现申请记录
     */
    ApplicationForWithdrawalDO getApplicationForWithdrawal(Long id);

    /**
     * 获得提现申请记录分页
     *
     * @param pageReqVO 分页查询
     * @return 提现申请记录分页
     */
    PageResult<ApplicationForWithdrawalDO> getApplicationForWithdrawalPage(AppApplicationForWithdrawalPageReqVO pageReqVO);

}