package cn.newfeifan.mall.module.distri.service.applicationforwithdrawalchannel;

import javax.validation.*;
import cn.newfeifan.mall.module.distri.controller.app.applicationforwithdrawalchannel.vo.*;
import cn.newfeifan.mall.module.distri.dal.dataobject.applicationforwithdrawalchannel.ApplicationForWithdrawalChannelDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;

/**
 * 提现渠道记录 Service 接口
 *
 * @author 非繁人
 */
public interface ApplicationForWithdrawalChannelService {

    /**
     * 创建提现渠道记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createApplicationForWithdrawalChannel(@Valid AppApplicationForWithdrawalChannelSaveReqVO createReqVO);

    /**
     * 更新提现渠道记录
     *
     * @param updateReqVO 更新信息
     */
    void updateApplicationForWithdrawalChannel(@Valid AppApplicationForWithdrawalChannelSaveReqVO updateReqVO);

    /**
     * 删除提现渠道记录
     *
     * @param id 编号
     */
    void deleteApplicationForWithdrawalChannel(Long id);

    /**
     * 获得提现渠道记录
     *
     * @param id 编号
     * @return 提现渠道记录
     */
    ApplicationForWithdrawalChannelDO getApplicationForWithdrawalChannel(Long id);

    /**
     * 获得提现渠道记录分页
     *
     * @param pageReqVO 分页查询
     * @return 提现渠道记录分页
     */
    PageResult<ApplicationForWithdrawalChannelDO> getApplicationForWithdrawalChannelPage(AppApplicationForWithdrawalChannelPageReqVO pageReqVO);

    /**
     * 获得提现渠道记录
     *
     * @param withdrawalType 渠道类型
     * @param id
     * @return 提现渠道记录
     */
    ApplicationForWithdrawalChannelDO getApplicationForWithdrawalChannel(Integer withdrawalType, Long id);
}