package cn.newfeifan.mall.module.distri.service.consumptiontransferlog;

import javax.validation.*;

import cn.newfeifan.mall.module.distri.controller.app.consumptiontransferlog.vo.ConsumptionTransferLogPageReqVO;
import cn.newfeifan.mall.module.distri.controller.app.consumptiontransferlog.vo.ConsumptionTransferLogSaveReqVO;
import cn.newfeifan.mall.module.distri.dal.dataobject.consumptiontransferlog.ConsumptionTransferLogDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;

/**
 * 消费分转让记录 Service 接口
 *
 * @author 非繁人
 */
public interface ConsumptionTransferLogService {

    /**
     * 创建消费分转让记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createConsumptionTransferLog(@Valid ConsumptionTransferLogSaveReqVO createReqVO);

    /**
     * 更新消费分转让记录
     *
     * @param updateReqVO 更新信息
     */
    void updateConsumptionTransferLog(@Valid ConsumptionTransferLogSaveReqVO updateReqVO);

    /**
     * 删除消费分转让记录
     *
     * @param id 编号
     */
    void deleteConsumptionTransferLog(Long id);

    /**
     * 获得消费分转让记录
     *
     * @param id 编号
     * @return 消费分转让记录
     */
    ConsumptionTransferLogDO getConsumptionTransferLog(Long id);

    /**
     * 获得消费分转让记录分页
     *
     * @param pageReqVO 分页查询
     * @return 消费分转让记录分页
     */
    PageResult<ConsumptionTransferLogDO> getConsumptionTransferLogPage(ConsumptionTransferLogPageReqVO pageReqVO);

}