package cn.newfeifan.mall.module.distri.service.duser;

import javax.validation.*;
import cn.newfeifan.mall.module.distri.controller.admin.duser.vo.*;
import cn.newfeifan.mall.module.distri.controller.app.sharepath.vo.SharePathSaveReqVO;
import cn.newfeifan.mall.module.distri.dal.dataobject.duser.DuserDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;

/**
 * 推荐用户 Service 接口
 *
 * @author 非繁人
 */
public interface DuserService {

    /**
     * 创建推荐用户
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDuser(@Valid DuserSaveReqVO createReqVO);

    /**
     * 更新推荐用户
     *
     * @param updateReqVO 更新信息
     */
    void updateDuser(@Valid DuserSaveReqVO updateReqVO);

    /**
     * 删除推荐用户
     *
     * @param id 编号
     */
    void deleteDuser(Long id);

    /**
     * 获得推荐用户
     *
     * @param id 编号
     * @return 推荐用户
     */
    DuserDO getDuser(Long id);

    /**
     * 获得推荐用户分页
     *
     * @param pageReqVO 分页查询
     * @return 推荐用户分页
     */
    PageResult<DuserDO> getDuserPage(DuserPageReqVO pageReqVO);


    void hasUserAndCreat(SharePathSaveReqVO saveReqVO);
    void hasUserAndCreat(Long userId);

    DuserInfoVO getDuserInfo(Long userId);

    /**
     * 修改用户身价
     * @param userId 用户编号
     * @param social 身价值
     * @param socialStatus 身价状态
     */
    void updateDuserSocial(Long userId, Long social, Integer socialStatus);

    DuserDO getDuserByUser(Long userId);
}