package cn.newfeifan.mall.module.distri.service.orderpercentage;

import javax.validation.*;

import cn.newfeifan.mall.module.distri.controller.app.orderpercentage.vo.OrderPercentageDoubleSaveReqVO;
import cn.newfeifan.mall.module.distri.controller.app.orderpercentage.vo.OrderPercentagePageReqVO;
import cn.newfeifan.mall.module.distri.dal.dataobject.orderpercentage.OrderPercentageDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;

/**
 * 积分相关计算浮动百分比设置 Service 接口
 *
 * @author 非繁人
 */
public interface OrderPercentageService {

    /**
     * 创建积分相关计算浮动百分比设置
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createOrderPercentage(@Valid OrderPercentageDoubleSaveReqVO createReqVO);

    /**
     * 更新积分相关计算浮动百分比设置
     *
     * @param updateReqVO 更新信息
     */
    void updateOrderPercentage(@Valid OrderPercentageDoubleSaveReqVO updateReqVO);

    /**
     * 删除积分相关计算浮动百分比设置
     *
     * @param id 编号
     */
    void deleteOrderPercentage(Long id);

    /**
     * 获得积分相关计算浮动百分比设置
     *
     * @param id 编号
     * @return 积分相关计算浮动百分比设置
     */
    OrderPercentageDO getOrderPercentage(Long id);

    /**
     * 获得积分相关计算浮动百分比设置分页
     *
     * @param pageReqVO 分页查询
     * @return 积分相关计算浮动百分比设置分页
     */
    PageResult<OrderPercentageDO> getOrderPercentagePage(OrderPercentagePageReqVO pageReqVO);

    /**
     * 查找默认计算参数
     * @return
     */
    OrderPercentageDO queryStatus();


}