package cn.newfeifan.mall.module.distri.service.partitionbrothers;

import java.util.*;
import javax.validation.*;
import cn.newfeifan.mall.module.distri.controller.admin.partitionbrothers.vo.*;
import cn.newfeifan.mall.module.distri.dal.dataobject.partitionbrothers.PartitionBrothersDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;
import cn.newfeifan.mall.framework.common.pojo.PageParam;

/**
 * 兄弟分区 Service 接口
 *
 * @author 非繁人
 */
public interface PartitionBrothersService {

    /**
     * 创建兄弟分区
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createPartitionBrothers(@Valid PartitionBrothersSaveReqVO createReqVO);

    /**
     * 更新兄弟分区
     *
     * @param updateReqVO 更新信息
     */
    void updatePartitionBrothers(@Valid PartitionBrothersSaveReqVO updateReqVO);

    /**
     * 删除兄弟分区
     *
     * @param id 编号
     */
    void deletePartitionBrothers(Long id);

    /**
     * 获得兄弟分区
     *
     * @param id 编号
     * @return 兄弟分区
     */
    PartitionBrothersDO getPartitionBrothers(Long id);

    /**
     * 获得兄弟分区分页
     *
     * @param pageReqVO 分页查询
     * @return 兄弟分区分页
     */
    PageResult<PartitionBrothersDO> getPartitionBrothersPage(PartitionBrothersPageReqVO pageReqVO);

}