package cn.newfeifan.mall.module.distri.service.partitioncrash;

import javax.validation.*;
import cn.newfeifan.mall.module.distri.controller.admin.partitioncrash.vo.*;
import cn.newfeifan.mall.module.distri.dal.dataobject.partitioncrash.PartitionCrashDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;

/**
 * 分区碰撞 Service 接口
 *
 * @author 非繁人
 */
public interface PartitionCrashService {

    /**
     * 创建分区碰撞
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createPartitionCrash(@Valid PartitionCrashSaveReqVO createReqVO);

    /**
     * 更新分区碰撞
     *
     * @param updateReqVO 更新信息
     */
    void updatePartitionCrash(@Valid PartitionCrashSaveReqVO updateReqVO);

    /**
     * 删除分区碰撞
     *
     * @param id 编号
     */
    void deletePartitionCrash(Long id);

    /**
     * 获得分区碰撞
     *
     * @param id 编号
     * @return 分区碰撞
     */
    PartitionCrashDO getPartitionCrash(Long id);

    /**
     * 获得分区碰撞分页
     *
     * @param pageReqVO 分页查询
     * @return 分区碰撞分页
     */
    PageResult<PartitionCrashDO> getPartitionCrashPage(PartitionCrashPageReqVO pageReqVO);

    /**
     * 获取用户的剩余额度
     * @param userId 用户编号
     * @return 剩余额度
     */
    Long getResidueSocial(Long userId);
}