package cn.newfeifan.mall.module.distri.service.partitionson;

import java.util.*;
import javax.validation.*;
import cn.newfeifan.mall.module.distri.controller.admin.partitionson.vo.*;
import cn.newfeifan.mall.module.distri.dal.dataobject.partitionson.PartitionSonDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;
import cn.newfeifan.mall.framework.common.pojo.PageParam;

/**
 * 后代分区 Service 接口
 *
 * @author 非繁人
 */
public interface PartitionSonService {

    /**
     * 创建后代分区
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createPartitionSon(@Valid PartitionSonSaveReqVO createReqVO);

    /**
     * 更新后代分区
     *
     * @param updateReqVO 更新信息
     */
    void updatePartitionSon(@Valid PartitionSonSaveReqVO updateReqVO);

    /**
     * 删除后代分区
     *
     * @param id 编号
     */
    void deletePartitionSon(Long id);

    /**
     * 获得后代分区
     *
     * @param id 编号
     * @return 后代分区
     */
    PartitionSonDO getPartitionSon(Long id);

    /**
     * 获得后代分区分页
     *
     * @param pageReqVO 分页查询
     * @return 后代分区分页
     */
    PageResult<PartitionSonDO> getPartitionSonPage(PartitionSonPageReqVO pageReqVO);

}