package cn.newfeifan.mall.module.distri.service.sharelinkregister;

import javax.validation.*;

import cn.newfeifan.mall.module.distri.controller.app.sharelinkregister.vo.AppShareLinkRegisterPageReqVO;
import cn.newfeifan.mall.module.distri.controller.app.sharelinkregister.vo.AppShareLinkRegisterSaveReqVO;
import cn.newfeifan.mall.module.distri.dal.dataobject.sharelinkregister.ShareLinkRegisterDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;

/**
 * 通过分享链接，新注册用户 Service 接口
 *
 * @author 非繁人
 */
public interface ShareLinkRegisterService {

    /**
     * 创建通过分享链接，新注册用户
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createShareLinkRegister(@Valid AppShareLinkRegisterSaveReqVO createReqVO);

    /**
     * 更新通过分享链接，新注册用户
     *
     * @param updateReqVO 更新信息
     */
    void updateShareLinkRegister(@Valid AppShareLinkRegisterSaveReqVO updateReqVO);

    /**
     * 删除通过分享链接，新注册用户
     *
     * @param id 编号
     */
    void deleteShareLinkRegister(Long id);

    /**
     * 获得通过分享链接，新注册用户
     *
     * @param id 编号
     * @return 通过分享链接，新注册用户
     */
    ShareLinkRegisterDO getShareLinkRegister(Long id);

    /**
     * 获得通过分享链接，新注册用户分页
     *
     * @param pageReqVO 分页查询
     * @return 通过分享链接，新注册用户分页
     */
    PageResult<ShareLinkRegisterDO> getShareLinkRegisterPage(AppShareLinkRegisterPageReqVO pageReqVO);

}