package cn.newfeifan.mall.module.distri.service.socialstatuschangecategory;

import java.util.*;
import javax.validation.*;
import cn.newfeifan.mall.module.distri.controller.admin.socialstatuschangecategory.vo.*;
import cn.newfeifan.mall.module.distri.dal.dataobject.socialstatuschangecategory.SocialStatusChangeCategoryDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;
import cn.newfeifan.mall.framework.common.pojo.PageParam;

/**
 * 会员身价变化类别 Service 接口
 *
 * @author 非繁人
 */
public interface SocialStatusChangeCategoryService {

    /**
     * 创建会员身价变化类别
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createSocialStatusChangeCategory(@Valid SocialStatusChangeCategorySaveReqVO createReqVO);

    /**
     * 更新会员身价变化类别
     *
     * @param updateReqVO 更新信息
     */
    void updateSocialStatusChangeCategory(@Valid SocialStatusChangeCategorySaveReqVO updateReqVO);

    /**
     * 删除会员身价变化类别
     *
     * @param id 编号
     */
    void deleteSocialStatusChangeCategory(Long id);

    /**
     * 获得会员身价变化类别
     *
     * @param id 编号
     * @return 会员身价变化类别
     */
    SocialStatusChangeCategoryDO getSocialStatusChangeCategory(Long id);

    /**
     * 获得会员身价变化类别分页
     *
     * @param pageReqVO 分页查询
     * @return 会员身价变化类别分页
     */
    PageResult<SocialStatusChangeCategoryDO> getSocialStatusChangeCategoryPage(SocialStatusChangeCategoryPageReqVO pageReqVO);

}