package cn.newfeifan.mall.module.distri.service.socialstatuschangelog;

import javax.validation.*;
import cn.newfeifan.mall.module.distri.controller.admin.socialstatuschangelog.vo.*;
import cn.newfeifan.mall.module.distri.dal.dataobject.socialstatuschangelog.SocialStatusChangeLogDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;
import cn.newfeifan.mall.module.distri.enums.SocialStatusEnum;

/**
 * 会员身价变化日志 Service 接口
 *
 * @author 非繁人
 */
public interface SocialStatusChangeLogService {

    /**
     * 创建会员身价变化日志
     *
     * @param userId 用户编号
     * @param socialValue 身价值
     * @param objectId 业务对象编号
     * @param socialStatusEnum 业务对象枚举
     * @return 编号
     */
    Long createSocialStatusChangeLog(Long userId, Long socialValue, Long objectId, SocialStatusEnum socialStatusEnum);

    /**
     * 创建会员身价变化日志
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createSocialStatusChangeLog(@Valid SocialStatusChangeLogSaveReqVO createReqVO);


    /**
     * 更新会员身价变化日志
     *
     * @param updateReqVO 更新信息
     */
    void updateSocialStatusChangeLog(@Valid SocialStatusChangeLogSaveReqVO updateReqVO);

    /**
     * 删除会员身价变化日志
     *
     * @param id 编号
     */
    void deleteSocialStatusChangeLog(Long id);

    /**
     * 获得会员身价变化日志
     *
     * @param id 编号
     * @return 会员身价变化日志
     */
    SocialStatusChangeLogDO getSocialStatusChangeLog(Long id);

    /**
     * 获得会员身价变化日志分页
     *
     * @param pageReqVO 分页查询
     * @return 会员身价变化日志分页
     */
    PageResult<SocialStatusChangeLogDO> getSocialStatusChangeLogPage(SocialStatusChangeLogPageReqVO pageReqVO);

}