package cn.newfeifan.mall.module.distri.service.source;

import java.util.*;
import javax.validation.*;
import cn.newfeifan.mall.module.distri.controller.admin.source.vo.*;
import cn.newfeifan.mall.module.distri.dal.dataobject.source.SourceDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;
import cn.newfeifan.mall.framework.common.pojo.PageParam;

/**
 * 分销来源 Service 接口
 *
 * @author 非繁人
 */
public interface SourceService {

    /**
     * 创建分销来源
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createSource(@Valid SourceSaveReqVO createReqVO);

    /**
     * 更新分销来源
     *
     * @param updateReqVO 更新信息
     */
    void updateSource(@Valid SourceSaveReqVO updateReqVO);

    /**
     * 删除分销来源
     *
     * @param id 编号
     */
    void deleteSource(Long id);

    /**
     * 获得分销来源
     *
     * @param id 编号
     * @return 分销来源
     */
    SourceDO getSource(Long id);

    /**
     * 获得分销来源分页
     *
     * @param pageReqVO 分页查询
     * @return 分销来源分页
     */
    PageResult<SourceDO> getSourcePage(SourcePageReqVO pageReqVO);

}