package cn.newfeifan.mall.module.distri.service.usercollectbefore;

import javax.validation.*;

import cn.newfeifan.mall.module.distri.controller.app.usercollectbefore.vo.UserCollectBeforePageReqVO;
import cn.newfeifan.mall.module.distri.controller.app.usercollectbefore.vo.UserCollectBeforeSaveReqVO;
import cn.newfeifan.mall.module.distri.dal.dataobject.usercollectbefore.UserCollectBeforeDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;

/**
 * 用户曾经收藏过什么商品的 Service 接口
 *
 * @author 非繁人
 */
public interface UserCollectBeforeService {

    /**
     * 创建用户曾经收藏过什么商品的
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createUserCollectBefore(@Valid UserCollectBeforeSaveReqVO createReqVO);

    /**
     * 更新用户曾经收藏过什么商品的
     *
     * @param updateReqVO 更新信息
     */
    void updateUserCollectBefore(@Valid UserCollectBeforeSaveReqVO updateReqVO);

    /**
     * 删除用户曾经收藏过什么商品的
     *
     * @param id 编号
     */
    void deleteUserCollectBefore(Long id);

    /**
     * 获得用户曾经收藏过什么商品的
     *
     * @param id 编号
     * @return 用户曾经收藏过什么商品的
     */
    UserCollectBeforeDO getUserCollectBefore(Long id);

    /**
     * 获得用户曾经收藏过什么商品的分页
     *
     * @param pageReqVO 分页查询
     * @return 用户曾经收藏过什么商品的分页
     */
    PageResult<UserCollectBeforeDO> getUserCollectBeforePage(UserCollectBeforePageReqVO pageReqVO);

}