package cn.newfeifan.mall.module.distri.service.usertopupconsumptionpointsorder;

import javax.validation.*;
import cn.newfeifan.mall.module.distri.controller.app.usertopupconsumptionpointsorder.vo.*;
import cn.newfeifan.mall.module.distri.dal.dataobject.usertopupconsumptionpointsorder.UserTopUpConsumptionPointsOrderDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;
import cn.newfeifan.mall.module.pay.dal.dataobject.order.PayOrderDO;

/**
 * 用户充值消费分订单 Service 接口
 *
 * @author 非繁人
 */
public interface UserTopUpConsumptionPointsOrderService {

    /**
     * 创建用户充值消费分订单
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    UserTopUpConsumptionPointsOrderInfoRespVO createUserTopUpConsumptionPointsOrder(@Valid UserTopUpConsumptionPointsOrderSaveReqVO createReqVO);

    /**
     * 更新用户充值消费分订单
     *
     * @param updateReqVO 更新信息
     */
    void updateUserTopUpConsumptionPointsOrder(@Valid UserTopUpConsumptionPointsOrderSaveReqVO updateReqVO);

    /**
     * 删除用户充值消费分订单
     *
     * @param id 编号
     */
    void deleteUserTopUpConsumptionPointsOrder(Long id);

    /**
     * 获得用户充值消费分订单
     *
     * @param id 编号
     * @return 用户充值消费分订单
     */
    UserTopUpConsumptionPointsOrderDO getUserTopUpConsumptionPointsOrder(Long id);

    /**
     * 获得用户充值消费分订单分页
     *
     * @param pageReqVO 分页查询
     * @return 用户充值消费分订单分页
     */
    PageResult<UserTopUpConsumptionPointsOrderDO> getUserTopUpConsumptionPointsOrderPage(UserTopUpConsumptionPointsOrderPageReqVO pageReqVO);

    /**
     * 充值消费
     * @param payOrderDO 支付订单
     */
    void topUpConsumptionPoints(PayOrderDO payOrderDO);

}