package cn.newfeifan.mall.module.sale.controller.app.merchant.vo;

import cn.newfeifan.mall.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 商户分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class MerchantPageReqVO extends PageParam {

    @Schema(description = "商户名称", example = "李四")
    private String name;

    @Schema(description = "商户状态，关联商户状态表", example = "2")
    private Integer status;

    @Schema(description = "简介", example = "随便")
    private String description;

    @Schema(description = "负责人")
    private String contact;

    @Schema(description = "所在地")
    private String address;

    @Schema(description = "负责人电话")
    private String contactNumber;

    @Schema(description = "域名")
    private String website;

    @Schema(description = "官网")
    private String businessUrl;

    @Schema(description = "维权电话")
    private String complaintsHotline;

    @Schema(description = "客服电话")
    private String customerServiceHotline;

    @Schema(description = "邮箱")
    private String email;

    @Schema(description = "营业执照图片路径")
    private String businessLicensePicture;

    @Schema(description = "服务到期时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] expireTime;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "logo地址", example = "https://www.zhongxing.cn")
    private String logoUrl;

/*    @Schema(description = "商户负责人姓名", example = "非繁人")
    private String contactName;

    @Schema(description = "商户负责人手机")
    private String contactMobile;*/

    @Schema(description = "服务套餐", example = "8463")
    private Integer packageId;

    @Schema(description = "店铺数量", example = "11326")
    private Integer shopCount;

    @Schema(description = "区域id，对应文件系统 src/main/resources/area.csv 中的id一列", example = "22725")
    private Long areaId;
}