package cn.newfeifan.mall.module.sale.controller.app.merchantapplylog.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 商户审核记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class MerchantApplyLogPageReqVO extends PageParam {

    @Schema(description = "申请状态  0:申请中 1:通过 2:未通过", example = "2")
    private Integer status;

    @Schema(description = "商户申请id", example = "16850")
    private Long merchantApplyId;

    @Schema(description = "审核系统用户id", example = "16237")
    private Long checkSystemUserId;

    @Schema(description = "审核意见")
    private String checkComment;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}