package cn.newfeifan.mall.module.sale.controller.app.merchantapplylog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 商户审核记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class MerchantApplyLogRespVO {

    @Schema(description = "审核记录id", requiredMode = Schema.RequiredMode.REQUIRED, example = "9887")
    @ExcelProperty("审核记录id")
    private Long id;

    @Schema(description = "申请状态  0:申请中 1:通过 2:未通过", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @ExcelProperty("申请状态  0:申请中 1:通过 2:未通过")
    private Integer status;

    @Schema(description = "商户申请id", requiredMode = Schema.RequiredMode.REQUIRED, example = "16850")
    @ExcelProperty("商户申请id")
    private Long merchantApplyId;

    @Schema(description = "审核系统用户id", example = "16237")
    @ExcelProperty("审核系统用户id")
    private Long checkSystemUserId;

    @Schema(description = "审核意见")
    @ExcelProperty("审核意见")
    private String checkComment;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}