package cn.newfeifan.mall.module.sale.controller.app.merchantapplylog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 商户审核记录新增/修改 Request VO")
@Data
public class MerchantApplyLogSaveReqVO {

    @Schema(description = "审核记录id", requiredMode = Schema.RequiredMode.REQUIRED, example = "9887")
    private Long id;

    @Schema(description = "申请状态  0:申请中 1:通过 2:未通过", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @NotNull(message = "申请状态  0:申请中 1:通过 2:未通过不能为空")
    private Integer status;

    @Schema(description = "商户申请id", requiredMode = Schema.RequiredMode.REQUIRED, example = "16850")
    @NotNull(message = "商户申请id不能为空")
    private Long merchantApplyId;

    @Schema(description = "审核系统用户id", example = "16237")
    private Long checkSystemUserId;

    @Schema(description = "审核意见")
    private String checkComment;

}