package cn.newfeifan.mall.module.sale.controller.app.shop.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 店铺分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ShopPageReqVO extends PageParam {

    @Schema(description = "店铺名称", example = "李四")
    private String name;

    @Schema(description = "店铺状态", example = "1")
    private Integer status;

    @Schema(description = "商户id", example = "3447")
    private Long merchantId;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "logo地址", example = "https://www.zhongxing.cn")
    private String logoUrl;

}