package cn.newfeifan.mall.module.sale.controller.app.shop.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 店铺新增/修改 Request VO")
@Data
public class ShopSaveReqVO {

    @Schema(description = "店铺id", requiredMode = Schema.RequiredMode.REQUIRED, example = "15084")
    private Long id;

    @Schema(description = "店铺名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "李四")
    @NotEmpty(message = "店铺名称不能为空")
    private String name;

    @Schema(description = "店铺状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "店铺状态不能为空")
    private Integer status;

    @Schema(description = "商户id", requiredMode = Schema.RequiredMode.REQUIRED, example = "3447")
    @NotNull(message = "商户id不能为空")
    private Long merchantId;

    @Schema(description = "logo地址", example = "https://www.zhongxing.cn")
    private String logoUrl;

}