package cn.newfeifan.mall.module.sale.dal.dataobject.merchantapply;

import lombok.*;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 商户申请 DO
 *
 * @author 非繁人
 */
@TableName("sale_merchant_apply")
@KeySequence("sale_merchant_apply_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MerchantApplyDO extends BaseDO {

    /**
     * 商户id
     */
    @TableId
    private Long id;
    /**
     * logo地址
     */
    private String logoUrl;
    /**
     * 商户名称
     */
    private String name;
    /**
     * 商户状态，关联商户状态表
     */
    private Integer status;
    /**
     * 简介
     */
    private String description;
    /**
     * 商户负责人
     */
    private String contact;
    /**
     * 所在地
     */
    private String address;
    /**
     * 负责人电话
     */
    private String contactNumber;
    /**
     * 域名
     */
    private String website;
    /**
     * 商户官网
     */
    private String businessUrl;
    /**
     * 维权电话
     */
    private String complaintsHotline;
    /**
     * 客服电话
     */
    private String customerServiceHotline;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 营业执照图片路径
     */
    private String businessLicensePicture;
    /**
     * 服务套餐
     */
    private Integer packageId;
    /**
     * 店铺数量
     */
    private Integer shopCount;
    /**
     * 服务到期时间
     */
    private LocalDateTime expireTime;
    /**
     * 区域id，对应文件系统 src/main/resources/area.csv 中的id一列
     */
    private Long areaId;
    /**
     * 申请用户id
     */
    private Long applyMemberUserId;
    /**
     * 审核系统用户id
     */
    private Long checkSystemUserId;
    /**
     * 审核时间
     */
    private LocalDateTime checkTime;
    /**
     * 审核意见
     */
    private String checkComment;
    /**
     * 申请备注
     */
    private String applyComment;
    /**
     * 审核状态：默认0表示未审核，1审核通过，2审核不通过
     */
    private Integer checkStatus;
    /**
     * 账户名称
     */
    private String accountName;
    /**
     * 账户号码
     */
    private String accountNumber;
    /**
     * 开户银行
     */
    private String bankName;
    /**
     * 品牌授权书
     */
    private String brandLicensing;
    /**
     * 其他证书
     */
    private String otherCertificate;

    /**
     * 法人
     */
    private String legalPerson;
    /**
     * 法人电话
     */
    private String legalPersonNumber;
    /**
     * 身份证正面
     */
    private String identityCardFront;
    /**
     * 身份证反面
     */
    private String identityCardReverseSide;

    /**
     * 审核人状态：默认1表示廖总，2徐总，3翁总, 0通过
     */
    private Integer checkPersonStatus;

}