package cn.newfeifan.mall.module.sale.dal.dataobject.merchantapplylog;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 商户审核记录 DO
 *
 * @author 非繁人
 */
@TableName("sale_merchant_apply_log")
@KeySequence("sale_merchant_apply_log_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MerchantApplyLogDO extends BaseDO {

    /**
     * 审核记录id
     */
    @TableId
    private Long id;
    /**
     * 申请状态  0:申请中 1:通过 2:未通过
     */
    private Integer status;
    /**
     * 商户申请id
     */
    private Long merchantApplyId;
    /**
     * 审核系统用户id
     */
    private Long checkSystemUserId;
    /**
     * 审核意见
     */
    private String checkComment;

}