package cn.newfeifan.mall.module.sale.dal.dataobject.shop;

import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 店铺 DO
 *
 * @author 非繁人
 */
@TableName("sale_shop")
@KeySequence("sale_shop_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ShopDO extends BaseDO {

    /**
     * 店铺id
     */
    @TableId
    private Long id;

    //是否启用全局包邮
    private Boolean deliveryExpressFreeEnabled;

    //全场包邮的最小金额，单位：分
    private Integer deliveryExpressFreePrice;

    /**
     * 店铺名称
     */
    private String name;
    /**
     * 店铺状态
     */
    private Integer status;
    /**
     * 商户id
     */
    private Long merchantId;
    /**
     * logo地址
     */
    private String logoUrl;
    /**
     * 域名
     */
//    private String website;

}