package cn.newfeifan.mall.module.sale.service.merchantapplylog;

import javax.validation.*;

import cn.newfeifan.mall.module.sale.controller.app.merchantapplylog.vo.MerchantApplyLogPageReqVO;
import cn.newfeifan.mall.module.sale.controller.app.merchantapplylog.vo.MerchantApplyLogSaveReqVO;
import cn.newfeifan.mall.module.sale.dal.dataobject.merchantapplylog.MerchantApplyLogDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;

/**
 * 商户审核记录 Service 接口
 *
 * @author 非繁人
 */
public interface MerchantApplyLogService {

    /**
     * 创建商户审核记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createMerchantApplyLog(@Valid MerchantApplyLogSaveReqVO createReqVO);

    /**
     * 更新商户审核记录
     *
     * @param updateReqVO 更新信息
     */
    void updateMerchantApplyLog(@Valid MerchantApplyLogSaveReqVO updateReqVO);

    /**
     * 删除商户审核记录
     *
     * @param id 编号
     */
    void deleteMerchantApplyLog(Long id);

    /**
     * 获得商户审核记录
     *
     * @param id 编号
     * @return 商户审核记录
     */
    MerchantApplyLogDO getMerchantApplyLog(Long id);

    /**
     * 获得商户审核记录分页
     *
     * @param pageReqVO 分页查询
     * @return 商户审核记录分页
     */
    PageResult<MerchantApplyLogDO> getMerchantApplyLogPage(MerchantApplyLogPageReqVO pageReqVO);

}