package cn.newfeifan.mall.module.trade.api.wechat;

import java.util.List;

/**
 * 微信消息 API 接口
 */
public interface WcChatMessageUtilsApi {

    /**
     * 发送微信信息
     *
     * @param templateId   自定义消息模板id
     * @param params       消息参数
     * @param systemUserId 系统用户id
     * @param objectId     对象id
     */
    void sendWcChatMessage(String templateId, List<String> params, Long systemUserId, Long objectId) ;

    /**
     * 极光推送
     * @param rsgIds 注册id
     * @param alert 推送内容
     * @param title 标题
     * @param url 地址
     * @param memberUserId 用户id
     * @param systemUserId 系统用户id
     * @param objectId 对象id
     */
    void jPush(List<String> rsgIds, String alert, String title, String url, Long memberUserId, Long systemUserId, Long objectId);

    /**
     * 获取url
     * @param title 标题
     * @param objectId 对象id
     * @param systemUserId 系统用户id
     * @return 地址
     */
    String getUrl(String title, Long objectId, Long systemUserId);

    /**
     * 判断是否有权限
     * @param userId 系统用户id
     * @param messageName 消息名称
     * @return 是否有权限
     */
    Boolean isHavePermission(Long userId, String messageName);
}
