package cn.newfeifan.mall.module.trade.controller.admin.delivery.vo.express;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Schema(description = "管理后台 - 快递公司导入 Response VO")
@Data
@Builder
public class DeliveryExpressImportRespVO {

    @Schema(description = "创建成功的快递公司名数组", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<String> createDeliveryExpressNames;

    @Schema(description = "更新成功的快递公司名数组", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<String> updateDeliveryExpressNames;

    @Schema(description = "导入失败的快递公司集合，key 为快递公司名，value 为失败原因", requiredMode = Schema.RequiredMode.REQUIRED)
    private Map<String, String> failureDeliveryExpressNames;
}
