package cn.newfeifan.mall.module.trade.controller.admin.jpushmessagelog.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 极光推送记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class JPushMessageLogPageReqVO extends PageParam {

    @Schema(description = "接收消息用户的openid", example = "25139")
    private String regId;

    @Schema(description = "会员用户ID", example = "13890")
    private Long memberUserId;

    @Schema(description = "系统用户ID", example = "12879")
    private Long systemUserId;

    @Schema(description = "微信消息模板参数")
    private String jpushParams;

    @Schema(description = "对应的业务对象ID，如订单ID、售后订单ID", example = "26581")
    private Long objectId;

    @Schema(description = "发送时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] sendTime;

    @Schema(description = "极光返回的消息响应结果")
    private String responseResult;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}