package cn.newfeifan.mall.module.trade.controller.admin.jpushmessagelog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 极光推送记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class JPushMessageLogRespVO {

    @Schema(description = "消息记录ID，自增主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "22852")
    @ExcelProperty("消息记录ID，自增主键")
    private Long id;

    @Schema(description = "接收消息用户的openid", requiredMode = Schema.RequiredMode.REQUIRED, example = "25139")
    @ExcelProperty("接收消息用户的openid")
    private String regId;

    @Schema(description = "会员用户ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "13890")
    @ExcelProperty("会员用户ID")
    private Long memberUserId;

    @Schema(description = "系统用户ID", example = "12879")
    @ExcelProperty("系统用户ID")
    private Long systemUserId;

    @Schema(description = "微信消息模板参数")
    @ExcelProperty("微信消息模板参数")
    private String jpushParams;

    @Schema(description = "对应的业务对象ID，如订单ID、售后订单ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "26581")
    @ExcelProperty("对应的业务对象ID，如订单ID、售后订单ID")
    private Long objectId;

    @Schema(description = "发送时间")
    @ExcelProperty("发送时间")
    private LocalDateTime sendTime;

    @Schema(description = "极光返回的消息响应结果")
    @ExcelProperty("极光返回的消息响应结果")
    private String responseResult;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}