package cn.newfeifan.mall.module.trade.controller.admin.jpushmessagelog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import javax.validation.constraints.*;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 极光推送记录新增/修改 Request VO")
@Data
@Builder
public class JPushMessageLogSaveReqVO {

    @Schema(description = "消息记录ID，自增主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "22852")
    private Long id;

    @Schema(description = "接收消息用户的openid", requiredMode = Schema.RequiredMode.REQUIRED, example = "25139")
    @NotEmpty(message = "接收消息用户的openid不能为空")
    private String regId;

    @Schema(description = "会员用户ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "13890")
    @NotNull(message = "会员用户ID不能为空")
    private Long memberUserId;

    @Schema(description = "系统用户ID", example = "12879")
    private Long systemUserId;

    @Schema(description = "微信消息模板参数")
    private String jpushParams;

    @Schema(description = "对应的业务对象ID，如订单ID、售后订单ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "26581")
    @NotNull(message = "对应的业务对象ID，如订单ID、售后订单ID不能为空")
    private Long objectId;

    @Schema(description = "发送时间")
    private LocalDateTime sendTime;

    @Schema(description = "极光返回的消息响应结果")
    private String responseResult;

}