package cn.newfeifan.mall.module.trade.controller.admin.messagelog.vo;

import cn.newfeifan.mall.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 微信消息记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class MessageLogPageReqVO extends PageParam {

    @Schema(description = "接收消息用户的openid", example = "20952")
    private String openid;

    @Schema(description = "会员用户ID", example = "16486")
    private Long memberUserId;

    @Schema(description = "系统用户ID", example = "13077")
    private Long systemUserId;

    @Schema(description = "微信消息模板ID", example = "13313")
    private Long wechatMsgTemplateId;

    @Schema(description = "微信消息模板参数")
    private String wechatMsgTemplateParams;

    @Schema(description = "对应的业务对象ID，如订单ID、售后订单ID", example = "30167")
    private Long objectId;

    @Schema(description = "发送时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] sendTime;

    @Schema(description = "微信返回的消息发送状态", example = "1")
    private Boolean sendStatus;

    @Schema(description = "微信返回的消息响应结果")
    private String responseResult;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
