package cn.newfeifan.mall.module.trade.controller.admin.messagelog.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 微信消息记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class MessageLogRespVO {

    @Schema(description = "消息记录ID，自增主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "20647")
    @ExcelProperty("消息记录ID，自增主键")
    private Long id;

    @Schema(description = "接收消息用户的openid", requiredMode = Schema.RequiredMode.REQUIRED, example = "20952")
    @ExcelProperty("接收消息用户的openid")
    private String openid;

    @Schema(description = "会员用户ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "16486")
    @ExcelProperty("会员用户ID")
    private Long memberUserId;

    @Schema(description = "系统用户ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "13077")
    @ExcelProperty("系统用户ID")
    private Long systemUserId;

    @Schema(description = "微信消息模板ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "13313")
    @ExcelProperty("微信消息模板ID")
    private Long wechatMsgTemplateId;

    @Schema(description = "微信消息模板参数")
    @ExcelProperty("微信消息模板参数")
    private String wechatMsgTemplateParams;

    @Schema(description = "对应的业务对象ID，如订单ID、售后订单ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "30167")
    @ExcelProperty("对应的业务对象ID，如订单ID、售后订单ID")
    private Long objectId;

    @Schema(description = "发送时间")
    @ExcelProperty("发送时间")
    private LocalDateTime sendTime;

    @Schema(description = "微信返回的消息发送状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @ExcelProperty("微信返回的消息发送状态")
    private Boolean sendStatus;

    @Schema(description = "微信返回的消息响应结果")
    @ExcelProperty("微信返回的消息响应结果")
    private String responseResult;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
