package cn.newfeifan.mall.module.trade.controller.admin.messagelog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 微信消息记录新增/修改 Request VO")
@Data
@Builder
public class MessageLogSaveReqVO {

    @Schema(description = "消息记录ID，自增主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "20647")
    private Long id;

    @Schema(description = "接收消息用户的openid", requiredMode = Schema.RequiredMode.REQUIRED, example = "20952")
    @NotEmpty(message = "接收消息用户的openid不能为空")
    private String openid;

    @Schema(description = "会员用户ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "16486")
    @NotNull(message = "会员用户ID不能为空")
    private Long memberUserId;

    @Schema(description = "系统用户ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "13077")
    private Long systemUserId;

    @Schema(description = "微信消息模板ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "13313")
    @NotNull(message = "微信消息模板ID不能为空")
    private Long wechatMsgTemplateId;

    @Schema(description = "微信消息模板参数")
    private String wechatMsgTemplateParams;

    @Schema(description = "对应的业务对象ID，如订单ID、售后订单ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "30167")
    @NotNull(message = "对应的业务对象ID，如订单ID、售后订单ID不能为空")
    private Long objectId;

    @Schema(description = "发送时间")
    private LocalDateTime sendTime;

    @Schema(description = "微信返回的消息发送状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "微信返回的消息发送状态不能为空")
    private Boolean sendStatus;

    @Schema(description = "微信返回的消息响应结果")
    private String responseResult;

}
