package cn.newfeifan.mall.module.trade.dal.dataobject.jpushmessagelog;

import lombok.*;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 极光推送记录 DO
 *
 * @author 非繁人
 */
@TableName("jpush_message_log")
@KeySequence("jpush_message_log_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class JPushMessageLogDO extends BaseDO {

    /**
     * 消息记录ID，自增主键
     */
    @TableId
    private Long id;
    /**
     * 接收消息用户的openid
     */
    private String regId;
    /**
     * 会员用户ID
     */
    private Long memberUserId;
    /**
     * 系统用户ID
     */
    private Long systemUserId;
    /**
     * 微信消息模板参数
     */
    private String jpushParams;
    /**
     * 对应的业务对象ID，如订单ID、售后订单ID
     */
    private Long objectId;
    /**
     * 发送时间
     */
    private LocalDateTime sendTime;
    /**
     * 极光返回的消息响应结果
     */
    private String responseResult;

}