package cn.newfeifan.mall.module.trade.dal.dataobject.messagelog;

import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDateTime;

/**
 * 微信消息记录 DO
 *
 * @author 非繁人
 */
@TableName("wechat_message_log")
@KeySequence("wechat_message_log_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MessageLogDO extends BaseDO {

    /**
     * 消息记录ID，自增主键
     */
    @TableId
    private Long id;
    /**
     * 接收消息用户的openid
     */
    private String openid;
    /**
     * 会员用户ID
     */
    private Long memberUserId;
    /**
     * 系统用户ID
     */
    private Long systemUserId;
    /**
     * 微信消息模板ID
     */
    private Long wechatMsgTemplateId;
    /**
     * 微信消息模板参数
     */
    private String wechatMsgTemplateParams;
    /**
     * 对应的业务对象ID，如订单ID、售后订单ID
     */
    private Long objectId;
    /**
     * 发送时间
     */
    private LocalDateTime sendTime;
    /**
     * 微信返回的消息发送状态
     */
    private Boolean sendStatus;
    /**
     * 微信返回的消息响应结果
     */
    private String responseResult;

}
