package cn.newfeifan.mall.module.trade.service.messagelog;

import cn.newfeifan.mall.framework.common.pojo.PageResult;
import cn.newfeifan.mall.module.trade.controller.admin.messagelog.vo.MessageLogPageReqVO;
import cn.newfeifan.mall.module.trade.controller.admin.messagelog.vo.MessageLogSaveReqVO;
import cn.newfeifan.mall.module.trade.dal.dataobject.messagelog.MessageLogDO;

import javax.validation.Valid;

/**
 * 微信消息记录 Service 接口
 *
 * @author 非繁人
 */
public interface MessageLogService {

    /**
     * 创建微信消息记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createMessageLog(@Valid MessageLogSaveReqVO createReqVO);

    /**
     * 更新微信消息记录
     *
     * @param updateReqVO 更新信息
     */
    void updateMessageLog(@Valid MessageLogSaveReqVO updateReqVO);

    /**
     * 删除微信消息记录
     *
     * @param id 编号
     */
    void deleteMessageLog(Long id);

    /**
     * 获得微信消息记录
     *
     * @param id 编号
     * @return 微信消息记录
     */
    MessageLogDO getMessageLog(Long id);

    /**
     * 获得微信消息记录分页
     *
     * @param pageReqVO 分页查询
     * @return 微信消息记录分页
     */
    PageResult<MessageLogDO> getMessageLogPage(MessageLogPageReqVO pageReqVO);

}
