package cn.newfeifan.mall.module.trade.service.price;

import cn.newfeifan.mall.module.trade.service.price.bo.TradePriceCalculateReqBO;
import cn.newfeifan.mall.module.trade.service.price.bo.TradePriceCalculateRespBO;

import javax.validation.Valid;

/**
 * 价格计算 Service 接口
 *
 * @author 非繁源码
 */
public interface TradePriceService {

    /**
     * add by Ben
     * 计算订单含积分的各项商品价格
     *
     * @return 订单价格
     */
    public TradePriceCalculateRespBO calculatePriceWithPoints(TradePriceCalculateReqBO calculateReqBO);

    /**
     * 价格计算
     *
     * @param calculateReqDTO 计算信息
     * @return 计算结果
     */
    TradePriceCalculateRespBO calculatePrice(@Valid TradePriceCalculateReqBO calculateReqDTO);

}
