package cn.newfeifan.mall.module.trade.utils.push.pojo;

import lombok.Data;

import java.util.Map;

/**
 * 回调参数
 */

@Data
public class Callback {
    /**
     * 数据临时回调地址
     * 指定后以此处指定为准，仅针对这一次推送请求生效。
     * 不指定，则以极光后台配置为准。
     */
    private String url;
    /**
     * 需要回调给用户的自定义参数
     */
    private Map<String, String> params;
    /**
     * 回调数据类型。
     * 1: 送达回执
     * 2: 点击回执
     * 3: 送达和点击回执
     * 8: 推送成功回执
     * 9: 成功和送达回执
     * 10: 成功和点击回执
     * 11: 成功和送达以及点击回执
     */
    private int type;
}