package cn.newfeifan.mall.module.trade.utils.push.pojo;

import lombok.Data;

/**
 * 通知类
 */

@Data
//@Builder
public class NotificationData {
    /**
     * 通知的内容在各个平台上，都可能只有这一个最基本的属性 "alert"。
     * 这个位置的 "alert" 属性（直接在 notification 对象下），是一个快捷定义，各平台的 alert 信息如果都一样，则以此定义为准。如果各平台有定义，则覆盖这里的定义。
     */
    private String alert;
    /**
     * android 平台
     */
    private Notification android;
    /**
     * ios 平台
     */
    private Notification ios;
    /**
     * hmos 平台
     */
    private Notification hmos;


    @Data
    public static class Intent {
        private String url;
    }

    @Data
    public static class Extras {
        private int newsid;
    }

    @Data
    public static class Notification {
        /**
         * 通知内容
         */
        private String alert;
        /**
         * 通知标题
         */
        private String title;
        /**
         * 通知样式ID
         */
        private int builder_id;
        /**
         * 指定跳转页面
         */
        private Intent intent;
        /**
         * 扩展字段(基本不用)
         */
        private Extras extras;
    }
}