package cn.newfeifan.mall.module.member.api.address;

import cn.newfeifan.mall.module.member.api.address.dto.MemberAddressRespDTO;

/**
 * 用户收件地址 API 接口
 *
 * @author 非繁源码
 */
public interface MemberAddressApi {

    /**
     * 获得用户收件地址
     *
     * @param id 收件地址编号
     * @param userId 用户编号
     * @param addressType 地址类别
     * @return 用户收件地址
     */
    MemberAddressRespDTO getAddress(Long id, Long userId,Integer addressType);

    /**
     * 获得用户默认收件地址
     *
     * @param userId 用户编号
     * @param addressType 地址类别
     * @return 用户收件地址
     */
    MemberAddressRespDTO getDefaultAddress(Long userId,Integer addressType);

}
