package cn.newfeifan.mall.module.member.controller.app.signin.vo.record;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "用户 App - 签到记录 Response VO")
@Data
public class AppMemberSignInRecordRespVO {

    @Schema(description = "第几天签到", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Integer day;

    @Schema(description = "签到的分数", requiredMode = Schema.RequiredMode.REQUIRED, example = "10")
    private Integer point;

    @Schema(description = "签到的经验", requiredMode = Schema.RequiredMode.REQUIRED, example = "10")
    private Integer experience;

    @Schema(description = "签到时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private LocalDateTime createTime;

    @Schema(description = "是否升级")
    private boolean upgradeOrNot;

    @Schema(description = "增加了多少身价")
    private Long social;

    @Schema(description = "身价等级名称")
    private String socialStatusName;

    @Schema(description = "连续签到天数")
    private Integer continueDay;

}
