package cn.newfeifan.mall.module.member.controller.app.user.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Schema(description = "用户 APP - 修改支付宝账号 Request VO")
@Data
public class AppMemberUserUpdateBankAccountReqVO {

    @Schema(description = "开户行名称")
    @NotNull(message = "开户行名称不能为空")
    @NotEmpty(message = "开户行名称不能为空")
    private String bankName;

    @Schema(description = "开户名")
    @NotNull(message = "开户名不能为空")
    @NotEmpty(message = "开户名不能为空")
    private String accountName;

    @Schema(description = "银行账号")
    @NotNull(message = "银行账号不能为空")
    @NotEmpty(message = "银行账号不能为空")
    private String bankAccount;

}
