package cn.newfeifan.mall.module.member.controller.app.user.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.hibernate.validator.constraints.URL;

@Schema(description = "用户 App - 会员用户更新 Request VO")
@Data
public class AppMemberUserUpdateReqVO {

    @Schema(description = "用户昵称", requiredMode = Schema.RequiredMode.REQUIRED, example = "李四")
    private String nickname;

    @Schema(description = "头像", requiredMode = Schema.RequiredMode.REQUIRED, example = "https://www.zhongxing.cn/x.png")
    @URL(message = "头像必须是 URL 格式")
    private String avatar;

    @Schema(description = "性别", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Integer sex;

    @Schema(description = "用户名")
    private String username;

    @Schema(description = "支付宝账号", example = "6872")
    private String alipayAccount;

    @Schema(description = "支付宝名称", example = "李四")
    private String alipayName;

    @Schema(description = "开户行名称", example = "李四")
    private String bankName;

    @Schema(description = "开户名", example = "王五")
    private String accountName;

    @Schema(description = "银行账号", example = "31488")
    private String bankAccount;

    @Schema(description = "语言")
    private String language;
}
