package cn.newfeifan.mall.module.member.controller.app.user.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 会员用户 Response VO")
@Data
@ExcelIgnoreUnannotated
public class UserRespVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "28922")
    @ExcelProperty("编号")
    private Long id;

    @Schema(description = "手机号")
    @ExcelProperty("手机号")
    private String mobile;

    @Schema(description = "用户昵称", requiredMode = Schema.RequiredMode.REQUIRED, example = "张三")
    @ExcelProperty("用户昵称")
    private String nickname;

    @Schema(description = "头像", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("头像")
    private String avatar;

    @Schema(description = "真实名字", example = "芋艿")
    @ExcelProperty("真实名字")
    private String name;

    @Schema(description = "用户性别")
    @ExcelProperty("用户性别")
    private Integer sex;

    @Schema(description = "所在地", example = "14161")
    @ExcelProperty("所在地")
    private Long areaId;

    @Schema(description = "出生日期")
    @ExcelProperty("出生日期")
    private LocalDateTime birthday;

    @Schema(description = "会员备注")
    @ExcelProperty("会员备注")
    private String mark;

    @Schema(description = "积分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("积分")
    private Integer point;

    @Schema(description = "用户标签编号列表，以逗号分隔")
    @ExcelProperty("用户标签编号列表，以逗号分隔")
    private String tagIds;

    @Schema(description = "等级编号", example = "11461")
    @ExcelProperty("等级编号")
    private Long levelId;

    @Schema(description = "经验", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("经验")
    private Integer experience;

    @Schema(description = "用户分组编号", example = "3306")
    @ExcelProperty("用户分组编号")
    private Long groupId;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "直接推荐人id", example = "15893")
    @ExcelProperty("直接推荐人id")
    private Long recommenderdId;

    @Schema(description = "当前身价值")
    @ExcelProperty("当前身价值")
    private Long currentMemberWorthValue;

    @Schema(description = "预增加身价值")
    @ExcelProperty("预增加身价值")
    private Long preAddedMemberWorthValue;

    @Schema(description = "未来身价值，未来身价值=当前身价值+预增加身价值")
    @ExcelProperty("未来身价值，未来身价值=当前身价值+预增加身价值")
    private Long futureMemberWorthValue;

    @Schema(description = "当前身价级别名称", example = "张三")
    @ExcelProperty("当前身价级别名称")
    private String currentMemberWorthLevelName;

    @Schema(description = "当前身价级别id", example = "24146")
    @ExcelProperty("当前身价级别id")
    private Long currentMemberWorthLevelId;

    @Schema(description = "最后签到时间")
    @ExcelProperty("最后签到时间")
    private LocalDateTime lastSignInTime;

    @Schema(description = "连续签到天数")
    @ExcelProperty("连续签到天数")
    private LocalDateTime continuousSignInDays;

    @Schema(description = "当前积分值")
    @ExcelProperty("当前积分值")
    private Long currentMemberPoints;

    @Schema(description = "预增加积分值")
    @ExcelProperty("预增加积分值")
    private Long preAddedMemberWorth;

    @Schema(description = "累计消费金额（只算人民币，单位为分）")
    @ExcelProperty("累计消费金额（只算人民币，单位为分）")
    private Long cumulativeSpending;

    @Schema(description = "关联系统用户ID", example = "23316")
    @ExcelProperty("关联系统用户ID")
    private Long systemUsersId;

    @Schema(description = "登录用的用户名", example = "张三")
    @ExcelProperty("登录用的用户名")
    private String username;

    @Schema(description = "电话号码国家前缀")
    @ExcelProperty("电话号码国家前缀")
    private String mobileCountryCode;

    @Schema(description = "电话号码国家名", example = "张三")
    @ExcelProperty("电话号码国家名")
    private String mobileCountryName;

}