package cn.newfeifan.mall.module.pay.controller.app.order.vo;

import cn.newfeifan.mall.module.system.api.sms.dto.code.SmsCodeUseReqDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 支付订单提交(零元购) Request VO")
@Data
public class AppPayOrderSubmitZeroPurchaseReqVO {
    @Schema(description = "支付单编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "1024")
    @NotNull(message = "支付单编号不能为空")
    private Long id;

    @Schema(description = "支付渠道", requiredMode = Schema.RequiredMode.REQUIRED, example = "wx_pub")
    private String channelCode;

    @Schema(description = "短信验证码 DTO")
    private SmsCodeUseReqDTO smsCodeUseReqDTO;
}
