package cn.newfeifan.mall.module.pay.fuiou.reqvo;

import cn.newfeifan.mall.module.pay.fuiou.reqdata.WxPreCreateDataReq;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 提交订单请求
 */

@Data
@Schema(description = "管理后台 - 支付订单提交 Request VO")
public class SubmitOrderRequestVO {

    @Schema(description = "支付单编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "1024")
    @NotNull(message = "支付单编号不能为空")
    private Long id;

    @Schema(description = "支付渠道", requiredMode = Schema.RequiredMode.REQUIRED, example = "wx_pub")
    @NotEmpty(message = "支付渠道不能为空")
    private String channelCode;

    @Schema
    @NotNull(message = "订单类型不能为空")
    private Integer orderType;

    @Schema(description = "支付渠道的额外参数", requiredMode = Schema.RequiredMode.REQUIRED, example = "wx_pub")
    private WxPreCreateDataReq req;
}
