package cn.newfeifan.mall.module.pay.fuiou.respVO;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;

@Schema(description = "管理后台 - 富友支付订单提交 Response")
@Data
@Builder
public class FuYouPayOrderSubmitRespVO {

    /**
     * 公众号id
     */
    private String appId;

    /**
     * 时间戳，自1970年1月1日0点0分0秒以来的秒数
     */
    private String timeStamp;

    /**
     * 随机字符串，不长于32位。
     */
    private String nonceStr;

    /**
     * 订单性情扩展字符串
     */
    private String sdk_package;

    /**
     * 签名方式，trade_type为JSAPI、LETPAY时才返回
     */
    private String signType;

    /**
     * 签名，使用字段appId、timeStamp、nonceStr、package计算得出的签名值
     */
    private String paySign;

}
