package cn.newfeifan.mall.module.pay.fuiou.respVO;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 富友支付订单提交 Response")
@Data
public class FuYouPaymentResponseVO {
    /**
     * 响应代码
     */
    private String result_code;

    /**
     * 代码描述
     */
    private String result_msg;

    /**
     * 商户号，富友分配的商户号
     */
    private String mchnt_cd;

    /**
     * 终端号
     */
    private String term_id;

    /**
     * 随机字符串
     */
    private String random_str	;

    /**
     * 支付通道对应的子商户识别码
     */
    private String sub_mer_id;

    /**
     * 会话标识，预支付交易会话标识，用于后续接口调用中使用
     */
    private String session_id;

    /**
     * 支付链接(直接重定向调起支付)
     */
    private String qr_code;

    /**
     * 子商户公众号id
     */
    private String sub_appid;

    /**
     * 子商户用户标识
     */
    private String sub_openid;

    /**
     * 微信sdk_appid
     */
    private String sdk_appid;

    /**
     * 微信sdk_timestamp 时间戳
     */
    private String sdk_timestamp;

    /**
     * 微信sdk_noncestr 随机字符串
     */
    private String sdk_noncestr;

    /**
     * 微信扩展订单信息扩展字符串
     */
    private String sdk_package;

    /**
     * 签名方式，trade_type为JSAPI、LETPAY时才返回
     */
    private String sdk_signtype;

    /**
     * 签名
     */
    private String sdk_paysign;

    /**
     * trade_type为APP时才返回
     */
    private String sdk_partnerid;

    /**
     * 富友生成的订单号，需要商户与商户订单号进行关联
     */
    private String reserved_fy_order_no;

    /**
     * 富友清算日
     */
    private String reserved_fy_settle_dt;

    /**
     * 交易流水号，trade_type为FWC时返回
     */
    private String reserved_transaction_id;

    /**
     * 支付追踪号
     */
    private String reserved_fy_trace_no;

    /**
     * 支付不确定参数
     */
    private String reserved_pay_info;

    /**
     * 银行交易号
     */
    private String reserved_channel_order_id;

    /**
     * 附加数据
     */
    private String reserved_addn_inf;

    /**
     * 签名
     */
    private String sign;
}