package cn.newfeifan.mall.module.pay.fuiou.respVO;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 查询富友支付订单 Response")
@Data
public class FuYouQueryPayOrderResponseVO {
    /**
     * 000000 成功,其他详细参见错误列表
     */
    private String result_code;

    /**
     * 代码描述
     */
    private String result_msg;

    /**
     * 富友分配的商户号
     */
    private String mchnt_cd;

    /**
     * 终端号
     */
    private String term_id;

    /**
     * 随机字符串，用于保证交易请求的唯一性。
     */
    private String random_str;

    /**
     * 订单类型，用于区分不同类型的订单。
     */
    private String order_type;

    /**
     * 订单金额，交易的总金额。
     */
    private String order_amt;

    /**
     * 买家在渠道账号
     */
    private String buyer_id;

    /**
     * 渠道交易流水号
     */
    private String transaction_id;

    /**
     * 额外信息，用于传递附加的业务数据。
     */
    private String addn_inf;

    /**
     * 富友清算日
     */
    private String reserved_fy_settle_dt;

    /**
     * 商户系统内部的订单号
     */
    private String mchnt_order_no;

    /**
     * 交易状态，表示交易的当前状态。
     */
    private String trans_stat;

    /**
     * 优惠金额
     */
    private String reserved_coupon_fee;

    /**
     * 买家在渠道登录账号
     */
    private String reserved_buyer_logon_id;

    /**
     * 支付宝交易资金渠道，详细渠道
     */
    private String reserved_fund_bill_list;

    /**
     * 富友系统内部追踪号
     */
    private String reserved_fy_trace_no;

    /**
     * 银行返回的交易号
     */
    private String reserved_channel_order_id;

    /**
     * 富友的POS终端号，如果不是用的富友的POS终端请忽略
     */
    private String reserved_fy_term_id;

    /**
     * 1：表示信用卡或者花呗
     * 0：表示其他(非信用方式)
     * 不填，表示未知
     */
    private String reserved_is_credit;

    /**
     * 付款方式
     */
    private String reserved_bank_type;

    /**
     * 支付完成时间
     */
    private String reserved_txn_fin_ts;

    /**
     * 以分为单位的整数
     * 只有成功交易才会返回
     * 如果使用了商户免充值优惠券，该值为订单金额-商户免充值
     * 如果没有使用商户免充值，该值等于订单金额
     */
    private String reserved_settlement_amt;

    /**
     * 微信营销详情
     */
    private String reserved_promotion_detail;

    /**
     * 签名，用于验证交易请求或响应的完整性。
     */
    private String sign;

}
