package cn.newfeifan.mall.module.system.api.social;

import cn.newfeifan.mall.module.system.api.social.dto.SocialUserBindReqDTO;
import cn.newfeifan.mall.module.system.api.social.dto.SocialUserRespDTO;
import cn.newfeifan.mall.module.system.api.social.dto.SocialUserUnbindReqDTO;
import cn.newfeifan.mall.module.system.service.social.SocialUserService;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;

import javax.annotation.Resource;

/**
 * 社交用户的 API 实现类
 *
 * @author 非繁源码
 */
@Service
@Validated
public class SocialUserApiImpl implements SocialUserApi {

    @Resource
    private SocialUserService socialUserService;

    @Override
    public String bindSocialUser(SocialUserBindReqDTO reqDTO) {
        return socialUserService.bindSocialUser(reqDTO);
    }

    @Override
    public void unbindSocialUser(SocialUserUnbindReqDTO reqDTO) {
        socialUserService.unbindSocialUser(reqDTO.getUserId(), reqDTO.getUserType(),
                reqDTO.getSocialType(), reqDTO.getOpenid());
    }

    @Override
    public SocialUserRespDTO getSocialUserByUserId(Integer userType, Long userId, Integer socialType) {
        return socialUserService.getSocialUserByUserId(userType, userId, socialType);
    }

    @Override
    public SocialUserRespDTO getSocialUserByCode(Integer userType, Integer socialType, String code, String state, Boolean isFirst,Boolean isRegister) {
       return socialUserService.getSocialUserByCode(userType, socialType, code, state, isFirst, isRegister);
    }

    @Override
    public Boolean wxIsBindByUserId(String openId, Long userId) {
        return socialUserService.wxIsBindByUserId(openId,userId);
    }

    @Override
    public Boolean wxBindIsMax(Long socialUserId) {
        return socialUserService.wxBindIsMax(socialUserId);
    }

}
