package cn.newfeifan.mall.module.system.controller.admin.config.vo;

import cn.newfeifan.mall.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 系统配置分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ConfigPageReqVO extends PageParam {

    @Schema(description = "微信服务号appid", example = "31635")
    private String wechatAppid;

    @Schema(description = "微信服务号秘钥")
    private String wechatSecretKey;

    @Schema(description = "平台端协议+域名+端口")
    private String platformDomain;

    @Schema(description = "商户端协议+域名+端口")
    private String merchantDomain;

    @Schema(description = "移动商城端协议+域名+端口")
    private String mallDomain;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}