package cn.newfeifan.mall.module.system.controller.admin.config.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 系统配置 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ConfigRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "18615")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "微信服务号appid", example = "31635")
    @ExcelProperty("微信服务号appid")
    private String wechatAppid;

    @Schema(description = "微信服务号秘钥")
    @ExcelProperty("微信服务号秘钥")
    private String wechatSecretKey;

    @Schema(description = "平台端协议+域名+端口")
    @ExcelProperty("平台端协议+域名+端口")
    private String platformDomain;

    @Schema(description = "商户端协议+域名+端口")
    @ExcelProperty("商户端协议+域名+端口")
    private String merchantDomain;

    @Schema(description = "移动商城端协议+域名+端口")
    @ExcelProperty("移动商城端协议+域名+端口")
    private String mallDomain;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}