package cn.newfeifan.mall.module.system.controller.admin.wechatmsgtemplate.vo;

import cn.newfeifan.mall.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 微信消息模板分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class WechatMsgTemplatePageReqVO extends PageParam {

    @Schema(description = "微信消息模板id", example = "29466")
    private String wechatMsgTemplateId;

    @Schema(description = "备注、说明", example = "随便")
    private String remark;

    @Schema(description = "消息模板参数")
    private String messageTemplateParameters;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}