package cn.newfeifan.mall.module.system.controller.admin.wechatmsgtemplate.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 微信消息模板 Response VO")
@Data
@ExcelIgnoreUnannotated
public class WechatMsgTemplateRespVO {

    @Schema(description = "模板id，非自增，由开发人员编号，对应java中的常量", requiredMode = Schema.RequiredMode.REQUIRED, example = "13788")
    @ExcelProperty("模板id，非自增，由开发人员编号，对应java中的常量")
    private Long id;

    @Schema(description = "微信消息模板id", example = "29466")
    @ExcelProperty("微信消息模板id")
    private String wechatMsgTemplateId;

    @Schema(description = "备注、说明", example = "随便")
    @ExcelProperty("备注、说明")
    private String remark;

    @Schema(description = "消息模板参数")
    @ExcelProperty("消息模板参数")
    private String messageTemplateParameters;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}