package cn.newfeifan.mall.module.system.dal.dataobject.config;

import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 系统配置 DO
 *
 * @author 非繁人
 */
@TableName("system_config")
@KeySequence("system_config_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SystemConfigDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 微信服务号appid
     */
    private String wechatAppid;
    /**
     * 微信服务号秘钥
     */
    private String wechatSecretKey;
    /**
     * 平台端协议+域名+端口
     */
    private String platformDomain;
    /**
     * 商户端协议+域名+端口
     */
    private String merchantDomain;
    /**
     * 移动商城端协议+域名+端口
     */
    private String mallDomain;

}