package cn.newfeifan.mall.module.system.dal.dataobject.wechatmsgtemplate;

import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 微信消息模板 DO
 *
 * @author 非繁人
 */
@TableName("system_wechat_msg_template")
@KeySequence("system_wechat_msg_template_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class WechatMsgTemplateDO extends BaseDO {

    /**
     * 模板id，非自增，由开发人员编号，对应java中的常量
     */
    @TableId
    private Long id;
    /**
     * 微信消息模板id
     */
    private String wechatMsgTemplateId;
    /**
     * 备注、说明
     */
    private String remark;
    /**
     * 消息模板参数
     */
    private String messageTemplateParameters;

}