package cn.newfeifan.mall.module.system.service.wechatmsgtemplate;

import cn.newfeifan.mall.framework.common.pojo.PageResult;
import cn.newfeifan.mall.module.system.controller.admin.wechatmsgtemplate.vo.WechatMsgTemplatePageReqVO;
import cn.newfeifan.mall.module.system.controller.admin.wechatmsgtemplate.vo.WechatMsgTemplateSaveReqVO;
import cn.newfeifan.mall.module.system.dal.dataobject.wechatmsgtemplate.WechatMsgTemplateDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 微信消息模板 Service 接口
 *
 * @author 非繁人
 */
public interface WechatMsgTemplateService {

    /**
     * 创建微信消息模板
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createWechatMsgTemplate(@Valid WechatMsgTemplateSaveReqVO createReqVO);

    /**
     * 更新微信消息模板
     *
     * @param updateReqVO 更新信息
     */
    void updateWechatMsgTemplate(@Valid WechatMsgTemplateSaveReqVO updateReqVO);

    /**
     * 删除微信消息模板
     *
     * @param id 编号
     */
    void deleteWechatMsgTemplate(Long id);

    /**
     * 获得微信消息模板
     *
     * @param id 编号
     * @return 微信消息模板
     */
    WechatMsgTemplateDO getWechatMsgTemplate(Long id);

    /**
     * 获得微信消息模板分页
     *
     * @param pageReqVO 分页查询
     * @return 微信消息模板分页
     */
    PageResult<WechatMsgTemplateDO> getWechatMsgTemplatePage(WechatMsgTemplatePageReqVO pageReqVO);

    /**
     * 获取微信模板
     * @param wechatMsgId 自定义的模板id
     * @return 微信模板
     */
    WechatMsgTemplateDO getWechatSsgTemplate(Long wechatMsgId);

    /**
     * 获取微信模板
     * @return 微信模板
     */
    List<WechatMsgTemplateDO> selectList();

}