/*
 Navicat Premium Data Transfer

 Source Server         : 127.0.0.1 MySQL
 Source Server Type    : MySQL
 Source Server Version : 80200 (8.2.0)
 Source Host           : 127.0.0.1:3306
 Source Schema         : ruoyi-vue-pro

 Target Server Type    : MySQL
 Target Server Version : 80200 (8.2.0)
 File Encoding         : 65001

 Date: 17/01/2024 10:01:46
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for member_address
-- ----------------------------
DROP TABLE IF EXISTS `member_address`;
CREATE TABLE `member_address`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '收件地址编号',
  `user_id` bigint NOT NULL COMMENT '用户编号',
  `name` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '收件人名称',
  `mobile` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '手机号',
  `area_id` bigint NOT NULL COMMENT '地区编码',
  `detail_address` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '收件详细地址',
  `default_status` bit(1) NOT NULL COMMENT '是否默认',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_userId`(`user_id` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 29 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '用户收件地址';

-- ----------------------------
-- Records of member_address
-- ----------------------------
BEGIN;
INSERT INTO `member_address` (`id`, `user_id`, `name`, `mobile`, `area_id`, `detail_address`, `default_status`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (21, 247, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', b'0', '1', '2022-08-01 22:46:35', '247', '2023-12-16 19:39:30', b'0', 1), (22, 247, '芋头', '15601691300', 610632, '12332131', b'0', '1', '2022-08-01 22:46:35', '247', '2023-06-25 14:09:06', b'1', 1), (23, 247, '芋艿', '15601691300', 120103, '13232312444', b'0', '247', '2023-06-26 19:47:40', '247', '2023-12-16 20:27:18', b'0', 1), (24, 248, '芋头', '15601691234', 110101, '灌灌灌灌灌', b'1', '248', '2023-10-06 10:08:24', '248', '2023-10-06 10:08:24', b'0', 1), (25, 247, '测试1', '15601691300', 120101, '3213213444', b'1', '247', '2023-12-16 19:39:30', '247', '2023-12-16 20:33:05', b'0', 1), (26, 247, '11', '15601601300', 120102, '1323123', b'0', '247', '2023-12-16 20:11:34', '247', '2023-12-16 12:33:36', b'1', 1), (27, 247, 'hhh', '15601691234', 140105, '132321', b'0', '247', '2023-12-16 20:26:49', '247', '2023-12-16 12:33:39', b'1', 1), (28, 247, 'hhh', '15601691203', 230102, '32132132312', b'0', '247', '2023-12-16 20:33:20', '247', '2023-12-16 20:33:20', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for member_config
-- ----------------------------
DROP TABLE IF EXISTS `member_config`;
CREATE TABLE `member_config`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '自增主键',
  `point_trade_deduct_enable` bit(1) NOT NULL COMMENT '是否开启积分抵扣',
  `point_trade_deduct_unit_price` int NOT NULL COMMENT '积分抵扣(单位：分)',
  `point_trade_deduct_max_price` int NULL DEFAULT NULL COMMENT '积分抵扣最大值',
  `point_trade_give_point` bigint NULL DEFAULT NULL COMMENT '1 元赠送多少分',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '会员配置表';

-- ----------------------------
-- Records of member_config
-- ----------------------------
BEGIN;
INSERT INTO `member_config` (`id`, `point_trade_deduct_enable`, `point_trade_deduct_unit_price`, `point_trade_deduct_max_price`, `point_trade_give_point`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (5, b'1', 100, 2, 3, '1', '2023-08-20 09:54:42', '1', '2023-10-01 23:44:01', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for member_experience_record
-- ----------------------------
DROP TABLE IF EXISTS `member_experience_record`;
CREATE TABLE `member_experience_record`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `user_id` bigint NOT NULL DEFAULT 0 COMMENT '用户编号',
  `biz_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '业务编号',
  `biz_type` tinyint NOT NULL DEFAULT 0 COMMENT '业务类型',
  `title` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '标题',
  `description` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '描述',
  `experience` int NOT NULL DEFAULT 0 COMMENT '经验',
  `total_experience` int NOT NULL DEFAULT 0 COMMENT '变更后的经验',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_user_id`(`user_id` ASC) USING BTREE COMMENT '会员经验记录-用户编号',
  INDEX `idx_user_biz_type`(`user_id` ASC, `biz_type` ASC) USING BTREE COMMENT '会员经验记录-用户业务类型'
) ENGINE = InnoDB AUTO_INCREMENT = 59 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '会员经验记录';

-- ----------------------------
-- Records of member_experience_record
-- ----------------------------
BEGIN;
INSERT INTO `member_experience_record` (`id`, `user_id`, `biz_id`, `biz_type`, `title`, `description`, `experience`, `total_experience`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (1, 247, '0', 0, '管理员调整', '管理员调整获得100经验', 100, 100, '1', '2023-08-22 21:52:44', '1', '2023-08-22 21:52:44', b'0', 1), (2, 247, '0', 0, '管理员调整', '管理员调整获得100经验', -50, 100, '1', '2023-08-22 21:52:44', '1', '2023-08-22 21:52:44', b'0', 1), (3, 247, '78', 2, '下单奖励', '下单获得 27 经验', 27, 127, NULL, '2023-08-30 18:46:52', NULL, '2023-08-30 18:46:52', b'0', 1), (4, 247, 'null', 3, '退单扣除', '退单获得 -6 经验', -6, 121, NULL, '2023-08-31 19:56:21', NULL, '2023-08-31 19:56:21', b'0', 1), (5, 247, '80', 2, '下单奖励', '下单获得 699906 经验', 699906, 700027, NULL, '2023-08-31 23:43:29', NULL, '2023-08-31 23:43:29', b'0', 1), (6, 247, '81', 2, '下单奖励', '下单获得 2799606 经验', 2799606, 3499633, NULL, '2023-08-31 23:46:17', NULL, '2023-08-31 23:46:17', b'0', 1), (7, 247, '94', 2, '下单奖励', '下单获得 559920 经验', 559920, 4059553, NULL, '2023-09-30 22:07:42', NULL, '2023-09-30 22:07:42', b'0', 1), (8, 247, '95', 2, '下单奖励', '下单获得 384945 经验', 384945, 4444498, NULL, '2023-10-01 21:36:13', NULL, '2023-10-01 21:36:13', b'0', 1), (9, 247, '96', 2, '下单奖励', '下单获得 699900 经验', 699900, 5144398, NULL, '2023-10-02 09:40:21', NULL, '2023-10-02 09:40:21', b'0', 1), (10, 247, '97', 2, '下单奖励', '下单获得 384945 经验', 384945, 5529343, NULL, '2023-10-02 10:21:12', NULL, '2023-10-02 10:21:12', b'0', 1), (11, 247, '11', 3, '退单扣除', '退单获得 -699900 经验', -699900, 4829443, NULL, '2023-10-02 15:19:37', NULL, '2023-10-02 15:19:37', b'0', 1), (12, 247, '98', 2, '下单奖励', '下单获得 384945 经验', 384945, 5214388, NULL, '2023-10-02 15:38:39', NULL, '2023-10-02 15:38:39', b'0', 1), (13, 247, '102', 2, '下单奖励', '下单获得 201 经验', 201, 5214589, NULL, '2023-10-05 23:05:29', NULL, '2023-10-05 23:05:29', b'0', 1), (14, 247, '107', 2, '下单奖励', '下单获得 201 经验', 201, 5214790, NULL, '2023-10-05 23:23:00', NULL, '2023-10-05 23:23:00', b'0', 1), (15, 248, '108', 2, '下单奖励', '下单获得 275 经验', 275, 275, NULL, '2023-10-06 10:13:44', NULL, '2023-10-06 10:13:44', b'0', 1), (16, 248, '118', 2, '下单奖励', '下单获得 203 经验', 203, 478, NULL, '2023-10-07 06:58:52', NULL, '2023-10-07 06:58:52', b'0', 1), (17, 248, '119', 2, '下单奖励', '下单获得 700100 经验', 700100, 700578, NULL, '2023-10-10 23:02:36', NULL, '2023-10-10 23:02:36', b'0', 1), (21, 248, '15', 3, '退单扣除', '退单获得 -700100 经验', -700100, 478, '1', '2023-10-10 23:11:19', '1', '2023-10-10 23:11:19', b'0', 1), (22, 248, '119', 3, '退单扣除', '退单获得 -700100 经验', -700100, 0, '1', '2023-10-10 23:11:23', '1', '2023-10-10 23:11:23', b'0', 1), (23, 248, '120', 2, '下单奖励', '下单获得 700100 经验', 700100, 700100, NULL, '2023-10-10 23:16:09', NULL, '2023-10-10 23:16:09', b'0', 1), (24, 248, '16', 3, '退单扣除', '退单获得 -700100 经验', -700100, 0, '1', '2023-10-10 23:20:10', '1', '2023-10-10 23:20:10', b'0', 1), (25, 248, '120', 3, '退单扣除', '退单获得 -700100 经验', -700100, 0, '1', '2023-10-10 23:20:16', '1', '2023-10-10 23:20:16', b'0', 1), (26, 248, '121', 2, '下单奖励', '下单获得 700100 经验', 700100, 700100, NULL, '2023-10-10 23:23:30', NULL, '2023-10-10 23:23:30', b'0', 1), (27, 248, '17', 3, '退单扣除', '退单获得 -700100 经验', -700100, 0, '1', '2023-10-10 23:23:50', '1', '2023-10-10 23:23:50', b'0', 1), (28, 248, '121', 3, '退单扣除', '退单获得 -700100 经验', -700100, 0, '1', '2023-10-10 23:23:55', '1', '2023-10-10 23:23:55', b'0', 1), (29, 248, '122', 2, '下单奖励', '下单获得 700100 经验', 700100, 700100, NULL, '2023-10-10 23:28:07', NULL, '2023-10-10 23:28:07', b'0', 1), (30, 248, '18', 3, '退单扣除', '退单获得 -700100 经验', -700100, 0, '1', '2023-10-10 23:29:55', '1', '2023-10-10 23:29:55', b'0', 1), (31, 248, '123', 2, '下单奖励', '下单获得 300 经验', 300, 300, NULL, '2023-10-10 23:44:45', NULL, '2023-10-10 23:44:45', b'0', 1), (32, 248, '124', 2, '下单奖励', '下单获得 560120 经验', 560120, 560420, NULL, '2023-10-11 07:03:46', NULL, '2023-10-11 07:03:46', b'0', 1), (33, 248, '19', 3, '退单扣除', '退单获得 -300 经验', -300, 560120, '1', '2023-10-11 07:04:28', '1', '2023-10-11 07:04:28', b'0', 1), (34, 248, '125', 11, '下单奖励', '下单获得 700100 经验', 700100, 700100, NULL, '2023-10-11 07:33:29', NULL, '2023-10-11 07:33:29', b'0', 1), (37, 248, '127', 11, '下单奖励', '下单获得 385145 经验', 385145, 385145, NULL, '2023-10-11 07:36:44', NULL, '2023-10-11 07:36:44', b'0', 1), (40, 248, '120', 13, '下单奖励（单个取消）', '退款订单获得 -385145 经验', -385145, 0, '1', '2023-10-11 07:39:26', '1', '2023-10-11 07:39:26', b'0', 1), (41, 248, '131', 11, '下单奖励', '下单获得 700100 经验', 700100, 700100, NULL, '2023-10-24 12:33:22', NULL, '2023-10-24 12:33:22', b'0', 1), (42, 247, '136', 11, '下单奖励', '下单获得 255 经验', 255, 5215045, NULL, '2023-12-12 20:49:44', NULL, '2023-12-12 20:49:44', b'0', 1), (43, 247, '137', 11, '下单奖励', '下单获得 385145 经验', 385145, 5600190, NULL, '2023-12-12 20:51:12', NULL, '2023-12-12 20:51:12', b'0', 1), (44, 247, '139', 11, '下单奖励', '下单获得 206 经验', 206, 5600396, NULL, '2023-12-16 00:01:26', NULL, '2023-12-16 00:01:26', b'0', 1), (45, 247, '142', 11, '下单奖励', '下单获得 100 经验', 100, 5600496, NULL, '2023-12-24 11:32:18', NULL, '2023-12-24 11:32:18', b'0', 1), (46, 247, '143', 11, '下单奖励', '下单获得 101 经验', 101, 5600597, NULL, '2023-12-24 13:08:57', NULL, '2023-12-24 13:08:57', b'0', 1), (47, 247, '151', 11, '下单奖励', '下单获得 385047 经验', 385047, 5985644, NULL, '2024-01-04 23:40:52', NULL, '2024-01-04 23:40:52', b'0', 1), (48, 247, '152', 11, '下单奖励', '下单获得 700000 经验', 700000, 6685644, NULL, '2024-01-13 16:47:16', NULL, '2024-01-13 16:47:16', b'0', 1), (49, 247, '153', 11, '下单奖励', '下单获得 103 经验', 103, 6685747, NULL, '2024-01-13 16:47:44', NULL, '2024-01-13 16:47:44', b'0', 1), (50, 247, '154', 11, '下单奖励', '下单获得 103 经验', 103, 6685850, NULL, '2024-01-13 17:07:58', NULL, '2024-01-13 17:07:58', b'0', 1), (51, 247, '155', 11, '下单奖励', '下单获得 300 经验', 300, 6686150, NULL, '2024-01-13 17:10:33', NULL, '2024-01-13 17:10:33', b'0', 1), (52, 247, '156', 11, '下单奖励', '下单获得 300 经验', 300, 6686450, NULL, '2024-01-13 17:12:13', NULL, '2024-01-13 17:12:13', b'0', 1), (53, 247, '157', 11, '下单奖励', '下单获得 300 经验', 300, 6686750, NULL, '2024-01-13 17:13:45', NULL, '2024-01-13 17:13:45', b'0', 1), (54, 247, '158', 11, '下单奖励', '下单获得 300 经验', 300, 6687050, NULL, '2024-01-13 17:16:49', NULL, '2024-01-13 17:16:49', b'0', 1), (55, 247, '159', 11, '下单奖励', '下单获得 300 经验', 300, 6687350, NULL, '2024-01-13 19:16:38', NULL, '2024-01-13 19:16:38', b'0', 1), (56, 247, '160', 11, '下单奖励', '下单获得 200 经验', 200, 6687550, NULL, '2024-01-13 20:23:10', NULL, '2024-01-13 20:23:10', b'0', 1), (57, 247, '161', 11, '下单奖励', '下单获得 386013 经验', 386013, 7073563, NULL, '2024-01-16 08:14:07', NULL, '2024-01-16 08:14:07', b'0', 1), (58, 247, '155', 13, '下单奖励（单个退款）', '退款订单获得 -384945 经验', -384945, 6688618, '1', '2024-01-16 20:27:23', '1', '2024-01-16 20:27:23', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for member_group
-- ----------------------------
DROP TABLE IF EXISTS `member_group`;
CREATE TABLE `member_group`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '名称',
  `status` tinyint NOT NULL DEFAULT 0 COMMENT '状态',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '备注',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '用户分组';

-- ----------------------------
-- Records of member_group
-- ----------------------------
BEGIN;
INSERT INTO `member_group` (`id`, `name`, `status`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (1, '哈哈哈', 0, '你猜', '1', '2023-08-22 21:58:13', '1', '2023-08-22 21:58:13', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for member_level
-- ----------------------------
DROP TABLE IF EXISTS `member_level`;
CREATE TABLE `member_level`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '等级名称',
  `level` int NOT NULL DEFAULT 0 COMMENT '等级',
  `experience` int NOT NULL DEFAULT 0 COMMENT '升级经验',
  `discount_percent` tinyint NOT NULL DEFAULT 100 COMMENT '享受折扣',
  `icon` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '等级图标',
  `background_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '等级背景图',
  `status` tinyint NOT NULL DEFAULT 0 COMMENT '状态',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '会员等级';

-- ----------------------------
-- Records of member_level
-- ----------------------------
BEGIN;
INSERT INTO `member_level` (`id`, `name`, `level`, `experience`, `discount_percent`, `icon`, `background_url`, `status`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (1, '青铜', 1, 100, 80, 'http://127.0.0.1:48080/admin-api/infra/file/4/get/59a1d52ebd38cc843fb5fafc30bce85f15d6ac22c8227dc3fe775d064f71ca6e.png', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/179e45b487daad722fa8bccf382fa35a80caa0a6e6633ca4da961bfbefd9d68a.jpg', 0, '1', '2023-08-22 21:45:03', '1', '2023-08-22 21:45:12', b'0', 1), (2, '白银', 2, 500, 75, 'http://127.0.0.1:48080/admin-api/infra/file/4/get/439a9e188bc2342d79803b2ff1a4872a98a9545a108013f9c0550b7fc604f3d2.png', '', 0, '1', '2023-08-28 20:36:55', '1', '2023-08-28 20:36:55', b'0', 1), (3, '黄金', 3, 50000, 55, '', '', 0, '1', '2023-08-28 20:37:05', '1', '2023-08-28 20:37:05', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for member_level_record
-- ----------------------------
DROP TABLE IF EXISTS `member_level_record`;
CREATE TABLE `member_level_record`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `user_id` bigint NOT NULL DEFAULT 0 COMMENT '用户编号',
  `level_id` bigint NOT NULL DEFAULT 0 COMMENT '等级编号',
  `level` int NOT NULL DEFAULT 0 COMMENT '会员等级',
  `discount_percent` tinyint NOT NULL DEFAULT 100 COMMENT '享受折扣',
  `experience` int NOT NULL DEFAULT 0 COMMENT '升级经验',
  `user_experience` int NOT NULL DEFAULT 0 COMMENT '会员此时的经验',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '备注',
  `description` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '描述',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_user_id`(`user_id` ASC) USING BTREE COMMENT '会员等级记录-用户编号'
) ENGINE = InnoDB AUTO_INCREMENT = 30 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '会员等级记录';

-- ----------------------------
-- Records of member_level_record
-- ----------------------------
BEGIN;
INSERT INTO `member_level_record` (`id`, `user_id`, `level_id`, `level`, `discount_percent`, `experience`, `user_experience`, `remark`, `description`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (1, 247, 1, 1, 80, 100, 100, '321321312', '管理员调整为：青铜', '1', '2023-08-22 21:52:44', '1', '2023-08-22 21:52:44', b'0', 1), (2, 247, 1, 1, 80, 100, 121, '', '', NULL, '2023-08-31 19:56:21', NULL, '2023-08-31 19:56:21', b'0', 1), (3, 247, 3, 3, 55, 50000, 700027, '', '', NULL, '2023-08-31 23:43:29', NULL, '2023-08-31 23:43:29', b'0', 1), (4, 247, 3, 3, 55, 50000, 4059553, '', '', NULL, '2023-09-30 22:07:42', NULL, '2023-09-30 22:07:42', b'0', 1), (5, 247, 3, 3, 55, 50000, 5144398, '', '', NULL, '2023-10-02 09:40:21', NULL, '2023-10-02 09:40:21', b'0', 1), (6, 247, 3, 3, 55, 50000, 4829443, '', '', NULL, '2023-10-02 15:19:37', NULL, '2023-10-02 15:19:37', b'0', 1), (7, 247, 3, 3, 55, 50000, 5214589, '', '', NULL, '2023-10-05 23:05:29', NULL, '2023-10-05 23:05:29', b'0', 1), (8, 248, 1, 1, 80, 100, 275, '', '', NULL, '2023-10-06 10:13:44', NULL, '2023-10-06 10:13:44', b'0', 1), (9, 248, 3, 3, 55, 50000, 700578, '', '', NULL, '2023-10-10 23:02:36', NULL, '2023-10-10 23:02:36', b'0', 1), (13, 248, 1, 1, 80, 100, 478, '', '', '1', '2023-10-10 23:11:19', '1', '2023-10-10 23:11:19', b'0', 1), (14, 248, 3, 3, 55, 50000, 700100, '', '', NULL, '2023-10-10 23:16:09', NULL, '2023-10-10 23:16:09', b'0', 1), (15, 248, 3, 3, 55, 50000, 700100, '', '', NULL, '2023-10-10 23:23:30', NULL, '2023-10-10 23:23:30', b'0', 1), (16, 248, 3, 3, 55, 50000, 700100, '', '', NULL, '2023-10-10 23:28:07', NULL, '2023-10-10 23:28:07', b'0', 1), (17, 248, 1, 1, 80, 100, 300, '', '', NULL, '2023-10-10 23:44:45', NULL, '2023-10-10 23:44:45', b'0', 1), (18, 248, 3, 3, 55, 50000, 560420, '', '', NULL, '2023-10-11 07:03:46', NULL, '2023-10-11 07:03:46', b'0', 1), (19, 248, 3, 3, 55, 50000, 700100, '', '', NULL, '2023-10-11 07:33:29', NULL, '2023-10-11 07:33:29', b'0', 1), (20, 248, 3, 3, 55, 50000, 700100, '', '', NULL, '2023-10-24 12:33:22', NULL, '2023-10-24 12:33:22', b'0', 1), (21, 247, 3, 3, 55, 50000, 5215045, '', '', NULL, '2023-12-12 20:49:44', NULL, '2023-12-12 20:49:44', b'0', 1), (22, 247, 3, 3, 55, 50000, 5600396, '', '', NULL, '2023-12-16 00:01:26', NULL, '2023-12-16 00:01:26', b'0', 1), (23, 247, 3, 3, 55, 50000, 5600597, '', '', NULL, '2023-12-24 13:08:57', NULL, '2023-12-24 13:08:57', b'0', 1), (24, 247, 3, 3, 55, 50000, 6685644, '', '', NULL, '2024-01-13 16:47:16', NULL, '2024-01-13 16:47:16', b'0', 1), (25, 247, 3, 3, 55, 50000, 6685850, '', '', NULL, '2024-01-13 17:07:58', NULL, '2024-01-13 17:07:58', b'0', 1), (26, 247, 3, 3, 55, 50000, 6686450, '', '', NULL, '2024-01-13 17:12:13', NULL, '2024-01-13 17:12:13', b'0', 1), (27, 247, 3, 3, 55, 50000, 6687050, '', '', NULL, '2024-01-13 17:16:49', NULL, '2024-01-13 17:16:49', b'0', 1), (28, 247, 3, 3, 55, 50000, 6687550, '', '', NULL, '2024-01-13 20:23:10', NULL, '2024-01-13 20:23:10', b'0', 1), (29, 247, 3, 3, 55, 50000, 6688618, '', '', '1', '2024-01-16 20:27:23', '1', '2024-01-16 20:27:23', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for member_point_record
-- ----------------------------
DROP TABLE IF EXISTS `member_point_record`;
CREATE TABLE `member_point_record`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '自增主键',
  `user_id` bigint NOT NULL COMMENT '用户编号',
  `biz_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '业务编码',
  `biz_type` tinyint NOT NULL COMMENT '业务类型',
  `title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '积分标题',
  `description` varchar(5000) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '积分描述',
  `point` int NOT NULL COMMENT '积分',
  `total_point` int NOT NULL COMMENT '变动后的积分',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `index_userId`(`user_id` ASC) USING BTREE,
  INDEX `index_title`(`title` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 85 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '用户积分记录';

-- ----------------------------
-- Records of member_point_record
-- ----------------------------
BEGIN;
INSERT INTO `member_point_record` (`id`, `user_id`, `biz_id`, `biz_type`, `title`, `description`, `point`, `total_point`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (1, 247, '1', 1, '12', NULL, 33, 12, '', '2023-07-02 14:50:23', '', '2023-08-20 11:03:01', b'0', 1), (2, 247, '12', 1, '123', NULL, 22, 130, '', '2023-07-02 14:50:23', '', '2023-08-20 11:03:00', b'0', 1), (3, 247, '12', 1, '12', NULL, -12, 12, '', '2023-07-02 14:50:55', '', '2023-08-21 14:19:29', b'0', 1), (4, 247, '78', 10, '订单消费', '下单获得 81 积分', 81, 91, NULL, '2023-08-30 18:46:52', NULL, '2023-08-30 18:46:52', b'0', 1), (5, 247, 'null', 11, '订单取消', '退单获得 -18 积分', -18, 73, NULL, '2023-08-31 19:56:21', NULL, '2023-08-31 19:56:21', b'0', 1), (6, 247, '80', 10, '订单消费', '下单获得 2099718 积分', 2099718, 2099791, NULL, '2023-08-31 23:43:29', NULL, '2023-08-31 23:43:29', b'0', 1), (7, 247, '81', 10, '订单消费', '下单获得 8398818 积分', 8398818, 10498609, NULL, '2023-08-31 23:46:17', NULL, '2023-08-31 23:46:17', b'0', 1), (8, 247, '85', 12, '订单使用', '下单使用 -30 积分', -30, 10498579, '247', '2023-09-20 17:11:36', '247', '2023-09-20 17:11:36', b'0', 1), (9, 247, '86', 12, '订单使用', '下单使用 -30 积分', -30, 10498549, '247', '2023-09-20 19:32:59', '247', '2023-09-20 19:32:59', b'0', 1), (10, 247, '87', 12, '订单使用', '下单使用 -30 积分', -30, 10498519, '247', '2023-09-20 23:11:21', '247', '2023-09-20 23:11:21', b'0', 1), (11, 247, '88', 12, '订单使用', '下单使用 -30 积分', -30, 10498489, '247', '2023-09-20 23:20:21', '247', '2023-09-20 23:20:21', b'0', 1), (12, 247, '89', 12, '订单使用', '下单使用 -30 积分', -30, 10498459, '247', '2023-09-23 23:51:40', '247', '2023-09-23 23:51:40', b'0', 1), (13, 247, '90', 12, '订单使用', '下单使用 -30 积分', -30, 10498429, '247', '2023-09-23 23:52:34', '247', '2023-09-23 23:52:34', b'0', 1), (14, 247, '91', 12, '订单使用', '下单使用 -30 积分', -30, 10498399, '247', '2023-09-23 23:54:18', '247', '2023-09-23 23:54:18', b'0', 1), (15, 247, '92', 12, '订单使用', '下单使用 -30 积分', -30, 10498369, '247', '2023-09-23 23:55:33', '247', '2023-09-23 23:55:33', b'0', 1), (16, 247, '93', 12, '订单使用', '下单使用 -30 积分', -30, 10498339, '247', '2023-09-23 23:56:53', '247', '2023-09-23 23:56:53', b'0', 1), (17, 247, '85', 11, '订单取消', '订单取消，退还 10 积分', 10, 10498349, NULL, '2023-09-25 23:54:47', NULL, '2023-09-25 23:54:47', b'0', 1), (18, 247, '86', 11, '订单取消', '订单取消，退还 10 积分', 10, 10498359, NULL, '2023-09-25 23:54:48', NULL, '2023-09-25 23:54:48', b'0', 1), (19, 247, '87', 11, '订单取消', '订单取消，退还 10 积分', 10, 10498369, NULL, '2023-09-25 23:54:48', NULL, '2023-09-25 23:54:48', b'0', 1), (20, 247, '88', 11, '订单取消', '订单取消，退还 10 积分', 10, 10498379, NULL, '2023-09-25 23:54:48', NULL, '2023-09-25 23:54:48', b'0', 1), (21, 247, '89', 11, '订单取消', '订单取消，退还 10 积分', 10, 10498389, NULL, '2023-09-25 23:54:48', NULL, '2023-09-25 23:54:48', b'0', 1), (22, 247, '90', 11, '订单取消', '订单取消，退还 10 积分', 10, 10498399, NULL, '2023-09-25 23:54:48', NULL, '2023-09-25 23:54:48', b'0', 1), (23, 247, '91', 11, '订单取消', '订单取消，退还 10 积分', 10, 10498409, NULL, '2023-09-25 23:54:48', NULL, '2023-09-25 23:54:48', b'0', 1), (24, 247, '92', 11, '订单取消', '订单取消，退还 10 积分', 10, 10498419, NULL, '2023-09-25 23:54:48', NULL, '2023-09-25 23:54:48', b'0', 1), (25, 247, '93', 11, '订单取消', '订单取消，退还 10 积分', 10, 10498429, NULL, '2023-09-25 23:54:48', NULL, '2023-09-25 23:54:48', b'0', 1), (26, 247, '94', 10, '订单奖励', '下单获得 16797 积分', 16797, 10515226, NULL, '2023-09-30 22:07:42', NULL, '2023-09-30 22:07:42', b'0', 1), (27, 247, '95', 10, '订单奖励', '下单获得 11548 积分', 11548, 10526774, NULL, '2023-10-01 21:36:13', NULL, '2023-10-01 21:36:13', b'0', 1), (28, 247, '1', 2, '管理员修改', '管理员修改 112 积分', 112, 10526886, '1', '2023-10-01 22:44:05', '1', '2023-10-01 22:44:05', b'0', 1), (29, 247, '96', 10, '订单奖励', '下单获得 20997 积分', 20997, 10547883, NULL, '2023-10-02 09:40:20', NULL, '2023-10-02 09:40:20', b'0', 1), (30, 247, '97', 10, '订单奖励', '下单获得 11548 积分', 11548, 10559431, NULL, '2023-10-02 10:21:12', NULL, '2023-10-02 10:21:12', b'0', 1), (31, 247, '98', 10, '订单奖励', '下单获得 11548 积分', 11548, 10570979, NULL, '2023-10-02 15:38:39', NULL, '2023-10-02 15:38:39', b'0', 1), (32, 247, '102', 10, '订单奖励', '下单获得 6 积分', 6, 10570985, NULL, '2023-10-05 23:05:29', NULL, '2023-10-05 23:05:29', b'0', 1), (33, 247, '107', 10, '订单奖励', '下单获得 6 积分', 6, 10570991, NULL, '2023-10-05 23:23:00', NULL, '2023-10-05 23:23:00', b'0', 1), (34, 248, '108', 10, '订单奖励', '下单获得 8 积分', 8, 8, NULL, '2023-10-06 10:13:44', NULL, '2023-10-06 10:13:44', b'0', 1), (35, 248, '118', 10, '订单奖励', '下单获得 6 积分', 6, 14, NULL, '2023-10-07 06:58:51', NULL, '2023-10-07 06:58:51', b'0', 1), (36, 248, '119', 10, '订单奖励', '下单获得 21003 积分', 21003, 21017, NULL, '2023-10-10 23:02:35', NULL, '2023-10-10 23:02:35', b'0', 1), (40, 248, '15', 14, '订单退款', '订单退款，扣除赠送的 -21003 积分', -21003, 2080697, '1', '2023-10-10 23:11:19', '1', '2023-10-10 23:11:19', b'0', 1), (41, 248, '119', 11, '订单取消', '订单取消，退还 -21003 积分', -21003, 2059694, '1', '2023-10-10 23:11:23', '1', '2023-10-10 23:11:23', b'0', 1), (42, 248, '120', 10, '订单奖励', '下单获得 21003 积分', 21003, 2080697, NULL, '2023-10-10 23:16:09', NULL, '2023-10-10 23:16:09', b'0', 1), (43, 248, '16', 14, '订单退款', '订单退款，扣除赠送的 -21003 积分', -21003, 2059694, '1', '2023-10-10 23:20:10', '1', '2023-10-10 23:20:10', b'0', 1), (44, 248, '120', 11, '订单取消', '订单取消，退还 -21003 积分', -21003, 2038691, '1', '2023-10-10 23:20:16', '1', '2023-10-10 23:20:16', b'0', 1), (45, 248, '121', 10, '订单奖励', '下单获得 21003 积分', 21003, 2059694, NULL, '2023-10-10 23:23:30', NULL, '2023-10-10 23:23:30', b'0', 1), (46, 248, '17', 14, '订单退款', '订单退款，扣除赠送的 -21003 积分', -21003, 2038691, '1', '2023-10-10 23:23:50', '1', '2023-10-10 23:23:50', b'0', 1), (47, 248, '121', 11, '订单取消', '订单取消，退还 -21003 积分', -21003, 2017688, '1', '2023-10-10 23:23:55', '1', '2023-10-10 23:23:55', b'0', 1), (48, 248, '122', 10, '订单奖励', '下单获得 21003 积分', 21003, 2038691, NULL, '2023-10-10 23:28:07', NULL, '2023-10-10 23:28:07', b'0', 1), (49, 248, '18', 14, '订单退款', '订单退款，扣除赠送的 -21003 积分', -21003, 2017688, '1', '2023-10-10 23:29:55', '1', '2023-10-10 23:29:55', b'0', 1), (50, 248, '123', 10, '订单奖励', '下单获得 9 积分', 9, 2017697, NULL, '2023-10-10 23:44:45', NULL, '2023-10-10 23:44:45', b'0', 1), (51, 248, '124', 10, '订单奖励', '下单获得 16803 积分', 16803, 2034500, NULL, '2023-10-11 07:03:46', NULL, '2023-10-11 07:03:46', b'0', 1), (52, 248, '19', 14, '订单退款', '订单退款，扣除赠送的 -9 积分', -9, 2034491, '1', '2023-10-11 07:04:28', '1', '2023-10-11 07:04:28', b'0', 1), (53, 248, '125', 21, '订单积分奖励', '下单获得 21003 积分', 21003, 21003, NULL, '2023-10-11 07:33:29', NULL, '2023-10-11 07:33:29', b'0', 1), (56, 248, '127', 21, '订单积分奖励', '下单获得 11554 积分', 11554, 11554, NULL, '2023-10-11 07:36:44', NULL, '2023-10-11 07:36:44', b'0', 1), (59, 248, '120', 23, '订单积分奖励（单个退款）', '订单退款，扣除赠送的 -11554 积分', -11554, 0, '1', '2023-10-11 07:39:26', '1', '2023-10-11 07:39:26', b'0', 1), (60, 248, '131', 21, '订单积分奖励', '下单获得 21003 积分', 21003, 21003, NULL, '2023-10-24 12:33:22', NULL, '2023-10-24 12:33:22', b'0', 1), (61, 247, '136', 21, '订单积分奖励', '下单获得 7 积分', 7, 10570998, NULL, '2023-12-12 20:49:44', NULL, '2023-12-12 20:49:44', b'0', 1), (62, 247, '137', 21, '订单积分奖励', '下单获得 11554 积分', 11554, 10582552, NULL, '2023-12-12 20:51:12', NULL, '2023-12-12 20:51:12', b'0', 1), (63, 247, '139', 21, '订单积分奖励', '下单获得 6 积分', 6, 10582558, NULL, '2023-12-16 00:01:26', NULL, '2023-12-16 00:01:26', b'0', 1), (64, 247, '142', 21, '订单积分奖励', '下单获得 3 积分', 3, 10582561, NULL, '2023-12-24 11:32:18', NULL, '2023-12-24 11:32:18', b'0', 1), (65, 247, '143', 21, '订单积分奖励', '下单获得 3 积分', 3, 10582564, NULL, '2023-12-24 13:08:57', NULL, '2023-12-24 13:08:57', b'0', 1), (66, 247, '5', 1, '签到', '签到获得 10 积分', 10, 10582574, '247', '2023-12-27 23:56:31', '247', '2023-12-27 23:56:31', b'0', 1), (67, 247, '6', 1, '签到', '签到获得 3 积分', 3, 10582577, '247', '2023-12-28 00:07:31', '247', '2023-12-28 00:07:31', b'0', 1), (68, 247, '7', 1, '签到', '签到获得 10 积分', 10, 121, '247', '2024-01-04 13:02:21', '247', '2024-01-04 13:02:21', b'0', 1), (69, 247, '8', 1, '签到', '签到获得 3 积分', 3, 124, '247', '2024-01-04 13:03:21', '247', '2024-01-04 13:03:21', b'0', 1), (70, 247, '9', 1, '签到', '签到获得 3 积分', 3, 127, '247', '2024-01-04 13:03:32', '247', '2024-01-04 13:03:32', b'0', 1), (71, 247, '10', 1, '签到', '签到获得 3 积分', 3, 130, '247', '2024-01-04 13:03:45', '247', '2024-01-04 13:03:45', b'0', 1), (72, 247, '11', 1, '签到', '签到获得 5 积分', 5, 135, '247', '2024-01-04 13:04:11', '247', '2024-01-04 13:04:11', b'0', 1), (73, 247, '151', 21, '订单积分奖励', '下单获得 11551 积分', 11551, 11686, NULL, '2024-01-04 23:40:52', NULL, '2024-01-04 23:40:52', b'0', 1), (74, 247, '152', 21, '订单积分奖励', '下单获得 21000 积分', 21000, 32686, NULL, '2024-01-13 16:47:16', NULL, '2024-01-13 16:47:16', b'0', 1), (75, 247, '153', 21, '订单积分奖励', '下单获得 3 积分', 3, 32689, NULL, '2024-01-13 16:47:44', NULL, '2024-01-13 16:47:44', b'0', 1), (76, 247, '154', 21, '订单积分奖励', '下单获得 3 积分', 3, 32692, NULL, '2024-01-13 17:07:58', NULL, '2024-01-13 17:07:58', b'0', 1), (77, 247, '155', 21, '订单积分奖励', '下单获得 9 积分', 9, 32701, NULL, '2024-01-13 17:10:33', NULL, '2024-01-13 17:10:33', b'0', 1), (78, 247, '156', 21, '订单积分奖励', '下单获得 9 积分', 9, 32710, NULL, '2024-01-13 17:12:13', NULL, '2024-01-13 17:12:13', b'0', 1), (79, 247, '157', 21, '订单积分奖励', '下单获得 9 积分', 9, 32719, NULL, '2024-01-13 17:13:45', NULL, '2024-01-13 17:13:45', b'0', 1), (80, 247, '158', 21, '订单积分奖励', '下单获得 9 积分', 9, 32728, NULL, '2024-01-13 17:16:49', NULL, '2024-01-13 17:16:49', b'0', 1), (81, 247, '159', 21, '订单积分奖励', '下单获得 9 积分', 9, 32737, NULL, '2024-01-13 19:16:38', NULL, '2024-01-13 19:16:38', b'0', 1), (82, 247, '160', 21, '订单积分奖励', '下单获得 6 积分', 6, 32743, NULL, '2024-01-13 20:23:10', NULL, '2024-01-13 20:23:10', b'0', 1), (83, 247, '161', 21, '订单积分奖励', '下单获得 11580 积分', 11580, 44323, NULL, '2024-01-16 08:14:07', NULL, '2024-01-16 08:14:07', b'0', 1), (84, 247, '155', 23, '订单积分奖励（单个退款）', '订单退款，扣除赠送的 -11547 积分', -11547, 32776, '1', '2024-01-16 20:27:23', '1', '2024-01-16 20:27:23', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for member_sign_in_config
-- ----------------------------
DROP TABLE IF EXISTS `member_sign_in_config`;
CREATE TABLE `member_sign_in_config`  (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '编号',
  `day` int NOT NULL COMMENT '第几天',
  `point` int NOT NULL COMMENT '奖励积分',
  `experience` int NOT NULL DEFAULT 0 COMMENT '奖励经验',
  `status` tinyint NOT NULL COMMENT '状态',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 13 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '签到规则';

-- ----------------------------
-- Records of member_sign_in_config
-- ----------------------------
BEGIN;
INSERT INTO `member_sign_in_config` (`id`, `day`, `point`, `experience`, `status`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (1, 1, 10, 0, 0, '', '2023-08-20 01:38:56', '', '2023-08-20 01:38:56', b'0', 0), (2, 2, 20, 0, 0, '', '2023-08-20 01:38:56', '', '2023-08-20 01:38:56', b'0', 0), (3, 7, 1001, 0, 0, '', '2023-08-20 01:38:56', '', '2023-08-20 01:38:56', b'0', 0), (4, 6, 12121, 0, 0, '', '2023-08-20 01:38:56', '', '2023-08-20 01:38:56', b'0', 0), (5, 2, 12, 0, 0, '', '2023-08-20 01:38:56', '', '2023-08-20 01:38:56', b'0', 0), (6, 1, 10, 0, 0, '1', '2023-08-20 19:20:42', '1', '2023-08-20 19:20:56', b'0', 1), (7, 7, 22, 0, 0, '1', '2023-08-20 19:20:48', '1', '2023-08-20 19:20:48', b'0', 1), (8, 2, 3, 0, 0, '1', '2023-08-21 20:22:44', '1', '2023-08-21 20:22:44', b'0', 1), (9, 3, 4, 0, 0, '1', '2023-08-21 20:22:48', '1', '2023-08-21 20:22:48', b'0', 1), (10, 4, 5, 0, 0, '1', '2023-08-21 20:22:51', '1', '2023-08-21 20:22:51', b'0', 1), (11, 5, 6, 0, 0, '1', '2023-08-21 20:22:56', '1', '2023-08-21 20:22:56', b'0', 1), (12, 6, 7, 0, 0, '1', '2023-08-21 20:22:59', '1', '2023-08-21 20:22:59', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for member_sign_in_record
-- ----------------------------
DROP TABLE IF EXISTS `member_sign_in_record`;
CREATE TABLE `member_sign_in_record`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '签到自增id',
  `user_id` int NULL DEFAULT NULL COMMENT '签到用户',
  `day` int NULL DEFAULT NULL COMMENT '第几天签到',
  `point` int NOT NULL DEFAULT 0 COMMENT '签到的分数',
  `experience` int NOT NULL DEFAULT 0 COMMENT '奖励经验',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 12 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '签到记录';

-- ----------------------------
-- Records of member_sign_in_record
-- ----------------------------
BEGIN;
INSERT INTO `member_sign_in_record` (`id`, `user_id`, `day`, `point`, `experience`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (1, 247, 1, 123, 0, '', '2023-09-24 01:23:47', '', '2023-09-24 01:23:47', b'0', 0), (2, 247, 12, 12, 0, '', '2023-09-24 01:23:47', '', '2023-09-24 01:23:47', b'0', 0), (3, 247, 12, 1212, 0, '', '2023-09-24 01:23:47', '', '2023-09-24 01:23:47', b'0', 0), (4, 247, 12, 1212, 0, '', '2023-09-24 01:23:47', '', '2023-09-24 01:23:47', b'0', 0), (5, 247, 1, 10, 0, '247', '2023-12-27 23:56:31', '247', '2023-12-27 23:56:31', b'0', 1), (6, 247, 2, 3, 0, '247', '2023-12-28 00:07:31', '247', '2023-12-28 00:07:31', b'0', 1), (7, 247, 3, 10, 0, '247', '2024-01-03 13:02:21', '247', '2023-12-24 18:18:36', b'0', 1), (8, 247, 2, 3, 0, '247', '2024-01-02 13:03:21', '247', '2023-12-24 18:18:02', b'0', 1), (9, 247, 1, 3, 0, '247', '2024-01-01 13:03:32', '247', '2023-12-24 18:18:31', b'0', 1), (11, 247, 4, 5, 0, '247', '2024-01-04 13:04:11', '247', '2024-01-04 13:04:11', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for member_tag
-- ----------------------------
DROP TABLE IF EXISTS `member_tag`;
CREATE TABLE `member_tag`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '标签名称',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '会员标签';

-- ----------------------------
-- Records of member_tag
-- ----------------------------
BEGIN;
INSERT INTO `member_tag` (`id`, `name`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (1, '绿色', '1', '2023-08-20 09:21:12', '1', '2023-08-20 09:21:12', b'0', 1), (2, '黄色', '1', '2023-08-20 09:21:27', '1', '2023-08-20 09:21:27', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for member_user
-- ----------------------------
DROP TABLE IF EXISTS `member_user`;
CREATE TABLE `member_user`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `mobile` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '手机号',
  `password` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '密码',
  `status` tinyint NOT NULL COMMENT '状态',
  `register_ip` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '注册 IP',
  `register_terminal` tinyint NULL DEFAULT NULL COMMENT '注册终端',
  `login_ip` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime NULL DEFAULT NULL COMMENT '最后登录时间',
  `nickname` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '用户昵称',
  `avatar` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '头像',
  `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '真实名字',
  `sex` tinyint NULL DEFAULT 0 COMMENT '用户性别',
  `area_id` bigint NULL DEFAULT NULL COMMENT '所在地',
  `birthday` datetime NULL DEFAULT NULL COMMENT '出生日期',
  `mark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '会员备注',
  `point` int NOT NULL DEFAULT 0 COMMENT '积分',
  `tag_ids` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '用户标签编号列表，以逗号分隔',
  `level_id` bigint NULL DEFAULT NULL COMMENT '等级编号',
  `experience` int NOT NULL DEFAULT 0 COMMENT '经验',
  `group_id` bigint NULL DEFAULT NULL COMMENT '用户分组编号',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 283 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '会员用户';

-- ----------------------------
-- Records of member_user
-- ----------------------------
BEGIN;
INSERT INTO `member_user` (`id`, `mobile`, `password`, `status`, `register_ip`, `register_terminal`, `login_ip`, `login_date`, `nickname`, `avatar`, `name`, `sex`, `area_id`, `birthday`, `mark`, `point`, `tag_ids`, `level_id`, `experience`, `group_id`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (247, '15601691399', '$2a$04$7BixfD4z0Xs/pOlILmlmSeEJ0Cy3aKVcpGIi3.xkYWwR5I8EIV/qy', 0, '127.0.0.1', NULL, '127.0.0.1', '2024-01-17 08:08:34', '啦啦啦', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/f341ff4f7838c29a4978421d0de39ac5d9e18016af124e7ef94a29cb4e8e5a15.jpeg', '啦啦啦', 2, 130102, '2023-08-28 00:00:00', '备注3213123', 32776, '1,2', 3, 6688618, 1, NULL, '2023-10-15 11:23:08', NULL, '2024-01-17 08:08:34', b'0', 1), (248, '15601691499', '$2a$04$uhOkX4y5VkktR0B2KXAQmuAOYbVB3UiJ4smmD6HoIqiu/71kG0pXy', 0, '127.0.0.1', NULL, '127.0.0.1', '2023-12-24 22:38:41', '土豆233', '', '', 0, NULL, NULL, NULL, 21003, NULL, 3, 700100, NULL, '247', '2023-10-14 18:21:04', '247', '2023-12-22 13:54:33', b'0', 1), (249, '15601691388', '$2a$04$bGr1w7v1mz7PSpLYtrgFie/1KU8ytH/7k74naQJx574KXA2UzoB.6', 0, '127.0.0.1', 30, '127.0.0.1', '2024-01-13 17:15:46', '土豆233', '', '', 0, NULL, NULL, NULL, 0, NULL, NULL, 0, NULL, NULL, '2023-10-30 12:49:03', '247', '2024-01-13 17:15:46', b'0', 1), (250, '15601691301', '$2a$04$FAGPqc9ZByK3xf1Z4bWpW./kuUicI82FroqtKjuRP04uWgGXfioyC', 0, '127.0.0.1', 20, '127.0.0.1', '2023-12-28 22:58:49', '土豆233', '', '', 0, NULL, NULL, NULL, 0, NULL, NULL, 0, NULL, '247', '2023-12-17 19:22:26', NULL, '2023-12-28 22:58:49', b'0', 1), (251, '15601691302', '$2a$04$iFjWz8/d7CibBCdxJX/dD.Zz1fys9hc9SNH/Hpcajp5OUUNE0Vfoq', 0, '127.0.0.1', 20, '127.0.0.1', '2024-01-13 16:54:30', '土豆233', '', '', 0, NULL, NULL, NULL, 0, NULL, NULL, 0, NULL, '247', '2023-12-17 19:22:57', '247', '2024-01-13 16:54:30', b'0', 1), (252, NULL, '$2a$04$EcI3tqOw53N5yFRkVB2gkO6eblGjF7wBAZggM/AMZIxiKfT9A6.4C', 0, '127.0.0.1', 20, '', NULL, '土豆233', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', '', 0, NULL, NULL, NULL, 0, NULL, NULL, 0, NULL, '247', '2023-12-22 00:10:06', '247', '2023-12-22 00:10:06', b'0', 1), (253, NULL, '$2a$04$S0/ctJznIyzvYWuUDd1zZusYFM8KZqvRK.q9KKXn9Z8DLY23UVMDG', 0, '127.0.0.1', 20, '', NULL, '土豆233', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', '', 0, NULL, NULL, NULL, 0, NULL, NULL, 0, NULL, '247', '2023-12-22 00:10:34', '247', '2023-12-22 00:10:34', b'0', 1), (254, NULL, '$2a$04$ZWMBB2sVjG5V39xVisdZbeCSNIuLdgCJNLTRSH698QfZwF0s403nC', 0, '127.0.0.1', 20, '', NULL, '土豆233', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', '', 0, NULL, NULL, NULL, 0, NULL, NULL, 0, NULL, '247', '2023-12-22 00:11:10', '247', '2023-12-22 00:11:10', b'0', 1), (255, NULL, '$2a$04$Rm/ssffAJ3od9b.IDiSgYeyyY6FHWMrDPFywrL5eWZcmWrtUgUkQG', 0, '127.0.0.1', 20, '', NULL, '土豆233', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', '', 0, NULL, NULL, NULL, 0, NULL, NULL, 0, NULL, '247', '2023-12-22 00:11:22', '247', '2023-12-22 00:11:22', b'0', 1), (256, NULL, '$2a$04$UA8Y87jYk3m1roGHGZkXLOPqCHLpmYjd7xFVSVSZ5m5fuRMz5GIgW', 0, '127.0.0.1', 20, '127.0.0.1', '2023-12-22 00:14:02', '土豆233', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', '', 0, NULL, NULL, NULL, 0, NULL, NULL, 0, NULL, '247', '2023-12-22 00:14:02', '247', '2023-12-22 00:14:02', b'0', 1), (257, NULL, '$2a$04$ZEJ4s8x68UzAlKdRfnByCOYozK5IchWJNBK56MvmHfR6T0rdk30sa', 0, '127.0.0.1', 20, '127.0.0.1', '2023-12-22 00:16:38', '土豆233', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', '', 0, NULL, NULL, NULL, 0, NULL, NULL, 0, NULL, '247', '2023-12-22 00:16:38', '247', '2023-12-22 00:16:38', b'0', 1), (258, NULL, '$2a$04$6AKifvXpNxBBDnspkzRc.OKgZIlg4TxPvHcRvvnqmVpjSsQQ8mgtW', 0, '127.0.0.1', 20, '127.0.0.1', '2023-12-22 00:17:10', '土豆233', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', '', 0, NULL, NULL, NULL, 0, NULL, NULL, 0, NULL, '247', '2023-12-22 00:17:10', '247', '2023-12-22 00:17:10', b'0', 1), (259, NULL, '$2a$04$TV0itDCiIU2HVHadk7sxyOumKYTG2tkkePlL.AYogA49ronHWDbGy', 0, '127.0.0.1', 20, '127.0.0.1', '2023-12-22 00:17:38', '土豆233', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', '', 0, NULL, NULL, NULL, 0, NULL, NULL, 0, NULL, '247', '2023-12-22 00:17:38', '247', '2023-12-22 00:17:38', b'0', 1), (260, NULL, '$2a$04$anryZQ1C2EB73TqatKmfn.6Z3sdJkcdJ.QJECcnLc9c3L8qH3cJdi', 0, '127.0.0.1', 20, '127.0.0.1', '2023-12-22 00:18:39', '土豆233', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', '', 0, NULL, NULL, NULL, 0, NULL, NULL, 0, NULL, '247', '2023-12-22 00:18:39', '247', '2023-12-22 00:18:39', b'0', 1), (261, NULL, '$2a$04$SNcGXnXveFnMLRw.CararucpycSGYYxAji.fNrnlesDouvEvvooCe', 0, '127.0.0.1', 20, '127.0.0.1', '2023-12-22 00:19:03', '土豆233', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', '', 0, NULL, NULL, NULL, 0, NULL, NULL, 0, NULL, '247', '2023-12-22 00:19:03', '247', '2023-12-22 00:19:03', b'0', 1), (262, NULL, '$2a$04$24JHBKIQlB4NzW0pp5chGOPIIr2HVkp.1Fk9vWZ00y5qvMOZ2aeky', 0, '127.0.0.1', 20, '127.0.0.1', '2023-12-23 09:51:46', '土豆233', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', '', 0, NULL, NULL, NULL, 0, NULL, NULL, 0, NULL, '247', '2023-12-23 09:51:46', '247', '2023-12-23 09:51:46', b'0', 1), (273, NULL, '$2a$04$eEAnFbJw5/t90hBI25MqGerMxEJp0sKT7lduLDk3o0AzOP0eK9jpi', 0, '127.0.0.1', 20, '127.0.0.1', '2023-12-23 19:29:40', '用户315213', '', '', 0, NULL, NULL, NULL, 0, NULL, NULL, 0, NULL, '247', '2023-12-23 17:39:53', '247', '2023-12-23 19:29:40', b'0', 1), (274, NULL, '$2a$04$oJqlMrtCGLxNlauBw98rG.YygC8CH2E1A6PNIA9F5.AbzAtBdMZym', 0, '127.0.0.1', 20, '127.0.0.1', '2023-12-23 21:23:19', '芋艿（一种食材）', 'https://thirdwx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJsb6yF8nF3I1MtFk8KFcYyFHunpicwZLOxCLFy0WfibgH9Lt4LjKOfKGd5NV7BRwcByCHkj7n3xf7w/132', '', 0, NULL, NULL, NULL, 0, NULL, NULL, 0, NULL, '247', '2023-12-23 21:23:19', '247', '2023-12-23 21:23:19', b'0', 1), (275, NULL, '$2a$04$iJ0Pnshm0/FlyT3w6Ggmeu/1FVpHzuPpC/rsi6pluNHyB2BYdQi3y', 0, '127.0.0.1', 20, '127.0.0.1', '2023-12-23 21:39:58', '芋艿（一种食材）', 'https://thirdwx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJsb6yF8nF3I1MtFk8KFcYyFHunpicwZLOxCLFy0WfibgH9Lt4LjKOfKGd5NV7BRwcByCHkj7n3xf7w/132', '', 0, NULL, NULL, NULL, 0, NULL, NULL, 0, NULL, '247', '2023-12-23 21:39:58', '247', '2023-12-23 21:39:58', b'0', 1), (276, NULL, '$2a$04$yZIxDQxy6Ivzg64D8rpW4.p.TtCAFjZpzlkH25EW7yoBqOj4/lk8e', 0, '127.0.0.1', 20, '127.0.0.1', '2023-12-23 22:27:10', '芋艿（一种食材）', 'https://thirdwx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJsb6yF8nF3I1MtFk8KFcYyFHunpicwZLOxCLFy0WfibgH9Lt4LjKOfKGd5NV7BRwcByCHkj7n3xf7w/132', '', 0, NULL, NULL, NULL, 0, NULL, NULL, 0, NULL, '247', '2023-12-23 22:27:10', '247', '2023-12-23 22:27:10', b'0', 1), (277, NULL, '$2a$04$N3SkOzxjWAmDXoDOrYqnXe/4Cs/7JwL3B3qR/yS2OMbJhIkeqIq46', 0, '127.0.0.1', 20, '114.84.176.64', '2023-12-24 10:50:12', '芋艿（一种食材）', 'https://thirdwx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKMezSxtOImrC9lbhwHiazYwck3xwrEcO7VJfG6WQo260whaeVNoByE5RreiaGsGfOMlIiaDhSaA991w/132', '', 0, NULL, NULL, NULL, 0, NULL, NULL, 0, NULL, '247', '2023-12-24 10:15:38', '247', '2023-12-24 10:50:12', b'0', 1), (278, NULL, '$2a$04$jQD8S2yqATWhhLfnytZJ6eRUU2OnnpTuk6mD2obv0GsKuttgApWTG', 0, '114.84.176.64', 20, '114.84.176.64', '2023-12-24 11:48:52', '用户531758', '', '', 0, NULL, NULL, NULL, 0, NULL, NULL, 0, NULL, '247', '2023-12-24 11:48:52', '247', '2023-12-24 11:48:52', b'0', 1), (279, NULL, '$2a$04$oPpxJc6hscS06.PN2HdnFuboaYikUh1iJ8.O5CeBHYmexINBMSKG6', 0, '114.84.176.64', 20, '114.84.176.64', '2023-12-24 13:08:03', '用户351537', '', '', 0, NULL, NULL, NULL, 0, NULL, NULL, 0, NULL, '247', '2023-12-24 13:08:03', '247', '2023-12-24 13:08:03', b'0', 1), (280, NULL, '$2a$04$i1/ib1XW08U78Z6Jt5H27e4i3lWJJVS2Z7eJFkBa/nrYNlTZRnky2', 0, '114.84.176.64', 20, '114.84.176.64', '2023-12-24 20:10:34', '芋艿（一种食材）', 'https://thirdwx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKMezSxtOImrC9lbhwHiazYwck3xwrEcO7VJfG6WQo260whaeVNoByE5RreiaGsGfOMlIiaDhSaA991w/132', '', 0, NULL, NULL, NULL, 0, NULL, NULL, 0, NULL, '247', '2023-12-24 20:10:34', '247', '2023-12-24 20:10:34', b'0', 1), (281, '15601691305', '$2a$04$3pwBg7WrEUPL17i1yVZH4uKFxyt/5ptzZLnqvSrP/RC2/L7kE5MIe', 0, '127.0.0.1', 20, '127.0.0.1', '2023-12-28 22:51:07', '用户6822470', '', '', 1, NULL, NULL, NULL, 0, NULL, NULL, 0, NULL, NULL, '2023-12-28 22:51:07', '281', '2023-12-28 22:51:33', b'0', 1), (282, '15601691382', '$2a$04$fiRnifjyMsVVnXHatJiDwOdIUbjw5OoLcerWRg9p7J/VPty5c4TsC', 0, '127.0.0.1', 20, '127.0.0.1', '2023-12-28 23:19:09', '芋艿（一种食材）', 'https://thirdwx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJsb6yF8nF3I1MtFk8KFcYyFHunpicwZLOxCLFy0WfibgH9Lt4LjKOfKGd5NV7BRwcByCHkj7n3xf7w/132', '', 0, NULL, NULL, NULL, 0, NULL, NULL, 0, NULL, NULL, '2023-12-28 23:19:09', '282', '2023-12-28 23:19:28', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for product_brand
-- ----------------------------
DROP TABLE IF EXISTS `product_brand`;
CREATE TABLE `product_brand`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '品牌编号',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '品牌名称',
  `pic_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '品牌图片',
  `sort` int NULL DEFAULT 0 COMMENT '品牌排序',
  `description` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '品牌描述',
  `status` tinyint NOT NULL COMMENT '状态',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '商品品牌';

-- ----------------------------
-- Records of product_brand
-- ----------------------------
BEGIN;
INSERT INTO `product_brand` (`id`, `name`, `pic_url`, `sort`, `description`, `status`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (1, '苹果', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/047b5ef63a1b72ff5bfff423e4973c6a4821c8bf56dac6b0aa5972f50c2645d4.png', 1, '是上市', 0, '1', '2022-07-30 22:12:18', '1', '2023-08-31 14:26:05', b'0', 1), (2, '华为', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/6a14445c06448a4133b74d5e67bbe32dfc4d0022cbef44e3d0669407bf18db15.png', 0, '遥遥领先', 0, '1', '2023-08-31 14:26:00', '1', '2023-08-31 14:26:00', b'0', 1), (3, '索尼', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/f5b7a536306cd1180a42a2211a8212dc23de6b949d30c30d036caa063042f928.png', 2, '', 0, '1', '2023-08-31 14:39:58', '1', '2023-08-31 14:39:58', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for product_browse_history
-- ----------------------------
DROP TABLE IF EXISTS `product_browse_history`;
CREATE TABLE `product_browse_history`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '记录编号',
  `user_id` bigint NOT NULL COMMENT '用户编号',
  `spu_id` bigint NOT NULL COMMENT '商品 SPU 编号',
  `user_deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '用户是否删除',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_spuId`(`spu_id` ASC) USING BTREE,
  INDEX `idx_userId`(`user_id` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 38 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '商品浏览记录表';

-- ----------------------------
-- Records of product_browse_history
-- ----------------------------
BEGIN;
INSERT INTO `product_browse_history` (`id`, `user_id`, `spu_id`, `user_deleted`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (1, 247, 634, b'0', NULL, '2024-01-13 16:33:49', NULL, '2024-01-13 16:33:49', b'1', 1), (2, 247, 634, b'0', NULL, '2024-01-13 16:45:21', NULL, '2024-01-13 16:45:21', b'1', 1), (3, 247, 634, b'0', NULL, '2024-01-13 16:46:54', NULL, '2024-01-13 16:46:54', b'1', 1), (4, 247, 634, b'0', NULL, '2024-01-13 16:47:38', NULL, '2024-01-13 16:47:38', b'1', 1), (5, 247, 634, b'0', NULL, '2024-01-13 16:48:08', NULL, '2024-01-13 16:48:08', b'1', 1), (6, 247, 634, b'0', NULL, '2024-01-13 16:48:13', NULL, '2024-01-13 16:48:13', b'1', 1), (7, 247, 634, b'0', NULL, '2024-01-13 16:48:49', NULL, '2024-01-13 16:48:49', b'1', 1), (8, 247, 634, b'0', NULL, '2024-01-13 16:49:34', NULL, '2024-01-13 16:49:34', b'1', 1), (9, 247, 634, b'0', NULL, '2024-01-13 16:49:49', NULL, '2024-01-13 16:49:49', b'1', 1), (10, 247, 634, b'0', NULL, '2024-01-13 16:52:03', NULL, '2024-01-13 16:52:03', b'1', 1), (11, 247, 634, b'0', NULL, '2024-01-13 16:54:11', NULL, '2024-01-13 16:54:11', b'1', 1), (12, 247, 634, b'0', NULL, '2024-01-13 16:59:01', NULL, '2024-01-13 16:59:01', b'1', 1), (13, 247, 634, b'0', NULL, '2024-01-13 16:59:32', NULL, '2024-01-13 16:59:32', b'1', 1), (14, 247, 634, b'0', NULL, '2024-01-13 17:04:31', NULL, '2024-01-13 17:04:31', b'1', 1), (15, 247, 634, b'0', NULL, '2024-01-13 17:06:39', NULL, '2024-01-13 17:06:39', b'1', 1), (16, 247, 634, b'0', NULL, '2024-01-13 17:06:57', NULL, '2024-01-13 17:06:57', b'1', 1), (17, 247, 634, b'0', NULL, '2024-01-13 17:08:32', NULL, '2024-01-13 17:08:32', b'1', 1), (18, 247, 633, b'0', NULL, '2024-01-13 17:10:26', NULL, '2024-01-13 17:10:26', b'1', 1), (19, 247, 633, b'0', NULL, '2024-01-13 17:13:35', NULL, '2024-01-13 17:13:35', b'1', 1), (20, 247, 633, b'0', NULL, '2024-01-13 17:13:36', NULL, '2024-01-13 17:13:36', b'1', 1), (21, 247, 633, b'0', NULL, '2024-01-13 17:14:17', NULL, '2024-01-13 17:14:17', b'1', 1), (22, 247, 633, b'0', NULL, '2024-01-13 17:14:30', NULL, '2024-01-13 17:14:30', b'1', 1), (23, 247, 633, b'0', NULL, '2024-01-13 17:14:58', NULL, '2024-01-13 17:14:58', b'1', 1), (24, 247, 633, b'0', NULL, '2024-01-13 17:15:24', NULL, '2024-01-13 17:15:24', b'1', 1), (25, 247, 633, b'0', NULL, '2024-01-13 19:16:32', NULL, '2024-01-13 19:16:32', b'1', 1), (26, 247, 634, b'0', NULL, '2024-01-13 19:52:12', NULL, '2024-01-13 19:52:12', b'1', 1), (27, 247, 634, b'0', NULL, '2024-01-13 19:52:19', NULL, '2024-01-13 19:52:19', b'1', 1), (28, 247, 634, b'0', NULL, '2024-01-13 20:21:49', NULL, '2024-01-13 20:21:49', b'1', 1), (29, 247, 634, b'0', NULL, '2024-01-13 20:22:03', NULL, '2024-01-13 20:22:03', b'1', 1), (30, 247, 634, b'0', NULL, '2024-01-13 20:22:31', NULL, '2024-01-13 20:22:31', b'1', 1), (31, 247, 638, b'0', NULL, '2024-01-14 11:16:18', NULL, '2024-01-14 11:16:18', b'0', 1), (32, 247, 633, b'0', NULL, '2024-01-14 11:16:30', NULL, '2024-01-14 11:16:30', b'1', 1), (33, 247, 633, b'0', NULL, '2024-01-15 08:17:54', NULL, '2024-01-15 08:17:54', b'1', 1), (34, 247, 633, b'0', NULL, '2024-01-15 21:53:44', NULL, '2024-01-15 21:53:44', b'1', 1), (35, 247, 634, b'0', NULL, '2024-01-15 21:56:22', NULL, '2024-01-15 21:56:22', b'0', 1), (36, 247, 633, b'0', NULL, '2024-01-15 23:10:56', NULL, '2024-01-15 23:10:56', b'1', 1), (37, 247, 633, b'0', NULL, '2024-01-15 23:11:10', NULL, '2024-01-15 23:11:10', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for product_category
-- ----------------------------
DROP TABLE IF EXISTS `product_category`;
CREATE TABLE `product_category`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '分类编号',
  `parent_id` bigint NOT NULL COMMENT '父分类编号',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '分类名称',
  `pic_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '移动端分类图',
  `sort` int NULL DEFAULT 0 COMMENT '分类排序',
  `status` tinyint NOT NULL COMMENT '开启状态',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 84 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '商品分类';

-- ----------------------------
-- Records of product_category
-- ----------------------------
BEGIN;
INSERT INTO `product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `status`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (15, 0, '童装童鞋', 'http://test.yudao.iocoder.cn/1dc5d968737a990719e95492ebc9e3f8b0308214b503c51887f442f7c7584321.jpg', 1, 0, '1', '2023-04-25 16:57:05', '1', '2024-01-13 22:52:46', b'0', 1), (16, 15, '时尚女装', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/aa8d5c44ac0390ab398bae0dc8883575e3cb57594f9ed00248febe8e3d7484d1.png', 200, 0, '1', '2023-04-25 17:09:00', '1', '2023-08-31 06:27:16', b'1', 1), (17, 15, '精品男装', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/b0c166c0846fa2280b4a02431e2ac2e2363f2d2a6b608598f34b067a5ccf1245.png', 100, 0, '1', '2023-04-25 17:09:33', '1', '2023-08-31 06:27:15', b'1', 1), (18, 15, '箱包', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/8682928caa2a5a49b380ac93059adc435099873cdf646084f31cea79d5c27f40.png', 80, 0, '1', '2023-04-25 17:09:51', '1', '2023-08-31 06:27:13', b'1', 1), (19, 15, '汉服', 'http://test.yudao.iocoder.cn/be01a5421e2ae5befd68fdd73521e58b2d35d49e1be0d275a9b6bff810e3374a.png', 0, 0, '1', '2023-04-25 17:10:15', '1', '2024-01-13 22:27:04', b'0', 1), (20, 15, '配饰', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/51bf43fcad0b947f5fa377356fb7034b47223fdbcec241d50e6e60a9be498730.jpg', 0, 0, '1', '2023-04-25 17:10:56', '1', '2023-08-31 06:27:07', b'1', 1), (21, 15, '美妆工具', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/c3cd6735cf157c218bc32ece312fd90cb2130c437dc9ec61d4030681d6ba4efb.png', 0, 0, '1', '2023-04-25 17:11:15', '1', '2023-08-31 06:27:05', b'1', 1), (22, 0, '网络盒子', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/74656bb8bc988c0419e0dbc613eda24a03956b950452b3565527301a5782db3a.png', 50, 0, '1', '2023-04-25 17:12:13', '1', '2023-08-31 06:26:57', b'1', 1), (23, 22, '尿裤湿巾', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/20162f22d8f6b427f0d6f1678c9fbb7bf0c1b70768bdc86101bee8b5e13bec5a.jpeg', 0, 0, '1', '2023-04-25 17:12:42', '1', '2023-08-31 06:26:55', b'1', 1), (24, 15, '宠物主粮', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/383729ba05711c400f9e44db11a63603af0fdbc99e58cd7b40e9296ca4e0510e.jpg', 0, 0, '1', '2023-04-25 17:13:09', '1', '2023-08-31 06:27:03', b'1', 1), (25, 0, '家电电器', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/c8a34dc2688fd4d2c95b5f49888865db1c88fd3bde153e3f7f0bcd4ff9971c96.png', 50, 0, '1', '2023-04-25 17:13:43', '1', '2023-08-31 06:27:01', b'1', 1), (26, 25, '封口/封杯机', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/1c0c208cfcf871c146006d97f95ae4fcd14d8a2deb3eabe3696367af61cb5e69.png', 60, 0, '1', '2023-04-25 17:14:39', '1', '2023-08-31 06:26:49', b'1', 1), (27, 25, '空调', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/d578e1e60b2dc3efe70643d25a8b2150dabfecd658fdb2fafcdb786d525f66d1.png', 60, 0, '1', '2023-04-25 17:15:12', '1', '2023-08-31 06:26:47', b'1', 1), (28, 15, 'T 恤', 'http://test.yudao.iocoder.cn/1abe3ad4bcfe1f8e335873dd8718d40bbafc24a3693408966316fc827fefd771.png', 2, 0, '1', '2023-08-31 14:33:30', '1', '2024-01-13 22:28:45', b'0', 1), (29, 15, '裙子', 'http://test.yudao.iocoder.cn/8313fe1abaedf15940f77e91d797fe8f24489e13ecfef2214a2474de2a1807e6.png', 1, 0, '1', '2023-08-31 14:35:03', '1', '2024-01-13 22:28:04', b'0', 1), (30, 0, '家用电器', 'http://test.yudao.iocoder.cn/d71510c1ca5c5e4c7dd445da9f9357bf169978ed84febeb35ccf6dc0951a18e9.jpg', 2, 0, '1', '2023-08-31 15:01:32', '1', '2024-01-13 22:53:44', b'0', 1), (31, 30, '智能电视', 'http://test.yudao.iocoder.cn/c294b0e21674ad5cf900faec7c6c661bd87ba7de969dcabc46ffde685e769856.png', 1, 0, '1', '2023-08-31 15:02:22', '1', '2024-01-13 22:33:02', b'0', 1), (32, 30, '洗衣机', 'http://test.yudao.iocoder.cn/f612e98e489f1f099836e6f7322c447c3046519575095263baba1b7140063093.png', 2, 0, '1', '2023-08-31 15:05:27', '1', '2024-01-13 22:33:14', b'0', 1), (33, 30, '游戏本', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/11ce6f2153950c66fd3d2e8c78d75f4a0b0fb5b49993099a6d1eb7f29cadda67.png', 3, 0, '1', '2023-08-31 15:06:31', '1', '2023-08-31 07:06:39', b'1', 1), (34, 30, '厨房冰箱', 'http://test.yudao.iocoder.cn/12b9641562f0e1d1d7e8b7147d14a75ed25149d26e0175e906c277a58e693f61.png', 3, 0, '1', '2023-08-31 15:06:31', '1', '2024-01-13 22:33:29', b'0', 1), (35, 30, '电饭煲', 'http://test.yudao.iocoder.cn/c6ec808ebcfbe35597e13643ae2781d3da854339a3caf61a6d89518cbe1b1085.png', 4, 0, '1', '2023-10-01 20:24:40', '1', '2024-01-13 22:34:11', b'0', 1), (36, 30, '养生壶', 'http://test.yudao.iocoder.cn/44fee42840097416689c7c32c76e5841cf171e8a31f437813b1385bbf6b7a001.png', 5, 0, '1', '2023-10-01 20:25:59', '1', '2024-01-13 22:34:51', b'0', 1), (37, 30, '吸尘器', 'http://test.yudao.iocoder.cn/eef2b274843e41a41294610094882c0ded469145651395bad225610802bafdf8.png', 6, 0, '1', '2023-10-01 20:27:41', '1', '2024-01-13 22:35:11', b'0', 1), (38, 0, '电子数码', 'http://test.yudao.iocoder.cn/7e600e817c8ec0f2f747f41b59e1a3ac28ac850a9b77ed78d69af5fadbef700e.jpg', 3, 0, '1', '2023-10-01 20:28:21', '1', '2024-01-13 22:55:09', b'0', 1), (39, 38, '数码相机', 'http://test.yudao.iocoder.cn/f7bb34dc71c9d0e14671198d6a23e57669a0847059783e9acf6caa8f79ccc896.png', 1, 0, '1', '2023-10-01 20:29:44', '1', '2024-01-13 22:36:27', b'0', 1), (40, 38, '笔记本电脑', 'http://test.yudao.iocoder.cn/72e9aa277521ffa1b696c8b8bb01124393e60e59efec172537cdb5f0eb828353.png', 2, 0, '1', '2023-10-01 20:30:18', '1', '2024-01-13 22:36:40', b'0', 1), (41, 0, '美妆个护', 'http://test.yudao.iocoder.cn/e5ba252dbc6423327fec784f5775f55355f17fd6a2440919a2d91c4e541dfa81.png', 4, 0, '1', '2023-10-01 20:31:00', '1', '2024-01-13 22:56:36', b'0', 1), (42, 41, '护肤套装', 'http://test.yudao.iocoder.cn/a86aad413989d547e91b46b83721ac48a3271edacd05022b11c75ba2a5c0b3a8.png', 1, 0, '1', '2023-10-01 20:31:34', '1', '2024-01-13 22:40:36', b'0', 1), (43, 41, '洁面', 'http://test.yudao.iocoder.cn/23f2ed918b5cfac04d6cb75e574b84b647074792e88f3bd86ec0abb003eda447.png', 2, 0, '1', '2023-10-01 20:33:53', '1', '2024-01-13 22:41:03', b'0', 1), (44, 41, '香水', 'http://test.yudao.iocoder.cn/cd8fc1f520071f8fb8ac62f149627ae629950d7bfc52a3811236d88d478692c8.png', 3, 0, '1', '2023-10-01 20:34:31', '1', '2024-01-13 22:41:24', b'0', 1), (45, 41, '彩妆', 'http://test.yudao.iocoder.cn/35cb3c3a242bc9690a4d640c2cfd9eb6607e43788a86e1fac8a0f1afd19a2b2d.png', 4, 0, '1', '2023-10-01 20:35:38', '1', '2024-01-13 22:41:41', b'0', 1), (46, 41, '粉底', 'http://test.yudao.iocoder.cn/70b828c0751431d3f83bb9bbff4b5a40c074a8c0860fe92981b0344f2c067450.png', 5, 0, '1', '2023-10-01 20:36:07', '1', '2024-01-13 22:41:56', b'0', 1), (47, 0, '母婴用品', 'http://test.yudao.iocoder.cn/7d5e76eea5f29773a8962fabb0131d012434ee4cae3ddb416d135e20f89123eb.jpg', 6, 0, '1', '2023-10-01 20:36:46', '1', '2024-01-13 22:57:16', b'0', 1), (48, 47, '婴儿装', 'http://test.yudao.iocoder.cn/1d854fe6f4b92a693c091a6c194131c7f2ef16c58233fae29bc6f8807f7e5148.png', 1, 0, '1', '2023-10-01 20:37:18', '1', '2024-01-13 22:44:37', b'0', 1), (49, 47, '早教机', 'http://test.yudao.iocoder.cn/7ba39ecf36a07daff239ac5a3f8d8c08ea50938f55738b2737577140d855dde4.png', 2, 0, '1', '2023-10-01 20:37:48', '1', '2024-01-13 22:44:50', b'0', 1), (50, 47, '洋娃娃', 'http://test.yudao.iocoder.cn/f9b69b5b02d7daa0d6fb9620d3a442d8e26983a2447e81c1faec00f981f874d5.png', 3, 0, '1', '2023-10-01 20:38:22', '1', '2024-01-13 22:45:03', b'0', 1), (51, 47, '毛绒玩具', 'http://test.yudao.iocoder.cn/55ac92652d6d55d282a48ea1a33f606980b40b69a768115d091ffd052b59cfdb.png', 4, 0, '1', '2023-10-01 20:39:12', '1', '2024-01-13 22:45:26', b'0', 1), (52, 47, '洗澡用具', 'http://test.yudao.iocoder.cn/e3c1691a366942ed7c8dcde78458c3d0fa600258e157cfe97b20726d234b4201.png', 5, 0, '1', '2023-10-01 20:40:32', '1', '2024-01-13 22:45:41', b'0', 1), (53, 47, ' 扫描仪', 'http://127.0.0.1:48080/admin-api/infra/file/0/get/5ada4b58af70b6113fb8f15ed4ff690be14c12f1767fd72da84582cfe0737aa9.jpg', 6, 0, '1', '2023-10-01 20:41:11', '1', '2023-12-27 07:16:40', b'1', 1), (54, 0, '新鲜水果', 'http://127.0.0.1:48080/admin-api/infra/file/0/get/20e5f60270dc7bab414ac9f55115530e80f5fedbad0872bde02ab736380ea075.jpg', 7, 0, '1', '2023-10-01 20:42:55', '1', '2023-12-27 07:25:21', b'1', 1), (55, 54, '枇杷', 'http://127.0.0.1:48080/admin-api/infra/file/0/get/a44a4336732d8d79e0732fa4f4816075dd8cc6678a6044b9f817e349627e4110.jpg', 1, 0, '1', '2023-10-01 20:43:25', '1', '2023-12-27 07:25:19', b'1', 1), (56, 54, '香蕉', 'http://127.0.0.1:48080/admin-api/infra/file/0/get/b821ec118ac9b3259c504d82efbec18d48ef645d7ce0ad69e4c00b8c0ff3be59.jpg', 2, 0, '1', '2023-10-01 20:43:51', '1', '2023-12-27 07:25:17', b'1', 1), (57, 54, '草莓', 'http://127.0.0.1:48080/admin-api/infra/file/0/get/7ef48d8f66b90fea777a969fcf9349ecfd32ccf7ee35d4c2361317781300beac.jpg', 3, 0, '1', '2023-10-01 20:44:54', '1', '2023-12-27 07:25:15', b'1', 1), (58, 54, '芒果', 'http://127.0.0.1:48080/admin-api/infra/file/0/get/2ce996408f1db200828ea7d17d96c813305a2d00a85c36da0b050d7dc3edc5b8.jpg', 4, 0, '1', '2023-10-01 20:45:17', '1', '2023-12-27 07:25:13', b'1', 1), (59, 54, '石榴', 'http://127.0.0.1:48080/admin-api/infra/file/0/get/024e658bf9185251712bcf0665f6a59c0a262104650b16bbc403aa506483592c.jpg', 5, 0, '1', '2023-10-01 20:45:41', '1', '2023-12-27 07:25:11', b'1', 1), (60, 15, '演出服', 'http://test.yudao.iocoder.cn/9d939f82a2ca6cfafd4e37c236fc7479186e7eb29b6af7b6f111e790da203deb.png', 3, 0, '1', '2024-01-13 22:29:55', '1', '2024-01-13 22:30:21', b'0', 1), (61, 15, '外套', 'http://test.yudao.iocoder.cn/ecc140ec8303a376bac59ed740ee1607a75be392baa210879e46d18af6ba7b49.png', 4, 0, '1', '2024-01-13 22:30:55', '1', '2024-01-13 22:30:55', b'0', 1), (62, 15, '裤子', 'http://test.yudao.iocoder.cn/1a5a63800acb7c5ee1de379fecb54857658b3a1c6d5a0009b09d69b1f95afa7b.png', 5, 0, '1', '2024-01-13 22:31:30', '1', '2024-01-13 22:31:30', b'0', 1), (63, 15, '凉鞋', 'http://test.yudao.iocoder.cn/d78bbf1bd61b432f507e90e4819b0ebef4f438e8e6bba1afc97805223c1caddd.png', 6, 0, '1', '2024-01-13 22:31:51', '1', '2024-01-13 22:31:51', b'0', 1), (64, 15, '皮鞋', 'http://test.yudao.iocoder.cn/bce052da46c9b09ca022cb2e9ebc020c2d3418e3585bbca82fb2ccfa38676b95.png', 8, 0, '1', '2024-01-13 22:32:12', '1', '2024-01-13 22:32:12', b'0', 1), (65, 15, '运动鞋', 'http://test.yudao.iocoder.cn/c204a4f7d9ffe946abe9dd9c4014f05f166d8fbb27ac4cdd55de1f7fa0821701.png', 9, 0, '1', '2024-01-13 22:32:31', '1', '2024-01-13 22:32:31', b'0', 1), (66, 30, '破壁机', 'http://test.yudao.iocoder.cn/c2af15653284c9d9b7062dd43523faee15c4f11424045e84778f7775dbecad42.png', 5, 0, '1', '2024-01-13 22:34:34', '1', '2024-01-13 22:34:34', b'0', 1), (67, 30, '除螨仪', 'http://test.yudao.iocoder.cn/08e1dcd9e2bce783f86c85e421bca5ebc59918789fa3f074eb082c1fc03910b8.png', 7, 0, '1', '2024-01-13 22:35:32', '1', '2024-01-13 22:35:32', b'0', 1), (68, 30, '电热水器', 'http://test.yudao.iocoder.cn/d590ad06e676bdf79b97e30941ba0821cbe2b1c9fb2001d5e4947f17b3eb4ee5.png', 8, 0, '1', '2024-01-13 22:35:50', '1', '2024-01-13 22:35:50', b'0', 1), (69, 38, '平板电脑', 'http://test.yudao.iocoder.cn/678a3ab46ea88dc76d7ee8189e1b18c6928ae21d05479e10f294241c931b59ff.png', 3, 0, '1', '2024-01-13 22:37:36', '1', '2024-01-13 22:37:48', b'0', 1), (70, 38, '耳机耳麦', 'http://test.yudao.iocoder.cn/b9351ca7be1ad7d8d8d86e80e715e005be1f3f2e70dcc2a7f6a1d252b3fdae63.png', 4, 0, '1', '2024-01-13 22:38:11', '1', '2024-01-13 22:38:20', b'0', 1), (71, 38, '音箱', 'http://test.yudao.iocoder.cn/d115ee64cd19758f14f07258a6c94158df1a53bfd40344ad597163d35f88584c.png', 5, 0, '1', '2024-01-13 22:38:41', '1', '2024-01-13 22:38:41', b'0', 1), (72, 38, '麦克风', 'http://test.yudao.iocoder.cn/225de704d411d10544725e79c82493c1a7787bc5140368ea3d248d6d1505c2eb.png', 6, 0, '1', '2024-01-13 22:38:58', '1', '2024-01-13 22:38:58', b'0', 1), (73, 38, '游戏机', 'http://test.yudao.iocoder.cn/229ffc7388cdd60f9cbcb5638f03a2211d99eeed2b834631deb8e9242bbf9c74.png', 7, 0, '1', '2024-01-13 22:39:13', '1', '2024-01-13 22:39:13', b'0', 1), (74, 38, '投影仪', 'http://test.yudao.iocoder.cn/758d3a5387507358c7236de4c8f96de1c7f5097ff6a7722b34772fb7b76b140f.png', 8, 0, '1', '2024-01-13 22:39:35', '1', '2024-01-13 22:39:35', b'0', 1), (75, 38, '无人机', 'http://test.yudao.iocoder.cn/1cf25a3632564bda880338dde73a70e734a0249e0619da20c2fc5743d5d79796.png', 9, 0, '1', '2024-01-13 22:39:49', '1', '2024-01-13 22:39:49', b'0', 1), (76, 41, '隔离', 'http://test.yudao.iocoder.cn/058d6693f811bf0d8b652688f852b1a789994bcbc77b4f2a1515cfcaffc9976a.png', 6, 0, '1', '2024-01-13 22:42:26', '1', '2024-01-13 22:42:26', b'0', 1), (77, 41, '洗发水', 'http://test.yudao.iocoder.cn/4146acdacc2c1ed8b21b9c24512ea0ac363f7c8b866b82d183526c113040e7df.png', 7, 0, '1', '2024-01-13 22:42:45', '1', '2024-01-13 22:42:45', b'0', 1), (78, 41, '沐浴露', 'http://test.yudao.iocoder.cn/0e9add6b7831811c74b1dd60ef2adb73780a8a69c988e551beb6fb47f2c3f8f9.png', 8, 0, '1', '2024-01-13 22:43:08', '1', '2024-01-13 22:43:08', b'0', 1), (79, 41, '口腔清理', 'http://test.yudao.iocoder.cn/0a727817e3b08eb562e3314011d61f79c703c796a742fbb7a40b6cb2e6eb6010.png', 10, 0, '1', '2024-01-13 22:43:42', '1', '2024-01-13 22:43:42', b'0', 1), (80, 47, '宝宝个护', 'http://test.yudao.iocoder.cn/0c0a153b39ec8285efb93710c3f698f9513f76d1c7765db22d099de3d707153b.png', 6, 0, '1', '2024-01-13 22:46:08', '1', '2024-01-13 22:46:08', b'0', 1), (81, 47, '儿童餐具', 'http://test.yudao.iocoder.cn/f8e8437ce80362a3ee20ac97aef98eadc275ed7ea7d9c9e89b0c2663aa416bf0.png', 7, 0, '1', '2024-01-13 22:46:28', '1', '2024-01-13 22:46:28', b'0', 1), (82, 47, '儿童水杯', 'http://test.yudao.iocoder.cn/1f1c3e4778149161be9deb6518f9523b442852f36cc1fcb2a3002a9f359752f2.png', 8, 0, '1', '2024-01-13 22:46:55', '1', '2024-01-13 22:47:29', b'0', 1), (83, 47, '婴儿推车', 'http://test.yudao.iocoder.cn/600941856424c1b9ac52b352e8cdb1c2a7197fcee350b4964e62b16714846d6b.png', 9, 0, '1', '2024-01-13 22:47:52', '1', '2024-01-13 22:47:52', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for product_comment
-- ----------------------------
DROP TABLE IF EXISTS `product_comment`;
CREATE TABLE `product_comment`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '评论编号，主键自增',
  `user_id` bigint NOT NULL COMMENT '评价人的用户编号，关联 MemberUserDO 的 id 编号',
  `user_nickname` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '评价人名称',
  `user_avatar` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '评价人头像',
  `anonymous` bit(1) NOT NULL COMMENT '是否匿名',
  `order_id` bigint NULL DEFAULT 0 COMMENT '交易订单编号，关联 TradeOrderDO 的 id 编号',
  `order_item_id` bigint NULL DEFAULT 0 COMMENT '交易订单项编号，关联 TradeOrderItemDO 的 id 编号',
  `spu_id` bigint NOT NULL COMMENT '商品 SPU 编号，关联 ProductSpuDO 的 id',
  `spu_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '商品 SPU 名称',
  `sku_id` bigint NOT NULL COMMENT '商品 SKU 编号，关联 ProductSkuDO 的 id 编号',
  `sku_pic_url` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '图片地址',
  `sku_properties` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '属性数组，JSON 格式 [{propertId: , valueId: }, {propertId: , valueId: }]',
  `visible` bit(1) NULL DEFAULT NULL COMMENT '是否可见，true:显示false:隐藏',
  `scores` tinyint NOT NULL COMMENT '评分星级1-5分',
  `description_scores` tinyint NOT NULL COMMENT '描述星级 1-5 星',
  `benefit_scores` tinyint NOT NULL COMMENT '服务星级 1-5 星',
  `content` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '评论内容',
  `pic_urls` varchar(4096) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '评论图片地址数组',
  `reply_status` bit(1) NULL DEFAULT b'0' COMMENT '商家是否回复',
  `reply_user_id` bigint NULL DEFAULT NULL COMMENT '回复管理员编号，关联 AdminUserDO 的 id 编号',
  `reply_content` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '商家回复内容',
  `reply_time` datetime NULL DEFAULT NULL COMMENT '商家回复时间',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 14 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '商品评论';

-- ----------------------------
-- Records of product_comment
-- ----------------------------
BEGIN;
INSERT INTO `product_comment` (`id`, `user_id`, `user_nickname`, `user_avatar`, `anonymous`, `order_id`, `order_item_id`, `spu_id`, `spu_name`, `sku_id`, `sku_pic_url`, `sku_properties`, `visible`, `scores`, `description_scores`, `benefit_scores`, `content`, `pic_urls`, `reply_status`, `reply_user_id`, `reply_content`, `reply_time`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (7, 0, '你猜', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/26859f993e24556a8ae474362461417cbc5261723093d9e57d6c87e6eae0d277.png', b'0', 0, 0, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 2, 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', '[{\"propertyId\": 1, \"propertyName\": \"颜色\", \"valueId\": 5, \"valueName\": \"黑色\"}, {\"propertyId\": 3, \"propertyName\": \"版本\", \"valueId\": 8, \"valueName\": \"CH510\"}]', b'1', 1, 2, 1, '哈哈哈哈', '[\"http://127.0.0.1:48080/admin-api/infra/file/4/get/7831ca02a9d7aa7cbec78e67bd0f0847808d7912f1f8f3b4118a60c1bf9cba2b.jpg\"]', b'0', NULL, NULL, NULL, '1', '2023-08-26 11:17:12', '1', '2023-08-26 13:01:24', b'0', 1), (10, 0, '葡萄', 'http://127.0.0.1:48080/admin-api/infra/file/0/get/024e658bf9185251712bcf0665f6a59c0a262104650b16bbc403aa506483592c.jpg', b'0', 0, 0, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 1, 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', '[{\"propertyId\":1,\"propertyName\":\"颜色\",\"valueId\":5,\"valueName\":\"黑色\"},{\"propertyId\":3,\"propertyName\":\"版本\",\"valueId\":8,\"valueName\":\"CH510\"}]', b'1', 5, 5, 5, '好吃', '[\"http://127.0.0.1:48080/admin-api/infra/file/0/get/c222c4c7133ffb14d6533127e8f4551865d77d3752de12bdf94bae815aef9ff3.jpg\"]', b'1', 1, '确实好吃！', '2023-10-01 21:19:10', '1', '2023-10-01 21:18:59', '1', '2023-10-01 21:19:10', b'0', 1), (11, 0, '遥遥领先', 'http://127.0.0.1:48080/admin-api/infra/file/0/get/d6d29a8f02fdd7d86a32a3b9511b40783f5f71b2ee79d66479618f17e4f15985.png', b'0', 0, 0, 634, 'HUAWEI Mate 60 Pro', 15, 'http://127.0.0.1:48080/admin-api/infra/file/4/get/3661b4ca3b922d31bef4440a7d68f9112b8f529ba160b3278bb0b5158384abf6.jpg', '[{\"propertyId\":1,\"propertyName\":\"颜色\",\"valueId\":19,\"valueName\":\"雅川青\"}]', b'1', 5, 5, 5, '真的领先', '[\"http://127.0.0.1:48080/admin-api/infra/file/0/get/aaa8ab015f8641e8c610b634e5a21f78b21e69eeab36b6fcd18d33f8d2e717af.jpg\"]', b'0', NULL, NULL, NULL, '1', '2023-10-01 21:23:14', '1', '2023-10-01 21:23:14', b'0', 1), (12, 247, '21土豆', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/fee19466c40aecd32d42e67caed40ef68283cc3bdbdb39f73ec2906ef333f4a1.png', b'0', 137, 130, 634, 'HUAWEI Mate 60 Pro', 14, 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', '[{\"propertyId\":1,\"propertyName\":\"颜色\",\"valueId\":18,\"valueName\":\"雅丹黑\"}]', NULL, 4, 5, 3, '123321', '[]', b'0', NULL, NULL, NULL, '247', '2023-12-14 21:59:07', '247', '2023-12-14 21:59:07', b'0', 1), (13, 0, '测试名字', 'http://test.yudao.iocoder.cn/bb500bd0a8055ac12f5b22b3d8b77c53ae249c09ead79be0e6482c5f7da20773.jpg', b'0', 0, 0, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 2, 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', '[{\"propertyId\":1,\"propertyName\":\"颜色\",\"valueId\":6,\"valueName\":\"蓝色\"},{\"propertyId\":3,\"propertyName\":\"版本\",\"valueId\":8,\"valueName\":\"CH510\"}]', b'1', 5, 5, 5, '啦啦啦啦', '[\"http://test.yudao.iocoder.cn/1dc5d968737a990719e95492ebc9e3f8b0308214b503c51887f442f7c7584321.jpg\"]', b'1', 1, '哈哈哈哈', '2024-01-14 13:20:54', '1', '2024-01-14 13:20:47', '1', '2024-01-14 13:20:54', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for product_favorite
-- ----------------------------
DROP TABLE IF EXISTS `product_favorite`;
CREATE TABLE `product_favorite`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '收藏编号',
  `user_id` bigint NOT NULL COMMENT '用户编号',
  `spu_id` bigint NOT NULL COMMENT '商品 SPU 编号',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_userId`(`user_id` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 28 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '商品收藏表';

-- ----------------------------
-- Records of product_favorite
-- ----------------------------
BEGIN;
INSERT INTO `product_favorite` (`id`, `user_id`, `spu_id`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (21, 247, 610632, '1', '2022-08-01 22:46:35', '1', '2023-06-25 04:26:02', b'1', 1), (22, 247, 633, '247', '2023-06-09 20:01:11', '247', '2023-06-09 12:01:17', b'1', 1), (23, 247, 633, '247', '2023-06-11 22:20:27', '247', '2023-06-11 14:20:28', b'1', 1), (24, 247, 633, '247', '2023-06-11 22:20:46', '247', '2023-06-15 11:37:12', b'1', 1), (25, 247, 633, '247', '2023-06-15 19:37:13', '247', '2023-12-14 16:01:28', b'1', 1), (26, 247, 633, '247', '2023-12-15 09:14:01', '247', '2023-12-15 01:41:22', b'1', 1), (27, 247, 633, '247', '2023-12-15 09:41:24', '247', '2023-12-15 09:41:24', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for product_property
-- ----------------------------
DROP TABLE IF EXISTS `product_property`;
CREATE TABLE `product_property`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '名称',
  `status` tinyint NULL DEFAULT NULL COMMENT '状态',
  `remark` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_name`(`name`(32) ASC) USING BTREE COMMENT '规格名称索引'
) ENGINE = InnoDB AUTO_INCREMENT = 14 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '商品属性项';

-- ----------------------------
-- Records of product_property
-- ----------------------------
BEGIN;
INSERT INTO `product_property` (`id`, `name`, `status`, `remark`, `create_time`, `update_time`, `creator`, `updater`, `tenant_id`, `deleted`) VALUES (1, '颜色', 0, '嘿嘿嘿', '2022-09-20 10:25:53', '2022-12-12 23:21:21', '1', '1', 1, b'0'), (2, '尺寸', 0, '123', '2022-09-20 15:11:04', '2022-12-12 23:19:48', '1', '1', 1, b'0'), (3, '版本', 0, NULL, '2023-04-26 12:31:30', '2023-04-26 12:31:39', '1', '1', 1, b'0'), (4, '123', NULL, '', '2023-05-06 22:32:54', '2023-08-31 07:29:00', '1', '1', 1, b'1'), (5, '哈哈', NULL, '', '2023-05-24 09:19:30', '2023-08-31 07:28:45', '1', '1', 1, b'1'), (6, '土豆', NULL, '', '2023-05-24 19:58:33', '2023-08-31 07:28:29', '1', '1', 1, b'1'), (7, 'hhh', NULL, '', '2023-05-24 20:13:09', '2023-08-31 07:28:16', '1', '1', 1, b'1'), (8, '呵呵', NULL, '2', '2023-05-24 20:14:44', '2023-08-31 07:28:53', '1', '1', 1, b'1'), (9, '卡卡', NULL, NULL, '2024-01-10 23:47:04', '2023-12-27 08:17:00', '1', '1', 1, b'1'), (10, '啦啦啦啦', NULL, NULL, '2024-01-11 21:20:29', '2023-12-26 20:01:18', '1', '1', 1, b'1'), (11, '啦啦啦', NULL, NULL, '2024-01-11 21:30:01', '2023-12-26 20:01:20', '1', '1', 1, b'1'), (12, '亚瑟', NULL, NULL, '2024-01-11 21:32:04', '2023-12-26 20:01:22', '1', '1', 1, b'1'), (13, 'xxx', NULL, NULL, '2024-01-11 22:09:30', '2023-12-26 20:01:25', '1', '1', 1, b'1');
COMMIT;

-- ----------------------------
-- Table structure for product_property_value
-- ----------------------------
DROP TABLE IF EXISTS `product_property_value`;
CREATE TABLE `product_property_value`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `property_id` bigint NULL DEFAULT NULL COMMENT '属性项的编号',
  `name` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '名称',
  `status` tinyint NULL DEFAULT NULL COMMENT '状态',
  `remark` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 26 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '商品属性值';

-- ----------------------------
-- Records of product_property_value
-- ----------------------------
BEGIN;
INSERT INTO `product_property_value` (`id`, `property_id`, `name`, `status`, `remark`, `create_time`, `update_time`, `creator`, `updater`, `tenant_id`, `deleted`) VALUES (1, 1, '红色', 0, '啊啊啊', '2022-09-20 10:26:10', '2022-09-20 10:26:10', '1', '1', 1, b'0'), (2, 1, '绿色', 0, NULL, '2022-09-20 15:10:52', '2022-09-20 15:10:52', '1', '1', 1, b'0'), (3, 2, '12*12', 0, NULL, '2022-09-20 15:11:23', '2022-09-20 15:11:23', '1', '1', 1, b'0'), (4, 2, '13*13', 0, 'xx', '2022-09-20 15:11:30', '2022-12-12 23:39:40', '1', '1', 1, b'0'), (5, 1, '黑色', 0, NULL, '2023-04-26 12:32:01', '2023-04-26 12:32:06', NULL, NULL, 1, b'0'), (6, 1, '蓝色', 0, NULL, '2023-04-26 12:32:20', '2023-04-26 12:32:20', NULL, NULL, 1, b'0'), (7, 1, '白色', 0, NULL, '2023-04-26 12:32:33', '2023-04-26 12:32:35', NULL, NULL, 1, b'0'), (8, 3, 'CH510', 0, NULL, '2023-04-26 12:32:52', '2023-04-27 16:04:38', NULL, NULL, 1, b'0'), (9, 5, '颜色', NULL, NULL, '2023-05-24 09:19:39', '2023-08-31 07:28:35', '1', '1', 1, b'1'), (10, 5, '绿色', NULL, NULL, '2023-05-24 09:19:43', '2023-08-31 07:28:33', '1', '1', 1, b'1'), (11, 6, '蔬菜', NULL, NULL, '2023-05-24 19:58:43', '2023-08-31 07:28:23', '1', '1', 1, b'1'), (12, 6, '绿豆', NULL, NULL, '2023-05-24 19:58:45', '2023-08-31 07:28:21', '1', '1', 1, b'1'), (13, 6, '111', NULL, NULL, '2023-05-24 20:00:06', '2023-08-31 07:28:20', '1', '1', 1, b'1'), (14, 7, '呵呵呵', NULL, NULL, '2023-05-24 20:13:13', '2023-08-31 07:28:12', '1', '1', 1, b'1'), (15, 7, '嘿嘿', NULL, NULL, '2023-05-24 20:13:16', '2023-08-31 07:28:10', '1', '1', 1, b'1'), (16, 8, '哈哈', NULL, NULL, '2023-05-24 20:14:48', '2023-08-31 07:28:49', '1', '1', 1, b'1'), (17, 8, '呵呵', NULL, NULL, '2023-05-24 20:14:50', '2023-08-31 07:28:48', '1', '1', 1, b'1'), (18, 1, '雅丹黑', NULL, NULL, '2023-08-31 14:50:58', '2023-08-31 14:50:58', '1', '1', 1, b'0'), (19, 1, '雅川青', NULL, NULL, '2023-08-31 14:51:14', '2023-08-31 14:51:14', '1', '1', 1, b'0'), (20, 1, '白沙银', NULL, NULL, '2023-08-31 14:51:28', '2023-08-31 14:51:28', '1', '1', 1, b'0'), (21, 1, '南糯紫', NULL, NULL, '2023-08-31 14:51:38', '2023-08-31 14:51:38', '1', '1', 1, b'0'), (22, 9, 'biubiu', NULL, NULL, '2024-01-10 23:47:08', '2023-12-27 08:16:50', '1', '1', 1, b'1'), (23, 9, '啦啦啦', NULL, NULL, '2024-01-10 23:47:10', '2023-12-27 08:16:52', '1', '1', 1, b'1'), (24, 1, '黄色', NULL, NULL, '2024-01-11 21:26:23', '2024-01-11 21:26:23', '1', '1', 1, b'0'), (25, 9, '咧咧', NULL, '', '2024-01-12 23:07:03', '2023-12-27 08:16:54', '1', '1', 1, b'1');
COMMIT;

-- ----------------------------
-- Table structure for product_sku
-- ----------------------------
DROP TABLE IF EXISTS `product_sku`;
CREATE TABLE `product_sku`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `spu_id` bigint NOT NULL COMMENT 'spu编号',
  `properties` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '属性数组，JSON 格式 [{propertId: , valueId: }, {propertId: , valueId: }]',
  `price` int NOT NULL DEFAULT -1 COMMENT '商品价格，单位：分',
  `market_price` int NULL DEFAULT NULL COMMENT '市场价，单位：分',
  `cost_price` int NOT NULL DEFAULT -1 COMMENT '成本价，单位： 分',
  `bar_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT 'SKU 的条形码',
  `pic_url` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '图片地址',
  `stock` int NULL DEFAULT NULL COMMENT '库存',
  `weight` double NULL DEFAULT NULL COMMENT '商品重量，单位：kg 千克',
  `volume` double NULL DEFAULT NULL COMMENT '商品体积，单位：m^3 平米',
  `first_brokerage_price` int NULL DEFAULT NULL COMMENT '一级分销的佣金，单位：分',
  `second_brokerage_price` int NULL DEFAULT NULL COMMENT '二级分销的佣金，单位：分',
  `sales_count` int NULL DEFAULT NULL COMMENT '商品销量',
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '创建人',
  `updater` double(64, 0) NULL DEFAULT NULL COMMENT '更新人',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 30 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '商品sku';

-- ----------------------------
-- Records of product_sku
-- ----------------------------
BEGIN;
INSERT INTO `product_sku` (`id`, `spu_id`, `properties`, `price`, `market_price`, `cost_price`, `bar_code`, `pic_url`, `stock`, `weight`, `volume`, `first_brokerage_price`, `second_brokerage_price`, `sales_count`, `create_time`, `update_time`, `creator`, `updater`, `deleted`, `tenant_id`) VALUES (1, 633, '[{\"propertyId\":1,\"propertyName\":\"颜色\",\"valueId\":5,\"valueName\":\"黑色\"},{\"propertyId\":3,\"propertyName\":\"版本\",\"valueId\":8,\"valueName\":\"CH510\"}]', 1, 34900, 1, NULL, 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 0, NULL, NULL, 0, 0, 17, '2023-04-26 12:37:28', '2024-01-12 20:20:48', NULL, 1, b'0', 1), (2, 633, '[{\"propertyId\":1,\"propertyName\":\"颜色\",\"valueId\":6,\"valueName\":\"蓝色\"},{\"propertyId\":3,\"propertyName\":\"版本\",\"valueId\":8,\"valueName\":\"CH510\"}]', 55, 34900, 2, NULL, 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 53, NULL, NULL, 0, 0, 5, '2023-04-26 12:37:28', '2023-12-27 21:51:34', NULL, 1, b'0', 1), (3, 633, '[{\"propertyId\":1,\"propertyName\":\"颜色\",\"valueId\":7,\"valueName\":\"白色\"},{\"propertyId\":3,\"propertyName\":\"版本\",\"valueId\":8,\"valueName\":\"CH510\"}]', 4, 34900, 3, NULL, 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 202, NULL, NULL, 0, 0, 100, '2023-04-26 12:37:28', '2024-01-12 20:20:48', NULL, 1, b'0', 1), (10, 101, '[{\"propertyId\": 1, \"proertyName\": \"颜色\", \"valueId\": 5, \"valueName\": \"黑色\"}, {\"propertyId\": 3, \"propertyName\": \"版本\", \"valueId\": 8, \"valueName\": \"CH510\"}]', 3, 34900, -1, NULL, 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 10, NULL, NULL, NULL, NULL, 17, '2023-04-26 12:37:28', '2023-08-31 06:19:05', NULL, NULL, b'1', 1), (11, 101, '[{\"propertyId\": 1, \"proertyName\": \"颜色\", \"valueId\": 6, \"valueName\": \"蓝色\"}, {\"propertyId\": 3, \"propertyName\": \"版本\", \"valueId\": 8, \"valueName\": \"CH510\"}]', 2, 34900, -1, NULL, 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 94, NULL, NULL, NULL, NULL, 5, '2023-04-26 12:37:28', '2023-08-31 06:19:05', NULL, NULL, b'1', 1), (12, 101, '[{\"propertyId\": 1, \"proertyName\": \"颜色\", \"valueId\": 7, \"valueName\": \"白色\"}, {\"propertyId\": 3, \"propertyName\": \"版本\", \"valueId\": 8, \"valueName\": \"CH510\"}]', 1, 34900, -1, NULL, 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 200, NULL, NULL, NULL, NULL, 100, '2023-04-26 12:37:28', '2023-08-31 06:19:05', NULL, NULL, b'1', 1), (13, 109, '[{\"propertyId\": 0, \"propertyName\": \"默认\", \"valueId\": 0, \"valueName\": \"默认\"}]', 100, 200, 300, 'aoteman', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/4a6abcedf41e718bfed8bab975fdc0b7f23bff4c21b7993f008e52e81d4869a5.png', 0, 0, 0, 0, 0, NULL, '2023-06-05 23:30:18', '2023-08-31 06:19:07', '1', 1, b'1', 1), (14, 634, '[{\"propertyId\":1,\"propertyName\":\"颜色\",\"valueId\":18,\"valueName\":\"雅丹黑\"}]', 699900, 699900, 699900, '2601010452841', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 90, 0, 0, 0, 0, NULL, '2023-08-31 20:30:27', '2023-12-27 04:59:43', '1', 1, b'0', 1), (15, 634, '[{\"propertyId\":1,\"propertyName\":\"颜色\",\"valueId\":19,\"valueName\":\"雅川青\"}]', 699900, 699900, 699900, '2601010452842', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/3661b4ca3b922d31bef4440a7d68f9112b8f529ba160b3278bb0b5158384abf6.jpg', 201, 0, 0, 0, 0, NULL, '2023-08-31 20:30:27', '2023-12-28 01:13:18', '1', 1, b'0', 1), (16, 634, '[{\"propertyId\":1,\"propertyName\":\"颜色\",\"valueId\":20,\"valueName\":\"白沙银\"}]', 699900, 699900, 699900, '2601010452847', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/44c8288cd79d2e7df3a80244e519e5fd98c43c9264335f0cbe2fda2445198e45.jpg', 293, 0, 0, 0, 0, NULL, '2023-08-31 20:30:27', '2023-12-27 01:44:31', '1', 1, b'0', 1), (17, 634, '[{\"propertyId\":1,\"propertyName\":\"颜色\",\"valueId\":21,\"valueName\":\"南糯紫\"}]', 699900, 699900, 699900, '2601010452844', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/23c7564ad843c326296c17c16dd1d2749a421ae81c416fe9e94fb1d310c02ed5.jpg', 401, 0, 0, 0, 0, NULL, '2023-08-31 20:30:27', '2023-10-03 18:48:04', '1', 1, b'0', 1), (18, 635, '[{\"propertyId\":1,\"propertyName\":\"颜色\",\"valueId\":5,\"valueName\":\"黑色\"},{\"propertyId\":3,\"propertyName\":\"版本\",\"valueId\":8,\"valueName\":\"CH510\"}]', 1, 34900, 1, NULL, 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 23, NULL, NULL, 0, 0, NULL, '2023-10-01 20:04:50', '2023-12-20 23:07:14', '1', 1, b'1', 1), (19, 635, '[{\"propertyId\":1,\"propertyName\":\"颜色\",\"valueId\":6,\"valueName\":\"蓝色\"},{\"propertyId\":3,\"propertyName\":\"版本\",\"valueId\":8,\"valueName\":\"CH510\"}]', 5, 34900, 1, NULL, 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 98, NULL, NULL, 0, 0, NULL, '2023-10-01 20:04:50', '2023-10-01 12:47:49', '1', 1, b'1', 1), (20, 635, '[{\"propertyId\":1,\"propertyName\":\"颜色\",\"valueId\":7,\"valueName\":\"白色\"},{\"propertyId\":3,\"propertyName\":\"版本\",\"valueId\":8,\"valueName\":\"CH510\"}]', 4, 34900, 1, NULL, 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 203, NULL, NULL, 0, 0, NULL, '2023-10-01 20:04:50', '2023-10-01 12:47:49', '1', 1, b'1', 1), (21, 636, '[{\"propertyId\":1,\"propertyName\":\"颜色\",\"valueId\":5,\"valueName\":\"黑色\"},{\"propertyId\":3,\"propertyName\":\"版本\",\"valueId\":8,\"valueName\":\"CH510\"}]', 6, 34900, 1, NULL, 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 23, NULL, NULL, 0, 0, NULL, '2023-10-01 20:46:33', '2023-10-01 12:47:52', '1', 1, b'1', 1), (22, 636, '[{\"propertyId\":1,\"propertyName\":\"颜色\",\"valueId\":6,\"valueName\":\"蓝色\"},{\"propertyId\":3,\"propertyName\":\"版本\",\"valueId\":8,\"valueName\":\"CH510\"}]', 5, 34900, 1, NULL, 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 98, NULL, NULL, 0, 0, NULL, '2023-10-01 20:46:33', '2023-10-01 12:47:52', '1', 1, b'1', 1), (23, 636, '[{\"propertyId\":1,\"propertyName\":\"颜色\",\"valueId\":7,\"valueName\":\"白色\"},{\"propertyId\":3,\"propertyName\":\"版本\",\"valueId\":8,\"valueName\":\"CH510\"}]', 4, 34900, 1, NULL, 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 0, NULL, NULL, 0, 0, NULL, '2023-10-01 20:46:33', '2023-12-10 02:09:45', '1', 1, b'1', 1), (24, 637, '[{\"propertyId\":0,\"propertyName\":\"默认\",\"valueId\":0,\"valueName\":\"默认\"}]', 100, 200, 300, '1', '', 4, 5, 6, 0, 0, NULL, '2024-01-10 23:39:25', '2023-12-26 09:39:51', '1', 1, b'1', 1), (25, 637, '[{\"propertyId\":9,\"propertyName\":\"卡卡\",\"valueId\":22,\"valueName\":\"biubiu\"}]', 100, 300, 500, '123', '', 7, 9, 0, 0, 0, NULL, '2024-01-10 23:47:29', '2024-01-12 22:47:57', '1', 1, b'0', 1), (26, 637, '[{\"propertyId\":9,\"propertyName\":\"卡卡\",\"valueId\":23,\"valueName\":\"啦啦啦\"}]', 200, 400, 600, '2332', '', 8, 10, 0, 0, 0, NULL, '2024-01-10 23:47:29', '2024-01-12 22:47:57', '1', 1, b'0', 1), (27, 638, '[{\"propertyId\":0,\"propertyName\":\"默认\",\"valueId\":0,\"valueName\":\"默认\"}]', 100, 200, 300, '', '', 4, 5, 6, 0, 0, NULL, '2024-01-11 21:42:18', '2023-12-26 13:35:24', '1', 1, b'1', 1), (28, 638, '[{\"propertyId\":1,\"propertyName\":\"颜色\",\"valueId\":6,\"valueName\":\"蓝色\"}]', 100, 200, 300, '啦啦啦', '', 4, 5, 6, 0, 0, NULL, '2024-01-11 21:54:16', '2024-01-12 22:13:59', '1', 1, b'0', 1), (29, 639, '[{\"propertyId\":0,\"propertyName\":\"默认\",\"valueId\":0,\"valueName\":\"默认\"}]', 100, 200, 300, '', '', 4, 5, 6, 0, 0, NULL, '2024-01-12 22:16:27', '2024-01-12 22:47:47', '1', 1, b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for product_spu
-- ----------------------------
DROP TABLE IF EXISTS `product_spu`;
CREATE TABLE `product_spu`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '商品 SPU 编号，自增',
  `name` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '商品名称',
  `keyword` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '关键字',
  `introduction` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '商品简介',
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '商品详情',
  `category_id` bigint NOT NULL COMMENT '商品分类编号',
  `brand_id` int NULL DEFAULT NULL COMMENT '商品品牌编号',
  `pic_url` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '商品封面图',
  `slider_pic_urls` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '商品轮播图地址\n 数组，以逗号分隔\n 最多上传15张',
  `sort` int NOT NULL DEFAULT 0 COMMENT '排序字段',
  `status` tinyint NOT NULL COMMENT '商品状态: 0 上架（开启） 1 下架（禁用）-1 回收',
  `spec_type` bit(1) NULL DEFAULT NULL COMMENT '规格类型：0 单规格 1 多规格',
  `price` int NOT NULL DEFAULT -1 COMMENT '商品价格，单位使用：分',
  `market_price` int NULL DEFAULT NULL COMMENT '市场价，单位使用：分',
  `cost_price` int NOT NULL DEFAULT -1 COMMENT '成本价，单位： 分',
  `stock` int NOT NULL DEFAULT 0 COMMENT '库存',
  `delivery_types` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '配送方式数组',
  `delivery_template_id` bigint NULL DEFAULT NULL COMMENT '物流配置模板编号',
  `give_integral` int NOT NULL DEFAULT 0 COMMENT '赠送积分',
  `sub_commission_type` bit(1) NULL DEFAULT NULL COMMENT '分销类型',
  `sales_count` int NULL DEFAULT 0 COMMENT '商品销量',
  `virtual_sales_count` int NULL DEFAULT 0 COMMENT '虚拟销量',
  `browse_count` int NULL DEFAULT 0 COMMENT '商品点击量',
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '创建人',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '更新人',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 640 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '商品spu';

-- ----------------------------
-- Records of product_spu
-- ----------------------------
BEGIN;
INSERT INTO `product_spu` (`id`, `name`, `keyword`, `introduction`, `description`, `category_id`, `brand_id`, `pic_url`, `slider_pic_urls`, `sort`, `status`, `spec_type`, `price`, `market_price`, `cost_price`, `stock`, `delivery_types`, `delivery_template_id`, `give_integral`, `sub_commission_type`, `sales_count`, `virtual_sales_count`, `browse_count`, `create_time`, `update_time`, `creator`, `updater`, `deleted`, `tenant_id`) VALUES (1, '【潮】Nike Air Jordan aj1 low GS耐克板鞋女子秋季低帮休闲防滑运动耐磨篮球鞋 DC0774-105', NULL, NULL, NULL, 20, NULL, 'https://demo26.crmeb.net/uploads/attach/2021/11/15/mid_1ee126538975da13beb3496d90eaad90.jpg', '', 0, -1, NULL, 100, NULL, -1, 10, '', 0, 0, NULL, 10, 20, 0, '2023-04-26 07:01:29', '2023-08-31 06:19:01', NULL, '1', b'1', 1), (2, '诺米家居 矿石博览馆系列藤条香氛无火香薰精油卧室助眠除臭', NULL, NULL, NULL, 19, NULL, 'https://demo26.crmeb.net/uploads/attach/2021/11/20211113/big_3bb9729b7b748b2f297df7bacac2f236.png', '', 0, -1, NULL, 4500, NULL, -1, 20, '', 0, 0, NULL, 10, 20, 0, '2023-04-26 07:01:29', '2023-08-31 06:19:03', NULL, '1', b'1', 1), (101, '索尼（SONY）WH-CH510 无线立体声耳机', '耳机', '我是快乐的简介', '<p><img style=\"max-width:100%;height:auto;float:left;display:block\" src=\"https://demo26.crmeb.net/uploads/attach/2021/12/20211210/099f261f18576902c4a18209d062a3fd.jpg\"><img style=\"max-width:100%;height:auto;float:left;display:block\" src=\"https://demo26.crmeb.net/uploads/attach/2021/12/20211210/debdb191a4d1bc1bda8a989dbd7afd23.jpg\"><img style=\"max-width:100%;height:auto;float:left;display:block\" src=\"https://demo26.crmeb.net/uploads/attach/2021/12/20211210/ee1618b3334641c707cadbb9e14a5bae.jpg\"><img style=\"max-width:100%;height:auto;float:left;display:block\" src=\"https://demo26.crmeb.net/uploads/attach/2021/12/20211210/1251259c8968cdce993e47dd121b50a7.jpg\"></p>', 19, NULL, 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', '[\"https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg\",\"https://demo26.crmeb.net/uploads/attach/2021/11/15/7f46e98ece1920e1a4082dfc72bcd72a.jpg\",\"https://demo26.crmeb.net/uploads/attach/2021/11/15/bfb275263d02ab081b8670a752f2823f.jpg\",\"https://demo26.crmeb.net/uploads/attach/2021/11/15/e499a4dc489cda7b8d472cb3a3b348b7.jpg\",\"https://demo26.crmeb.net/uploads/attach/2021/11/15/06fa150a47163e973bb4806a380afaab.jpg\"]', 0, -1, b'1', 29900, 34900, -1, 273, '', 0, 0, NULL, 30, 40, 0, '2023-04-26 12:29:19', '2023-08-31 06:19:05', NULL, '1', b'1', 1), (109, '单个 sku 商品', '哈哈哈哈', '111', '<p>123321</p>', 27, 1, 'http://127.0.0.1:48080/admin-api/infra/file/4/get/93332ead43f162c65f909214971afaa11f44d1739877bceb5102688ac8ad933e.jpg', '[\"http://127.0.0.1:48080/admin-api/infra/file/4/get/93332ead43f162c65f909214971afaa11f44d1739877bceb5102688ac8ad933e.jpg\",\"http://127.0.0.1:48080/admin-api/infra/file/4/get/a9f677c21d96b364f52aa85017aff793ab056ba973eb9e356b27b676ded4c621.jpg\"]', 0, -1, b'0', 100, 200, 300, 10, '', 1, 0, b'0', 0, 0, 0, '2023-06-05 23:30:18', '2023-08-31 06:19:07', '1', '1', b'1', 1), (633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', '耳机', '我是快乐的简介', '<p><img src=\"https://static.iocoder.cn/mall/099f261f18576902c4a18209d062a3fd.jpg\" alt=\"\" data-href=\"\" style=\"height: auto;\"/><img src=\"https://static.iocoder.cn/mall/ee1618b3334641c707cadbb9e14a5bae.jpg\" alt=\"\" data-href=\"\" style=\"height: auto;\"/><img src=\"https://static.iocoder.cn/mall/1251259c8968cdce993e47dd121b50a7.jpg\" alt=\"\" data-href=\"\" style=\"height: auto;\"/></p>', 52, 3, 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', '[\"https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg\",\"https://static.iocoder.cn/mall/7f46e98ece1920e1a4082dfc72bcd72a.jpg\",\"https://static.iocoder.cn/mall/bfb275263d02ab081b8670a752f2823f.jpg\",\"https://static.iocoder.cn/mall/e499a4dc489cda7b8d472cb3a3b348b7.jpg\",\"https://static.iocoder.cn/mall/06fa150a47163e973bb4806a380afaab.jpg\"]', 0, 1, b'1', 1, 34900, 1, 255, '1', 1, 0, b'0', 30, 40, 27, '2023-04-26 12:29:19', '2023-12-27 21:51:34', NULL, '1', b'0', 1), (634, 'HUAWEI Mate 60 Pro', '遥遥领先', '卫星通话，超可靠玄武架构，全焦段超清影像', '<p><img src=\"http://127.0.0.1:48080/admin-api/infra/file/4/get/df93943f5e726738db48abbe18161411c2bf808200309096a679369d36731e81.jpg\" alt=\"image\" data-href=\"http://127.0.0.1:48080/admin-api/infra/file/4/get/df93943f5e726738db48abbe18161411c2bf808200309096a679369d36731e81.jpg\" style=\"\"/><img src=\"http://127.0.0.1:48080/admin-api/infra/file/4/get/0cad15172eb96f681496ebba49ea75ecb7ade8f377f2a812b4d60f7315083713.jpg\" alt=\"image\" data-href=\"http://127.0.0.1:48080/admin-api/infra/file/4/get/0cad15172eb96f681496ebba49ea75ecb7ade8f377f2a812b4d60f7315083713.jpg\" style=\"\"/></p>', 48, 1, 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', '[\"http://127.0.0.1:48080/admin-api/infra/file/4/get/3661b4ca3b922d31bef4440a7d68f9112b8f529ba160b3278bb0b5158384abf6.jpg\",\"http://127.0.0.1:48080/admin-api/infra/file/4/get/44c8288cd79d2e7df3a80244e519e5fd98c43c9264335f0cbe2fda2445198e45.jpg\",\"http://127.0.0.1:48080/admin-api/infra/file/4/get/23c7564ad843c326296c17c16dd1d2749a421ae81c416fe9e94fb1d310c02ed5.jpg\",\"http://127.0.0.1:48080/admin-api/infra/file/4/get/02a82a7b16987dc14c38378532a3a5b0fb34a3320fc020f1e83a5090f35193c8.jpg\"]', 0, 1, b'1', 699900, 699900, 699900, 985, '', 1, 0, b'0', 0, 0, 29, '2023-08-31 20:30:27', '2023-12-28 01:13:18', '1', '1', b'0', 1), (635, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', '耳机', '我是快乐的简介', '<p><img src=\"https://static.iocoder.cn/mall/099f261f18576902c4a18209d062a3fd.jpg\" alt=\"\" data-href=\"\" style=\"height: auto;\"/><img src=\"https://static.iocoder.cn/mall/ee1618b3334641c707cadbb9e14a5bae.jpg\" alt=\"\" data-href=\"\" style=\"height: auto;\"/><img src=\"https://static.iocoder.cn/mall/1251259c8968cdce993e47dd121b50a7.jpg\" alt=\"\" data-href=\"\" style=\"height: auto;\"/></p>', 28, 3, 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', '[\"https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg\",\"https://static.iocoder.cn/mall/7f46e98ece1920e1a4082dfc72bcd72a.jpg\",\"https://static.iocoder.cn/mall/bfb275263d02ab081b8670a752f2823f.jpg\",\"https://static.iocoder.cn/mall/e499a4dc489cda7b8d472cb3a3b348b7.jpg\",\"https://static.iocoder.cn/mall/06fa150a47163e973bb4806a380afaab.jpg\"]', 0, -1, b'1', 4, 34900, 1, 324, '', 1, 0, b'0', 0, 40, 0, '2023-10-01 20:04:50', '2023-12-15 05:01:03', '1', '1', b'1', 1), (636, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', '耳机', '我是快乐的简介', '<p><img src=\"https://static.iocoder.cn/mall/099f261f18576902c4a18209d062a3fd.jpg\" alt=\"\" data-href=\"\" style=\"height: auto;\"/><img src=\"https://static.iocoder.cn/mall/ee1618b3334641c707cadbb9e14a5bae.jpg\" alt=\"\" data-href=\"\" style=\"height: auto;\"/><img src=\"https://static.iocoder.cn/mall/1251259c8968cdce993e47dd121b50a7.jpg\" alt=\"\" data-href=\"\" style=\"height: auto;\"/></p>', 28, 3, 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', '[\"https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg\",\"https://static.iocoder.cn/mall/7f46e98ece1920e1a4082dfc72bcd72a.jpg\",\"https://static.iocoder.cn/mall/bfb275263d02ab081b8670a752f2823f.jpg\",\"https://static.iocoder.cn/mall/e499a4dc489cda7b8d472cb3a3b348b7.jpg\",\"https://static.iocoder.cn/mall/06fa150a47163e973bb4806a380afaab.jpg\"]', 0, -1, b'1', 4, 34900, 1, 324, '', 1, 0, b'0', 0, 40, 0, '2023-10-01 20:46:33', '2023-12-15 05:01:02', '1', '1', b'1', 1), (637, '新界面', '啦啦啦', '我就简单说几句', '<p>213213123</p>', 19, 1, 'http://127.0.0.1:48080/admin-api/infra/file/4/get/d8c88ec4b865073945319d638f7159170b5dff988b9119642edcdb04eba7fe72.jpg', '[\"http://127.0.0.1:48080/admin-api/infra/file/4/get/69f6e10fe8009b37ccaf6d88f8d2889a4586af52bdfd7c7fa094a0fffc1782b3.jpg\"]', 0, 1, b'1', 100, 300, 500, 15, '1', 1, 0, b'0', 0, 0, 0, '2024-01-10 23:39:25', '2024-01-12 22:47:57', '1', '1', b'0', 1), (638, '测试商品01', '1', '2', '<p>qqwww</p>', 19, 1, 'http://127.0.0.1:48080/admin-api/infra/file/4/get/77d9882fe30dfafcfc64a28b1eddd1cd09f318b11a761825e2f84f7b68283209.jpg', '[\"http://127.0.0.1:48080/admin-api/infra/file/4/get/c0b8448d205d5b5b8e6ddafde4c60d523303af738875df82f75710668717d588.png\"]', 0, 1, b'1', 100, 200, 300, 4, '2', 4, 0, b'0', 0, 111, 1, '2024-01-11 21:42:18', '2023-12-27 10:16:22', '1', '1', b'0', 1), (639, '旧的界面', '1024', '2048', '<p>qq</p>', 19, 2, 'http://127.0.0.1:48080/admin-api/infra/file/4/get/d8c88ec4b865073945319d638f7159170b5dff988b9119642edcdb04eba7fe72.jpg', '[\"http://127.0.0.1:48080/admin-api/infra/file/4/get/8fcc4f5a7952d8c0feb21c0cac7459ca5cdc11311186b75f36187ebba8a2f128.jpg\"]', 0, 1, b'0', 100, 200, 300, 4, '2', NULL, 0, b'0', 0, 0, 1, '2024-01-12 22:16:27', '2023-12-27 11:40:21', '1', '1', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for product_statistics
-- ----------------------------
DROP TABLE IF EXISTS `product_statistics`;
CREATE TABLE `product_statistics`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号，主键自增',
  `time` date NOT NULL COMMENT '统计日期',
  `spu_id` bigint NOT NULL COMMENT '商品 SPU 编号',
  `browse_count` int NOT NULL DEFAULT 0 COMMENT '浏览量',
  `browse_user_count` int NOT NULL DEFAULT 0 COMMENT '访客量',
  `favorite_count` int NOT NULL DEFAULT 0 COMMENT '收藏数量',
  `cart_count` int NOT NULL DEFAULT 0 COMMENT '加购数量',
  `order_count` int NOT NULL DEFAULT 0 COMMENT '下单件数',
  `order_pay_count` int NOT NULL DEFAULT 0 COMMENT '支付件数',
  `order_pay_price` int NOT NULL DEFAULT 0 COMMENT '支付金额，单位：分',
  `after_sale_count` int NOT NULL DEFAULT 0 COMMENT '退款件数',
  `after_sale_refund_price` int NOT NULL DEFAULT 0 COMMENT '退款金额，单位：分',
  `browse_convert_percent` int NOT NULL DEFAULT 0 COMMENT '访客支付转化率（百分比）',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_time`(`time` ASC) USING BTREE,
  INDEX `idx_spu_id`(`spu_id` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '商品统计表';

-- ----------------------------
-- Records of product_statistics
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for promotion_article
-- ----------------------------
DROP TABLE IF EXISTS `promotion_article`;
CREATE TABLE `promotion_article`  (
  `id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '文章管理编号',
  `category_id` bigint NOT NULL COMMENT '分类编号',
  `spu_id` bigint NOT NULL DEFAULT 0 COMMENT '关联商品编号',
  `title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '文章标题',
  `author` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '文章作者',
  `pic_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '文章封面图片地址',
  `introduction` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '文章简介',
  `browse_count` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '浏览次数',
  `sort` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '排序',
  `status` tinyint UNSIGNED NOT NULL DEFAULT 0 COMMENT '状态',
  `recommend_hot` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否热门(小程序)',
  `recommend_banner` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否轮播图(小程序)',
  `content` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '文章内容',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '文章管理表';

-- ----------------------------
-- Records of promotion_article
-- ----------------------------
BEGIN;
INSERT INTO `promotion_article` (`id`, `category_id`, `spu_id`, `title`, `author`, `pic_url`, `introduction`, `browse_count`, `sort`, `status`, `recommend_hot`, `recommend_banner`, `content`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (1, 2, 633, '芋道源码', '', 'http://127.0.0.1:48080/admin-api/infra/file/0/get/cb59dd08e53685d02145d5b60afb61a996bccb0773b5c88ae10dbba819283a3e.jpg', '1111111111111111111112222222222222222222222222222222', '0', 10, 0, b'1', b'1', '<p>哈哈哈哈</p>', '1', '2023-10-16 21:48:11', '1', '2023-10-16 21:50:30', b'0', 1), (2, 3, 0, '用户协议', '', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/d1cc3a2488c6e4253d5c9c360534c3c87156815b3f92554002211f2d7764d294.jpeg', '', '0', 0, 0, b'0', b'0', '<p>我是用户协议，可以按需更改哈！</p>', '1', '2023-12-27 21:15:09', '1', '2023-12-27 21:15:09', b'0', 1), (3, 3, 0, '隐私协议', '', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/d1cc3a2488c6e4253d5c9c360534c3c87156815b3f92554002211f2d7764d294.jpeg', '', '0', 0, 0, b'0', b'0', '<p>啦啦啦啦，我是隐私协议</p>', '1', '2023-12-27 21:23:16', '1', '2023-12-27 21:23:16', b'0', 1), (4, 3, 0, '关于我们', '', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/d1cc3a2488c6e4253d5c9c360534c3c87156815b3f92554002211f2d7764d294.jpeg', '', '0', 0, 0, b'0', b'0', '<p>啦啦啦啦，我是关于我们</p>', '1', '2023-12-27 21:23:42', '1', '2023-12-27 21:23:42', b'0', 1), (5, 3, 0, '常见问题', '', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/d1cc3a2488c6e4253d5c9c360534c3c87156815b3f92554002211f2d7764d294.jpeg', '', '0', 0, 0, b'0', b'0', '<h2>① 商品退货了，谁承担运费？</h2><p>亲，平台运费规则秉承“谁过错，谁承担”的原则,如非商家或者物流问题，建议您联系商家协商处理，售后，退货运费需要您自行承担;如商品存在质量问题、商家发错货等情况，退货运费由商家承担。为了更好的保障您的权益，请您保留好相关凭证,退货物流费用麻烦您先垫付，不要使用到付，待商家收到您寄回的商品，退款成功后，您可以凭借凭证联系商家处理~</p><h2>② 付款后订单显示待付款？</h2><p>如您账户显示已扣款，但订单交易状态显示”等待付款”，可能是由于网络繁忙导致数据延迟，建议您稍后关注订单交易状态以及交易账户流水情况。</p><h2>③ 发货时间？</h2><p>一般情况下，用户下单后48小时内发货</p>', '1', '2023-12-27 22:05:57', '1', '2023-12-27 22:05:57', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for promotion_article_category
-- ----------------------------
DROP TABLE IF EXISTS `promotion_article_category`;
CREATE TABLE `promotion_article_category`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '文章分类编号',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '分类名称',
  `pic_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '图标地址',
  `status` tinyint NOT NULL DEFAULT 1 COMMENT '状态',
  `sort` int NOT NULL DEFAULT 99999 COMMENT '排序',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '文章分类表';

-- ----------------------------
-- Records of promotion_article_category
-- ----------------------------
BEGIN;
INSERT INTO `promotion_article_category` (`id`, `name`, `pic_url`, `status`, `sort`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (1, '电子资讯', 'http://127.0.0.1:48080/admin-api/infra/file/0/get/d6d29a8f02fdd7d86a32a3b9511b40783f5f71b2ee79d66479618f17e4f15985.png', 0, 0, '1', '2023-10-16 09:52:09', '1', '2023-10-16 09:52:09', b'0', 1), (2, '技术前沿', 'http://127.0.0.1:48080/admin-api/infra/file/0/get/89c3b3f6a624a4f595eff40908498e12dd7922c693fc24ae7d2409beb75aeef5.png', 0, 1, '1', '2023-10-16 09:52:22', '1', '2023-12-09 00:13:56', b'0', 1), (3, '系统分类', '', 0, 0, '1', '2023-12-27 21:12:05', '1', '2023-12-27 21:12:05', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for promotion_banner
-- ----------------------------
DROP TABLE IF EXISTS `promotion_banner`;
CREATE TABLE `promotion_banner`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT 'Banner 编号',
  `title` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'Banner 标题',
  `pic_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '图片 URL',
  `url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '跳转地址',
  `status` tinyint NOT NULL DEFAULT -1 COMMENT '活动状态',
  `sort` int NULL DEFAULT NULL COMMENT '排序',
  `position` tinyint NOT NULL COMMENT '位置',
  `memo` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '描述',
  `browse_count` int NULL DEFAULT NULL COMMENT 'Banner 点击次数',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = 'Banner 广告位';

-- ----------------------------
-- Records of promotion_banner
-- ----------------------------
BEGIN;
INSERT INTO `promotion_banner` (`id`, `title`, `pic_url`, `url`, `status`, `sort`, `position`, `memo`, `browse_count`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (4, '测试', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/c27824a47a09d504bfefad46ff4660b4d635c05c6f9addc6aef2ce86619c7fcf.jpeg', 'http://www.iocoder.cn', 0, 0, 5, '3232112', NULL, '1', '2023-10-24 20:22:51', '1', '2023-10-24 20:22:51', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for promotion_bargain_activity
-- ----------------------------
DROP TABLE IF EXISTS `promotion_bargain_activity`;
CREATE TABLE `promotion_bargain_activity`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '砍价活动编号',
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '砍价活动名称',
  `start_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '活动开始时间',
  `end_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '活动结束时间',
  `status` int NOT NULL DEFAULT 0 COMMENT '活动状态',
  `spu_id` bigint NOT NULL DEFAULT 0 COMMENT '商品 SPU 编号',
  `sku_id` bigint NOT NULL COMMENT '商品 SKU 编号',
  `bargain_first_price` int NOT NULL DEFAULT 0 COMMENT '砍价起始价格，单位分',
  `bargain_min_price` int NOT NULL DEFAULT 0 COMMENT '砍价底价，单位：分',
  `stock` int NOT NULL DEFAULT 0 COMMENT '砍价库存',
  `total_stock` int NOT NULL DEFAULT 0 COMMENT '砍价总库存',
  `help_max_count` int NOT NULL DEFAULT 0 COMMENT '砍价人数',
  `bargain_count` int NOT NULL DEFAULT 0 COMMENT '最大帮砍次数',
  `total_limit_count` int NOT NULL DEFAULT 0 COMMENT '总限购数量',
  `random_min_price` int NOT NULL DEFAULT 0 COMMENT '用户每次砍价的最小金额，单位：分',
  `random_max_price` int NOT NULL DEFAULT 0 COMMENT '用户每次砍价的最大金额，单位：分',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 26 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '砍价活动';

-- ----------------------------
-- Records of promotion_bargain_activity
-- ----------------------------
BEGIN;
INSERT INTO `promotion_bargain_activity` (`id`, `name`, `start_time`, `end_time`, `status`, `spu_id`, `sku_id`, `bargain_first_price`, `bargain_min_price`, `stock`, `total_stock`, `help_max_count`, `bargain_count`, `total_limit_count`, `random_min_price`, `random_max_price`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (1, '测试活动', '2023-08-13 00:45:31', '2025-08-30 00:00:00', 0, 633, 1, 100, 40, 10, 100, 10, 100, 3, 2, 10, '', '2023-08-12 16:45:48', '1', '2023-12-13 12:01:05', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for promotion_bargain_help
-- ----------------------------
DROP TABLE IF EXISTS `promotion_bargain_help`;
CREATE TABLE `promotion_bargain_help`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '砍价助力编号',
  `user_id` bigint NOT NULL COMMENT '用户编号',
  `activity_id` bigint NOT NULL COMMENT '砍价活动名称',
  `record_id` bigint NOT NULL DEFAULT 0 COMMENT '砍价记录编号',
  `reduce_price` int NOT NULL DEFAULT 0 COMMENT '减少砍价，单位：分',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 37 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '砍价助力表';

-- ----------------------------
-- Records of promotion_bargain_help
-- ----------------------------
BEGIN;
INSERT INTO `promotion_bargain_help` (`id`, `user_id`, `activity_id`, `record_id`, `reduce_price`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (26, 247, 1, 636, 0, '247', '2023-10-04 21:54:19', '247', '2023-10-04 21:54:19', b'0', 1), (34, 247, 1, 26, 1, '248', '2023-10-05 00:05:02', '248', '2023-10-05 04:41:30', b'0', 1), (35, 247, 1, 1, 1, '248', '2023-10-05 00:05:02', '248', '2023-10-05 04:41:30', b'0', 1), (36, 247, 1, 31, 25, '247', '2023-10-06 02:23:36', '247', '2023-10-06 02:23:36', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for promotion_bargain_record
-- ----------------------------
DROP TABLE IF EXISTS `promotion_bargain_record`;
CREATE TABLE `promotion_bargain_record`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '砍价记录编号',
  `activity_id` bigint NOT NULL COMMENT '砍价活动名称',
  `user_id` bigint NOT NULL COMMENT '用户编号',
  `spu_id` bigint NOT NULL DEFAULT 0 COMMENT '商品 SPU 编号',
  `sku_id` bigint NOT NULL COMMENT '商品 SKU 编号',
  `bargain_first_price` int NOT NULL DEFAULT 0 COMMENT '砍价起始价格，单位：分',
  `bargain_price` int NOT NULL DEFAULT 0 COMMENT '当前砍价，单位：分',
  `status` int NOT NULL DEFAULT 0 COMMENT '砍价状态',
  `order_id` bigint NULL DEFAULT NULL COMMENT '订单编号',
  `end_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '结束时间',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 33 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '砍价记录表';

-- ----------------------------
-- Records of promotion_bargain_record
-- ----------------------------
BEGIN;
INSERT INTO `promotion_bargain_record` (`id`, `activity_id`, `user_id`, `spu_id`, `sku_id`, `bargain_first_price`, `bargain_price`, `status`, `order_id`, `end_time`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (26, 1, 247, 636, 23, 10, 2, 2, NULL, '2023-10-04 13:54:19', '247', '2023-10-04 21:54:19', '248', '2023-10-05 00:05:02', b'0', 1), (27, 1, 247, 633, 1, 100, 1, 2, 107, '2023-10-05 09:17:54', '247', '2023-10-05 17:17:54', '247', '2023-10-05 23:22:49', b'0', 1), (30, 1, 247, 633, 1, 100, 90, 1, NULL, '2023-10-05 17:54:51', '247', '2023-10-06 01:54:52', '247', '2023-10-05 18:06:06', b'0', 1), (31, 1, 248, 633, 1, 100, 75, 2, 108, '2023-10-06 10:08:34', '248', '2023-10-06 02:09:34', '248', '2023-10-06 10:08:34', b'0', 1), (32, 1, 248, 633, 1, 100, 100, 1, NULL, '2023-10-06 02:17:14', '248', '2023-10-06 10:17:14', '248', '2023-10-06 10:17:14', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for promotion_combination_activity
-- ----------------------------
DROP TABLE IF EXISTS `promotion_combination_activity`;
CREATE TABLE `promotion_combination_activity`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '活动编号',
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '拼团名称',
  `spu_id` bigint NOT NULL COMMENT '商品 SPU ID',
  `total_limit_count` int NOT NULL COMMENT '总限购数量',
  `single_limit_count` int NOT NULL COMMENT '单次限购数量',
  `start_time` datetime NOT NULL COMMENT '开始时间',
  `end_time` datetime NOT NULL COMMENT '结束时间',
  `user_size` int NULL DEFAULT NULL COMMENT '购买人数',
  `virtual_group` int NOT NULL COMMENT '虚拟成团',
  `status` tinyint NOT NULL DEFAULT 0 COMMENT '活动状态：0开启 1关闭',
  `limit_duration` int NOT NULL COMMENT '限制时长（小时）',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 9 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '拼团活动';

-- ----------------------------
-- Records of promotion_combination_activity
-- ----------------------------
BEGIN;
INSERT INTO `promotion_combination_activity` (`id`, `name`, `spu_id`, `total_limit_count`, `single_limit_count`, `start_time`, `end_time`, `user_size`, `virtual_group`, `status`, `limit_duration`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (7, '封神榜真好看', 634, 1, 2, '2023-08-12 00:00:00', '2029-12-01 00:00:00', 2, 0, 0, 3, '1', '2023-08-12 23:32:42', '1', '2023-10-05 00:27:24', b'0', 1), (8, '一个新的拼团活动', 633, 3, 4, '2024-01-13 00:00:00', '2024-02-29 00:00:00', 2, 0, 0, 10, '1', '2024-01-13 17:10:16', '1', '2024-01-13 17:10:16', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for promotion_combination_product
-- ----------------------------
DROP TABLE IF EXISTS `promotion_combination_product`;
CREATE TABLE `promotion_combination_product`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `activity_id` bigint NULL DEFAULT NULL COMMENT '拼团活动编号',
  `spu_id` bigint NULL DEFAULT NULL COMMENT '商品 SPU 编号',
  `sku_id` bigint NULL DEFAULT NULL COMMENT '商品 SKU 编号',
  `activity_status` tinyint NOT NULL DEFAULT 0 COMMENT '拼团商品状态',
  `activity_start_time` datetime NOT NULL COMMENT '活动开始时间点',
  `activity_end_time` datetime NOT NULL COMMENT '活动结束时间点',
  `combination_price` int NOT NULL DEFAULT 0 COMMENT '拼团价格，单位分',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 32 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '拼团商品';

-- ----------------------------
-- Records of promotion_combination_product
-- ----------------------------
BEGIN;
INSERT INTO `promotion_combination_product` (`id`, `activity_id`, `spu_id`, `sku_id`, `activity_status`, `activity_start_time`, `activity_end_time`, `combination_price`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (25, 7, 101, 10, 0, '2023-08-12 00:00:00', '2023-08-13 00:00:00', 100, '1', '2023-08-12 23:32:42', '1', '2023-10-04 16:26:40', b'1', 1), (26, 7, 101, 11, 0, '2023-08-12 00:00:00', '2023-08-13 00:00:00', 200, '1', '2023-08-12 23:32:42', '1', '2023-10-04 16:26:40', b'1', 1), (27, 7, 101, 12, 0, '2023-08-12 00:00:00', '2023-08-13 00:00:00', 300, '1', '2023-08-12 23:32:42', '1', '2023-10-04 16:26:40', b'1', 1), (28, 7, 634, 16, 0, '2023-08-12 00:00:00', '2029-12-01 00:00:00', 3, '1', '2023-10-05 00:26:41', '1', '2023-10-05 00:27:24', b'0', 1), (29, 8, 633, 1, 0, '2024-01-13 00:00:00', '2024-02-29 00:00:00', 100, '1', '2024-01-13 17:10:16', '1', '2024-01-13 17:10:16', b'0', 1), (30, 8, 633, 2, 0, '2024-01-13 00:00:00', '2024-02-29 00:00:00', 200, '1', '2024-01-13 17:10:16', '1', '2024-01-13 17:10:16', b'0', 1), (31, 8, 633, 3, 0, '2024-01-13 00:00:00', '2024-02-29 00:00:00', 300, '1', '2024-01-13 17:10:16', '1', '2024-01-13 17:10:16', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for promotion_combination_record
-- ----------------------------
DROP TABLE IF EXISTS `promotion_combination_record`;
CREATE TABLE `promotion_combination_record`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `activity_id` bigint NULL DEFAULT NULL COMMENT '拼团活动编号',
  `spu_id` bigint NULL DEFAULT NULL COMMENT '商品 SPU 编号',
  `pic_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '商品图片',
  `spu_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '商品名称',
  `sku_id` bigint NULL DEFAULT NULL COMMENT '商品 SKU 编号',
  `count` int NULL DEFAULT NULL COMMENT '购买的商品数量',
  `user_id` bigint NULL DEFAULT NULL COMMENT '用户编号',
  `nickname` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '用户昵称',
  `avatar` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '用户头像',
  `head_id` bigint NULL DEFAULT NULL COMMENT '团长编号',
  `order_id` bigint NULL DEFAULT NULL COMMENT '订单编号',
  `user_size` int NOT NULL COMMENT '可参团人数',
  `user_count` int NOT NULL COMMENT '已参团人数',
  `virtual_group` bit(1) NULL DEFAULT NULL COMMENT '是否虚拟拼团',
  `status` tinyint NOT NULL DEFAULT 0 COMMENT '参与状态：1进行中 2已完成 3未完成',
  `combination_price` int NOT NULL COMMENT '拼团商品单价，单位分',
  `expire_time` datetime NOT NULL COMMENT '过期时间',
  `start_time` datetime NULL DEFAULT NULL COMMENT '开始时间 (订单付款后开始的时间)',
  `end_time` datetime NULL DEFAULT NULL COMMENT '结束时间（成团时间/失败时间）',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 12 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '拼团记录';

-- ----------------------------
-- Records of promotion_combination_record
-- ----------------------------
BEGIN;
INSERT INTO `promotion_combination_record` (`id`, `activity_id`, `spu_id`, `pic_url`, `spu_name`, `sku_id`, `count`, `user_id`, `nickname`, `avatar`, `head_id`, `order_id`, `user_size`, `user_count`, `virtual_group`, `status`, `combination_price`, `expire_time`, `start_time`, `end_time`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (9, 8, 633, 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 2, 1, 282, '啦啦啦', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/f341ff4f7838c29a4978421d0de39ac5d9e18016af124e7ef94a29cb4e8e5a15.jpeg', 0, 157, 2, 2, b'0', 1, 300, '2024-01-14 03:13:45', '2024-01-13 17:13:45', '2024-01-13 17:16:49', NULL, '2024-01-13 17:13:45', NULL, '2024-01-13 17:16:49', b'0', 1), (10, 8, 633, 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 2, 1, 247, '啦啦啦', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/f341ff4f7838c29a4978421d0de39ac5d9e18016af124e7ef94a29cb4e8e5a15.jpeg', 9, 158, 2, 2, b'0', 1, 300, '2024-01-14 03:13:45', '2024-01-13 17:13:45', '2024-01-13 17:16:49', NULL, '2024-01-13 17:16:49', NULL, '2024-01-13 17:16:49', b'0', 1), (11, 8, 633, 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 2, 1, 247, '啦啦啦', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/f341ff4f7838c29a4978421d0de39ac5d9e18016af124e7ef94a29cb4e8e5a15.jpeg', 0, 159, 2, 1, b'0', 0, 300, '2024-01-14 05:16:38', '2024-01-13 19:16:38', NULL, NULL, '2024-01-13 19:16:38', NULL, '2024-01-13 19:16:38', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for promotion_coupon
-- ----------------------------
DROP TABLE IF EXISTS `promotion_coupon`;
CREATE TABLE `promotion_coupon`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '优惠劵编号',
  `template_id` bigint NOT NULL COMMENT '优惠劵模板编号',
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '优惠劵名',
  `status` tinyint NOT NULL COMMENT '优惠码状态\n     *\n     * 1-未使用\n     * 2-已使用\n     * 3-已失效',
  `user_id` bigint NOT NULL COMMENT '用户编号',
  `take_type` tinyint NOT NULL COMMENT '领取类型\n     *\n     * 1 - 用户主动领取\n     * 2 - 后台自动发放',
  `use_price` int NOT NULL COMMENT '是否设置满多少金额可用，单位：分',
  `valid_start_time` datetime NOT NULL COMMENT '生效开始时间',
  `valid_end_time` datetime NOT NULL COMMENT '生效结束时间',
  `product_scope` tinyint NOT NULL COMMENT '商品范围',
  `product_scope_values` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '商品范围编号的数组',
  `discount_type` tinyint NOT NULL COMMENT '折扣类型',
  `discount_percent` tinyint NULL DEFAULT NULL COMMENT '折扣百分比',
  `discount_price` int NULL DEFAULT NULL COMMENT '优惠金额，单位：分',
  `discount_limit_price` int NULL DEFAULT NULL COMMENT '折扣上限',
  `use_order_id` bigint NULL DEFAULT NULL COMMENT '使用订单号',
  `use_time` datetime NULL DEFAULT NULL COMMENT '使用时间',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 18 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '优惠劵';

-- ----------------------------
-- Records of promotion_coupon
-- ----------------------------
BEGIN;
INSERT INTO `promotion_coupon` (`id`, `template_id`, `name`, `status`, `user_id`, `take_type`, `use_price`, `valid_start_time`, `valid_end_time`, `product_scope`, `product_scope_values`, `discount_type`, `discount_percent`, `discount_price`, `discount_limit_price`, `use_order_id`, `use_time`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (1, 1, '优惠劵A', 1, 247, 1, 10000, '2019-04-08 00:00:00', '2019-04-10 00:00:00', 1, NULL, 1, NULL, 1000, NULL, 0, '2019-05-17 17:46:30', '', '2022-11-03 00:09:56', '', '2023-10-03 04:59:13', b'0', 1), (2, 1, '优惠劵B', 2, 247, 1, 2, '2019-04-08 00:00:00', '2019-04-10 00:00:00', 1, NULL, 2, 49, 1000, NULL, 0, '2019-05-17 14:21:17', '', '2022-11-03 00:09:56', '', '2023-12-16 02:28:26', b'0', 1), (3, 1, '优惠劵C', 1, 247, 1, 10, '2019-04-08 00:00:00', '2019-04-10 00:00:00', 1, NULL, 1, NULL, 9, NULL, 0, '2019-05-17 17:58:50', '', '2022-11-03 00:09:56', '', '2023-12-16 01:19:07', b'0', 1), (8, 1, '优惠劵AAA', 1, 247, 1, 1000, '2023-12-17 10:38:43', '2023-12-18 10:38:43', 2, '633,634', 2, 99, 1000, 10, NULL, NULL, '247', '2023-12-16 10:38:43', '247', '2023-12-16 10:38:43', b'0', 1), (9, 1, '优惠劵AAA', 1, 247, 1, 1000, '2023-12-17 10:38:51', '2023-12-18 10:38:51', 2, '633,634', 2, 99, 1000, 10, NULL, NULL, '247', '2023-12-16 10:38:51', '247', '2023-12-16 10:38:51', b'0', 1), (10, 1, '优惠劵AAA', 1, 247, 1, 1000, '2023-12-17 10:39:01', '2023-12-18 10:39:01', 2, '633,634', 2, 99, 1000, 10, NULL, NULL, '247', '2023-12-16 10:39:01', '247', '2023-12-16 10:39:01', b'0', 1), (11, 1, '优惠劵AAA', 1, 247, 1, 1000, '2023-12-17 10:39:01', '2023-12-18 10:39:01', 2, '633,634', 2, 99, 1000, 10, NULL, NULL, '247', '2023-12-16 10:39:01', '247', '2023-12-16 10:39:01', b'0', 1), (12, 1, '优惠劵AAA', 1, 247, 1, 1000, '2023-12-17 10:39:02', '2023-12-18 10:39:02', 2, '633,634', 2, 99, 1000, 10, NULL, NULL, '247', '2023-12-16 10:39:02', '247', '2023-12-16 10:39:02', b'0', 1), (13, 1, '优惠劵AAA', 1, 247, 1, 1000, '2023-12-17 10:39:02', '2023-12-18 10:39:02', 2, '633,634', 2, 99, 1000, 10, NULL, NULL, '247', '2023-12-16 10:39:02', '247', '2023-12-16 10:39:02', b'0', 1), (14, 1, '优惠劵AAA', 1, 247, 1, 1000, '2023-12-17 19:14:00', '2023-12-18 19:14:00', 2, '633,634', 2, 99, 1000, 10, NULL, NULL, '247', '2023-12-16 19:14:00', '247', '2023-12-16 19:14:00', b'0', 1), (15, 1, '优惠劵AAA', 1, 247, 1, 1000, '2023-12-17 19:15:51', '2023-12-18 19:15:51', 2, '633,634', 2, 99, 1000, 10, NULL, NULL, '247', '2023-12-16 19:15:51', '247', '2023-12-16 19:15:51', b'0', 1), (16, 1, '优惠劵AAA', 1, 247, 1, 1000, '2023-12-17 19:15:54', '2023-12-18 19:15:54', 2, '633,634', 2, 99, 1000, 10, NULL, NULL, '247', '2023-12-16 19:15:54', '247', '2023-12-16 19:15:54', b'0', 1), (17, 1, '优惠劵AAA', 1, 247, 1, 1000, '2023-12-25 20:36:36', '2023-12-26 20:36:36', 2, '633,634', 2, 99, 1000, 10, NULL, NULL, '247', '2023-12-24 20:36:36', '247', '2023-12-24 20:36:36', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for promotion_coupon_template
-- ----------------------------
DROP TABLE IF EXISTS `promotion_coupon_template`;
CREATE TABLE `promotion_coupon_template`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '模板编号，自增唯一。',
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '优惠劵名',
  `status` tinyint NOT NULL COMMENT '状态',
  `total_count` int NOT NULL COMMENT '发放数量, -1 - 则表示不限制',
  `take_limit_count` tinyint NOT NULL COMMENT '每人限领个数, -1 - 则表示不限制',
  `take_type` tinyint NOT NULL COMMENT '领取方式',
  `use_price` int NOT NULL COMMENT '是否设置满多少金额可用，单位：分',
  `product_scope` tinyint NOT NULL COMMENT '商品范围',
  `product_scope_values` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '商品范围编号的数组',
  `validity_type` tinyint NOT NULL COMMENT '生效日期类型',
  `valid_start_time` datetime NULL DEFAULT NULL COMMENT '固定日期-生效开始时间',
  `valid_end_time` datetime NULL DEFAULT NULL COMMENT '固定日期-生效结束时间',
  `fixed_start_term` int NULL DEFAULT NULL COMMENT '领取日期-开始天数',
  `fixed_end_term` int NULL DEFAULT NULL COMMENT '领取日期-结束天数',
  `discount_type` int NOT NULL COMMENT '优惠类型\n     *\n     * 1-代金卷\n     * 2-折扣卷',
  `discount_percent` tinyint NULL DEFAULT NULL COMMENT '折扣百分比',
  `discount_price` int NULL DEFAULT NULL COMMENT '优惠金额，单位：分',
  `discount_limit_price` int NULL DEFAULT NULL COMMENT '折扣上限，仅在 {@link #preferentialType} 等于 2 时生效。\n     *\n     * 例如，折扣上限为 20 元，当使用 8 折优惠券，订单金额为 1000 元时，最高只可折扣 20 元，而非 80  元。',
  `take_count` int NOT NULL DEFAULT 0 COMMENT '领取优惠券的数量',
  `use_count` int NOT NULL DEFAULT 0 COMMENT '使用优惠券的次数',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 17 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '优惠劵模板';

-- ----------------------------
-- Records of promotion_coupon_template
-- ----------------------------
BEGIN;
INSERT INTO `promotion_coupon_template` (`id`, `name`, `status`, `total_count`, `take_limit_count`, `take_type`, `use_price`, `product_scope`, `product_scope_values`, `validity_type`, `valid_start_time`, `valid_end_time`, `fixed_start_term`, `fixed_end_term`, `discount_type`, `discount_percent`, `discount_price`, `discount_limit_price`, `take_count`, `use_count`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (1, '优惠劵AAA', 0, 100, 100, 1, 1000, 2, '633,634', 2, NULL, NULL, 1, 2, 2, 99, 1000, 10, 13, 0, '', '2022-10-31 21:12:15', '1', '2023-12-21 05:22:47', b'0', 1), (2, '优惠劵B', 1, 10, 2, 1, 1000, 2, '10', 2, NULL, NULL, 3, 5, 1, NULL, 10000, 10, 0, 0, '', '2022-10-31 21:12:15', '1', '2022-11-02 22:44:18', b'0', 1), (14, '测试一下', 0, 2, 3, 1, 100, 1, '', 1, '2022-11-24 00:00:00', '2022-12-19 23:59:59', NULL, NULL, 1, 0, 100, 0, 0, 0, '1', '2022-11-02 22:05:56', '1', '2023-08-12 10:53:38', b'0', 1), (15, '测试下', 0, 1, 2, 1, 300, 3, '48,52', 2, '2022-11-14 00:00:00', '2022-12-22 23:59:59', 1, 3, 1, 10, 400, 100, 0, 0, '1', '2022-11-02 22:12:19', '1', '2023-12-16 10:12:24', b'0', 1), (16, '1', 0, 1, 2, 1, 300, 1, '', 1, '1970-01-01 08:00:00', '1970-01-01 08:00:00', NULL, NULL, 1, NULL, 200, NULL, 0, 0, '1', '2023-08-12 10:53:50', '1', '2023-08-12 02:54:34', b'1', 1);
COMMIT;

-- ----------------------------
-- Table structure for promotion_discount_activity
-- ----------------------------
DROP TABLE IF EXISTS `promotion_discount_activity`;
CREATE TABLE `promotion_discount_activity`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '活动编号',
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '活动标题',
  `status` tinyint NOT NULL DEFAULT -1 COMMENT '活动状态',
  `start_time` datetime NOT NULL COMMENT '开始时间',
  `end_time` datetime NOT NULL COMMENT '结束时间',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '备注',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 13 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '限时折扣活动';

-- ----------------------------
-- Records of promotion_discount_activity
-- ----------------------------
BEGIN;
INSERT INTO `promotion_discount_activity` (`id`, `name`, `status`, `start_time`, `end_time`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (12, '2024普陀活动', 0, '2024-01-05 00:00:00', '2024-01-13 00:00:00', '5555', '1', '2024-01-06 08:26:16', '1', '2024-01-06 08:26:16', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for promotion_discount_product
-- ----------------------------
DROP TABLE IF EXISTS `promotion_discount_product`;
CREATE TABLE `promotion_discount_product`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号，主键自增',
  `activity_id` bigint NOT NULL COMMENT '活动编号',
  `spu_id` bigint NOT NULL DEFAULT -1 COMMENT '商品 SPU 编号',
  `sku_id` bigint NOT NULL COMMENT '商品 SKU 编号',
  `discount_type` int NOT NULL COMMENT '优惠类型\n     *\n     * 1-代金卷\n     * 2-折扣卷',
  `discount_percent` tinyint NULL DEFAULT NULL COMMENT '折扣百分比',
  `discount_price` int NULL DEFAULT NULL COMMENT '优惠金额，单位：分',
  `activity_status` tinyint NOT NULL DEFAULT 0 COMMENT '秒杀商品状态',
  `activity_start_time` datetime NOT NULL COMMENT '活动开始时间点',
  `activity_end_time` datetime NOT NULL COMMENT '活动结束时间点',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 22 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '限时折扣商品\n';

-- ----------------------------
-- Records of promotion_discount_product
-- ----------------------------
BEGIN;
INSERT INTO `promotion_discount_product` (`id`, `activity_id`, `spu_id`, `sku_id`, `discount_type`, `discount_percent`, `discount_price`, `activity_status`, `activity_start_time`, `activity_end_time`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (21, 12, 633, 1, 1, 10, 20, 0, '2024-01-05 08:29:08', '2025-01-20 08:29:15', '', '2023-12-25 05:02:06', '', '2023-12-25 05:02:06', b'0', 0);
COMMIT;

-- ----------------------------
-- Table structure for promotion_diy_page
-- ----------------------------
DROP TABLE IF EXISTS `promotion_diy_page`;
CREATE TABLE `promotion_diy_page`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '装修页面编号',
  `template_id` bigint NULL DEFAULT NULL COMMENT '装修模板编号',
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '页面名称',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `preview_pic_urls` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '预览图，多个逗号分隔',
  `property` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '页面属性，JSON 格式',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 10 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '装修页面';

-- ----------------------------
-- Records of promotion_diy_page
-- ----------------------------
BEGIN;
INSERT INTO `promotion_diy_page` (`id`, `template_id`, `name`, `remark`, `preview_pic_urls`, `property`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (1, NULL, 'test', 'test', 'http://127.0.0.1:48080/admin-api/infra/file/0/get/4398e39b3fdb94b1cc3a2893f9efbabc6aec6f3749bc45271680ee7d7aac826a.jpg', '{\"page\":{\"description\":\"\",\"backgroundColor\":\"#f5f5f5\",\"backgroundImage\":\"\"},\"navigationBar\":{\"title\":\"页面标题\",\"description\":\"\",\"navBarHeight\":35,\"backgroundColor\":\"#f5f5f5\",\"backgroundImage\":\"\",\"styleType\":\"default\",\"alwaysShow\":true,\"showGoBack\":true},\"tabBar\":{\"text\":\"底部导航\",\"style\":{\"backgroundType\":\"color\",\"background\":\"#fff\",\"color\":\"#282828\",\"activeColor\":\"#fc4141\"},\"items\":[{\"name\":\"首页\",\"link\":\"/\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/1-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/1-002.png\"},{\"name\":\"分类\",\"link\":\"/pages/goods_cate/goods_cate\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/2-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/2-002.png\"},{\"name\":\"购物车\",\"link\":\"/pages/order_addcart/order_addcart\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/3-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/3-002.png\"},{\"name\":\"我的\",\"link\":\"/pages/user/index\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/4-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/4-002.png\"}]},\"components\":[{\"id\":\"SearchBar\",\"property\":{\"height\":28,\"showScan\":false,\"borderRadius\":0,\"placeholder\":\"搜索商品\",\"placeholderPosition\":\"left\",\"backgroundColor\":\"rgb(249, 249, 249)\",\"borderColor\":\"rgb(255, 255, 255)\",\"textColor\":\"rgb(150, 151, 153)\",\"hotKeywords\":[]}},{\"id\":\"Carousel\",\"property\":{\"swiperType\":1,\"borderRadius\":0,\"pageMargin\":0,\"imageMargin\":0,\"pagingType\":\"bullets\",\"rowIndividual\":2,\"items\":[{\"imgUrl\":\"https://static.iocoder.cn/mall/banner-01.jpg\"},{\"imgUrl\":\"https://static.iocoder.cn/mall/banner-02.jpg\"}]}},{\"id\":\"NoticeBar\",\"property\":{\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/xinjian.png\",\"contents\":[{\"text\":\"上线了！！！！\",\"url\":\"\"}],\"backgroundColor\":\"#fff\",\"textColor\":\"#333\"}},{\"id\":\"Divider\",\"property\":{\"height\":30,\"lineWidth\":1,\"paddingType\":\"none\",\"lineColor\":\"#dcdfe6\",\"borderType\":\"solid\"}},{\"id\":\"TitleBar\",\"property\":{\"title\":\"主标题\",\"description\":\"副标题\",\"titleSize\":16,\"descriptionSize\":12,\"titleWeight\":400,\"position\":\"left\",\"descriptionWeight\":200,\"titleColor\":\"rgba(50, 50, 51, 10)\",\"descriptionColor\":\"rgba(150, 151, 153, 10)\",\"backgroundColor\":\"rgba(255, 255, 255, 10)\",\"showBottomBorder\":false,\"more\":{\"show\":false,\"type\":\"icon\",\"text\":\"查看更多\",\"url\":\"\"}}}]}', '1', '2023-10-23 22:06:43', '1', '2023-10-29 17:14:01', b'0', 1), (2, 3, '首页', '模板【test】自动创建', NULL, '{\"page\":{\"description\":\"\",\"backgroundColor\":\"#f5f5f5\",\"backgroundImage\":\"\"},\"navigationBar\":{\"title\":\"页面标题\",\"description\":\"\",\"navBarHeight\":35,\"backgroundColor\":\"#fff\",\"backgroundImage\":\"\",\"styleType\":\"immersion\",\"alwaysShow\":false,\"showGoBack\":true},\"tabBar\":{\"theme\":\"orange\",\"style\":{\"backgroundType\":\"color\",\"background\":\"#fff\",\"color\":\"#282828\",\"activeColor\":\"#f37b1d\"},\"items\":[{\"name\":\"首页\",\"link\":\"/\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/1-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/1-002.png\"},{\"name\":\"分类\",\"link\":\"/pages/goods_cate/goods_cate\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/2-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/2-002.png\"},{\"name\":\"购物车\",\"link\":\"/pages/order_addcart/order_addcart\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/3-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/3-002.png\"},{\"name\":\"我的\",\"link\":\"/pages/user/index\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/4-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/4-002.png\"}]},\"components\":[{\"id\":\"SearchBar\",\"property\":{\"height\":28,\"showScan\":false,\"borderRadius\":0,\"placeholder\":\"搜索商品\",\"placeholderPosition\":\"left\",\"backgroundColor\":\"rgb(249, 249, 249)\",\"borderColor\":\"rgb(255, 255, 255)\",\"textColor\":\"rgb(150, 151, 153)\",\"hotKeywords\":[\"手机\",\"电脑\",\"键盘\"]}},{\"id\":\"NoticeBar\",\"property\":{\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/xinjian.png\",\"contents\":[{\"text\":\"VUE3版本上线啦！！！\",\"url\":\"\"}],\"backgroundColor\":\"#fff\",\"textColor\":\"#333\"}},{\"id\":\"TitleBar\",\"property\":{\"title\":\"主标题\",\"description\":\"副标题\",\"titleSize\":16,\"descriptionSize\":12,\"titleWeight\":400,\"position\":\"left\",\"descriptionWeight\":200,\"titleColor\":\"rgba(50, 50, 51, 10)\",\"descriptionColor\":\"rgba(150, 151, 153, 10)\",\"backgroundColor\":\"rgba(255, 255, 255, 10)\",\"showBottomBorder\":false,\"more\":{\"show\":false,\"type\":\"icon\",\"text\":\"查看更多\",\"url\":\"\"}}},{\"id\":\"Carousel\",\"property\":{\"swiperType\":0,\"borderRadius\":0,\"pageMargin\":0,\"imageMargin\":0,\"pagingType\":\"bullets\",\"rowIndividual\":2,\"items\":[{\"imgUrl\":\"https://static.iocoder.cn/mall/banner-01.jpg\"},{\"imgUrl\":\"https://static.iocoder.cn/mall/banner-02.jpg\"}]}}]}', '1', '2023-10-31 15:04:55', '1', '2023-11-03 09:26:00', b'0', 1), (3, 3, '我的', '模板【test】自动创建', NULL, '{\"page\":{\"description\":\"\",\"backgroundColor\":\"#f5f5f5\",\"backgroundImage\":\"\"},\"navigationBar\":{\"title\":\"页面标题\",\"description\":\"\",\"navBarHeight\":35,\"backgroundColor\":\"#f5f5f5\",\"backgroundImage\":\"\",\"styleType\":\"default\",\"alwaysShow\":true,\"showGoBack\":true},\"tabBar\":{\"theme\":\"red\",\"style\":{\"backgroundType\":\"color\",\"background\":\"#fff\",\"color\":\"#282828\",\"activeColor\":\"#fc4141\"},\"items\":[{\"name\":\"首页\",\"link\":\"/\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/1-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/1-002.png\"},{\"name\":\"分类\",\"link\":\"/pages/goods_cate/goods_cate\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/2-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/2-002.png\"},{\"name\":\"购物车\",\"link\":\"/pages/order_addcart/order_addcart\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/3-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/3-002.png\"},{\"name\":\"我的\",\"link\":\"/pages/user/index\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/4-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/4-002.png\"}]},\"components\":[{\"id\":\"Divider\",\"property\":{\"height\":30,\"lineWidth\":1,\"paddingType\":\"none\",\"lineColor\":\"#dcdfe6\",\"borderType\":\"solid\"}},{\"id\":\"Carousel\",\"property\":{\"swiperType\":0,\"borderRadius\":0,\"pageMargin\":0,\"imageMargin\":0,\"pagingType\":\"bullets\",\"rowIndividual\":2,\"items\":[{\"imgUrl\":\"https://static.iocoder.cn/mall/banner-01.jpg\"},{\"imgUrl\":\"https://static.iocoder.cn/mall/banner-02.jpg\"}]}}]}', '1', '2023-10-31 15:04:55', '1', '2023-10-31 15:20:06', b'0', 1), (4, 4, '首页', '模板【test2】自动创建', NULL, '{\"page\":{\"description\":\"\",\"backgroundColor\":\"#f5f5f5\",\"backgroundImage\":\"\"},\"navigationBar\":{\"title\":\"页面标题\",\"description\":\"\",\"navBarHeight\":35,\"backgroundColor\":\"#f5f5f5\",\"backgroundImage\":\"\",\"styleType\":\"default\",\"alwaysShow\":true,\"showGoBack\":true},\"tabBar\":{\"theme\":\"forestGreen\",\"style\":{\"backgroundType\":\"color\",\"background\":\"#fff\",\"color\":\"#282828\",\"activeColor\":\"#39b54a\"},\"items\":[{\"name\":\"首页\",\"link\":\"/\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/1-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/1-002.png\"},{\"name\":\"分类\",\"link\":\"/pages/goods_cate/goods_cate\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/2-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/2-002.png\"},{\"name\":\"购物车\",\"link\":\"/pages/order_addcart/order_addcart\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/3-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/3-002.png\"},{\"name\":\"我的\",\"link\":\"/pages/user/index\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/4-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/4-002.png\"}]},\"components\":[{\"id\":\"SearchBar\",\"property\":{\"height\":28,\"showScan\":false,\"borderRadius\":0,\"placeholder\":\"首页\",\"placeholderPosition\":\"left\",\"backgroundColor\":\"rgb(249, 249, 249)\",\"borderColor\":\"rgb(255, 255, 255)\",\"textColor\":\"rgb(150, 151, 153)\",\"hotKeywords\":[]}},{\"id\":\"NoticeBar\",\"property\":{\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/xinjian.png\",\"contents\":[{\"text\":\"\",\"url\":\"\"}],\"backgroundColor\":\"#fff\",\"textColor\":\"#333\"}},{\"id\":\"Divider\",\"property\":{\"height\":30,\"lineWidth\":1,\"paddingType\":\"none\",\"lineColor\":\"#dcdfe6\",\"borderType\":\"solid\"}}]}', '1', '2023-10-31 15:20:55', '1', '2023-10-31 15:22:10', b'0', 1), (5, 4, '我的', '模板【test2】自动创建', NULL, '{\"page\":{\"description\":\"\",\"backgroundColor\":\"#f5f5f5\",\"backgroundImage\":\"\"},\"navigationBar\":{\"title\":\"页面标题\",\"description\":\"\",\"navBarHeight\":35,\"backgroundColor\":\"#f5f5f5\",\"backgroundImage\":\"\",\"styleType\":\"default\",\"alwaysShow\":true,\"showGoBack\":true},\"tabBar\":{\"theme\":\"forestGreen\",\"style\":{\"backgroundType\":\"color\",\"background\":\"#fff\",\"color\":\"#282828\",\"activeColor\":\"#39b54a\"},\"items\":[{\"name\":\"首页\",\"link\":\"/\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/1-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/1-002.png\"},{\"name\":\"分类\",\"link\":\"/pages/goods_cate/goods_cate\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/2-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/2-002.png\"},{\"name\":\"购物车\",\"link\":\"/pages/order_addcart/order_addcart\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/3-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/3-002.png\"},{\"name\":\"我的\",\"link\":\"/pages/user/index\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/4-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/4-002.png\"}]},\"components\":[{\"id\":\"SearchBar\",\"property\":{\"height\":28,\"showScan\":false,\"borderRadius\":0,\"placeholder\":\"我的\",\"placeholderPosition\":\"left\",\"backgroundColor\":\"rgb(249, 249, 249)\",\"borderColor\":\"rgb(255, 255, 255)\",\"textColor\":\"rgb(150, 151, 153)\",\"hotKeywords\":[]}}]}', '1', '2023-10-31 15:20:55', '1', '2023-10-31 15:22:16', b'0', 1), (6, NULL, '首页', NULL, '', '{}', '1', '2023-10-31 15:41:56', '1', '2023-10-31 15:41:56', b'0', 1), (7, 5, '首页', '模板【test1】自动创建', NULL, '{\"page\":{\"description\":\"\",\"backgroundColor\":\"#f5f5f5\",\"backgroundImage\":\"\"},\"navigationBar\":{\"title\":\"阿巴阿巴\",\"description\":\"\",\"navBarHeight\":35,\"backgroundColor\":\"#fff\",\"backgroundImage\":\"\",\"styleType\":\"default\",\"alwaysShow\":true,\"showGoBack\":true},\"components\":[{\"id\":\"SearchBar\",\"property\":{\"height\":28,\"showScan\":false,\"borderRadius\":0,\"placeholder\":\"搜索商品\",\"placeholderPosition\":\"left\",\"backgroundColor\":\"rgb(238, 238, 238)\",\"textColor\":\"rgb(150, 151, 153)\",\"hotKeywords\":[\"手机\",\"电脑\"],\"style\":{\"bgType\":\"color\",\"bgColor\":\"#fff\",\"marginBottom\":8,\"paddingTop\":8,\"paddingRight\":8,\"paddingBottom\":8,\"paddingLeft\":8}}},{\"id\":\"Carousel\",\"property\":{\"type\":\"card\",\"indicator\":\"number\",\"autoplay\":true,\"interval\":3,\"items\":[{\"type\":\"img\",\"imgUrl\":\"https://static.iocoder.cn/mall/banner-01.jpg\",\"videoUrl\":\"\"},{\"type\":\"img\",\"imgUrl\":\"https://static.iocoder.cn/mall/banner-02.jpg\",\"videoUrl\":\"\"}],\"style\":{\"bgType\":\"color\",\"bgColor\":\"#fff\",\"marginBottom\":8}}},{\"id\":\"MenuGrid\",\"property\":{\"column\":4,\"list\":[{\"title\":\"拼团\",\"titleColor\":\"#333\",\"subtitle\":\"\",\"subtitleColor\":\"#bbb\",\"badge\":{\"show\":false,\"textColor\":\"#fff\",\"bgColor\":\"#FF6000\",\"text\":\"1\"},\"iconUrl\":\"http://127.0.0.1:48080/admin-api/infra/file/4/get/f4c02443eee97732f614d112afe79c6f3f85d43b6e17c4159d1aff73e180d8f9.png\",\"url\":\"/pages/activity/groupon/list\"},{\"title\":\"秒杀\",\"titleColor\":\"#333\",\"subtitle\":\"\",\"subtitleColor\":\"#bbb\",\"badge\":{\"show\":false,\"textColor\":\"#fff\",\"bgColor\":\"#FF6000\"},\"iconUrl\":\"http://127.0.0.1:48080/admin-api/infra/file/4/get/a3d1416c107471b038a3f865af51b3f47e15adebfe84c55b4235e8126cc91a2c.png\",\"url\":\"/pages/activity/seckill/list\"},{\"title\":\"砍价\",\"titleColor\":\"#333\",\"subtitle\":\"\",\"subtitleColor\":\"#bbb\",\"badge\":{\"show\":false,\"textColor\":\"#fff\",\"bgColor\":\"#FF6000\"},\"iconUrl\":\"http://127.0.0.1:48080/admin-api/infra/file/4/get/c4ce96eb6c71719f6a567e6cb90e526534e0315fc2dc3c5f3b6b6abb691ab87b.png\",\"url\":\"/pages/coupon/list\"},{\"title\":\"领劵\",\"titleColor\":\"#333\",\"subtitle\":\"\",\"subtitleColor\":\"#bbb\",\"badge\":{\"show\":false,\"textColor\":\"#fff\",\"bgColor\":\"#FF6000\"},\"iconUrl\":\"http://127.0.0.1:48080/admin-api/infra/file/4/get/728ad2d53d002feab0e12abf4f323c1d47fe9ba9cddd1f4ff1125133a3e2dc07.png\"},{\"title\":\"签到\",\"titleColor\":\"#333\",\"subtitle\":\"\",\"subtitleColor\":\"#bbb\",\"badge\":{\"show\":false,\"textColor\":\"#fff\",\"bgColor\":\"#FF6000\"},\"iconUrl\":\"http://127.0.0.1:48080/admin-api/infra/file/4/get/04755b7db1ab6f2674f6fa6388e05d2573adb58d079596085c52f00d5aa07580.png\",\"url\":\"/pages/app/sign\"},{\"title\":\"分销\",\"titleColor\":\"#333\",\"subtitle\":\"\",\"subtitleColor\":\"#bbb\",\"badge\":{\"show\":false,\"textColor\":\"#fff\",\"bgColor\":\"#FF6000\"},\"iconUrl\":\"http://127.0.0.1:48080/admin-api/infra/file/4/get/ae2f0e241fa730002e8a35d59815d047ccd85e814cfb2b4b01af511dbc4b4e0e.png\",\"url\":\"/pages/commission/index\"},{\"title\":\"商品\",\"titleColor\":\"#333\",\"subtitle\":\"\",\"subtitleColor\":\"#bbb\",\"badge\":{\"show\":false,\"textColor\":\"#fff\",\"bgColor\":\"#FF6000\"},\"iconUrl\":\"http://127.0.0.1:48080/admin-api/infra/file/4/get/3544ce5e3466f10b92daec21c52166056b75cb3e68a921531c9b1daa6ac71b53.png\",\"url\":\"/pages/goods/list\"},{\"title\":\"收藏\",\"titleColor\":\"#333\",\"subtitle\":\"\",\"subtitleColor\":\"#bbb\",\"badge\":{\"show\":false,\"textColor\":\"#fff\",\"bgColor\":\"#FF6000\"},\"iconUrl\":\"http://127.0.0.1:48080/admin-api/infra/file/4/get/a4e493b1cd6b8d7475167baab48b76b770b2fc145897853dc9007abeaebbd9db.png\",\"url\":\"/pages/user/goods-collect\"}],\"style\":{\"bgType\":\"color\",\"bgColor\":\"#fff\",\"marginBottom\":8,\"marginLeft\":8,\"marginRight\":8,\"padding\":8,\"paddingTop\":8,\"paddingRight\":8,\"paddingBottom\":8,\"paddingLeft\":8,\"borderRadius\":8,\"borderTopLeftRadius\":8,\"borderTopRightRadius\":8,\"borderBottomRightRadius\":8,\"borderBottomLeftRadius\":8}}},{\"id\":\"CouponCard\",\"property\":{\"columns\":2,\"bgImg\":\"https://file.sheepjs.com/storage/decorate/20221115/046f2fddfc4f6778ff890a62547d8a1a.png\",\"textColor\":\"#E9B461\",\"button\":{\"color\":\"#434343\",\"bgColor\":\"\"},\"space\":0,\"couponIds\":[15,14,2,1],\"style\":{\"bgType\":\"color\",\"bgColor\":\"\",\"marginBottom\":8}}},{\"id\":\"FloatingActionButton\",\"property\":{\"direction\":\"horizontal\",\"list\":[{\"imgUrl\":\"http://127.0.0.1:48080/admin-api/infra/file/4/get/e475dec5f7197646ea74decf3f67201de75bd80ba54db3f0d7c43a7e949bceca.jpg\",\"textColor\":\"#FFFFFF\",\"text\":\"客服\"},{\"text\":\"首页\",\"imgUrl\":\"http://127.0.0.1:48080/admin-api/infra/file/4/get/788ad4fc572a9613c54e6d2a972262f6939d902b09191ed3bd1d2cd89868e4ef.jpg\",\"textColor\":\"#FFFFFF\"}],\"showText\":true}},{\"id\":\"ProductCard\",\"property\":{\"layoutType\":\"oneColBigImg\",\"fields\":{\"name\":{\"show\":true,\"color\":\"#000\"},\"introduction\":{\"show\":true,\"color\":\"#999\"},\"price\":{\"show\":true,\"color\":\"#ff3000\"},\"marketPrice\":{\"show\":true,\"color\":\"#c4c4c4\"},\"salesCount\":{\"show\":true,\"color\":\"#c4c4c4\"},\"stock\":{\"show\":false,\"color\":\"#c4c4c4\"}},\"badge\":{\"show\":false,\"imgUrl\":\"\"},\"btnBuy\":{\"type\":\"text\",\"text\":\"立即购买\",\"bgBeginColor\":\"#FF6000\",\"bgEndColor\":\"#FE832A\",\"imgUrl\":\"\"},\"borderRadiusTop\":8,\"borderRadiusBottom\":8,\"space\":8,\"spuIds\":[633,634],\"style\":{\"bgType\":\"color\",\"bgColor\":\"\",\"marginLeft\":8,\"marginRight\":8,\"marginBottom\":8}}}]}', '1', '2023-11-03 09:31:51', '1', '2024-01-04 23:01:37', b'0', 1), (8, 5, '我的', '模板【test1】自动创建', NULL, '{\"page\":{\"description\":\"\",\"backgroundColor\":\"#f5f5f5\",\"backgroundImage\":\"https://file.sheepjs.com/storage/decorate/20221115/b530150a466c8cda0a4cd5b29e2c8d11.png\"},\"navigationBar\":{\"title\":\"页面标题\",\"description\":\"\",\"navBarHeight\":35,\"backgroundColor\":\"#fff\",\"backgroundImage\":\"\",\"styleType\":\"default\",\"alwaysShow\":true,\"showGoBack\":true},\"components\":[{\"id\":\"UserCard\",\"property\":{\"style\":{\"bgType\":\"img\",\"bgColor\":\"\",\"marginLeft\":8,\"marginRight\":8,\"marginBottom\":8}}},{\"id\":\"UserOrder\",\"property\":{\"style\":{\"bgType\":\"color\",\"bgColor\":\"#fff\",\"marginLeft\":8,\"marginRight\":8,\"marginBottom\":8}}},{\"id\":\"UserWallet\",\"property\":{\"style\":{\"bgType\":\"color\",\"bgColor\":\"#FFF\",\"marginLeft\":8,\"marginRight\":8,\"marginBottom\":8}}},{\"id\":\"UserCoupon\",\"property\":{\"style\":{\"bgType\":\"color\",\"bgColor\":\"#FFF\",\"marginLeft\":8,\"marginRight\":8,\"marginBottom\":8}}},{\"id\":\"MenuGrid\",\"property\":{\"column\":4,\"list\":[{\"iconUrl\":\"https://file.sheepjs.com/storage/decorate/20221115/9ff8442f8cda57f88aac61059d7d3f21.png\",\"title\":\"签到\",\"titleColor\":\"#333\",\"subtitle\":\"\",\"subtitleColor\":\"#bbb\",\"badge\":{\"show\":false,\"textColor\":\"#fff\",\"bgColor\":\"#FF6000\"},\"url\":\"/pages/app/sign\"},{\"iconUrl\":\"https://file.sheepjs.com/storage/decorate/20221115/29559cc94ff33b1f39f570c5f7bc37c1.png\",\"title\":\"充值\",\"titleColor\":\"#333\",\"subtitle\":\"\",\"subtitleColor\":\"#bbb\",\"badge\":{\"show\":false,\"textColor\":\"#fff\",\"bgColor\":\"#FF6000\"},\"url\":\"/pages/pay/recharge\"},{\"iconUrl\":\"https://file.sheepjs.com/storage/decorate/20221115/5cb05c3cb99058ad38477205f9ecdcbb.png\",\"title\":\"提现\",\"titleColor\":\"#333\",\"subtitle\":\"\",\"subtitleColor\":\"#bbb\",\"badge\":{\"show\":false,\"textColor\":\"#fff\",\"bgColor\":\"#FF6000\"},\"url\":\"/pages/pay/withdraw\"},{\"iconUrl\":\"https://file.sheepjs.com/storage/decorate/20221115/9464fe770d388c7982df73b2d1b1d457.png\",\"title\":\"设置\",\"titleColor\":\"#333\",\"subtitle\":\"\",\"subtitleColor\":\"#bbb\",\"badge\":{\"show\":false,\"textColor\":\"#fff\",\"bgColor\":\"#FF6000\"},\"url\":\"/pages/public/setting\"},{\"iconUrl\":\"https://file.sheepjs.com/storage/decorate/20221115/ac3bdfced7c4c5f17f03b48f6d3fa3ec.png\",\"title\":\"收藏\",\"titleColor\":\"#333\",\"subtitle\":\"\",\"subtitleColor\":\"#bbb\",\"badge\":{\"show\":false,\"textColor\":\"#fff\",\"bgColor\":\"#FF6000\"},\"url\":\"/pages/user/goods-collect\"},{\"iconUrl\":\"https://file.sheepjs.com/storage/decorate/20221115/94eb324f16b6b48e65c4ea1cf7d3c1fd.png\",\"title\":\"浏览足迹\",\"titleColor\":\"#333\",\"subtitle\":\"\",\"subtitleColor\":\"#bbb\",\"badge\":{\"show\":false,\"textColor\":\"#fff\",\"bgColor\":\"#FF6000\"},\"url\":\"/pages/user/goods-log\"},{\"iconUrl\":\"https://file.sheepjs.com/storage/decorate/20221115/408f106f7e8d709156a45b6a96ea6d9c.png\",\"title\":\"分销中心\",\"titleColor\":\"#333\",\"subtitle\":\"\",\"subtitleColor\":\"#bbb\",\"badge\":{\"show\":false,\"textColor\":\"#fff\",\"bgColor\":\"#FF6000\"},\"url\":\"/pages/commission/index\"},{\"iconUrl\":\"https://file.sheepjs.com/storage/decorate/20221115/d49bc66b70c240bfa399f9f414bdbefa.png\",\"title\":\"拼团订单\",\"titleColor\":\"#333\",\"subtitle\":\"\",\"subtitleColor\":\"#bbb\",\"badge\":{\"show\":false,\"textColor\":\"#fff\",\"bgColor\":\"#FF6000\"},\"url\":\"/pages/activity/groupon/order\"},{\"iconUrl\":\"https://file.sheepjs.com/storage/decorate/20221115/0c37315a83f9424a4717ef684984c9c0.png\",\"title\":\"常见问题\",\"titleColor\":\"#333\",\"subtitle\":\"\",\"subtitleColor\":\"#bbb\",\"badge\":{\"show\":false,\"textColor\":\"#fff\",\"bgColor\":\"#FF6000\"},\"url\":\"/pages/public/faq\"},{\"iconUrl\":\"https://file.sheepjs.com/storage/decorate/20221115/58fe6c2a400d6d18a43949f3d8c58021.png\",\"title\":\"积分商城\",\"titleColor\":\"#333\",\"subtitle\":\"\",\"subtitleColor\":\"#bbb\",\"badge\":{\"show\":false,\"textColor\":\"#fff\",\"bgColor\":\"#FF6000\"},\"url\":\"/pages/app/score-shop\"},{\"iconUrl\":\"https://file.sheepjs.com/storage/decorate/20221115/6d0a8c85ba41464b5493226c91c72459.png\",\"title\":\"关于我们\",\"titleColor\":\"#333\",\"subtitle\":\"\",\"subtitleColor\":\"#bbb\",\"badge\":{\"show\":false,\"textColor\":\"#fff\",\"bgColor\":\"#FF6000\"},\"url\":\"/pages/public/richtext?id=3\"},{\"iconUrl\":\"https://file.sheepjs.com/storage/decorate/20221115/92bf692d57b8fc2e76815ce6627ef1f9.png\",\"title\":\"隐私协议\",\"titleColor\":\"#333\",\"subtitle\":\"\",\"subtitleColor\":\"#bbb\",\"badge\":{\"show\":false,\"textColor\":\"#fff\",\"bgColor\":\"#FF6000\"},\"url\":\"/pages/public/richtext?id=2\"},{\"iconUrl\":\"https://file.sheepjs.com/storage/decorate/20221115/26dff8fb21473e219c6f024fc6a5e39a.png\",\"title\":\"收货地址\",\"titleColor\":\"#333\",\"subtitle\":\"\",\"subtitleColor\":\"#bbb\",\"badge\":{\"show\":false,\"textColor\":\"#fff\",\"bgColor\":\"#FF6000\"},\"url\":\"/pages/user/address/list\"},{\"iconUrl\":\"https://file.sheepjs.com/storage/decorate/20221115/3c7eb06563d1cf28b4b34bb0d1647659.png\",\"title\":\"联系客服\",\"titleColor\":\"#333\",\"subtitle\":\"\",\"subtitleColor\":\"#bbb\",\"badge\":{\"show\":false,\"textColor\":\"#fff\",\"bgColor\":\"#FF6000\"},\"url\":\"/pages/chat/index\"}],\"style\":{\"bgType\":\"color\",\"bgColor\":\"#fff\",\"marginBottom\":8,\"marginLeft\":8,\"marginRight\":8,\"padding\":8,\"paddingTop\":8,\"paddingRight\":8,\"paddingBottom\":8,\"paddingLeft\":8,\"borderRadius\":8,\"borderTopLeftRadius\":8,\"borderTopRightRadius\":8,\"borderBottomRightRadius\":8,\"borderBottomLeftRadius\":8}}}]}', '1', '2023-11-03 09:31:51', '1', '2024-01-04 22:28:22', b'0', 1), (9, NULL, '活动页', NULL, '', '{\"page\":{\"description\":\"\",\"backgroundColor\":\"#f5f5f5\",\"backgroundImage\":\"\"},\"navigationBar\":{\"title\":\"双 11 购物节\",\"description\":\"\",\"navBarHeight\":35,\"backgroundColor\":\"#fff\",\"backgroundImage\":\"\",\"styleType\":\"default\",\"alwaysShow\":true,\"showGoBack\":true},\"components\":[{\"id\":\"TitleBar\",\"property\":{\"title\":\"一个不错的活动！！！\",\"description\":\"副标题\",\"titleSize\":16,\"descriptionSize\":12,\"titleWeight\":400,\"textAlign\":\"left\",\"descriptionWeight\":200,\"titleColor\":\"rgba(50, 50, 51, 10)\",\"descriptionColor\":\"rgba(150, 151, 153, 10)\",\"more\":{\"show\":false,\"type\":\"icon\",\"text\":\"查看更多\",\"url\":\"\"},\"style\":{\"bgType\":\"color\",\"bgColor\":\"#fff\"}}},{\"id\":\"ProductCard\",\"property\":{\"layoutType\":\"oneColBigImg\",\"fields\":{\"name\":{\"show\":true,\"color\":\"#000\"},\"introduction\":{\"show\":true,\"color\":\"#999\"},\"price\":{\"show\":true,\"color\":\"#ff3000\"},\"marketPrice\":{\"show\":true,\"color\":\"#c4c4c4\"},\"salesCount\":{\"show\":true,\"color\":\"#c4c4c4\"},\"stock\":{\"show\":false,\"color\":\"#c4c4c4\"}},\"badge\":{\"show\":false,\"imgUrl\":\"\"},\"btnBuy\":{\"type\":\"text\",\"text\":\"立即购买\",\"bgBeginColor\":\"#FF6000\",\"bgEndColor\":\"#FE832A\",\"imgUrl\":\"\"},\"borderRadiusTop\":8,\"borderRadiusBottom\":8,\"space\":8,\"spuIds\":[633],\"style\":{\"bgType\":\"color\",\"bgColor\":\"\",\"marginLeft\":8,\"marginRight\":8,\"marginBottom\":8}}},{\"id\":\"CouponCard\",\"property\":{\"columns\":1,\"bgImg\":\"\",\"textColor\":\"#E9B461\",\"button\":{\"color\":\"#434343\",\"bgColor\":\"\"},\"space\":0,\"couponIds\":[2],\"style\":{\"bgType\":\"color\",\"bgColor\":\"\",\"marginBottom\":8}}}]}', '1', '2023-12-20 12:59:37', '1', '2023-12-20 13:00:43', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for promotion_diy_template
-- ----------------------------
DROP TABLE IF EXISTS `promotion_diy_template`;
CREATE TABLE `promotion_diy_template`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '装修模板编号',
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '模板名称',
  `used` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否使用',
  `used_time` datetime NULL DEFAULT NULL COMMENT '使用时间',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `preview_pic_urls` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '预览图',
  `property` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '模板属性，JSON 格式',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '装修模板';

-- ----------------------------
-- Records of promotion_diy_template
-- ----------------------------
BEGIN;
INSERT INTO `promotion_diy_template` (`id`, `name`, `used`, `used_time`, `remark`, `preview_pic_urls`, `property`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (1, '默认模板', b'0', '2023-10-31 15:14:31', '默认模板asdfasdfasdfasdfasdfsadfasdfsadf', 'https://file.sheepjs.com/storage/decorate/20230110/e0c0ff352b0598957cd5323978114b17.png', '{\"page\":{\"description\":\"\",\"backgroundColor\":\"#f5f5f5\",\"backgroundImage\":\"\"},\"navigationBar\":{\"title\":\"页面标题\",\"description\":\"\",\"navBarHeight\":35,\"backgroundColor\":\"#f5f5f5\",\"backgroundImage\":\"\",\"styleType\":\"default\",\"alwaysShow\":true,\"showGoBack\":true},\"tabBar\":{\"theme\":\"orange\",\"style\":{\"backgroundType\":\"img\",\"background\":\"\",\"color\":\"#282828\",\"activeColor\":\"#f37b1d\"},\"items\":[{\"name\":\"首页1\",\"link\":\"/\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/1-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/1-002.png\"},{\"name\":\"分类\",\"link\":\"/pages/goods_cate/goods_cate\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/2-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/2-002.png\"},{\"name\":\"购物车\",\"link\":\"/pages/order_addcart/order_addcart\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/3-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/3-002.png\"},{\"name\":\"我的\",\"link\":\"/pages/user/index\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/4-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/4-002.png\"}]},\"components\":[]}', '', '2023-10-23 08:59:30', '1', '2023-11-03 09:31:39', b'1', 1), (2, 'test', b'0', '2023-10-23 16:56:25', 'test', 'http://127.0.0.1:48080/admin-api/infra/file/0/get/be8ecbf0dda80512551b68c17f641c8d03a1e95e3c417379a8067ca626076317.png,http://127.0.0.1:48080/admin-api/infra/file/0/get/a2f2a02c32000e7b3e316668790392783ddc11b21cee37500a6e696467248cc4.png', '{}', '1', '2023-10-23 16:35:42', '1', '2023-10-31 15:10:30', b'1', 1), (3, 'test', b'0', '2023-10-31 15:15:24', 'test', 'http://127.0.0.1:48080/admin-api/infra/file/0/get/be8ecbf0dda80512551b68c17f641c8d03a1e95e3c417379a8067ca626076317.png', '{\"page\":{\"description\":\"\",\"backgroundColor\":\"#f5f5f5\",\"backgroundImage\":\"\"},\"navigationBar\":{\"title\":\"页面标题\",\"description\":\"\",\"navBarHeight\":35,\"backgroundColor\":\"#f5f5f5\",\"backgroundImage\":\"\",\"styleType\":\"default\",\"alwaysShow\":true,\"showGoBack\":true},\"tabBar\":{\"theme\":\"red\",\"style\":{\"backgroundType\":\"color\",\"background\":\"#fff\",\"color\":\"#282828\",\"activeColor\":\"#d10019\",\"bgType\":\"color\",\"bgColor\":\"#fff\"},\"items\":[{\"name\":\"首页\",\"link\":\"/pages/index/index\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/1-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/1-002.png\",\"text\":\"首页\",\"url\":\"/pages/index/index\"},{\"name\":\"分类\",\"link\":\"/pages/index/category?id=3\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/2-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/2-002.png\",\"text\":\"分类\",\"url\":\"/pages/index/category?id=3\"},{\"name\":\"购物车\",\"link\":\"/pages/index/cart\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/3-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/3-002.png\",\"text\":\"购物车\",\"url\":\"/pages/index/cart\"},{\"name\":\"我的\",\"link\":\"/pages/index/user\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/4-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/4-002.png\",\"text\":\"我的\",\"url\":\"/pages/index/user\"}]},\"components\":[]}', '1', '2023-10-31 15:04:55', '1', '2023-11-03 10:18:17', b'0', 1), (4, 'test2', b'0', NULL, 'test', '', '{\"page\":{\"description\":\"\",\"backgroundColor\":\"#f5f5f5\",\"backgroundImage\":\"\"},\"navigationBar\":{\"title\":\"页面标题\",\"description\":\"\",\"navBarHeight\":35,\"backgroundColor\":\"#f5f5f5\",\"backgroundImage\":\"\",\"styleType\":\"default\",\"alwaysShow\":true,\"showGoBack\":true},\"tabBar\":{\"theme\":\"forestGreen\",\"style\":{\"backgroundType\":\"color\",\"background\":\"#fff\",\"color\":\"#282828\",\"activeColor\":\"#39b54a\"},\"items\":[{\"name\":\"首页\",\"link\":\"/\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/1-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/1-002.png\"},{\"name\":\"分类\",\"link\":\"/pages/goods_cate/goods_cate\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/2-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/2-002.png\"},{\"name\":\"购物车\",\"link\":\"/pages/order_addcart/order_addcart\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/3-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/3-002.png\"},{\"name\":\"我的\",\"link\":\"/pages/user/index\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/4-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/4-002.png\"}]},\"components\":[]}', '1', '2023-10-31 15:20:55', '1', '2023-11-03 09:31:40', b'1', 1), (5, 'test1', b'1', '2023-11-03 10:18:17', 'test', '', '{\"page\":{\"description\":\"\",\"backgroundColor\":\"#f5f5f5\",\"backgroundImage\":\"\"},\"navigationBar\":{\"title\":\"页面标题\",\"description\":\"\",\"navBarHeight\":35,\"backgroundColor\":\"#fff\",\"backgroundImage\":\"\",\"styleType\":\"default\",\"alwaysShow\":true,\"showGoBack\":true},\"tabBar\":{\"theme\":\"red\",\"style\":{\"bgType\":\"color\",\"bgColor\":\"#fff\",\"color\":\"#282828\",\"activeColor\":\"#fc4141\"},\"items\":[{\"text\":\"首页\",\"url\":\"/pages/index/index\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/1-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/1-002.png\"},{\"text\":\"分类\",\"url\":\"/pages/index/category?id=3\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/2-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/2-002.png\"},{\"text\":\"购物车\",\"url\":\"/pages/index/cart\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/3-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/3-002.png\"},{\"text\":\"我的\",\"url\":\"/pages/index/user\",\"iconUrl\":\"http://mall.yudao.iocoder.cn/static/images/4-001.png\",\"activeIconUrl\":\"http://mall.yudao.iocoder.cn/static/images/4-002.png\"}]},\"components\":[]}', '1', '2023-11-03 09:31:51', '1', '2023-11-30 21:32:47', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for promotion_reward_activity
-- ----------------------------
DROP TABLE IF EXISTS `promotion_reward_activity`;
CREATE TABLE `promotion_reward_activity`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '活动编号',
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '活动标题',
  `status` tinyint NOT NULL DEFAULT -1 COMMENT '活动状态',
  `start_time` datetime NOT NULL COMMENT '开始时间',
  `end_time` datetime NOT NULL COMMENT '结束时间',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '备注',
  `condition_type` tinyint NOT NULL DEFAULT -1 COMMENT '条件类型',
  `product_scope` tinyint NOT NULL COMMENT '商品范围',
  `product_spu_ids` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '商品 SPU 编号的数组',
  `rules` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '优惠规则的数组',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '满减送活动';

-- ----------------------------
-- Records of promotion_reward_activity
-- ----------------------------
BEGIN;
INSERT INTO `promotion_reward_activity` (`id`, `name`, `status`, `start_time`, `end_time`, `remark`, `condition_type`, `product_scope`, `product_spu_ids`, `rules`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (4, '普陀满减送活动', 20, '2022-11-25 00:00:00', '2033-04-30 23:59:59', '1234', 20, 2, '633,634', '[{\"limit\":1,\"discountPrice\":10,\"freeDelivery\":true,\"point\":10,\"couponIds\":[10,20],\"couponCounts\":[1,2]},{\"limit\":2,\"discountPrice\":20,\"freeDelivery\":false,\"point\":20,\"couponIds\":[30,40],\"couponCounts\":[3,4]}]', '1', '2022-11-05 00:54:34', '1', '2023-12-25 07:51:54', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for promotion_seckill_activity
-- ----------------------------
DROP TABLE IF EXISTS `promotion_seckill_activity`;
CREATE TABLE `promotion_seckill_activity`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '秒杀活动编号',
  `spu_id` bigint NOT NULL DEFAULT 0 COMMENT '秒杀活动商品',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '秒杀活动名称',
  `status` tinyint NOT NULL DEFAULT 0 COMMENT '活动状态',
  `remark` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '备注',
  `start_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '活动开始时间',
  `end_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '活动结束时间',
  `sort` int NOT NULL DEFAULT 0 COMMENT '排序',
  `config_ids` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0' COMMENT '秒杀时段 id 数组',
  `total_limit_count` int NULL DEFAULT 0 COMMENT '总限购数量',
  `single_limit_count` int NULL DEFAULT 0 COMMENT '单次限够数量',
  `stock` int NULL DEFAULT 0 COMMENT '秒杀库存',
  `total_stock` int NULL DEFAULT 0 COMMENT '秒杀总库存',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 42 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '秒杀活动';

-- ----------------------------
-- Records of promotion_seckill_activity
-- ----------------------------
BEGIN;
INSERT INTO `promotion_seckill_activity` (`id`, `spu_id`, `name`, `status`, `remark`, `start_time`, `end_time`, `sort`, `config_ids`, `total_limit_count`, `single_limit_count`, `stock`, `total_stock`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (40, 101, '我和僵尸有个约会', 0, '321321321', '2023-08-12 00:00:00', '2023-08-13 00:00:00', 3, '26,28', 2, 2, 0, 6, '1', '2023-08-12 15:31:12', '1', '2023-10-03 10:04:34', b'1', 1), (41, 634, '遥遥领先', 0, '', '2023-10-02 00:00:00', '2029-12-01 00:00:00', 2, '30,31,32,33,36,34,35,37', 100, 30, 12, 13, '1', '2023-08-12 16:03:37', '1', '2023-12-27 04:59:43', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for promotion_seckill_config
-- ----------------------------
DROP TABLE IF EXISTS `promotion_seckill_config`;
CREATE TABLE `promotion_seckill_config`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '秒杀时段名称',
  `start_time` varchar(25) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '开始时间点',
  `end_time` varchar(25) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '结束时间点',
  `slider_pic_urls` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '秒杀主图',
  `status` tinyint NOT NULL DEFAULT 0 COMMENT '活动状态',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 38 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '秒杀时段';

-- ----------------------------
-- Records of promotion_seckill_config
-- ----------------------------
BEGIN;
INSERT INTO `promotion_seckill_config` (`id`, `name`, `start_time`, `end_time`, `slider_pic_urls`, `status`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (26, '上午场', '09:00:00', '11:50:00', '[]', 0, '1', '2022-11-19 15:36:11', '1', '2023-08-31 07:51:14', b'1', 1), (27, '中午场', '12:00:00', '13:30:00', '[]', 0, '1', '2022-11-19 15:36:36', '1', '2023-08-31 07:51:07', b'1', 1), (28, '下午场', '17:30:00', '19:00:00', '[\"http://127.0.0.1:48080/admin-api/infra/file/4/get/cddcefa0de3a4495205b8973fbbe105300f6fa578b22e37f5856dd61a14c439e.jpg\"]', 0, '1', '2022-11-19 15:37:23', '1', '2023-08-31 07:51:09', b'1', 1), (29, '晚间场', '21:00:00', '23:00:00', '[\"http://127.0.0.1:48080/admin-api/infra/file/4/get/7831ca02a9d7aa7cbec78e67bd0f0847808d7912f1f8f3b4118a60c1bf9cba2b.jpg\",\"http://127.0.0.1:48080/admin-api/infra/file/4/get/b2d9b4f28372a9695a76a06eec2797bed7d63558e8806315d60bd785e3c4865f.png\"]', 0, '1', '2022-11-19 15:37:53', '1', '2023-08-31 07:51:11', b'1', 1), (30, '上午好', '08:00:00', '11:59:59', '[\"http://127.0.0.1:48080/admin-api/infra/file/4/get/814a81f9a62afaf4c4a9c34a852a0213c8386e2640131141bdebf477be359665.png\"]', 0, '1', '2023-08-31 15:53:08', '1', '2023-08-31 15:56:48', b'0', 1), (31, '下午时光', '14:00:00', '14:59:59', '[\"http://127.0.0.1:48080/admin-api/infra/file/4/get/3a03c0c14146350585a42a368385c2605ac628358e628310f3ab672c91610895.png\"]', 0, '1', '2023-08-31 15:53:48', '1', '2023-08-31 15:56:37', b'0', 1), (32, '凌晨时光', '00:00:00', '03:00:00', '[\"http://127.0.0.1:48080/admin-api/infra/file/4/get/7b630ed0efc579e2eee7972fcb2f4c479952a457f25b9486e2d7e1cbe76a7874.png\"]', 0, '1', '2023-08-31 15:54:49', '1', '2023-10-03 20:21:25', b'0', 1), (33, '午安时光', '12:00:00', '13:59:59', '[\"http://127.0.0.1:48080/admin-api/infra/file/4/get/0a3d72f25f73c9df63f9062500c7025243a99e0a90d62c684d7fdfa12d014a8c.png\"]', 0, '1', '2023-08-31 15:57:20', '1', '2023-08-31 15:57:20', b'0', 1), (34, '睡前必看', '20:00:00', '21:59:59', '[\"http://127.0.0.1:48080/admin-api/infra/file/4/get/fb051574d1b1e4209116a6786ca5688624e97ad69746d21d910887408c33fd21.png\"]', 0, '1', '2023-08-31 16:03:24', '1', '2023-10-03 19:58:12', b'0', 1), (35, '早茶时光', '06:00:00', '07:59:59', '[\"http://127.0.0.1:48080/admin-api/infra/file/4/get/a8b15e56ae26d087e24fe4e807430d279296540c781dfd02b3da2e9fdbe2e85f.png\"]', 0, '1', '2023-08-31 16:04:14', '1', '2023-08-31 16:04:36', b'0', 1), (36, '深夜狂欢', '22:00:00', '23:59:59', '[\"http://127.0.0.1:48080/admin-api/infra/file/4/get/0998c69bba1acbc6d8211b5e02dc596cabebfb54eaf587910443beb1fcae1e0f.png\"]', 0, '1', '2023-08-31 16:05:29', '1', '2023-08-31 16:05:29', b'0', 1), (37, '休闲时刻', '15:00:00', '19:59:59', '[\"http://127.0.0.1:48080/admin-api/infra/file/4/get/463cdd26eb851b9a1684b552cd828fe8f26e4ff996b9a0d12842476c06f2e1b9.png\"]', 0, '1', '2023-08-31 16:06:27', '1', '2023-10-03 19:58:44', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for promotion_seckill_product
-- ----------------------------
DROP TABLE IF EXISTS `promotion_seckill_product`;
CREATE TABLE `promotion_seckill_product`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '秒杀参与商品编号',
  `activity_id` bigint NOT NULL DEFAULT 0 COMMENT '秒杀活动 id',
  `config_ids` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0' COMMENT '秒杀时段 id 数组',
  `spu_id` bigint NOT NULL DEFAULT 0 COMMENT '商品 spu_id',
  `sku_id` bigint NOT NULL DEFAULT 0 COMMENT '商品 sku_id',
  `seckill_price` int NOT NULL DEFAULT 0 COMMENT '秒杀金额，单位：分',
  `stock` int NOT NULL DEFAULT 0 COMMENT '秒杀库存',
  `activity_status` tinyint NOT NULL DEFAULT 0 COMMENT '秒杀商品状态',
  `activity_start_time` datetime NOT NULL COMMENT '活动开始时间点',
  `activity_end_time` datetime NOT NULL COMMENT '活动结束时间点',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 81 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '秒杀参与商品';

-- ----------------------------
-- Records of promotion_seckill_product
-- ----------------------------
BEGIN;
INSERT INTO `promotion_seckill_product` (`id`, `activity_id`, `config_ids`, `spu_id`, `sku_id`, `seckill_price`, `stock`, `activity_status`, `activity_start_time`, `activity_end_time`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (73, 40, '26,28', 101, 10, 100, 1, 0, '2023-08-12 00:00:00', '2023-08-13 00:00:00', '1', '2023-08-12 15:31:12', '1', '2023-08-12 16:22:46', b'0', 1), (74, 40, '26,28', 101, 11, 200, 2, 0, '2023-08-12 00:00:00', '2023-08-13 00:00:00', '1', '2023-08-12 15:31:12', '1', '2023-08-12 16:22:46', b'0', 1), (75, 40, '26,28', 101, 12, 300, 3, 0, '2023-08-12 00:00:00', '2023-08-13 00:00:00', '1', '2023-08-12 15:31:12', '1', '2023-08-12 16:22:46', b'0', 1), (76, 41, '30,31', 633, 1, 100, 1, 1, '2023-08-01 00:00:00', '2023-08-16 00:00:00', '1', '2023-08-12 16:03:37', '1', '2023-10-03 10:40:12', b'1', 1), (77, 41, '30,31,32,33,36,34,35,37', 634, 14, 100, 0, 1, '2023-10-02 00:00:00', '2029-12-01 00:00:00', '1', '2023-10-03 18:40:12', '1', '2023-12-27 04:59:43', b'0', 1), (78, 41, '30,31,32,33,36,34,35,37', 634, 15, 200, 3, 1, '2023-10-02 00:00:00', '2029-12-01 00:00:00', '1', '2023-10-03 18:40:12', '1', '2024-01-13 20:22:54', b'0', 1), (79, 41, '30,31,32,33,36,34,35,37', 634, 16, 300, 4, 1, '2023-10-02 00:00:00', '2029-12-01 00:00:00', '1', '2023-10-03 18:40:12', '1', '2024-01-13 20:22:54', b'0', 1), (80, 41, '30,31,32,33,36,34,35,37', 634, 17, 400, 5, 1, '2023-10-02 00:00:00', '2029-12-01 00:00:00', '1', '2023-10-03 18:40:12', '1', '2024-01-13 20:22:54', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for trade_after_sale
-- ----------------------------
DROP TABLE IF EXISTS `trade_after_sale`;
CREATE TABLE `trade_after_sale`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '售后编号',
  `no` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '售后单号',
  `type` tinyint NULL DEFAULT NULL COMMENT '售后类型',
  `status` int NOT NULL DEFAULT 0 COMMENT '售后状态',
  `way` tinyint NOT NULL COMMENT '售后方式',
  `user_id` bigint UNSIGNED NOT NULL COMMENT '用户编号',
  `apply_reason` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '申请原因',
  `apply_description` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '补充描述',
  `apply_pic_urls` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '补充凭证图片',
  `order_id` bigint UNSIGNED NOT NULL COMMENT '订单编号',
  `order_no` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '订单流水号',
  `order_item_Id` bigint UNSIGNED NOT NULL COMMENT '订单项编号',
  `spu_id` bigint UNSIGNED NOT NULL COMMENT '商品 SPU 编号',
  `spu_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '商品 SPU 名称',
  `sku_id` bigint UNSIGNED NOT NULL COMMENT '商品 SKU 编号',
  `properties` json NULL COMMENT '商品属性数组，JSON 格式',
  `pic_url` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '商品图片',
  `count` int NOT NULL COMMENT '购买数量',
  `audit_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '审批时间',
  `audit_user_id` bigint UNSIGNED NULL DEFAULT NULL COMMENT '审批人',
  `audit_reason` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '审批备注',
  `refund_price` int NOT NULL DEFAULT 0 COMMENT '退款金额，单位：分',
  `pay_refund_id` bigint UNSIGNED NULL DEFAULT NULL COMMENT '支付退款编号',
  `refund_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '退款时间',
  `logistics_id` bigint NULL DEFAULT NULL COMMENT '退货物流公司编号',
  `logistics_no` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '退货物流单号',
  `delivery_time` datetime NULL DEFAULT NULL COMMENT '退货时间',
  `receive_time` datetime NULL DEFAULT NULL COMMENT '收货时间',
  `receive_reason` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '收货备注',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 24 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '售后订单';

-- ----------------------------
-- Records of trade_after_sale
-- ----------------------------
BEGIN;
INSERT INTO `trade_after_sale` (`id`, `no`, `type`, `status`, `way`, `user_id`, `apply_reason`, `apply_description`, `apply_pic_urls`, `order_id`, `order_no`, `order_item_Id`, `spu_id`, `spu_name`, `sku_id`, `properties`, `pic_url`, `count`, `audit_time`, `audit_user_id`, `audit_reason`, `refund_price`, `pay_refund_id`, `refund_time`, `logistics_id`, `logistics_no`, `delivery_time`, `receive_time`, `receive_reason`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (6, 'r01', 10, 20, 20, 247, '不想要了', '', '[]', 67, '1690656217590009856', 47, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, '2023-08-18 14:35:07', 1, '阿巴巴', 6, 88, '2023-08-18 15:07:04', NULL, NULL, NULL, NULL, NULL, '247', '2023-08-17 22:31:26', '1', '2023-12-25 08:44:46', b'0', 1), (7, 'q3r60t4t6s', 10, 40, 20, 247, '不想要了', '32321', '[]', 74, '1692435420052332544', 54, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 2, '[{\"valueId\": 6, \"valueName\": \"蓝色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, '2023-08-18 15:40:35', 1, NULL, 5, NULL, '2023-08-18 07:20:31', 1, '32132', '2023-08-18 17:31:28', '2023-08-18 18:44:21', NULL, '247', '2023-08-18 15:20:32', '1', '2023-08-18 18:44:21', b'0', 1), (8, '0s70zrw54n', 10, 50, 10, 247, '不想要了', '', '[]', 75, '1692503226265624576', 55, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, '2023-08-31 19:56:04', 1, NULL, 6, 89, '2023-08-31 19:56:20', NULL, NULL, NULL, NULL, NULL, '247', '2023-08-18 19:52:04', '1', '2023-08-31 19:56:24', b'0', 1), (9, 'M7fHovhlF4', 10, 40, 10, 247, '不想要了', '', '[]', 97, 'O202310021021091', 90, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, '2023-10-02 14:59:13', 1, NULL, 384945, NULL, '2023-10-02 06:54:52', NULL, NULL, NULL, NULL, NULL, '247', '2023-10-02 14:54:53', '1', '2023-10-02 14:59:13', b'0', 1), (10, 'UKmua3mrR4', 10, 62, 10, 247, '不想要了', '3123123131', '[]', 95, 'O202310012136091', 88, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, '2023-10-02 15:20:11', 1, '321312', 384945, NULL, '2023-10-02 07:02:21', NULL, NULL, NULL, NULL, NULL, '247', '2023-10-02 15:02:21', '1', '2023-10-02 15:20:11', b'0', 1), (11, 'odsEm2J7WK', 10, 50, 10, 247, '不想要了', '', '[]', 80, '1697273902944288768', 68, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, '2023-10-02 15:18:08', 1, NULL, 699900, 90, '2023-10-02 15:19:37', NULL, NULL, NULL, NULL, NULL, '247', '2023-10-02 15:04:59', '1', '2023-10-02 15:19:38', b'0', 1), (12, 'ENj3nlIVAs', 10, 40, 10, 247, '不想要了', '', '[]', 80, '1697273902944288768', 69, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, '2023-10-02 15:25:43', 1, NULL, 6, NULL, '2023-10-02 07:25:32', NULL, NULL, NULL, NULL, NULL, '247', '2023-10-02 15:25:32', '1', '2023-10-02 15:25:43', b'0', 1), (13, 'trade_no:r202310021538421', 10, 61, 10, 247, '不想要了', '', '[]', 98, 'trade_no:o202310021538341', 91, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, '2023-10-02 07:38:42', NULL, NULL, 384945, NULL, '2023-10-02 07:38:42', NULL, NULL, NULL, NULL, NULL, '247', '2023-10-02 15:38:43', '247', '2023-10-02 15:41:43', b'0', 1), (14, 'r202310021541541', 10, 10, 10, 247, '不想要了', '', '[]', 98, 'trade_no:o202310021538341', 91, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, '2023-10-02 07:41:55', NULL, NULL, 384945, NULL, '2023-10-02 07:41:55', NULL, NULL, NULL, NULL, NULL, '247', '2023-10-02 15:41:55', '247', '2023-10-02 15:41:55', b'0', 1), (15, 'r202310102302451', 10, 50, 10, 248, '不想要了', '312321312', '[]', 119, 'o202310102302261', 112, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, '2023-10-10 23:07:08', 1, NULL, 700100, 91, '2023-10-10 23:11:19', NULL, NULL, NULL, NULL, NULL, '248', '2023-10-10 23:02:46', '1', '2023-10-10 23:13:19', b'0', 1), (16, 'r202310102316201', 10, 50, 10, 248, '不想要了', '', '[]', 120, 'o202310102316021', 113, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, '2023-10-10 23:20:08', 1, NULL, 700100, 92, '2023-10-10 23:20:10', NULL, NULL, NULL, NULL, NULL, '248', '2023-10-10 23:16:21', '1', '2023-10-10 23:21:09', b'0', 1), (17, 'r202310102323341', 10, 50, 10, 248, '不想要了', '321321', '[]', 121, 'o202310102323261', 114, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, '2023-10-10 23:23:47', 1, NULL, 700100, 93, '2023-10-10 23:23:50', NULL, NULL, NULL, NULL, NULL, '248', '2023-10-10 23:23:34', '1', '2023-10-10 23:24:14', b'0', 1), (18, 'r202310102328121', 10, 50, 10, 248, '不想要了', '32131231', '[]', 122, 'o202310102328031', 115, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, '2023-10-10 23:29:53', 1, NULL, 700100, 94, '2023-10-10 23:29:55', NULL, NULL, NULL, NULL, NULL, '248', '2023-10-10 23:28:12', '1', '2023-10-10 23:30:04', b'0', 1), (19, 'r202310102344531', 10, 50, 10, 248, '不想要了', '32132131', '[]', 123, 'o202310102344401', 116, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, '2023-10-11 07:04:26', 1, NULL, 300, 95, '2023-10-11 07:04:28', NULL, NULL, NULL, NULL, NULL, '248', '2023-10-10 23:44:53', '1', '2023-10-11 07:04:39', b'0', 1), (20, 'r202310110734211', 10, 40, 10, 248, '不想要了', 'aoteman', '[]', 125, 'o202310110733251', 118, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, '2023-10-11 07:35:10', 1, NULL, 700100, NULL, '2023-10-10 23:34:21', NULL, NULL, NULL, NULL, NULL, '248', '2023-10-11 07:34:22', '1', '2023-10-11 07:35:10', b'0', 1), (21, 'r202310110736551', 10, 50, 10, 248, '不想要了', '测试推积分', '[]', 127, 'o202310110736401', 120, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, '2023-10-11 07:37:06', 1, NULL, 385145, 96, '2023-10-11 07:39:26', NULL, NULL, NULL, NULL, NULL, '248', '2023-10-11 07:36:56', '1', '2023-10-11 07:39:28', b'0', 1), (22, 'r202312132345151', 20, 61, 10, 247, '不想要了', '13312', NULL, 137, 'o202312122051041', 130, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, '2023-12-13 15:45:15', NULL, NULL, 385145, NULL, '2023-12-13 15:45:15', NULL, NULL, NULL, NULL, NULL, '247', '2023-12-13 23:45:15', '247', '2023-12-14 14:22:41', b'0', 1), (23, 'r202401161952581', 20, 40, 20, 247, '', '', NULL, 161, 'o202401160804331', 155, 634, 'HUAWEI Mate 60 Pro', 15, '[{\"valueId\": 19, \"valueName\": \"雅川青\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/3661b4ca3b922d31bef4440a7d68f9112b8f529ba160b3278bb0b5158384abf6.jpg', 1, '2024-01-16 20:21:32', 1, NULL, 384945, NULL, '2024-01-16 20:27:23', 1, '888', '2024-01-16 20:24:46', '2024-01-16 20:33:08', NULL, '247', '2024-01-16 19:52:58', '1', '2024-01-16 20:33:08', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for trade_after_sale_log
-- ----------------------------
DROP TABLE IF EXISTS `trade_after_sale_log`;
CREATE TABLE `trade_after_sale_log`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `user_id` bigint NOT NULL COMMENT '用户编号',
  `user_type` tinyint NOT NULL COMMENT '用户类型',
  `after_sale_id` bigint NOT NULL COMMENT '售后编号',
  `before_status` tinyint NULL DEFAULT NULL COMMENT '售后状态（之前）',
  `after_status` tinyint NOT NULL COMMENT '售后状态（之后）',
  `operate_type` tinyint NOT NULL COMMENT '操作类型',
  `content` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '操作明细',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 38 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '售后订单日志';

-- ----------------------------
-- Records of trade_after_sale_log
-- ----------------------------
BEGIN;
INSERT INTO `trade_after_sale_log` (`id`, `user_id`, `user_type`, `after_sale_id`, `before_status`, `after_status`, `operate_type`, `content`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (1, 247, 1, 11, NULL, 10, 10, '会员申请退款', '247', '2023-10-02 15:05:05', '247', '2023-10-02 15:05:05', b'0', 1), (2, 1, 2, 11, 10, 40, 11, '商家同意退款', '1', '2023-10-02 15:18:09', '1', '2023-10-02 15:18:09', b'0', 1), (3, 1, 2, 11, 40, 50, 30, '商家退款', '1', '2023-10-02 15:19:37', '1', '2023-10-02 15:19:37', b'0', 1), (4, 1, 2, 10, 10, 62, 12, '商家拒绝退款', '1', '2023-10-02 15:20:11', '1', '2023-10-02 15:20:11', b'0', 1), (5, 247, 1, 12, NULL, 10, 10, '会员申请退款', '247', '2023-10-02 15:25:32', '247', '2023-10-02 15:25:32', b'0', 1), (6, 1, 2, 12, 10, 40, 11, '商家同意退款', '1', '2023-10-02 15:25:43', '1', '2023-10-02 15:25:43', b'0', 1), (7, 247, 1, 13, NULL, 10, 10, '会员申请退款', '247', '2023-10-02 15:38:43', '247', '2023-10-02 15:38:43', b'0', 1), (8, 247, 1, 13, 10, 61, 40, '会员取消退款', '247', '2023-10-02 15:41:43', '247', '2023-10-02 15:41:43', b'0', 1), (9, 247, 1, 14, NULL, 10, 10, '会员申请退款', '247', '2023-10-02 15:41:55', '247', '2023-10-02 15:41:55', b'0', 1), (10, 248, 1, 15, NULL, 10, 10, '会员申请退款', '248', '2023-10-10 23:02:46', '248', '2023-10-10 23:02:46', b'0', 1), (11, 1, 2, 15, 10, 40, 11, '商家同意退款', '1', '2023-10-10 23:07:08', '1', '2023-10-10 23:07:08', b'0', 1), (12, 1, 2, 15, 40, 50, 30, '商家退款', '1', '2023-10-10 23:13:19', '1', '2023-10-10 23:13:19', b'0', 1), (13, 248, 1, 16, NULL, 10, 10, '会员申请退款', '248', '2023-10-10 23:16:21', '248', '2023-10-10 23:16:21', b'0', 1), (14, 1, 2, 16, 10, 40, 11, '商家同意退款', '1', '2023-10-10 23:20:08', '1', '2023-10-10 23:20:08', b'0', 1), (15, 1, 2, 16, 40, 50, 30, '商家退款', '1', '2023-10-10 23:21:09', '1', '2023-10-10 23:21:09', b'0', 1), (16, 248, 1, 17, NULL, 10, 10, '会员申请退款', '248', '2023-10-10 23:23:34', '248', '2023-10-10 23:23:34', b'0', 1), (17, 1, 2, 17, 10, 40, 11, '商家同意退款', '1', '2023-10-10 23:23:47', '1', '2023-10-10 23:23:47', b'0', 1), (18, 1, 2, 17, 40, 50, 30, '商家退款', '1', '2023-10-10 23:24:13', '1', '2023-10-10 23:24:13', b'0', 1), (19, 248, 1, 18, NULL, 10, 10, '会员申请退款', '248', '2023-10-10 23:28:13', '248', '2023-10-10 23:28:13', b'0', 1), (20, 1, 2, 18, 10, 40, 11, '商家同意退款', '1', '2023-10-10 23:29:53', '1', '2023-10-10 23:29:53', b'0', 1), (21, 1, 2, 18, 40, 50, 30, '商家退款', '1', '2023-10-10 23:30:04', '1', '2023-10-10 23:30:04', b'0', 1), (22, 248, 1, 19, NULL, 10, 10, '会员申请退款', '248', '2023-10-10 23:44:53', '248', '2023-10-10 23:44:53', b'0', 1), (23, 1, 2, 19, 10, 40, 11, '商家同意退款', '1', '2023-10-11 07:04:26', '1', '2023-10-11 07:04:26', b'0', 1), (24, 1, 2, 19, 40, 50, 30, '商家退款', '1', '2023-10-11 07:04:39', '1', '2023-10-11 07:04:39', b'0', 1), (25, 248, 1, 20, NULL, 10, 10, '会员申请退款', '248', '2023-10-11 07:34:22', '248', '2023-10-11 07:34:22', b'0', 1), (26, 1, 2, 20, 10, 40, 11, '商家同意退款', '1', '2023-10-11 07:35:10', '1', '2023-10-11 07:35:10', b'0', 1), (27, 248, 1, 21, NULL, 10, 10, '会员申请退款', '248', '2023-10-11 07:36:56', '248', '2023-10-11 07:36:56', b'0', 1), (28, 1, 2, 21, 10, 40, 11, '商家同意退款', '1', '2023-10-11 07:37:06', '1', '2023-10-11 07:37:06', b'0', 1), (29, 1, 2, 21, 40, 50, 30, '商家退款', '1', '2023-10-11 07:39:27', '1', '2023-10-11 07:39:27', b'0', 1), (30, 247, 1, 22, NULL, 10, 10, '会员申请退款', '247', '2023-12-13 23:45:15', '247', '2023-12-13 23:45:15', b'0', 1), (31, 247, 1, 22, 10, 61, 40, '会员取消退款', '247', '2023-12-14 14:22:41', '247', '2023-12-14 14:22:41', b'0', 1), (32, 247, 1, 23, NULL, 10, 10, '会员申请退款', '247', '2024-01-16 19:52:58', '247', '2024-01-16 19:52:58', b'0', 1), (33, 1, 2, 23, 10, 20, 11, '商家同意退款', '1', '2024-01-16 20:21:32', '1', '2024-01-16 20:21:32', b'0', 1), (34, 247, 1, 23, 20, 30, 20, '会员填写退货物流信息，快递公司：申通快递，快递单号：888', '247', '2024-01-16 20:24:46', '247', '2024-01-16 20:24:46', b'0', 1), (35, 1, 2, 23, 30, 40, 21, '商家收货', '1', '2024-01-16 20:27:20', '1', '2024-01-16 20:27:20', b'0', 1), (36, 1, 2, 23, 40, 50, 30, '商家退款', '1', '2024-01-16 20:27:23', '1', '2024-01-16 20:27:23', b'0', 1), (37, 1, 2, 23, 30, 40, 21, '商家收货', '1', '2024-01-16 20:33:08', '1', '2024-01-16 20:33:08', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for trade_brokerage_record
-- ----------------------------
DROP TABLE IF EXISTS `trade_brokerage_record`;
CREATE TABLE `trade_brokerage_record`  (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '编号',
  `user_id` bigint NOT NULL COMMENT '用户编号',
  `biz_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '业务编号',
  `biz_type` tinyint NOT NULL DEFAULT 0 COMMENT '业务类型：1-订单，2-提现',
  `title` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '标题',
  `price` int NOT NULL DEFAULT 0 COMMENT '金额',
  `total_price` int NOT NULL DEFAULT 0 COMMENT '当前总佣金',
  `description` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '说明',
  `status` tinyint NOT NULL DEFAULT 0 COMMENT '状态：0-待结算，1-已结算，2-已取消',
  `frozen_days` int NOT NULL DEFAULT 0 COMMENT '冻结时间（天）',
  `unfreeze_time` datetime NULL DEFAULT NULL COMMENT '解冻时间',
  `source_user_level` int NOT NULL DEFAULT 0 COMMENT '来源用户等级',
  `source_user_id` bigint NOT NULL DEFAULT 0 COMMENT '来源用户编号',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_user_id`(`user_id` ASC) USING BTREE COMMENT '用户编号',
  INDEX `idx_biz`(`biz_type` ASC, `biz_id` ASC) USING BTREE COMMENT '业务',
  INDEX `idx_status`(`status` ASC) USING BTREE COMMENT '状态'
) ENGINE = InnoDB AUTO_INCREMENT = 8 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '佣金记录';

-- ----------------------------
-- Records of trade_brokerage_record
-- ----------------------------
BEGIN;
INSERT INTO `trade_brokerage_record` (`id`, `user_id`, `biz_id`, `biz_type`, `title`, `price`, `total_price`, `description`, `status`, `frozen_days`, `unfreeze_time`, `source_user_level`, `source_user_id`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (1, 247, '1', 1, 'xxx 下了订单', 30, 0, '', 1, 0, '2023-12-26 17:30:26', 0, 0, '', '2023-12-22 01:34:09', '', '2023-12-22 03:03:48', b'0', 1), (2, 247, '5', 2, '提现申请', -100, 100, '提现申请扣除佣金 1.00', 1, 0, NULL, 0, 0, '247', '2023-09-30 20:59:40', '247', '2023-09-30 20:59:40', b'0', 1), (3, 247, '6', 2, '提现申请', -100, 100, '提现申请扣除佣金 1.00', 2, 0, NULL, 0, 0, '247', '2023-12-27 15:32:21', '247', '2023-12-22 02:56:55', b'0', 1), (4, 247, '7', 2, '提现申请', -5000, 1000000, '提现申请扣除佣金 50.00', 1, 0, NULL, 0, 0, '247', '2024-01-05 21:49:33', '247', '2024-01-05 21:49:33', b'0', 1), (5, 247, '8', 2, '提现申请', -4000, 995000, '提现申请扣除佣金 40.00', 1, 0, NULL, 0, 0, '247', '2024-01-05 21:59:33', '247', '2024-01-05 21:59:33', b'0', 1), (6, 247, '9', 2, '提现申请', -10000, 991000, '提现申请扣除佣金 100.00', 1, 0, NULL, 0, 0, '247', '2024-01-05 22:01:14', '247', '2024-01-05 22:01:14', b'0', 1), (7, 247, '10', 2, '提现申请', -22300, 981000, '提现申请扣除佣金 223.00', 1, 0, NULL, 0, 0, '247', '2024-01-05 22:32:12', '247', '2024-01-05 22:32:12', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for trade_brokerage_user
-- ----------------------------
DROP TABLE IF EXISTS `trade_brokerage_user`;
CREATE TABLE `trade_brokerage_user`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '用户编号',
  `bind_user_id` bigint NULL DEFAULT NULL COMMENT '推广员编号',
  `bind_user_time` datetime NULL DEFAULT NULL COMMENT '推广员绑定时间',
  `brokerage_enabled` bit(1) NOT NULL DEFAULT b'1' COMMENT '是否成为推广员',
  `brokerage_time` datetime NULL DEFAULT NULL COMMENT '成为分销员时间',
  `brokerage_price` int NOT NULL DEFAULT 0 COMMENT '可用佣金',
  `frozen_price` int NOT NULL DEFAULT 0 COMMENT '冻结佣金',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 249 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '分销用户';

-- ----------------------------
-- Records of trade_brokerage_user
-- ----------------------------
BEGIN;
INSERT INTO `trade_brokerage_user` (`id`, `bind_user_id`, `bind_user_time`, `brokerage_enabled`, `brokerage_time`, `brokerage_price`, `frozen_price`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (247, NULL, '2023-12-26 18:40:15', b'1', '2023-10-02 11:27:58', 958700, 50, '', '2023-09-28 07:40:05', '', '2023-12-25 02:39:53', b'0', 1), (248, 247, '2023-12-25 11:28:23', b'1', '2023-10-03 11:27:53', 200, 0, '', '2023-09-28 07:40:05', '', '2023-12-22 04:08:17', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for trade_brokerage_withdraw
-- ----------------------------
DROP TABLE IF EXISTS `trade_brokerage_withdraw`;
CREATE TABLE `trade_brokerage_withdraw`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `user_id` bigint NOT NULL COMMENT '用户编号',
  `price` int NOT NULL DEFAULT 0 COMMENT '提现金额',
  `fee_price` int NOT NULL DEFAULT 0 COMMENT '提现手续费',
  `total_price` int NOT NULL DEFAULT 0 COMMENT '当前总佣金',
  `type` tinyint NOT NULL DEFAULT 0 COMMENT '提现类型：1-钱包；2-银行卡；3-微信；4-支付宝',
  `name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '真实姓名',
  `account_no` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '账号',
  `bank_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '银行名称',
  `bank_address` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '开户地址',
  `account_qr_code_url` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '收款码',
  `status` tinyint NOT NULL DEFAULT 0 COMMENT '状态：0-审核中，10-审核通过 20-审核不通过；预留：11 - 提现成功；21-提现失败',
  `audit_reason` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '审核驳回原因',
  `audit_time` datetime NULL DEFAULT NULL COMMENT '审核时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '备注',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_user_id`(`user_id` ASC) USING BTREE COMMENT '用户编号',
  INDEX `idx_audit_status`(`status` ASC) USING BTREE COMMENT '状态'
) ENGINE = InnoDB AUTO_INCREMENT = 11 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '佣金提现';

-- ----------------------------
-- Records of trade_brokerage_withdraw
-- ----------------------------
BEGIN;
INSERT INTO `trade_brokerage_withdraw` (`id`, `user_id`, `price`, `fee_price`, `total_price`, `type`, `name`, `account_no`, `bank_name`, `bank_address`, `account_qr_code_url`, `status`, `audit_reason`, `audit_time`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (5, 247, 40000, 0, 0, 1, NULL, NULL, NULL, NULL, NULL, 10, '', '2023-10-03 12:11:34', NULL, '247', '2023-09-30 20:59:40', '1', '2023-12-25 01:55:04', b'0', 1), (6, 247, 80000, 0, 0, 1, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '247', '2023-12-27 15:32:21', '247', '2023-12-25 01:55:09', b'0', 1), (7, 247, 5000, 0, 0, 4, '2', '1', '3', '4', NULL, 0, NULL, NULL, NULL, '247', '2024-01-05 21:49:33', '247', '2024-01-05 21:49:33', b'0', 1), (8, 247, 4000, 0, 0, 1, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '247', '2024-01-05 21:59:33', '247', '2024-01-05 21:59:33', b'0', 1), (9, 247, 10000, 0, 0, 1, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '247', '2024-01-05 22:01:14', '247', '2024-01-05 22:01:14', b'0', 1), (10, 247, 22300, 0, 0, 3, NULL, '111', NULL, NULL, 'http://127.0.0.1:48080/admin-api/infra/file/4/get/03450dc3f7677eb24084bf64a040c0678da4bf154a80fa14928bad53a19d5c32.jpg', 0, NULL, NULL, NULL, '247', '2024-01-05 22:32:12', '247', '2024-01-05 22:32:12', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for trade_cart
-- ----------------------------
DROP TABLE IF EXISTS `trade_cart`;
CREATE TABLE `trade_cart`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号，唯一自增。',
  `user_id` bigint NOT NULL COMMENT '用户编号',
  `spu_id` bigint NOT NULL COMMENT '商品 SPU 编号',
  `sku_id` bigint NOT NULL COMMENT '商品 SKU 编号',
  `count` int NOT NULL COMMENT '商品购买数量',
  `selected` bit(1) NOT NULL DEFAULT b'1' COMMENT '是否选中',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 92 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '购物车的商品信息';

-- ----------------------------
-- Records of trade_cart
-- ----------------------------
BEGIN;
INSERT INTO `trade_cart` (`id`, `user_id`, `spu_id`, `sku_id`, `count`, `selected`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (55, 247, 633, 1, 38, b'1', '247', '2023-08-29 22:43:37', '247', '2023-08-30 10:09:26', b'1', 1), (56, 247, 109, 1, 1, b'1', '247', '2023-08-29 22:43:37', '247', '2023-08-30 09:47:43', b'1', 1), (57, 247, 109, 1, 1, b'1', '247', '2023-08-29 22:43:37', '247', '2023-08-30 09:47:43', b'1', 1), (58, 247, 109, 1, 1, b'1', '247', '2023-08-29 22:43:37', '247', '2023-08-30 09:47:43', b'1', 1), (59, 247, 633, 111, 1, b'1', '247', '2023-08-29 22:43:37', '247', '2023-08-30 09:44:17', b'1', 1), (60, 247, 633, 3, 1, b'1', '247', '2023-08-30 17:44:22', '247', '2023-08-30 09:56:11', b'1', 1), (61, 247, 633, 1, 3, b'1', '247', '2023-08-30 18:14:55', '247', '2023-08-30 10:57:00', b'1', 1), (62, 247, 633, 2, 1, b'1', '247', '2023-08-30 18:35:14', '247', '2023-08-30 10:57:00', b'1', 1), (63, 247, 633, 3, 1, b'1', '247', '2023-08-30 18:35:17', '247', '2023-08-30 10:57:00', b'1', 1), (64, 247, 633, 1, 1, b'1', '247', '2023-08-31 23:42:14', '247', '2023-08-31 15:43:27', b'1', 1), (65, 247, 634, 14, 1, b'1', '247', '2023-08-31 23:42:33', '247', '2023-08-31 15:43:27', b'1', 1), (66, 247, 634, 14, 1, b'1', '247', '2023-08-31 23:45:29', '247', '2023-08-31 15:46:15', b'1', 1), (67, 247, 634, 15, 1, b'1', '247', '2023-08-31 23:45:31', '247', '2023-08-31 15:46:15', b'1', 1), (68, 247, 634, 16, 1, b'1', '247', '2023-08-31 23:45:33', '247', '2023-08-31 15:46:15', b'1', 1), (69, 247, 634, 17, 1, b'1', '247', '2023-08-31 23:45:35', '247', '2023-08-31 15:46:15', b'1', 1), (70, 247, 633, 1, 1, b'1', '247', '2023-08-31 23:45:43', '247', '2023-08-31 15:46:15', b'1', 1), (71, 247, 634, 14, 1, b'1', '247', '2023-12-11 09:29:02', '247', '2023-12-11 01:33:02', b'1', 1), (72, 247, 634, 14, 7, b'1', '247', '2023-12-11 09:33:13', '247', '2023-12-11 04:44:26', b'1', 1), (73, 247, 633, 1, 1, b'1', '247', '2023-12-11 12:38:57', '247', '2023-12-11 04:43:26', b'1', 1), (74, 247, 633, 2, 1, b'1', '247', '2023-12-11 12:38:58', '247', '2023-12-11 04:43:18', b'1', 1), (75, 247, 634, 14, 1, b'1', '247', '2023-12-11 12:44:35', '247', '2023-12-11 14:16:51', b'1', 1), (76, 247, 633, 1, 1, b'1', '247', '2023-12-12 20:00:54', '247', '2023-12-12 12:01:14', b'1', 1), (77, 247, 634, 14, 1, b'1', '247', '2023-12-12 20:09:18', '247', '2023-12-12 12:09:27', b'1', 1), (78, 247, 633, 2, 1, b'1', '247', '2023-12-12 20:13:38', '247', '2023-12-12 12:39:05', b'1', 1), (79, 247, 634, 14, 1, b'1', '247', '2023-12-12 20:50:59', '247', '2023-12-12 12:51:04', b'1', 1), (80, 247, 633, 1, 2, b'1', '247', '2023-12-16 00:02:26', '247', '2023-12-20 10:11:09', b'1', 1), (81, 247, 634, 14, 1, b'1', '247', '2023-12-16 00:05:32', '247', '2023-12-20 10:11:09', b'1', 1), (82, 247, 634, 15, 1, b'1', '247', '2023-12-16 00:06:56', '247', '2023-12-20 10:11:09', b'1', 1), (83, 247, 633, 2, 1, b'1', '247', '2023-12-24 20:36:58', '247', '2023-12-22 00:45:28', b'1', 1), (84, 247, 634, 14, 1, b'1', '247', '2024-01-04 23:14:07', '247', '2023-12-24 20:02:31', b'1', 1), (85, 247, 634, 15, 2, b'1', '247', '2024-01-04 23:14:08', '247', '2023-12-24 20:02:31', b'1', 1), (86, 247, 634, 16, 1, b'1', '247', '2024-01-04 23:14:10', '247', '2023-12-24 20:03:02', b'1', 1), (87, 247, 634, 17, 1, b'1', '247', '2024-01-04 23:14:11', '247', '2023-12-24 20:02:36', b'1', 1), (88, 247, 633, 2, 4, b'1', '247', '2024-01-04 23:14:21', '247', '2023-12-24 20:02:36', b'1', 1), (89, 247, 633, 3, 1, b'1', '247', '2024-01-04 23:14:22', '247', '2023-12-24 20:03:02', b'1', 1), (90, 247, 633, 2, 32, b'1', '247', '2024-01-05 09:16:29', '247', '2023-12-27 21:51:34', b'1', 1), (91, 247, 634, 15, 1, b'1', '247', '2024-01-15 21:56:24', '247', '2023-12-27 21:51:34', b'1', 1);
COMMIT;

-- ----------------------------
-- Table structure for trade_config
-- ----------------------------
DROP TABLE IF EXISTS `trade_config`;
CREATE TABLE `trade_config`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '自增主键',
  `after_sale_refund_reasons` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '售后退款理由',
  `after_sale_return_reasons` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '售后退货理由',
  `delivery_express_free_enabled` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否启用全场包邮',
  `delivery_express_free_price` int NOT NULL DEFAULT 0 COMMENT '全场包邮的最小金额，单位：分',
  `delivery_pick_up_enabled` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否开启自提',
  `brokerage_enabled` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否启用分佣',
  `brokerage_enabled_condition` tinyint NOT NULL DEFAULT 1 COMMENT '分佣模式：1-人人分销 2-指定分销',
  `brokerage_bind_mode` tinyint NOT NULL DEFAULT 1 COMMENT '分销关系绑定模式: 1-没有推广人，2-新用户, 3-扫码覆盖',
  `brokerage_poster_urls` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '分销海报图地址数组',
  `brokerage_first_percent` int NOT NULL DEFAULT 0 COMMENT '一级返佣比例',
  `brokerage_second_percent` int NOT NULL DEFAULT 0 COMMENT '二级返佣比例',
  `brokerage_withdraw_min_price` int NOT NULL DEFAULT 0 COMMENT '用户提现最低金额',
  `brokerage_withdraw_fee_percent` int NOT NULL DEFAULT 0 COMMENT '提现手续费百分比',
  `brokerage_frozen_days` int NOT NULL DEFAULT 7 COMMENT '佣金冻结时间(天)',
  `brokerage_withdraw_types` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '1,2,3,4' COMMENT '提现方式：1-钱包；2-银行卡；3-微信；4-支付宝',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '交易中心配置';

-- ----------------------------
-- Records of trade_config
-- ----------------------------
BEGIN;
INSERT INTO `trade_config` (`id`, `after_sale_refund_reasons`, `after_sale_return_reasons`, `delivery_express_free_enabled`, `delivery_express_free_price`, `delivery_pick_up_enabled`, `brokerage_enabled`, `brokerage_enabled_condition`, `brokerage_bind_mode`, `brokerage_poster_urls`, `brokerage_first_percent`, `brokerage_second_percent`, `brokerage_withdraw_min_price`, `brokerage_withdraw_fee_percent`, `brokerage_frozen_days`, `brokerage_withdraw_types`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (2, '[\"不想要了\",\"商品质量问题\",\"商品描述不符\"]', '[\"不想要了\",\"商品质量问题\",\"商品描述不符\",\"商品错发漏发\",\"商品包装破损\"]', b'0', 100, b'1', b'1', 1, 1, '[]', 10, 20, 4000, 0, 30, '2,3,4,1', '1', '2023-09-28 14:26:02', '1', '2024-01-05 19:06:30', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for trade_delivery_express
-- ----------------------------
DROP TABLE IF EXISTS `trade_delivery_express`;
CREATE TABLE `trade_delivery_express`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '快递公司编码',
  `name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '快递公司名称',
  `logo` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '快递公司 logo',
  `sort` int NOT NULL DEFAULT 0 COMMENT '排序',
  `status` tinyint NOT NULL DEFAULT 0 COMMENT '状态',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '快递公司';

-- ----------------------------
-- Records of trade_delivery_express
-- ----------------------------
BEGIN;
INSERT INTO `trade_delivery_express` (`id`, `code`, `name`, `logo`, `sort`, `status`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (1, 'STO', '申通快递', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/446f517d60ef9e44991225b890f227389b1b6cdf9c572337546e172bda8b7935.png', 1, 0, '1', '2023-05-24 23:30:13', '1', '2023-08-31 15:47:34', b'0', 1), (2, 'SF', '顺丰速运', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/ec8418d431f69a86dbd24b40dfab79536aff614f0d20613cb59c90ddb6fe57c5.png', 2, 0, '1', '2023-05-24 23:31:54', '1', '2023-08-31 15:48:01', b'0', 1), (3, 'ZTO', '中通快递', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/10472d8e00fee77dfff5ac8207bf4c574762de1fea56169b16eb3df1e994b1bf.png', 3, 0, '1', '2023-05-24 23:32:51', '1', '2023-08-31 15:48:22', b'0', 1), (4, 'YD', '韵达快递', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/92ae41aa2c007cd4544162cd53966b5cc8557696927d9ff2d5e5970519ee0cbe.png', 4, 0, '1', '2023-05-24 23:32:51', '1', '2023-08-31 15:48:45', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for trade_delivery_express_template
-- ----------------------------
DROP TABLE IF EXISTS `trade_delivery_express_template`;
CREATE TABLE `trade_delivery_express_template`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '模板名称',
  `charge_mode` tinyint NOT NULL COMMENT '配送计费方式',
  `sort` int NOT NULL DEFAULT 0 COMMENT '排序',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '快递运费模板';

-- ----------------------------
-- Records of trade_delivery_express_template
-- ----------------------------
BEGIN;
INSERT INTO `trade_delivery_express_template` (`id`, `name`, `charge_mode`, `sort`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (1, '按照体积配送', 3, 0, '1', '2023-05-24 23:59:25', '1', '2023-12-24 11:31:31', b'0', 1), (4, '测试模版', 2, 0, '1', '2023-10-02 17:39:14', '1', '2023-12-24 11:30:58', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for trade_delivery_express_template_charge
-- ----------------------------
DROP TABLE IF EXISTS `trade_delivery_express_template_charge`;
CREATE TABLE `trade_delivery_express_template_charge`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号，自增',
  `template_id` bigint NOT NULL COMMENT '快递运费模板编号',
  `area_ids` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '配送区域 id',
  `charge_mode` tinyint NOT NULL COMMENT '配送计费方式',
  `start_count` double NOT NULL COMMENT '首件数量',
  `start_price` int NOT NULL COMMENT '起步价，单位：分',
  `extra_count` double NOT NULL COMMENT '续件数量',
  `extra_price` int NOT NULL COMMENT '额外价，单位：分',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 15 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '快递运费模板计费配置';

-- ----------------------------
-- Records of trade_delivery_express_template_charge
-- ----------------------------
BEGIN;
INSERT INTO `trade_delivery_express_template_charge` (`id`, `template_id`, `area_ids`, `charge_mode`, `start_count`, `start_price`, `extra_count`, `extra_price`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (1, 1, '120102', 1, 1, 100, 1, 100, '1', '2023-05-24 23:59:25', '1', '2023-12-20 23:08:24', b'1', 1), (2, 1, '120102', 1, 1, 100, 1, 100, '1', '2023-08-31 15:47:00', '1', '2023-12-20 23:08:22', b'1', 1), (3, 4, '110101,110102,110105,110106,110107,110108,110109,110111,110112,110113,110114,110115,110116,110117,110118,110119,130102,130104,130105,130107,130108,130109,130110,130111,130121,130123,130125,130126,130127,130128,130129,130130,130131,130132,130133,130171,130172,130181,130183,130184,130202,130203,130204,130205,130207,130208,130209,130224,130225,130227,130229,130271,130272,130273,130274,130281,130283,130284,130302,130303,130304,130306,130321,130322,130324,130371,130372,130402,130403,130404,130406,130407,130408,130423,130424,130425,130426,130427,130430,130431,130432,130433,130434,130435,130471,130473,130481,130502,130503,130505,130506,130522,130523,130524,130525,130528,130529,130530,130531,130532,130533,130534,130535,130571,130581,130582,130602,130606,130607,130608,130609,130623,130624,130626,130627,130628,130629,130630,130631,130632,130633,130634,130635,130636,130637,130638,130671,130672,130681,130682,130683,130684,130702,130703,130705,130706,130708,130709,130722,130723,130724,130725,130726,130727,130728,130730,130731,130732,130771,130772,130773,130802,130803,130804,130821,130822,130824,130825,130826,130827,130828,130871,130881,130902,130903,130921,130922,130923,130924,130925,130926,130927,130928,130929,130930,130971,130972,130973,130981,130982,130983,130984,131002,131003,131022,131023,131024,131025,131026,131028,131071,131081,131082,131102,131103,131121,131122,131123,131124,131125,131126,131127,131128,131171,131172,131182,140105,140106,140107,140108,140109,140110,140121,140122,140123,140171,140181,140212,140213,140214,140215,140221,140222,140223,140224,140225,140226,140271,140302,140303,140311,140321,140322,140403,140404,140405,140406,140423,140425,140426,140427,140428,140429,140430,140431,140471,140502,140521,140522,140524,140525,140581,140602,140603,140621,140622,140623,140671,140681,140702,140703,140721,140722,140723,140724,140725,140727,140728,140729,140781,140802,140821,140822,140823,140824,140825,140826,140827,140828,140829,140830,140881,140882,140902,140921,140922,140923,140924,140925,140926,140927,140928,140929,140930,140931,140932,140971,140981,141002,141021,141022,141023,141024,141025,141026,141027,141028,141029,141030,141031,141032,141033,141034,141081,141082,141102,141121,141122,141123,141124,141125,141126,141127,141128,141129,141130,141181,141182,210102,210103,210104,210105,210106,210111,210112,210113,210114,210115,210123,210124,210181,210202,210203,210204,210211,210212,210213,210214,210224,210281,210283,210302,210303,210304,210311,210321,210323,210381,210402,210403,210404,210411,210421,210422,210423,210502,210503,210504,210505,210521,210522,210602,210603,210604,210624,210681,210682,210702,210703,210711,210726,210727,210781,210782,210802,210803,210804,210811,210881,210882,210902,210903,210904,210905,210911,210921,210922,211002,211003,211004,211005,211011,211021,211081,211102,211103,211104,211122,211202,211204,211221,211223,211224,211281,211282,211302,211303,211321,211322,211324,211381,211382,211402,211403,211404,211421,211422,211481,150102,150103,150104,150105,150121,150122,150123,150124,150125,150172,150202,150203,150204,150205,150206,150207,150221,150222,150223,150271,150302,150303,150304,150402,150403,150404,150421,150422,150423,150424,150425,150426,150428,150429,150430,150502,150521,150522,150523,150524,150525,150526,150571,150581,150602,150603,150621,150622,150623,150624,150625,150626,150627,150702,150703,150721,150722,150723,150724,150725,150726,150727,150781,150782,150783,150784,150785,150802,150821,150822,150823,150824,150825,150826,150902,150921,150922,150923,150924,150925,150926,150927,150928,150929,150981,152201,152202,152221,152222,152223,152224,152501,152502,152522,152523,152524,152525,152526,152527,152528,152529,152530,152531,152571,152921,152922,152923,152971', 2, 2, 5000000, 5, 10000000, '1', '2023-10-02 17:39:14', '1', '2023-12-24 11:30:58', b'0', 1), (4, 1, '120102,110101,110102,110105,110106,110107,110108,110109,110111,110112,110113,110114,110115,110116,110117,110118,110119,130102,130104,130105,130107,130108,130109,130110,130111,130121,130123,130125,130126,130127,130128,130129,130130,130131,130132,130133,130171,130172,130181,130183,130184,130202,130203,130204,130205,130207,130208,130209,130224,130225,130227,130229,130271,130272,130273,130274,130281,130283,130284,130302,130303,130304,130306,130321,130322,130324,130371,130372,130402,130403,130404,130406,130407,130408,130423,130424,130425,130426,130427,130430,130431,130432,130433,130434,130435,130471,130473,130481,130502,130503,130505,130506,130522,130523,130524,130525,130528,130529,130530,130531,130532,130533,130534,130535,130571,130581,130582,130602,130606,130607,130608,130609,130623,130624,130626,130627,130628,130629,130630,130631,130632,130633,130634,130635,130636,130637,130638,130671,130672,130681,130682,130683,130684,130702,130703,130705,130706,130708,130709,130722,130723,130724,130725,130726,130727,130728,130730,130731,130732,130771,130772,130773,130802,130803,130804,130821,130822,130824,130825,130826,130827,130828,130871,130881,130902,130903,130921,130922,130923,130924,130925,130926,130927,130928,130929,130930,130971,130972,130973,130981,130982,130983,130984,131002,131003,131022,131023,131024,131025,131026,131028,131071,131081,131082,131102,131103,131121,131122,131123,131124,131125,131126,131127,131128,131171,131172,131182,120101,120103,120104,120105,120106,120110,120111,120112,120113,120114,120115,120116,120117,120118,120119,140105,140106,140107,140108,140109,140110,140121,140122,140123,140171,140181,140212,140213,140214,140215,140221,140222,140223,140224,140225,140226,140271,140302,140303,140311,140321,140322,140403,140404,140405,140406,140423,140425,140426,140427,140428,140429,140430,140431,140471,140502,140521,140522,140524,140525,140581,140602,140603,140621,140622,140623,140671,140681,140702,140703,140721,140722,140723,140724,140725,140727,140728,140729,140781,140802,140821,140822,140823,140824,140825,140826,140827,140828,140829,140830,140881,140882,140902,140921,140922,140923,140924,140925,140926,140927,140928,140929,140930,140931,140932,140971,140981,141002,141021,141022,141023,141024,141025,141026,141027,141028,141029,141030,141031,141032,141033,141034,141081,141082,141102,141121,141122,141123,141124,141125,141126,141127,141128,141129,141130,141181,141182,150102,150103,150104,150105,150121,150122,150123,150124,150125,150172,150202,150203,150204,150205,150206,150207,150221,150222,150223,150271,150302,150303,150304,150402,150403,150404,150421,150422,150423,150424,150425,150426,150428,150429,150430,150502,150521,150522,150523,150524,150525,150526,150571,150581,150602,150603,150621,150622,150623,150624,150625,150626,150627,150702,150703,150721,150722,150723,150724,150725,150726,150727,150781,150782,150783,150784,150785,150802,150821,150822,150823,150824,150825,150826,150902,150921,150922,150923,150924,150925,150926,150927,150928,150929,150981,152201,152202,152221,152222,152223,152224,152501,152502,152522,152523,152524,152525,152526,152527,152528,152529,152530,152531,152571,152921,152922,152923,152971,210102,210103,210104,210105,210106,210111,210112,210113,210114,210115,210123,210124,210181,210202,210203,210204,210211,210212,210213,210214,210224,210281,210283,210302,210303,210304,210311,210321,210323,210381,210402,210403,210404,210411,210421,210422,210423,210502,210503,210504,210505,210521,210522,210602,210603,210604,210624,210681,210682,210702,210703,210711,210726,210727,210781,210782,210802,210803,210804,210811,210881,210882,210902,210903,210904,210905,210911,210921,210922,211002,211003,211004,211005,211011,211021,211081,211102,211103,211104,211122,211202,211204,211221,211223,211224,211281,211282,211302,211303,211321,211322,211324,211381,211382,211402,211403,211404,211421,211422,211481,650102,650103,650104,650105,650106,650107,650109,650121,650202,650203,650204,650205,650402,650421,650422,650502,650521,650522,652301,652302,652323,652324,652325,652327,652328,652701,652702,652722,652723,652801,652822,652823,652824,652825,652826,652827,652828,652829,652871,652901,652902,652922,652924,652925,652926,652927,652928,652929,653001,653022,653023,653024,653101,653121,653122,653123,653124,653125,653126,653127,653128,653129,653130,653131,653201,653221,653222,653223,653224,653225,653226,653227,654002,654003,654004,654021,654022,654023,654024,654025,654026,654027,654028,654201,654202,654203,654221,654224,654225,654226,654301,654321,654322,654323,654324,654325,654326,659001,659002,659003,659004,659005,659006,659007,659008,659009,659010,659011,640104,640105,640106,640121,640122,640181,640202,640205,640221,640302,640303,640323,640324,640381,640402,640422,640423,640424,640425,640502,640521,640522,630102,630103,630104,630105,630106,630121,630123,630202,630203,630222,630223,630224,630225,632221,632222,632223,632224,632301,632322,632323,632324,632521,632522,632523,632524,632525,632621,632622,632623,632624,632625,632626,632701,632722,632723,632724,632725,632726,632801,632802,632803,632821,632822,632823,632857,620102,620103,620104,620105,620111,620121,620122,620123,620171,620201,620302,620321,620402,620403,620421,620422,620423,620502,620503,620521,620522,620523,620524,620525,620602,620621,620622,620623,620702,620721,620722,620723,620724,620725,620802,620821,620822,620823,620825,620826,620881,620902,620921,620922,620923,620924,620981,620982,621002,621021,621022,621023,621024,621025,621026,621027,621102,621121,621122,621123,621124,621125,621126,621202,621221,621222,621223,621224,621225,621226,621227,621228,622901,622921,622922,622923,622924,622925,622926,622927,623001,623021,623022,623023,623024,623025,623026,623027', 1, 1, 100, 1, 100, '1', '2023-10-02 17:39:30', '1', '2023-12-20 23:08:20', b'1', 1), (5, 1, '120102,110101,110102,110105,110106,110107,110108,110109,110111,110112,110113,110114,110115,110116,110117,110118,110119,130102,130104,130105,130107,130108,130109,130110,130111,130121,130123,130125,130126,130127,130128,130129,130130,130131,130132,130133,130171,130172,130181,130183,130184,130202,130203,130204,130205,130207,130208,130209,130224,130225,130227,130229,130271,130272,130273,130274,130281,130283,130284,130302,130303,130304,130306,130321,130322,130324,130371,130372,130402,130403,130404,130406,130407,130408,130423,130424,130425,130426,130427,130430,130431,130432,130433,130434,130435,130471,130473,130481,130502,130503,130505,130506,130522,130523,130524,130525,130528,130529,130530,130531,130532,130533,130534,130535,130571,130581,130582,130602,130606,130607,130608,130609,130623,130624,130626,130627,130628,130629,130630,130631,130632,130633,130634,130635,130636,130637,130638,130671,130672,130681,130682,130683,130684,130702,130703,130705,130706,130708,130709,130722,130723,130724,130725,130726,130727,130728,130730,130731,130732,130771,130772,130773,130802,130803,130804,130821,130822,130824,130825,130826,130827,130828,130871,130881,130902,130903,130921,130922,130923,130924,130925,130926,130927,130928,130929,130930,130971,130972,130973,130981,130982,130983,130984,131002,131003,131022,131023,131024,131025,131026,131028,131071,131081,131082,131102,131103,131121,131122,131123,131124,131125,131126,131127,131128,131171,131172,131182,120101,120103,120104,120105,120106,120110,120111,120112,120113,120114,120115,120116,120117,120118,120119,140105,140106,140107,140108,140109,140110,140121,140122,140123,140171,140181,140212,140213,140214,140215,140221,140222,140223,140224,140225,140226,140271,140302,140303,140311,140321,140322,140403,140404,140405,140406,140423,140425,140426,140427,140428,140429,140430,140431,140471,140502,140521,140522,140524,140525,140581,140602,140603,140621,140622,140623,140671,140681,140702,140703,140721,140722,140723,140724,140725,140727,140728,140729,140781,140802,140821,140822,140823,140824,140825,140826,140827,140828,140829,140830,140881,140882,140902,140921,140922,140923,140924,140925,140926,140927,140928,140929,140930,140931,140932,140971,140981,141002,141021,141022,141023,141024,141025,141026,141027,141028,141029,141030,141031,141032,141033,141034,141081,141082,141102,141121,141122,141123,141124,141125,141126,141127,141128,141129,141130,141181,141182,150102,150103,150104,150105,150121,150122,150123,150124,150125,150172,150202,150203,150204,150205,150206,150207,150221,150222,150223,150271,150302,150303,150304,150402,150403,150404,150421,150422,150423,150424,150425,150426,150428,150429,150430,150502,150521,150522,150523,150524,150525,150526,150571,150581,150602,150603,150621,150622,150623,150624,150625,150626,150627,150702,150703,150721,150722,150723,150724,150725,150726,150727,150781,150782,150783,150784,150785,150802,150821,150822,150823,150824,150825,150826,150902,150921,150922,150923,150924,150925,150926,150927,150928,150929,150981,152201,152202,152221,152222,152223,152224,152501,152502,152522,152523,152524,152525,152526,152527,152528,152529,152530,152531,152571,152921,152922,152923,152971,210102,210103,210104,210105,210106,210111,210112,210113,210114,210115,210123,210124,210181,210202,210203,210204,210211,210212,210213,210214,210224,210281,210283,210302,210303,210304,210311,210321,210323,210381,210402,210403,210404,210411,210421,210422,210423,210502,210503,210504,210505,210521,210522,210602,210603,210604,210624,210681,210682,210702,210703,210711,210726,210727,210781,210782,210802,210803,210804,210811,210881,210882,210902,210903,210904,210905,210911,210921,210922,211002,211003,211004,211005,211011,211021,211081,211102,211103,211104,211122,211202,211204,211221,211223,211224,211281,211282,211302,211303,211321,211322,211324,211381,211382,211402,211403,211404,211421,211422,211481,650102,650103,650104,650105,650106,650107,650109,650121,650202,650203,650204,650205,650402,650421,650422,650502,650521,650522,652301,652302,652323,652324,652325,652327,652328,652701,652702,652722,652723,652801,652822,652823,652824,652825,652826,652827,652828,652829,652871,652901,652902,652922,652924,652925,652926,652927,652928,652929,653001,653022,653023,653024,653101,653121,653122,653123,653124,653125,653126,653127,653128,653129,653130,653131,653201,653221,653222,653223,653224,653225,653226,653227,654002,654003,654004,654021,654022,654023,654024,654025,654026,654027,654028,654201,654202,654203,654221,654224,654225,654226,654301,654321,654322,654323,654324,654325,654326,659001,659002,659003,659004,659005,659006,659007,659008,659009,659010,659011,640104,640105,640106,640121,640122,640181,640202,640205,640221,640302,640303,640323,640324,640381,640402,640422,640423,640424,640425,640502,640521,640522,630102,630103,630104,630105,630106,630121,630123,630202,630203,630222,630223,630224,630225,632221,632222,632223,632224,632301,632322,632323,632324,632521,632522,632523,632524,632525,632621,632622,632623,632624,632625,632626,632701,632722,632723,632724,632725,632726,632801,632802,632803,632821,632822,632823,632857,620102,620103,620104,620105,620111,620121,620122,620123,620171,620201,620302,620321,620402,620403,620421,620422,620423,620502,620503,620521,620522,620523,620524,620525,620602,620621,620622,620623,620702,620721,620722,620723,620724,620725,620802,620821,620822,620823,620825,620826,620881,620902,620921,620922,620923,620924,620981,620982,621002,621021,621022,621023,621024,621025,621026,621027,621102,621121,621122,621123,621124,621125,621126,621202,621221,621222,621223,621224,621225,621226,621227,621228,622901,622921,622922,622923,622924,622925,622926,622927,623001,623021,623022,623023,623024,623025,623026,623027,230102,230103,230104,230108,230109,230110,230111,230112,230113,230123,230124,230125,230126,230127,230128,230129,230183,230184,230202,230203,230204,230205,230206,230207,230208,230221,230223,230224,230225,230227,230229,230230,230231,230281,230302,230303,230304,230305,230306,230307,230321,230381,230382,230402,230403,230404,230405,230406,230407,230421,230422,230502,230503,230505,230506,230521,230522,230523,230524,230602,230603,230604,230605,230606,230621,230622,230623,230624,230671,230717,230718,230719,230722,230723,230724,230725,230726,230751,230781,230803,230804,230805,230811,230822,230826,230828,230881,230882,230883,230902,230903,230904,230921,231002,231003,231004,231005,231025,231071,231081,231083,231084,231085,231086,231102,231123,231124,231181,231182,231183,231202,231221,231222,231223,231224,231225,231226,231281,231282,231283,232701,232721,232722,232761,232762,232763,232764,220102,220103,220104,220105,220106,220112,220113,220122,220171,220172,220173,220174,220182,220183,220184,220202,220203,220204,220211,220221,220271,220272,220273,220281,220282,220283,220284,220302,220303,220322,220323,220382,220402,220403,220421,220422,220502,220503,220521,220523,220524,220581,220582,220602,220605,220621,220622,220623,220681,220702,220721,220722,220723,220771,220781,220802,220821,220822,220871,220881,220882,222401,222402,222403,222404,222405,222406,222424,222426,310101,310104,310105,310106,310107,310109,310110,310112,310113,310114,310115,310116,310117,310118,310120,310151,320102,320104,320105,320106,320111,320113,320114,320115,320116,320117,320118,320205,320206,320211,320213,320214,320281,320282,320302,320303,320305,320311,320312,320321,320322,320324,320371,320381,320382,320402,320404,320411,320412,320413,320481,320505,320506,320507,320508,320509,320571,320581,320582,320583,320585,320612,320613,320614,320623,320671,320681,320682,320685,320703,320706,320707,320722,320723,320724,320771,320772,320803,320804,320812,320813,320826,320830,320831,320871,320902,320903,320904,320921,320922,320923,320924,320925,320971,320981,321002,321003,321012,321023,321071,321081,321084,321102,321111,321112,321171,321181,321182,321183,321202,321203,321204,321271,321281,321282,321283,321302,321311,321322,321323,321324,321371,330102,330105,330106,330108,330109,330110,330111,330112,330113,330114,330122,330127,330182,330203,330205,330206,330211,330212,330213,330225,330226,330281,330282,330302,330303,330304,330305,330324,330326,330327,330328,330329,330371,330381,330382,330383,330402,330411,330421,330424,330481,330482,330483,330502,330503,330521,330522,330523,330602,330603,330604,330624,330681,330683,330702,330703,330723,330726,330727,330781,330782,330783,330784,330802,330803,330822,330824,330825,330881,330902,330903,330921,330922,331002,331003,331004,331022,331023,331024,331081,331082,331083,331102,331121,331122,331123,331124,331125,331126,331127,331181,340102,340103,340104,340111,340121,340122,340123,340124,340171,340172,340173,340181,340202,340207,340209,340210,340212,340223,340271,340272,340281,340302,340303,340304,340311,340321,340322,340323,340371,340372,340402,340403,340404,340405,340406,340421,340422,340503,340504,340506,340521,340522,340523,340602,340603,340604,340621,340705,340706,340711,340722,340802,340803,340811,340822,340825,340826,340827,340828,340871,340881,340882,341002,341003,341004,341021,341022,341023,341024,341102,341103,341122,341124,341125,341126,341171,341172,341181,341182,341202,341203,341204,341221,341222,341225,341226,341271,341272,341282,341302,341321,341322,341323,341324,341371,341372,341502,341503,341504,341522,341523,341524,341525,341602,341621,341622,341623,341702,341721,341722,341723,341802,341821,341823,341824,341825,341871,341881,341882,350102,350103,350104,350105,350111,350112,350121,350122,350123,350124,350125,350128,350181,350203,350205,350206,350211,350212,350213,350302,350303,350304,350305,350322,350404,350405,350421,350423,350424,350425,350426,350428,350429,350430,350481,350502,350503,350504,350505,350521,350524,350525,350526,350527,350581,350582,350583,350602,350603,350604,350605,350622,350623,350624,350626,350627,350628,350629,350702,350703,350721,350722,350723,350724,350725,350781,350782,350783,350802,350803,350821,350823,350824,350825,350881,350902,350921,350922,350923,350924,350925,350926,350981,350982', 1, 1, 100, 1, 100, '1', '2023-10-02 17:39:42', '1', '2023-12-20 23:08:19', b'1', 1), (6, 1, '120102,110101,110102,110105,110106,110107,110108,110109,110111,110112,110113,110114,110115,110116,110117,110118,110119,130102,130104,130105,130107,130108,130109,130110,130111,130121,130123,130125,130126,130127,130128,130129,130130,130131,130132,130133,130171,130172,130181,130183,130184,130202,130203,130204,130205,130207,130208,130209,130224,130225,130227,130229,130271,130272,130273,130274,130281,130283,130284,130302,130303,130304,130306,130321,130322,130324,130371,130372,130402,130403,130404,130406,130407,130408,130423,130424,130425,130426,130427,130430,130431,130432,130433,130434,130435,130471,130473,130481,130502,130503,130505,130506,130522,130523,130524,130525,130528,130529,130530,130531,130532,130533,130534,130535,130571,130581,130582,130602,130606,130607,130608,130609,130623,130624,130626,130627,130628,130629,130630,130631,130632,130633,130634,130635,130636,130637,130638,130671,130672,130681,130682,130683,130684,130702,130703,130705,130706,130708,130709,130722,130723,130724,130725,130726,130727,130728,130730,130731,130732,130771,130772,130773,130802,130803,130804,130821,130822,130824,130825,130826,130827,130828,130871,130881,130902,130903,130921,130922,130923,130924,130925,130926,130927,130928,130929,130930,130971,130972,130973,130981,130982,130983,130984,131002,131003,131022,131023,131024,131025,131026,131028,131071,131081,131082,131102,131103,131121,131122,131123,131124,131125,131126,131127,131128,131171,131172,131182,120101,120103,120104,120105,120106,120110,120111,120112,120113,120114,120115,120116,120117,120118,120119,140105,140106,140107,140108,140109,140110,140121,140122,140123,140171,140181,140212,140213,140214,140215,140221,140222,140223,140224,140225,140226,140271,140302,140303,140311,140321,140322,140403,140404,140405,140406,140423,140425,140426,140427,140428,140429,140430,140431,140471,140502,140521,140522,140524,140525,140581,140602,140603,140621,140622,140623,140671,140681,140702,140703,140721,140722,140723,140724,140725,140727,140728,140729,140781,140802,140821,140822,140823,140824,140825,140826,140827,140828,140829,140830,140881,140882,140902,140921,140922,140923,140924,140925,140926,140927,140928,140929,140930,140931,140932,140971,140981,141002,141021,141022,141023,141024,141025,141026,141027,141028,141029,141030,141031,141032,141033,141034,141081,141082,141102,141121,141122,141123,141124,141125,141126,141127,141128,141129,141130,141181,141182,150102,150103,150104,150105,150121,150122,150123,150124,150125,150172,150202,150203,150204,150205,150206,150207,150221,150222,150223,150271,150302,150303,150304,150402,150403,150404,150421,150422,150423,150424,150425,150426,150428,150429,150430,150502,150521,150522,150523,150524,150525,150526,150571,150581,150602,150603,150621,150622,150623,150624,150625,150626,150627,150702,150703,150721,150722,150723,150724,150725,150726,150727,150781,150782,150783,150784,150785,150802,150821,150822,150823,150824,150825,150826,150902,150921,150922,150923,150924,150925,150926,150927,150928,150929,150981,152201,152202,152221,152222,152223,152224,152501,152502,152522,152523,152524,152525,152526,152527,152528,152529,152530,152531,152571,152921,152922,152923,152971,210102,210103,210104,210105,210106,210111,210112,210113,210114,210115,210123,210124,210181,210202,210203,210204,210211,210212,210213,210214,210224,210281,210283,210302,210303,210304,210311,210321,210323,210381,210402,210403,210404,210411,210421,210422,210423,210502,210503,210504,210505,210521,210522,210602,210603,210604,210624,210681,210682,210702,210703,210711,210726,210727,210781,210782,210802,210803,210804,210811,210881,210882,210902,210903,210904,210905,210911,210921,210922,211002,211003,211004,211005,211011,211021,211081,211102,211103,211104,211122,211202,211204,211221,211223,211224,211281,211282,211302,211303,211321,211322,211324,211381,211382,211402,211403,211404,211421,211422,211481,650102,650103,650104,650105,650106,650107,650109,650121,650202,650203,650204,650205,650402,650421,650422,650502,650521,650522,652301,652302,652323,652324,652325,652327,652328,652701,652702,652722,652723,652801,652822,652823,652824,652825,652826,652827,652828,652829,652871,652901,652902,652922,652924,652925,652926,652927,652928,652929,653001,653022,653023,653024,653101,653121,653122,653123,653124,653125,653126,653127,653128,653129,653130,653131,653201,653221,653222,653223,653224,653225,653226,653227,654002,654003,654004,654021,654022,654023,654024,654025,654026,654027,654028,654201,654202,654203,654221,654224,654225,654226,654301,654321,654322,654323,654324,654325,654326,659001,659002,659003,659004,659005,659006,659007,659008,659009,659010,659011,640104,640105,640106,640121,640122,640181,640202,640205,640221,640302,640303,640323,640324,640381,640402,640422,640423,640424,640425,640502,640521,640522,630102,630103,630104,630105,630106,630121,630123,630202,630203,630222,630223,630224,630225,632221,632222,632223,632224,632301,632322,632323,632324,632521,632522,632523,632524,632525,632621,632622,632623,632624,632625,632626,632701,632722,632723,632724,632725,632726,632801,632802,632803,632821,632822,632823,632857,620102,620103,620104,620105,620111,620121,620122,620123,620171,620201,620302,620321,620402,620403,620421,620422,620423,620502,620503,620521,620522,620523,620524,620525,620602,620621,620622,620623,620702,620721,620722,620723,620724,620725,620802,620821,620822,620823,620825,620826,620881,620902,620921,620922,620923,620924,620981,620982,621002,621021,621022,621023,621024,621025,621026,621027,621102,621121,621122,621123,621124,621125,621126,621202,621221,621222,621223,621224,621225,621226,621227,621228,622901,622921,622922,622923,622924,622925,622926,622927,623001,623021,623022,623023,623024,623025,623026,623027,230102,230103,230104,230108,230109,230110,230111,230112,230113,230123,230124,230125,230126,230127,230128,230129,230183,230184,230202,230203,230204,230205,230206,230207,230208,230221,230223,230224,230225,230227,230229,230230,230231,230281,230302,230303,230304,230305,230306,230307,230321,230381,230382,230402,230403,230404,230405,230406,230407,230421,230422,230502,230503,230505,230506,230521,230522,230523,230524,230602,230603,230604,230605,230606,230621,230622,230623,230624,230671,230717,230718,230719,230722,230723,230724,230725,230726,230751,230781,230803,230804,230805,230811,230822,230826,230828,230881,230882,230883,230902,230903,230904,230921,231002,231003,231004,231005,231025,231071,231081,231083,231084,231085,231086,231102,231123,231124,231181,231182,231183,231202,231221,231222,231223,231224,231225,231226,231281,231282,231283,232701,232721,232722,232761,232762,232763,232764,220102,220103,220104,220105,220106,220112,220113,220122,220171,220172,220173,220174,220182,220183,220184,220202,220203,220204,220211,220221,220271,220272,220273,220281,220282,220283,220284,220302,220303,220322,220323,220382,220402,220403,220421,220422,220502,220503,220521,220523,220524,220581,220582,220602,220605,220621,220622,220623,220681,220702,220721,220722,220723,220771,220781,220802,220821,220822,220871,220881,220882,222401,222402,222403,222404,222405,222406,222424,222426,310101,310104,310105,310106,310107,310109,310110,310112,310113,310114,310115,310116,310117,310118,310120,310151,320102,320104,320105,320106,320111,320113,320114,320115,320116,320117,320118,320205,320206,320211,320213,320214,320281,320282,320302,320303,320305,320311,320312,320321,320322,320324,320371,320381,320382,320402,320404,320411,320412,320413,320481,320505,320506,320507,320508,320509,320571,320581,320582,320583,320585,320612,320613,320614,320623,320671,320681,320682,320685,320703,320706,320707,320722,320723,320724,320771,320772,320803,320804,320812,320813,320826,320830,320831,320871,320902,320903,320904,320921,320922,320923,320924,320925,320971,320981,321002,321003,321012,321023,321071,321081,321084,321102,321111,321112,321171,321181,321182,321183,321202,321203,321204,321271,321281,321282,321283,321302,321311,321322,321323,321324,321371,330102,330105,330106,330108,330109,330110,330111,330112,330113,330114,330122,330127,330182,330203,330205,330206,330211,330212,330213,330225,330226,330281,330282,330302,330303,330304,330305,330324,330326,330327,330328,330329,330371,330381,330382,330383,330402,330411,330421,330424,330481,330482,330483,330502,330503,330521,330522,330523,330602,330603,330604,330624,330681,330683,330702,330703,330723,330726,330727,330781,330782,330783,330784,330802,330803,330822,330824,330825,330881,330902,330903,330921,330922,331002,331003,331004,331022,331023,331024,331081,331082,331083,331102,331121,331122,331123,331124,331125,331126,331127,331181,340102,340103,340104,340111,340121,340122,340123,340124,340171,340172,340173,340181,340202,340207,340209,340210,340212,340223,340271,340272,340281,340302,340303,340304,340311,340321,340322,340323,340371,340372,340402,340403,340404,340405,340406,340421,340422,340503,340504,340506,340521,340522,340523,340602,340603,340604,340621,340705,340706,340711,340722,340802,340803,340811,340822,340825,340826,340827,340828,340871,340881,340882,341002,341003,341004,341021,341022,341023,341024,341102,341103,341122,341124,341125,341126,341171,341172,341181,341182,341202,341203,341204,341221,341222,341225,341226,341271,341272,341282,341302,341321,341322,341323,341324,341371,341372,341502,341503,341504,341522,341523,341524,341525,341602,341621,341622,341623,341702,341721,341722,341723,341802,341821,341823,341824,341825,341871,341881,341882,350102,350103,350104,350105,350111,350112,350121,350122,350123,350124,350125,350128,350181,350203,350205,350206,350211,350212,350213,350302,350303,350304,350305,350322,350404,350405,350421,350423,350424,350425,350426,350428,350429,350430,350481,350502,350503,350504,350505,350521,350524,350525,350526,350527,350581,350582,350583,350602,350603,350604,350605,350622,350623,350624,350626,350627,350628,350629,350702,350703,350721,350722,350723,350724,350725,350781,350782,350783,350802,350803,350821,350823,350824,350825,350881,350902,350921,350922,350923,350924,350925,350926,350981,350982,610102,610103,610104,610111,610112,610113,610114,610115,610116,610117,610118,610122,610124,610202,610203,610204,610222,610302,610303,610304,610305,610323,610324,610326,610327,610328,610329,610330,610331,610402,610403,610404,610422,610423,610424,610425,610426,610428,610429,610430,610431,610481,610482,610502,610503,610522,610523,610524,610525,610526,610527,610528,610581,610582,610602,610603,610621,610622,610625,610626,610627,610628,610629,610630,610631,610632,610681,610702,610703,610722,610723,610724,610725,610726,610727,610728,610729,610730,610802,610803,610822,610824,610825,610826,610827,610828,610829,610830,610831,610881,610902,610921,610922,610923,610924,610925,610926,610927,610929,610981,611002,611021,611022,611023,611024,611025,611026,540102,540103,540104,540121,540122,540123,540124,540127,540171,540172,540173,540174,540202,540221,540222,540223,540224,540225,540226,540227,540228,540229,540230,540231,540232,540233,540234,540235,540236,540237,540302,540321,540322,540323,540324,540325,540326,540327,540328,540329,540330,540402,540421,540422,540423,540424,540425,540426,540502,540521,540522,540523,540524,540525,540526,540527,540528,540529,540530,540531,540602,540621,540622,540623,540624,540625,540626,540627,540628,540629,540630,542521,542522,542523,542524,542525,542526,542527,530102,530103,530111,530112,530113,530114,530115,530124,530125,530126,530127,530128,530129,530181,530302,530303,530304,530322,530323,530324,530325,530326,530381,530402,530403,530423,530424,530425,530426,530427,530428,530481,530502,530521,530523,530524,530581,530602,530621,530622,530623,530624,530625,530626,530627,530628,530629,530681,530702,530721,530722,530723,530724,530802,530821,530822,530823,530824,530825,530826,530827,530828,530829,530902,530921,530922,530923,530924,530925,530926,530927,532301,532302,532322,532323,532324,532325,532326,532327,532328,532329,532501,532502,532503,532504,532523,532524,532525,532527,532528,532529,532530,532531,532532,532601,532622,532623,532624,532625,532626,532627,532628,532801,532822,532823,532901,532922,532923,532924,532925,532926,532927,532928,532929,532930,532931,532932,533102,533103,533122,533123,533124,533301,533323,533324,533325,533401,533422,533423,520102,520103,520111,520112,520113,520115,520121,520122,520123,520181,520201,520203,520204,520281,520302,520303,520304,520322,520323,520324,520325,520326,520327,520328,520329,520330,520381,520382,520402,520403,520422,520423,520424,520425,520502,520521,520523,520524,520525,520526,520527,520581,520602,520603,520621,520622,520623,520624,520625,520626,520627,520628,522301,522302,522323,522324,522325,522326,522327,522328,522601,522622,522623,522624,522625,522626,522627,522628,522629,522630,522631,522632,522633,522634,522635,522636,522701,522702,522722,522723,522725,522726,522727,522728,522729,522730,522731,522732,510104,510105,510106,510107,510108,510112,510113,510114,510115,510116,510117,510118,510121,510129,510131,510181,510182,510183,510184,510185,510302,510303,510304,510311,510321,510322,510402,510403,510411,510421,510422,510502,510503,510504,510521,510522,510524,510525,510603,510604,510623,510681,510682,510683,510703,510704,510705,510722,510723,510725,510726,510727,510781,510802,510811,510812,510821,510822,510823,510824,510903,510904,510921,510923,510981,511002,511011,511024,511025,511071,511083,511102,511111,511112,511113,511123,511124,511126,511129,511132,511133,511181,511302,511303,511304,511321,511322,511323,511324,511325,511381,511402,511403,511421,511423,511424,511425,511502,511503,511504,511523,511524,511525,511526,511527,511528,511529,511602,511603,511621,511622,511623,511681,511702,511703,511722,511723,511724,511725,511771,511781,511802,511803,511822,511823,511824,511825,511826,511827,511902,511903,511921,511922,511923,511971,512002,512021,512022,513201,513221,513222,513223,513224,513225,513226,513227,513228,513230,513231,513232,513233,513301,513322,513323,513324,513325,513326,513327,513328,513329,513330,513331,513332,513333,513334,513335,513336,513337,513338,513401,513402,513422,513423,513424,513426,513427,513428,513429,513430,513431,513432,513433,513434,513435,513436,513437,500101,500102,500103,500104,500105,500106,500107,500108,500109,500110,500111,500112,500113,500114,500115,500116,500117,500118,500119,500120,500151,500152,500153,500154,500155,500156,500229,500230,500231,500233,500235,500236,500237,500238,500240,500241,500242,500243,460105,460106,460107,460108,460202,460203,460204,460205,460321,460322,460323,460400,469001,469002,469005,469006,469007,469021,469022,469023,469024,469025,469026,469027,469028,469029,469030,450102,450103,450105,450107,450108,450109,450110,450123,450124,450125,450126,450181,450202,450203,450204,450205,450206,450222,450223,450224,450225,450226,450302,450303,450304,450305,450311,450312,450321,450323,450324,450325,450326,450327,450328,450329,450330,450332,450381,450403,450405,450406,450421,450422,450423,450481,450502,450503,450512,450521,450602,450603,450621,450681,450702,450703,450721,450722,450802,450803,450804,450821,450881,450902,450903,450921,450922,450923,450924,450981,451002,451003,451022,451024,451026,451027,451028,451029,451030,451031,451081,451082,451102,451103,451121,451122,451123,451202,451203,451221,451222,451223,451224,451225,451226,451227,451228,451229,451302,451321,451322,451323,451324,451381,451402,451421,451422,451423,451424,451425,451481,440103,440104,440105,440106,440111,440112,440113,440114,440115,440117,440118,440203,440204,440205,440222,440224,440229,440232,440233,440281,440282,440303,440304,440305,440306,440307,440308,440309,440310,440311,440402,440403,440404,440507,440511,440512,440513,440514,440515,440523,440604,440605,440606,440607,440608,440703,440704,440705,440781,440783,440784,440785,440802,440803,440804,440811,440823,440825,440881,440882,440883,440902,440904,440981,440982,440983,441202,441203,441204,441223,441224,441225,441226,441284,441302,441303,441322,441323,441324,441402,441403,441422,441423,441424,441426,441427,441481,441502,441521,441523,441581,441602,441621,441622,441623,441624,441625,441702,441704,441721,441781,441802,441803,441821,441823,441825,441826,441881,441882,441900,442000,445102,445103,445122,445202,445203,445222,445224,445281,445302,445303,445321,445322,445381,430102,430103,430104,430105,430111,430112,430121,430181,430182,430202,430203,430204,430211,430212,430223,430224,430225,430271,430281,430302,430304,430321,430371,430372,430373,430381,430382,430405,430406,430407,430408,430412,430421,430422,430423,430424,430426,430471,430472,430473,430481,430482,430502,430503,430511,430522,430523,430524,430525,430527,430528,430529,430581,430582,430602,430603,430611,430621,430623,430624,430626,430671,430681,430682,430702,430703,430721,430722,430723,430724,430725,430726,430771,430781,430802,430811,430821,430822,430902,430903,430921,430922,430923,430971,430972,430981,431002,431003,431021,431022,431023,431024,431025,431026,431027,431028,431081,431102,431103,431122,431123,431124,431125,431126,431127,431128,431129,431171,431173,431181,431202,431221,431222,431223,431224,431225,431226,431227,431228,431229,431230,431271,431281,431302,431321,431322,431381,431382,433101,433122,433123,433124,433125,433126,433127,433130,420102,420103,420104,420105,420106,420107,420111,420112,420113,420114,420115,420116,420117,420202,420203,420204,420205,420222,420281,420302,420303,420304,420322,420323,420324,420325,420381,420502,420503,420504,420505,420506,420525,420526,420527,420528,420529,420581,420582,420583,420602,420606,420607,420624,420625,420626,420682,420683,420684,420702,420703,420704,420802,420804,420822,420881,420882,420902,420921,420922,420923,420981,420982,420984,421002,421003,421022,421024,421071,421081,421083,421087,421088,421102,421121,421122,421123,421124,421125,421126,421127,421171,421181,421182,421202,421221,421222,421223,421224,421281,421303,421321,421381,422801,422802,422822,422823,422825,422826,422827,422828,429004,429005,429006,429021,410102,410103,410104,410105,410106,410108,410122,410171,410172,410173,410181,410182,410183,410184,410185,410202,410203,410204,410205,410212,410221,410222,410223,410225,410302,410303,410304,410305,410307,410308,410311,410323,410324,410325,410326,410327,410328,410329,410371,410402,410403,410404,410411,410421,410422,410423,410425,410471,410472,410481,410482,410502,410503,410505,410506,410522,410523,410526,410527,410571,410581,410602,410603,410611,410621,410622,410671,410702,410703,410704,410711,410721,410724,410725,410726,410727,410771,410772,410773,410781,410782,410783,410802,410803,410804,410811,410821,410822,410823,410825,410871,410882,410883,410902,410922,410923,410926,410927,410928,410971,410972,411002,411003,411024,411025,411071,411081,411082,411102,411103,411104,411121,411122,411171,411202,411203,411221,411224,411271,411281,411282,411302,411303,411321,411322,411323,411324,411325,411326,411327,411328,411329,411330,411371,411372,411381,411402,411403,411421,411422,411423,411424,411425,411426,411471,411472,411481,411502,411503,411521,411522,411523,411524,411525,411526,411527,411528,411571,411602,411603,411621,411622,411623,411624,411625,411627,411628,411671,411681,411702,411721,411722,411723,411724,411725,411726,411727,411728,411729,411771,419001,370102,370103,370104,370105,370112,370113,370114,370115,370116,370117,370124,370126,370171,370202,370203,370211,370212,370213,370214,370215,370271,370281,370283,370285,370302,370303,370304,370305,370306,370321,370322,370323,370402,370403,370404,370405,370406,370481,370502,370503,370505,370522,370523,370571,370572,370602,370611,370612,370613,370614,370671,370672,370681,370682,370683,370685,370686,370687,370702,370703,370704,370705,370724,370725,370772,370781,370782,370783,370784,370785,370786,370811,370812,370826,370827,370828,370829,370830,370831,370832,370871,370881,370883,370902,370911,370921,370923,370982,370983,371002,371003,371071,371072,371073,371082,371083,371102,371103,371121,371122,371171,371302,371311,371312,371321,371322,371323,371324,371325,371326,371327,371328,371329,371371,371402,371403,371422,371423,371424,371425,371426,371427,371428,371471,371472,371481,371482,371502,371503,371521,371522,371524,371525,371526,371581,371602,371603,371621,371622,371623,371625,371681,371702,371703,371721,371722,371723,371724,371725,371726,371728,371771,371772,360102,360103,360104,360111,360112,360113,360121,360123,360124,360202,360203,360222,360281,360302,360313,360321,360322,360323,360402,360403,360404,360423,360424,360425,360426,360428,360429,360430,360481,360482,360483,360502,360521,360602,360603,360681,360702,360703,360704,360722,360723,360724,360725,360726,360728,360729,360730,360731,360732,360733,360734,360735,360781,360783,360802,360803,360821,360822,360823,360824,360825,360826,360827,360828,360829,360830,360881,360902,360921,360922,360923,360924,360925,360926,360981,360982,360983,361002,361003,361021,361022,361023,361024,361025,361026,361027,361028,361030,361102,361103,361104,361123,361124,361125,361126,361127,361128,361129,361130,361181', 1, 1, 100000000, 1, 100000000, '1', '2023-10-02 17:41:38', '1', '2023-12-20 23:08:17', b'1', 1), (7, 1, '120102,110101,110102,110105,110106,110107,110108,110109,110111,110112,110113,110114,110115,110116,110117,110118,110119,130102,130104,130105,130107,130108,130109,130110,130111,130121,130123,130125,130126,130127,130128,130129,130130,130131,130132,130133,130171,130172,130181,130183,130184,130202,130203,130204,130205,130207,130208,130209,130224,130225,130227,130229,130271,130272,130273,130274,130281,130283,130284,130302,130303,130304,130306,130321,130322,130324,130371,130372,130402,130403,130404,130406,130407,130408,130423,130424,130425,130426,130427,130430,130431,130432,130433,130434,130435,130471,130473,130481,130502,130503,130505,130506,130522,130523,130524,130525,130528,130529,130530,130531,130532,130533,130534,130535,130571,130581,130582,130602,130606,130607,130608,130609,130623,130624,130626,130627,130628,130629,130630,130631,130632,130633,130634,130635,130636,130637,130638,130671,130672,130681,130682,130683,130684,130702,130703,130705,130706,130708,130709,130722,130723,130724,130725,130726,130727,130728,130730,130731,130732,130771,130772,130773,130802,130803,130804,130821,130822,130824,130825,130826,130827,130828,130871,130881,130902,130903,130921,130922,130923,130924,130925,130926,130927,130928,130929,130930,130971,130972,130973,130981,130982,130983,130984,131002,131003,131022,131023,131024,131025,131026,131028,131071,131081,131082,131102,131103,131121,131122,131123,131124,131125,131126,131127,131128,131171,131172,131182,120101,120103,120104,120105,120106,120110,120111,120112,120113,120114,120115,120116,120117,120118,120119,140105,140106,140107,140108,140109,140110,140121,140122,140123,140171,140181,140212,140213,140214,140215,140221,140222,140223,140224,140225,140226,140271,140302,140303,140311,140321,140322,140403,140404,140405,140406,140423,140425,140426,140427,140428,140429,140430,140431,140471,140502,140521,140522,140524,140525,140581,140602,140603,140621,140622,140623,140671,140681,140702,140703,140721,140722,140723,140724,140725,140727,140728,140729,140781,140802,140821,140822,140823,140824,140825,140826,140827,140828,140829,140830,140881,140882,140902,140921,140922,140923,140924,140925,140926,140927,140928,140929,140930,140931,140932,140971,140981,141002,141021,141022,141023,141024,141025,141026,141027,141028,141029,141030,141031,141032,141033,141034,141081,141082,141102,141121,141122,141123,141124,141125,141126,141127,141128,141129,141130,141181,141182,150102,150103,150104,150105,150121,150122,150123,150124,150125,150172,150202,150203,150204,150205,150206,150207,150221,150222,150223,150271,150302,150303,150304,150402,150403,150404,150421,150422,150423,150424,150425,150426,150428,150429,150430,150502,150521,150522,150523,150524,150525,150526,150571,150581,150602,150603,150621,150622,150623,150624,150625,150626,150627,150702,150703,150721,150722,150723,150724,150725,150726,150727,150781,150782,150783,150784,150785,150802,150821,150822,150823,150824,150825,150826,150902,150921,150922,150923,150924,150925,150926,150927,150928,150929,150981,152201,152202,152221,152222,152223,152224,152501,152502,152522,152523,152524,152525,152526,152527,152528,152529,152530,152531,152571,152921,152922,152923,152971,210102,210103,210104,210105,210106,210111,210112,210113,210114,210115,210123,210124,210181,210202,210203,210204,210211,210212,210213,210214,210224,210281,210283,210302,210303,210304,210311,210321,210323,210381,210402,210403,210404,210411,210421,210422,210423,210502,210503,210504,210505,210521,210522,210602,210603,210604,210624,210681,210682,210702,210703,210711,210726,210727,210781,210782,210802,210803,210804,210811,210881,210882,210902,210903,210904,210905,210911,210921,210922,211002,211003,211004,211005,211011,211021,211081,211102,211103,211104,211122,211202,211204,211221,211223,211224,211281,211282,211302,211303,211321,211322,211324,211381,211382,211402,211403,211404,211421,211422,211481,650102,650103,650104,650105,650106,650107,650109,650121,650202,650203,650204,650205,650402,650421,650422,650502,650521,650522,652301,652302,652323,652324,652325,652327,652328,652701,652702,652722,652723,652801,652822,652823,652824,652825,652826,652827,652828,652829,652871,652901,652902,652922,652924,652925,652926,652927,652928,652929,653001,653022,653023,653024,653101,653121,653122,653123,653124,653125,653126,653127,653128,653129,653130,653131,653201,653221,653222,653223,653224,653225,653226,653227,654002,654003,654004,654021,654022,654023,654024,654025,654026,654027,654028,654201,654202,654203,654221,654224,654225,654226,654301,654321,654322,654323,654324,654325,654326,659001,659002,659003,659004,659005,659006,659007,659008,659009,659010,659011,640104,640105,640106,640121,640122,640181,640202,640205,640221,640302,640303,640323,640324,640381,640402,640422,640423,640424,640425,640502,640521,640522,630102,630103,630104,630105,630106,630121,630123,630202,630203,630222,630223,630224,630225,632221,632222,632223,632224,632301,632322,632323,632324,632521,632522,632523,632524,632525,632621,632622,632623,632624,632625,632626,632701,632722,632723,632724,632725,632726,632801,632802,632803,632821,632822,632823,632857,620102,620103,620104,620105,620111,620121,620122,620123,620171,620201,620302,620321,620402,620403,620421,620422,620423,620502,620503,620521,620522,620523,620524,620525,620602,620621,620622,620623,620702,620721,620722,620723,620724,620725,620802,620821,620822,620823,620825,620826,620881,620902,620921,620922,620923,620924,620981,620982,621002,621021,621022,621023,621024,621025,621026,621027,621102,621121,621122,621123,621124,621125,621126,621202,621221,621222,621223,621224,621225,621226,621227,621228,622901,622921,622922,622923,622924,622925,622926,622927,623001,623021,623022,623023,623024,623025,623026,623027,230102,230103,230104,230108,230109,230110,230111,230112,230113,230123,230124,230125,230126,230127,230128,230129,230183,230184,230202,230203,230204,230205,230206,230207,230208,230221,230223,230224,230225,230227,230229,230230,230231,230281,230302,230303,230304,230305,230306,230307,230321,230381,230382,230402,230403,230404,230405,230406,230407,230421,230422,230502,230503,230505,230506,230521,230522,230523,230524,230602,230603,230604,230605,230606,230621,230622,230623,230624,230671,230717,230718,230719,230722,230723,230724,230725,230726,230751,230781,230803,230804,230805,230811,230822,230826,230828,230881,230882,230883,230902,230903,230904,230921,231002,231003,231004,231005,231025,231071,231081,231083,231084,231085,231086,231102,231123,231124,231181,231182,231183,231202,231221,231222,231223,231224,231225,231226,231281,231282,231283,232701,232721,232722,232761,232762,232763,232764,220102,220103,220104,220105,220106,220112,220113,220122,220171,220172,220173,220174,220182,220183,220184,220202,220203,220204,220211,220221,220271,220272,220273,220281,220282,220283,220284,220302,220303,220322,220323,220382,220402,220403,220421,220422,220502,220503,220521,220523,220524,220581,220582,220602,220605,220621,220622,220623,220681,220702,220721,220722,220723,220771,220781,220802,220821,220822,220871,220881,220882,222401,222402,222403,222404,222405,222406,222424,222426,310101,310104,310105,310106,310107,310109,310110,310112,310113,310114,310115,310116,310117,310118,310120,310151,320102,320104,320105,320106,320111,320113,320114,320115,320116,320117,320118,320205,320206,320211,320213,320214,320281,320282,320302,320303,320305,320311,320312,320321,320322,320324,320371,320381,320382,320402,320404,320411,320412,320413,320481,320505,320506,320507,320508,320509,320571,320581,320582,320583,320585,320612,320613,320614,320623,320671,320681,320682,320685,320703,320706,320707,320722,320723,320724,320771,320772,320803,320804,320812,320813,320826,320830,320831,320871,320902,320903,320904,320921,320922,320923,320924,320925,320971,320981,321002,321003,321012,321023,321071,321081,321084,321102,321111,321112,321171,321181,321182,321183,321202,321203,321204,321271,321281,321282,321283,321302,321311,321322,321323,321324,321371,330102,330105,330106,330108,330109,330110,330111,330112,330113,330114,330122,330127,330182,330203,330205,330206,330211,330212,330213,330225,330226,330281,330282,330302,330303,330304,330305,330324,330326,330327,330328,330329,330371,330381,330382,330383,330402,330411,330421,330424,330481,330482,330483,330502,330503,330521,330522,330523,330602,330603,330604,330624,330681,330683,330702,330703,330723,330726,330727,330781,330782,330783,330784,330802,330803,330822,330824,330825,330881,330902,330903,330921,330922,331002,331003,331004,331022,331023,331024,331081,331082,331083,331102,331121,331122,331123,331124,331125,331126,331127,331181,340102,340103,340104,340111,340121,340122,340123,340124,340171,340172,340173,340181,340202,340207,340209,340210,340212,340223,340271,340272,340281,340302,340303,340304,340311,340321,340322,340323,340371,340372,340402,340403,340404,340405,340406,340421,340422,340503,340504,340506,340521,340522,340523,340602,340603,340604,340621,340705,340706,340711,340722,340802,340803,340811,340822,340825,340826,340827,340828,340871,340881,340882,341002,341003,341004,341021,341022,341023,341024,341102,341103,341122,341124,341125,341126,341171,341172,341181,341182,341202,341203,341204,341221,341222,341225,341226,341271,341272,341282,341302,341321,341322,341323,341324,341371,341372,341502,341503,341504,341522,341523,341524,341525,341602,341621,341622,341623,341702,341721,341722,341723,341802,341821,341823,341824,341825,341871,341881,341882,350102,350103,350104,350105,350111,350112,350121,350122,350123,350124,350125,350128,350181,350203,350205,350206,350211,350212,350213,350302,350303,350304,350305,350322,350404,350405,350421,350423,350424,350425,350426,350428,350429,350430,350481,350502,350503,350504,350505,350521,350524,350525,350526,350527,350581,350582,350583,350602,350603,350604,350605,350622,350623,350624,350626,350627,350628,350629,350702,350703,350721,350722,350723,350724,350725,350781,350782,350783,350802,350803,350821,350823,350824,350825,350881,350902,350921,350922,350923,350924,350925,350926,350981,350982,610102,610103,610104,610111,610112,610113,610114,610115,610116,610117,610118,610122,610124,610202,610203,610204,610222,610302,610303,610304,610305,610323,610324,610326,610327,610328,610329,610330,610331,610402,610403,610404,610422,610423,610424,610425,610426,610428,610429,610430,610431,610481,610482,610502,610503,610522,610523,610524,610525,610526,610527,610528,610581,610582,610602,610603,610621,610622,610625,610626,610627,610628,610629,610630,610631,610632,610681,610702,610703,610722,610723,610724,610725,610726,610727,610728,610729,610730,610802,610803,610822,610824,610825,610826,610827,610828,610829,610830,610831,610881,610902,610921,610922,610923,610924,610925,610926,610927,610929,610981,611002,611021,611022,611023,611024,611025,611026,540102,540103,540104,540121,540122,540123,540124,540127,540171,540172,540173,540174,540202,540221,540222,540223,540224,540225,540226,540227,540228,540229,540230,540231,540232,540233,540234,540235,540236,540237,540302,540321,540322,540323,540324,540325,540326,540327,540328,540329,540330,540402,540421,540422,540423,540424,540425,540426,540502,540521,540522,540523,540524,540525,540526,540527,540528,540529,540530,540531,540602,540621,540622,540623,540624,540625,540626,540627,540628,540629,540630,542521,542522,542523,542524,542525,542526,542527,530102,530103,530111,530112,530113,530114,530115,530124,530125,530126,530127,530128,530129,530181,530302,530303,530304,530322,530323,530324,530325,530326,530381,530402,530403,530423,530424,530425,530426,530427,530428,530481,530502,530521,530523,530524,530581,530602,530621,530622,530623,530624,530625,530626,530627,530628,530629,530681,530702,530721,530722,530723,530724,530802,530821,530822,530823,530824,530825,530826,530827,530828,530829,530902,530921,530922,530923,530924,530925,530926,530927,532301,532302,532322,532323,532324,532325,532326,532327,532328,532329,532501,532502,532503,532504,532523,532524,532525,532527,532528,532529,532530,532531,532532,532601,532622,532623,532624,532625,532626,532627,532628,532801,532822,532823,532901,532922,532923,532924,532925,532926,532927,532928,532929,532930,532931,532932,533102,533103,533122,533123,533124,533301,533323,533324,533325,533401,533422,533423,520102,520103,520111,520112,520113,520115,520121,520122,520123,520181,520201,520203,520204,520281,520302,520303,520304,520322,520323,520324,520325,520326,520327,520328,520329,520330,520381,520382,520402,520403,520422,520423,520424,520425,520502,520521,520523,520524,520525,520526,520527,520581,520602,520603,520621,520622,520623,520624,520625,520626,520627,520628,522301,522302,522323,522324,522325,522326,522327,522328,522601,522622,522623,522624,522625,522626,522627,522628,522629,522630,522631,522632,522633,522634,522635,522636,522701,522702,522722,522723,522725,522726,522727,522728,522729,522730,522731,522732,510104,510105,510106,510107,510108,510112,510113,510114,510115,510116,510117,510118,510121,510129,510131,510181,510182,510183,510184,510185,510302,510303,510304,510311,510321,510322,510402,510403,510411,510421,510422,510502,510503,510504,510521,510522,510524,510525,510603,510604,510623,510681,510682,510683,510703,510704,510705,510722,510723,510725,510726,510727,510781,510802,510811,510812,510821,510822,510823,510824,510903,510904,510921,510923,510981,511002,511011,511024,511025,511071,511083,511102,511111,511112,511113,511123,511124,511126,511129,511132,511133,511181,511302,511303,511304,511321,511322,511323,511324,511325,511381,511402,511403,511421,511423,511424,511425,511502,511503,511504,511523,511524,511525,511526,511527,511528,511529,511602,511603,511621,511622,511623,511681,511702,511703,511722,511723,511724,511725,511771,511781,511802,511803,511822,511823,511824,511825,511826,511827,511902,511903,511921,511922,511923,511971,512002,512021,512022,513201,513221,513222,513223,513224,513225,513226,513227,513228,513230,513231,513232,513233,513301,513322,513323,513324,513325,513326,513327,513328,513329,513330,513331,513332,513333,513334,513335,513336,513337,513338,513401,513402,513422,513423,513424,513426,513427,513428,513429,513430,513431,513432,513433,513434,513435,513436,513437,500101,500102,500103,500104,500105,500106,500107,500108,500109,500110,500111,500112,500113,500114,500115,500116,500117,500118,500119,500120,500151,500152,500153,500154,500155,500156,500229,500230,500231,500233,500235,500236,500237,500238,500240,500241,500242,500243,460105,460106,460107,460108,460202,460203,460204,460205,460321,460322,460323,460400,469001,469002,469005,469006,469007,469021,469022,469023,469024,469025,469026,469027,469028,469029,469030,450102,450103,450105,450107,450108,450109,450110,450123,450124,450125,450126,450181,450202,450203,450204,450205,450206,450222,450223,450224,450225,450226,450302,450303,450304,450305,450311,450312,450321,450323,450324,450325,450326,450327,450328,450329,450330,450332,450381,450403,450405,450406,450421,450422,450423,450481,450502,450503,450512,450521,450602,450603,450621,450681,450702,450703,450721,450722,450802,450803,450804,450821,450881,450902,450903,450921,450922,450923,450924,450981,451002,451003,451022,451024,451026,451027,451028,451029,451030,451031,451081,451082,451102,451103,451121,451122,451123,451202,451203,451221,451222,451223,451224,451225,451226,451227,451228,451229,451302,451321,451322,451323,451324,451381,451402,451421,451422,451423,451424,451425,451481,440103,440104,440105,440106,440111,440112,440113,440114,440115,440117,440118,440203,440204,440205,440222,440224,440229,440232,440233,440281,440282,440303,440304,440305,440306,440307,440308,440309,440310,440311,440402,440403,440404,440507,440511,440512,440513,440514,440515,440523,440604,440605,440606,440607,440608,440703,440704,440705,440781,440783,440784,440785,440802,440803,440804,440811,440823,440825,440881,440882,440883,440902,440904,440981,440982,440983,441202,441203,441204,441223,441224,441225,441226,441284,441302,441303,441322,441323,441324,441402,441403,441422,441423,441424,441426,441427,441481,441502,441521,441523,441581,441602,441621,441622,441623,441624,441625,441702,441704,441721,441781,441802,441803,441821,441823,441825,441826,441881,441882,441900,442000,445102,445103,445122,445202,445203,445222,445224,445281,445302,445303,445321,445322,445381,430102,430103,430104,430105,430111,430112,430121,430181,430182,430202,430203,430204,430211,430212,430223,430224,430225,430271,430281,430302,430304,430321,430371,430372,430373,430381,430382,430405,430406,430407,430408,430412,430421,430422,430423,430424,430426,430471,430472,430473,430481,430482,430502,430503,430511,430522,430523,430524,430525,430527,430528,430529,430581,430582,430602,430603,430611,430621,430623,430624,430626,430671,430681,430682,430702,430703,430721,430722,430723,430724,430725,430726,430771,430781,430802,430811,430821,430822,430902,430903,430921,430922,430923,430971,430972,430981,431002,431003,431021,431022,431023,431024,431025,431026,431027,431028,431081,431102,431103,431122,431123,431124,431125,431126,431127,431128,431129,431171,431173,431181,431202,431221,431222,431223,431224,431225,431226,431227,431228,431229,431230,431271,431281,431302,431321,431322,431381,431382,433101,433122,433123,433124,433125,433126,433127,433130,420102,420103,420104,420105,420106,420107,420111,420112,420113,420114,420115,420116,420117,420202,420203,420204,420205,420222,420281,420302,420303,420304,420322,420323,420324,420325,420381,420502,420503,420504,420505,420506,420525,420526,420527,420528,420529,420581,420582,420583,420602,420606,420607,420624,420625,420626,420682,420683,420684,420702,420703,420704,420802,420804,420822,420881,420882,420902,420921,420922,420923,420981,420982,420984,421002,421003,421022,421024,421071,421081,421083,421087,421088,421102,421121,421122,421123,421124,421125,421126,421127,421171,421181,421182,421202,421221,421222,421223,421224,421281,421303,421321,421381,422801,422802,422822,422823,422825,422826,422827,422828,429004,429005,429006,429021,410102,410103,410104,410105,410106,410108,410122,410171,410172,410173,410181,410182,410183,410184,410185,410202,410203,410204,410205,410212,410221,410222,410223,410225,410302,410303,410304,410305,410307,410308,410311,410323,410324,410325,410326,410327,410328,410329,410371,410402,410403,410404,410411,410421,410422,410423,410425,410471,410472,410481,410482,410502,410503,410505,410506,410522,410523,410526,410527,410571,410581,410602,410603,410611,410621,410622,410671,410702,410703,410704,410711,410721,410724,410725,410726,410727,410771,410772,410773,410781,410782,410783,410802,410803,410804,410811,410821,410822,410823,410825,410871,410882,410883,410902,410922,410923,410926,410927,410928,410971,410972,411002,411003,411024,411025,411071,411081,411082,411102,411103,411104,411121,411122,411171,411202,411203,411221,411224,411271,411281,411282,411302,411303,411321,411322,411323,411324,411325,411326,411327,411328,411329,411330,411371,411372,411381,411402,411403,411421,411422,411423,411424,411425,411426,411471,411472,411481,411502,411503,411521,411522,411523,411524,411525,411526,411527,411528,411571,411602,411603,411621,411622,411623,411624,411625,411627,411628,411671,411681,411702,411721,411722,411723,411724,411725,411726,411727,411728,411729,411771,419001,370102,370103,370104,370105,370112,370113,370114,370115,370116,370117,370124,370126,370171,370202,370203,370211,370212,370213,370214,370215,370271,370281,370283,370285,370302,370303,370304,370305,370306,370321,370322,370323,370402,370403,370404,370405,370406,370481,370502,370503,370505,370522,370523,370571,370572,370602,370611,370612,370613,370614,370671,370672,370681,370682,370683,370685,370686,370687,370702,370703,370704,370705,370724,370725,370772,370781,370782,370783,370784,370785,370786,370811,370812,370826,370827,370828,370829,370830,370831,370832,370871,370881,370883,370902,370911,370921,370923,370982,370983,371002,371003,371071,371072,371073,371082,371083,371102,371103,371121,371122,371171,371302,371311,371312,371321,371322,371323,371324,371325,371326,371327,371328,371329,371371,371402,371403,371422,371423,371424,371425,371426,371427,371428,371471,371472,371481,371482,371502,371503,371521,371522,371524,371525,371526,371581,371602,371603,371621,371622,371623,371625,371681,371702,371703,371721,371722,371723,371724,371725,371726,371728,371771,371772,360102,360103,360104,360111,360112,360113,360121,360123,360124,360202,360203,360222,360281,360302,360313,360321,360322,360323,360402,360403,360404,360423,360424,360425,360426,360428,360429,360430,360481,360482,360483,360502,360521,360602,360603,360681,360702,360703,360704,360722,360723,360724,360725,360726,360728,360729,360730,360731,360732,360733,360734,360735,360781,360783,360802,360803,360821,360822,360823,360824,360825,360826,360827,360828,360829,360830,360881,360902,360921,360922,360923,360924,360925,360926,360981,360982,360983,361002,361003,361021,361022,361023,361024,361025,361026,361027,361028,361030,361102,361103,361104,361123,361124,361125,361126,361127,361128,361129,361130,361181', 1, 1, 100000000, 1, 100000000, '1', '2023-10-02 17:41:53', '1', '2023-12-20 23:08:18', b'1', 1), (8, 1, '120102,110101,110102,110105,110106,110107,110108,110109,110111,110112,110113,110114,110115,110116,110117,110118,110119,120101,120103,120104,120105,120106,120110,120111,120112,120113,120114,120115,120116,120117,120118,120119,140105,140106,140107,140108,140109,140110,140121,140122,140123,140171,140181,140212,140213,140214,140215,140221,140222,140223,140224,140225,140226,140271,140302,140303,140311,140321,140322,140403,140404,140405,140406,140423,140425,140426,140427,140428,140429,140430,140431,140471,140502,140521,140522,140524,140525,140581,140602,140603,140621,140622,140623,140671,140681,140702,140703,140721,140722,140723,140724,140725,140727,140728,140729,140781,140802,140821,140822,140823,140824,140825,140826,140827,140828,140829,140830,140881,140882,140902,140921,140922,140923,140924,140925,140926,140927,140928,140929,140930,140931,140932,140971,140981,141002,141021,141022,141023,141024,141025,141026,141027,141028,141029,141030,141031,141032,141033,141034,141081,141082,141102,141121,141122,141123,141124,141125,141126,141127,141128,141129,141130,141181,141182,150102,150103,150104,150105,150121,150122,150123,150124,150125,150172,150202,150203,150204,150205,150206,150207,150221,150222,150223,150271,150302,150303,150304,150402,150403,150404,150421,150422,150423,150424,150425,150426,150428,150429,150430,150502,150521,150522,150523,150524,150525,150526,150571,150581,150602,150603,150621,150622,150623,150624,150625,150626,150627,150702,150703,150721,150722,150723,150724,150725,150726,150727,150781,150782,150783,150784,150785,150802,150821,150822,150823,150824,150825,150826,150902,150921,150922,150923,150924,150925,150926,150927,150928,150929,150981,152201,152202,152221,152222,152223,152224,152501,152502,152522,152523,152524,152525,152526,152527,152528,152529,152530,152531,152571,152921,152922,152923,152971,210102,210103,210104,210105,210106,210111,210112,210113,210114,210115,210123,210124,210181,210202,210203,210204,210211,210212,210213,210214,210224,210281,210283,210302,210303,210304,210311,210321,210323,210381,210402,210403,210404,210411,210421,210422,210423,210502,210503,210504,210505,210521,210522,210602,210603,210604,210624,210681,210682,210702,210703,210711,210726,210727,210781,210782,210802,210803,210804,210811,210881,210882,210902,210903,210904,210905,210911,210921,210922,211002,211003,211004,211005,211011,211021,211081,211102,211103,211104,211122,211202,211204,211221,211223,211224,211281,211282,211302,211303,211321,211322,211324,211381,211382,211402,211403,211404,211421,211422,211481,650102,650103,650104,650105,650106,650107,650109,650121,650202,650203,650204,650205,650402,650421,650422,650502,650521,650522,652301,652302,652323,652324,652325,652327,652328,652701,652702,652722,652723,652801,652822,652823,652824,652825,652826,652827,652828,652829,652871,652901,652902,652922,652924,652925,652926,652927,652928,652929,653001,653022,653023,653024,653101,653121,653122,653123,653124,653125,653126,653127,653128,653129,653130,653131,653201,653221,653222,653223,653224,653225,653226,653227,654002,654003,654004,654021,654022,654023,654024,654025,654026,654027,654028,654201,654202,654203,654221,654224,654225,654226,654301,654321,654322,654323,654324,654325,654326,659001,659002,659003,659004,659005,659006,659007,659008,659009,659010,659011,640104,640105,640106,640121,640122,640181,640202,640205,640221,640302,640303,640323,640324,640381,640402,640422,640423,640424,640425,640502,640521,640522,630102,630103,630104,630105,630106,630121,630123,630202,630203,630222,630223,630224,630225,632221,632222,632223,632224,632301,632322,632323,632324,632521,632522,632523,632524,632525,632621,632622,632623,632624,632625,632626,632701,632722,632723,632724,632725,632726,632801,632802,632803,632821,632822,632823,632857,620102,620103,620104,620105,620111,620121,620122,620123,620171,620201,620302,620321,620402,620403,620421,620422,620423,620502,620503,620521,620522,620523,620524,620525,620602,620621,620622,620623,620702,620721,620722,620723,620724,620725,620802,620821,620822,620823,620825,620826,620881,620902,620921,620922,620923,620924,620981,620982,621002,621021,621022,621023,621024,621025,621026,621027,621102,621121,621122,621123,621124,621125,621126,621202,621221,621222,621223,621224,621225,621226,621227,621228,622901,622921,622922,622923,622924,622925,622926,622927,623001,623021,623022,623023,623024,623025,623026,623027,230102,230103,230104,230108,230109,230110,230111,230112,230113,230123,230124,230125,230126,230127,230128,230129,230183,230184,230202,230203,230204,230205,230206,230207,230208,230221,230223,230224,230225,230227,230229,230230,230231,230281,230302,230303,230304,230305,230306,230307,230321,230381,230382,230402,230403,230404,230405,230406,230407,230421,230422,230502,230503,230505,230506,230521,230522,230523,230524,230602,230603,230604,230605,230606,230621,230622,230623,230624,230671,230717,230718,230719,230722,230723,230724,230725,230726,230751,230781,230803,230804,230805,230811,230822,230826,230828,230881,230882,230883,230902,230903,230904,230921,231002,231003,231004,231005,231025,231071,231081,231083,231084,231085,231086,231102,231123,231124,231181,231182,231183,231202,231221,231222,231223,231224,231225,231226,231281,231282,231283,232701,232721,232722,232761,232762,232763,232764,220102,220103,220104,220105,220106,220112,220113,220122,220171,220172,220173,220174,220182,220183,220184,220202,220203,220204,220211,220221,220271,220272,220273,220281,220282,220283,220284,220302,220303,220322,220323,220382,220402,220403,220421,220422,220502,220503,220521,220523,220524,220581,220582,220602,220605,220621,220622,220623,220681,220702,220721,220722,220723,220771,220781,220802,220821,220822,220871,220881,220882,222401,222402,222403,222404,222405,222406,222424,222426,310101,310104,310105,310106,310107,310109,310110,310112,310113,310114,310115,310116,310117,310118,310120,310151,320102,320104,320105,320106,320111,320113,320114,320115,320116,320117,320118,320205,320206,320211,320213,320214,320281,320282,320302,320303,320305,320311,320312,320321,320322,320324,320371,320381,320382,320402,320404,320411,320412,320413,320481,320505,320506,320507,320508,320509,320571,320581,320582,320583,320585,320612,320613,320614,320623,320671,320681,320682,320685,320703,320706,320707,320722,320723,320724,320771,320772,320803,320804,320812,320813,320826,320830,320831,320871,320902,320903,320904,320921,320922,320923,320924,320925,320971,320981,321002,321003,321012,321023,321071,321081,321084,321102,321111,321112,321171,321181,321182,321183,321202,321203,321204,321271,321281,321282,321283,321302,321311,321322,321323,321324,321371,330102,330105,330106,330108,330109,330110,330111,330112,330113,330114,330122,330127,330182,330203,330205,330206,330211,330212,330213,330225,330226,330281,330282,330302,330303,330304,330305,330324,330326,330327,330328,330329,330371,330381,330382,330383,330402,330411,330421,330424,330481,330482,330483,330502,330503,330521,330522,330523,330602,330603,330604,330624,330681,330683,330702,330703,330723,330726,330727,330781,330782,330783,330784,330802,330803,330822,330824,330825,330881,330902,330903,330921,330922,331002,331003,331004,331022,331023,331024,331081,331082,331083,331102,331121,331122,331123,331124,331125,331126,331127,331181,340102,340103,340104,340111,340121,340122,340123,340124,340171,340172,340173,340181,340202,340207,340209,340210,340212,340223,340271,340272,340281,340302,340303,340304,340311,340321,340322,340323,340371,340372,340402,340403,340404,340405,340406,340421,340422,340503,340504,340506,340521,340522,340523,340602,340603,340604,340621,340705,340706,340711,340722,340802,340803,340811,340822,340825,340826,340827,340828,340871,340881,340882,341002,341003,341004,341021,341022,341023,341024,341102,341103,341122,341124,341125,341126,341171,341172,341181,341182,341202,341203,341204,341221,341222,341225,341226,341271,341272,341282,341302,341321,341322,341323,341324,341371,341372,341502,341503,341504,341522,341523,341524,341525,341602,341621,341622,341623,341702,341721,341722,341723,341802,341821,341823,341824,341825,341871,341881,341882,350102,350103,350104,350105,350111,350112,350121,350122,350123,350124,350125,350128,350181,350203,350205,350206,350211,350212,350213,350302,350303,350304,350305,350322,350404,350405,350421,350423,350424,350425,350426,350428,350429,350430,350481,350502,350503,350504,350505,350521,350524,350525,350526,350527,350581,350582,350583,350602,350603,350604,350605,350622,350623,350624,350626,350627,350628,350629,350702,350703,350721,350722,350723,350724,350725,350781,350782,350783,350802,350803,350821,350823,350824,350825,350881,350902,350921,350922,350923,350924,350925,350926,350981,350982,610102,610103,610104,610111,610112,610113,610114,610115,610116,610117,610118,610122,610124,610202,610203,610204,610222,610302,610303,610304,610305,610323,610324,610326,610327,610328,610329,610330,610331,610402,610403,610404,610422,610423,610424,610425,610426,610428,610429,610430,610431,610481,610482,610502,610503,610522,610523,610524,610525,610526,610527,610528,610581,610582,610602,610603,610621,610622,610625,610626,610627,610628,610629,610630,610631,610632,610681,610702,610703,610722,610723,610724,610725,610726,610727,610728,610729,610730,610802,610803,610822,610824,610825,610826,610827,610828,610829,610830,610831,610881,610902,610921,610922,610923,610924,610925,610926,610927,610929,610981,611002,611021,611022,611023,611024,611025,611026,540102,540103,540104,540121,540122,540123,540124,540127,540171,540172,540173,540174,540202,540221,540222,540223,540224,540225,540226,540227,540228,540229,540230,540231,540232,540233,540234,540235,540236,540237,540302,540321,540322,540323,540324,540325,540326,540327,540328,540329,540330,540402,540421,540422,540423,540424,540425,540426,540502,540521,540522,540523,540524,540525,540526,540527,540528,540529,540530,540531,540602,540621,540622,540623,540624,540625,540626,540627,540628,540629,540630,542521,542522,542523,542524,542525,542526,542527,530102,530103,530111,530112,530113,530114,530115,530124,530125,530126,530127,530128,530129,530181,530302,530303,530304,530322,530323,530324,530325,530326,530381,530402,530403,530423,530424,530425,530426,530427,530428,530481,530502,530521,530523,530524,530581,530602,530621,530622,530623,530624,530625,530626,530627,530628,530629,530681,530702,530721,530722,530723,530724,530802,530821,530822,530823,530824,530825,530826,530827,530828,530829,530902,530921,530922,530923,530924,530925,530926,530927,532301,532302,532322,532323,532324,532325,532326,532327,532328,532329,532501,532502,532503,532504,532523,532524,532525,532527,532528,532529,532530,532531,532532,532601,532622,532623,532624,532625,532626,532627,532628,532801,532822,532823,532901,532922,532923,532924,532925,532926,532927,532928,532929,532930,532931,532932,533102,533103,533122,533123,533124,533301,533323,533324,533325,533401,533422,533423,520102,520103,520111,520112,520113,520115,520121,520122,520123,520181,520201,520203,520204,520281,520302,520303,520304,520322,520323,520324,520325,520326,520327,520328,520329,520330,520381,520382,520402,520403,520422,520423,520424,520425,520502,520521,520523,520524,520525,520526,520527,520581,520602,520603,520621,520622,520623,520624,520625,520626,520627,520628,522301,522302,522323,522324,522325,522326,522327,522328,522601,522622,522623,522624,522625,522626,522627,522628,522629,522630,522631,522632,522633,522634,522635,522636,522701,522702,522722,522723,522725,522726,522727,522728,522729,522730,522731,522732,510104,510105,510106,510107,510108,510112,510113,510114,510115,510116,510117,510118,510121,510129,510131,510181,510182,510183,510184,510185,510302,510303,510304,510311,510321,510322,510402,510403,510411,510421,510422,510502,510503,510504,510521,510522,510524,510525,510603,510604,510623,510681,510682,510683,510703,510704,510705,510722,510723,510725,510726,510727,510781,510802,510811,510812,510821,510822,510823,510824,510903,510904,510921,510923,510981,511002,511011,511024,511025,511071,511083,511102,511111,511112,511113,511123,511124,511126,511129,511132,511133,511181,511302,511303,511304,511321,511322,511323,511324,511325,511381,511402,511403,511421,511423,511424,511425,511502,511503,511504,511523,511524,511525,511526,511527,511528,511529,511602,511603,511621,511622,511623,511681,511702,511703,511722,511723,511724,511725,511771,511781,511802,511803,511822,511823,511824,511825,511826,511827,511902,511903,511921,511922,511923,511971,512002,512021,512022,513201,513221,513222,513223,513224,513225,513226,513227,513228,513230,513231,513232,513233,513301,513322,513323,513324,513325,513326,513327,513328,513329,513330,513331,513332,513333,513334,513335,513336,513337,513338,513401,513402,513422,513423,513424,513426,513427,513428,513429,513430,513431,513432,513433,513434,513435,513436,513437,500101,500102,500103,500104,500105,500106,500107,500108,500109,500110,500111,500112,500113,500114,500115,500116,500117,500118,500119,500120,500151,500152,500153,500154,500155,500156,500229,500230,500231,500233,500235,500236,500237,500238,500240,500241,500242,500243,460105,460106,460107,460108,460202,460203,460204,460205,460321,460322,460323,460400,469001,469002,469005,469006,469007,469021,469022,469023,469024,469025,469026,469027,469028,469029,469030,450102,450103,450105,450107,450108,450109,450110,450123,450124,450125,450126,450181,450202,450203,450204,450205,450206,450222,450223,450224,450225,450226,450302,450303,450304,450305,450311,450312,450321,450323,450324,450325,450326,450327,450328,450329,450330,450332,450381,450403,450405,450406,450421,450422,450423,450481,450502,450503,450512,450521,450602,450603,450621,450681,450702,450703,450721,450722,450802,450803,450804,450821,450881,450902,450903,450921,450922,450923,450924,450981,451002,451003,451022,451024,451026,451027,451028,451029,451030,451031,451081,451082,451102,451103,451121,451122,451123,451202,451203,451221,451222,451223,451224,451225,451226,451227,451228,451229,451302,451321,451322,451323,451324,451381,451402,451421,451422,451423,451424,451425,451481,440103,440104,440105,440106,440111,440112,440113,440114,440115,440117,440118,440203,440204,440205,440222,440224,440229,440232,440233,440281,440282,440303,440304,440305,440306,440307,440308,440309,440310,440311,440402,440403,440404,440507,440511,440512,440513,440514,440515,440523,440604,440605,440606,440607,440608,440703,440704,440705,440781,440783,440784,440785,440802,440803,440804,440811,440823,440825,440881,440882,440883,440902,440904,440981,440982,440983,441202,441203,441204,441223,441224,441225,441226,441284,441302,441303,441322,441323,441324,441402,441403,441422,441423,441424,441426,441427,441481,441502,441521,441523,441581,441602,441621,441622,441623,441624,441625,441702,441704,441721,441781,441802,441803,441821,441823,441825,441826,441881,441882,441900,442000,445102,445103,445122,445202,445203,445222,445224,445281,445302,445303,445321,445322,445381,430102,430103,430104,430105,430111,430112,430121,430181,430182,430202,430203,430204,430211,430212,430223,430224,430225,430271,430281,430302,430304,430321,430371,430372,430373,430381,430382,430405,430406,430407,430408,430412,430421,430422,430423,430424,430426,430471,430472,430473,430481,430482,430502,430503,430511,430522,430523,430524,430525,430527,430528,430529,430581,430582,430602,430603,430611,430621,430623,430624,430626,430671,430681,430682,430702,430703,430721,430722,430723,430724,430725,430726,430771,430781,430802,430811,430821,430822,430902,430903,430921,430922,430923,430971,430972,430981,431002,431003,431021,431022,431023,431024,431025,431026,431027,431028,431081,431102,431103,431122,431123,431124,431125,431126,431127,431128,431129,431171,431173,431181,431202,431221,431222,431223,431224,431225,431226,431227,431228,431229,431230,431271,431281,431302,431321,431322,431381,431382,433101,433122,433123,433124,433125,433126,433127,433130,420102,420103,420104,420105,420106,420107,420111,420112,420113,420114,420115,420116,420117,420202,420203,420204,420205,420222,420281,420302,420303,420304,420322,420323,420324,420325,420381,420502,420503,420504,420505,420506,420525,420526,420527,420528,420529,420581,420582,420583,420602,420606,420607,420624,420625,420626,420682,420683,420684,420702,420703,420704,420802,420804,420822,420881,420882,420902,420921,420922,420923,420981,420982,420984,421002,421003,421022,421024,421071,421081,421083,421087,421088,421102,421121,421122,421123,421124,421125,421126,421127,421171,421181,421182,421202,421221,421222,421223,421224,421281,421303,421321,421381,422801,422802,422822,422823,422825,422826,422827,422828,429004,429005,429006,429021,410102,410103,410104,410105,410106,410108,410122,410171,410172,410173,410181,410182,410183,410184,410185,410202,410203,410204,410205,410212,410221,410222,410223,410225,410302,410303,410304,410305,410307,410308,410311,410323,410324,410325,410326,410327,410328,410329,410371,410402,410403,410404,410411,410421,410422,410423,410425,410471,410472,410481,410482,410502,410503,410505,410506,410522,410523,410526,410527,410571,410581,410602,410603,410611,410621,410622,410671,410702,410703,410704,410711,410721,410724,410725,410726,410727,410771,410772,410773,410781,410782,410783,410802,410803,410804,410811,410821,410822,410823,410825,410871,410882,410883,410902,410922,410923,410926,410927,410928,410971,410972,411002,411003,411024,411025,411071,411081,411082,411102,411103,411104,411121,411122,411171,411202,411203,411221,411224,411271,411281,411282,411302,411303,411321,411322,411323,411324,411325,411326,411327,411328,411329,411330,411371,411372,411381,411402,411403,411421,411422,411423,411424,411425,411426,411471,411472,411481,411502,411503,411521,411522,411523,411524,411525,411526,411527,411528,411571,411602,411603,411621,411622,411623,411624,411625,411627,411628,411671,411681,411702,411721,411722,411723,411724,411725,411726,411727,411728,411729,411771,419001,370102,370103,370104,370105,370112,370113,370114,370115,370116,370117,370124,370126,370171,370202,370203,370211,370212,370213,370214,370215,370271,370281,370283,370285,370302,370303,370304,370305,370306,370321,370322,370323,370402,370403,370404,370405,370406,370481,370502,370503,370505,370522,370523,370571,370572,370602,370611,370612,370613,370614,370671,370672,370681,370682,370683,370685,370686,370687,370702,370703,370704,370705,370724,370725,370772,370781,370782,370783,370784,370785,370786,370811,370812,370826,370827,370828,370829,370830,370831,370832,370871,370881,370883,370902,370911,370921,370923,370982,370983,371002,371003,371071,371072,371073,371082,371083,371102,371103,371121,371122,371171,371302,371311,371312,371321,371322,371323,371324,371325,371326,371327,371328,371329,371371,371402,371403,371422,371423,371424,371425,371426,371427,371428,371471,371472,371481,371482,371502,371503,371521,371522,371524,371525,371526,371581,371602,371603,371621,371622,371623,371625,371681,371702,371703,371721,371722,371723,371724,371725,371726,371728,371771,371772,360102,360103,360104,360111,360112,360113,360121,360123,360124,360202,360203,360222,360281,360302,360313,360321,360322,360323,360402,360403,360404,360423,360424,360425,360426,360428,360429,360430,360481,360482,360483,360502,360521,360602,360603,360681,360702,360703,360704,360722,360723,360724,360725,360726,360728,360729,360730,360731,360732,360733,360734,360735,360781,360783,360802,360803,360821,360822,360823,360824,360825,360826,360827,360828,360829,360830,360881,360902,360921,360922,360923,360924,360925,360926,360981,360982,360983,361002,361003,361021,361022,361023,361024,361025,361026,361027,361028,361030,361102,361103,361104,361123,361124,361125,361126,361127,361128,361129,361130,361181', 1, 1, 100000000, 1, 100000000, '1', '2023-10-02 17:44:34', '1', '2023-12-20 23:08:16', b'1', 1);
INSERT INTO `trade_delivery_express_template_charge` (`id`, `template_id`, `area_ids`, `charge_mode`, `start_count`, `start_price`, `extra_count`, `extra_price`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (9, 1, '120102,110101,110102,110105,110106,110107,110108,110109,110111,110112,110113,110114,110115,110116,110117,110118,110119,120101,120103,120104,120105,120106,120110,120111,120112,120113,120114,120115,120116,120117,120118,120119,140105,140106,140107,140108,140109,140110,140121,140122,140123,140171,140181,140212,140213,140214,140215,140221,140222,140223,140224,140225,140226,140271,140302,140303,140311,140321,140322,140403,140404,140405,140406,140423,140425,140426,140427,140428,140429,140430,140431,140471,140502,140521,140522,140524,140525,140581,140602,140603,140621,140622,140623,140671,140681,140702,140703,140721,140722,140723,140724,140725,140727,140728,140729,140781,140802,140821,140822,140823,140824,140825,140826,140827,140828,140829,140830,140881,140882,140902,140921,140922,140923,140924,140925,140926,140927,140928,140929,140930,140931,140932,140971,140981,141002,141021,141022,141023,141024,141025,141026,141027,141028,141029,141030,141031,141032,141033,141034,141081,141082,141102,141121,141122,141123,141124,141125,141126,141127,141128,141129,141130,141181,141182,150102,150103,150104,150105,150121,150122,150123,150124,150125,150172,150202,150203,150204,150205,150206,150207,150221,150222,150223,150271,150302,150303,150304,150402,150403,150404,150421,150422,150423,150424,150425,150426,150428,150429,150430,150502,150521,150522,150523,150524,150525,150526,150571,150581,150602,150603,150621,150622,150623,150624,150625,150626,150627,150702,150703,150721,150722,150723,150724,150725,150726,150727,150781,150782,150783,150784,150785,150802,150821,150822,150823,150824,150825,150826,150902,150921,150922,150923,150924,150925,150926,150927,150928,150929,150981,152201,152202,152221,152222,152223,152224,152501,152502,152522,152523,152524,152525,152526,152527,152528,152529,152530,152531,152571,152921,152922,152923,152971,210102,210103,210104,210105,210106,210111,210112,210113,210114,210115,210123,210124,210181,210202,210203,210204,210211,210212,210213,210214,210224,210281,210283,210302,210303,210304,210311,210321,210323,210381,210402,210403,210404,210411,210421,210422,210423,210502,210503,210504,210505,210521,210522,210602,210603,210604,210624,210681,210682,210702,210703,210711,210726,210727,210781,210782,210802,210803,210804,210811,210881,210882,210902,210903,210904,210905,210911,210921,210922,211002,211003,211004,211005,211011,211021,211081,211102,211103,211104,211122,211202,211204,211221,211223,211224,211281,211282,211302,211303,211321,211322,211324,211381,211382,211402,211403,211404,211421,211422,211481,650102,650103,650104,650105,650106,650107,650109,650121,650202,650203,650204,650205,650402,650421,650422,650502,650521,650522,652301,652302,652323,652324,652325,652327,652328,652701,652702,652722,652723,652801,652822,652823,652824,652825,652826,652827,652828,652829,652871,652901,652902,652922,652924,652925,652926,652927,652928,652929,653001,653022,653023,653024,653101,653121,653122,653123,653124,653125,653126,653127,653128,653129,653130,653131,653201,653221,653222,653223,653224,653225,653226,653227,654002,654003,654004,654021,654022,654023,654024,654025,654026,654027,654028,654201,654202,654203,654221,654224,654225,654226,654301,654321,654322,654323,654324,654325,654326,659001,659002,659003,659004,659005,659006,659007,659008,659009,659010,659011,640104,640105,640106,640121,640122,640181,640202,640205,640221,640302,640303,640323,640324,640381,640402,640422,640423,640424,640425,640502,640521,640522,630102,630103,630104,630105,630106,630121,630123,630202,630203,630222,630223,630224,630225,632221,632222,632223,632224,632301,632322,632323,632324,632521,632522,632523,632524,632525,632621,632622,632623,632624,632625,632626,632701,632722,632723,632724,632725,632726,632801,632802,632803,632821,632822,632823,632857,620102,620103,620104,620105,620111,620121,620122,620123,620171,620201,620302,620321,620402,620403,620421,620422,620423,620502,620503,620521,620522,620523,620524,620525,620602,620621,620622,620623,620702,620721,620722,620723,620724,620725,620802,620821,620822,620823,620825,620826,620881,620902,620921,620922,620923,620924,620981,620982,621002,621021,621022,621023,621024,621025,621026,621027,621102,621121,621122,621123,621124,621125,621126,621202,621221,621222,621223,621224,621225,621226,621227,621228,622901,622921,622922,622923,622924,622925,622926,622927,623001,623021,623022,623023,623024,623025,623026,623027,230102,230103,230104,230108,230109,230110,230111,230112,230113,230123,230124,230125,230126,230127,230128,230129,230183,230184,230202,230203,230204,230205,230206,230207,230208,230221,230223,230224,230225,230227,230229,230230,230231,230281,230302,230303,230304,230305,230306,230307,230321,230381,230382,230402,230403,230404,230405,230406,230407,230421,230422,230502,230503,230505,230506,230521,230522,230523,230524,230602,230603,230604,230605,230606,230621,230622,230623,230624,230671,230717,230718,230719,230722,230723,230724,230725,230726,230751,230781,230803,230804,230805,230811,230822,230826,230828,230881,230882,230883,230902,230903,230904,230921,231002,231003,231004,231005,231025,231071,231081,231083,231084,231085,231086,231102,231123,231124,231181,231182,231183,231202,231221,231222,231223,231224,231225,231226,231281,231282,231283,232701,232721,232722,232761,232762,232763,232764,220102,220103,220104,220105,220106,220112,220113,220122,220171,220172,220173,220174,220182,220183,220184,220202,220203,220204,220211,220221,220271,220272,220273,220281,220282,220283,220284,220302,220303,220322,220323,220382,220402,220403,220421,220422,220502,220503,220521,220523,220524,220581,220582,220602,220605,220621,220622,220623,220681,220702,220721,220722,220723,220771,220781,220802,220821,220822,220871,220881,220882,222401,222402,222403,222404,222405,222406,222424,222426,310101,310104,310105,310106,310107,310109,310110,310112,310113,310114,310115,310116,310117,310118,310120,310151,320102,320104,320105,320106,320111,320113,320114,320115,320116,320117,320118,320205,320206,320211,320213,320214,320281,320282,320302,320303,320305,320311,320312,320321,320322,320324,320371,320381,320382,320402,320404,320411,320412,320413,320481,320505,320506,320507,320508,320509,320571,320581,320582,320583,320585,320612,320613,320614,320623,320671,320681,320682,320685,320703,320706,320707,320722,320723,320724,320771,320772,320803,320804,320812,320813,320826,320830,320831,320871,320902,320903,320904,320921,320922,320923,320924,320925,320971,320981,321002,321003,321012,321023,321071,321081,321084,321102,321111,321112,321171,321181,321182,321183,321202,321203,321204,321271,321281,321282,321283,321302,321311,321322,321323,321324,321371,330102,330105,330106,330108,330109,330110,330111,330112,330113,330114,330122,330127,330182,330203,330205,330206,330211,330212,330213,330225,330226,330281,330282,330302,330303,330304,330305,330324,330326,330327,330328,330329,330371,330381,330382,330383,330402,330411,330421,330424,330481,330482,330483,330502,330503,330521,330522,330523,330602,330603,330604,330624,330681,330683,330702,330703,330723,330726,330727,330781,330782,330783,330784,330802,330803,330822,330824,330825,330881,330902,330903,330921,330922,331002,331003,331004,331022,331023,331024,331081,331082,331083,331102,331121,331122,331123,331124,331125,331126,331127,331181,340102,340103,340104,340111,340121,340122,340123,340124,340171,340172,340173,340181,340202,340207,340209,340210,340212,340223,340271,340272,340281,340302,340303,340304,340311,340321,340322,340323,340371,340372,340402,340403,340404,340405,340406,340421,340422,340503,340504,340506,340521,340522,340523,340602,340603,340604,340621,340705,340706,340711,340722,340802,340803,340811,340822,340825,340826,340827,340828,340871,340881,340882,341002,341003,341004,341021,341022,341023,341024,341102,341103,341122,341124,341125,341126,341171,341172,341181,341182,341202,341203,341204,341221,341222,341225,341226,341271,341272,341282,341302,341321,341322,341323,341324,341371,341372,341502,341503,341504,341522,341523,341524,341525,341602,341621,341622,341623,341702,341721,341722,341723,341802,341821,341823,341824,341825,341871,341881,341882,350102,350103,350104,350105,350111,350112,350121,350122,350123,350124,350125,350128,350181,350203,350205,350206,350211,350212,350213,350302,350303,350304,350305,350322,350404,350405,350421,350423,350424,350425,350426,350428,350429,350430,350481,350502,350503,350504,350505,350521,350524,350525,350526,350527,350581,350582,350583,350602,350603,350604,350605,350622,350623,350624,350626,350627,350628,350629,350702,350703,350721,350722,350723,350724,350725,350781,350782,350783,350802,350803,350821,350823,350824,350825,350881,350902,350921,350922,350923,350924,350925,350926,350981,350982,610102,610103,610104,610111,610112,610113,610114,610115,610116,610117,610118,610122,610124,610202,610203,610204,610222,610302,610303,610304,610305,610323,610324,610326,610327,610328,610329,610330,610331,610402,610403,610404,610422,610423,610424,610425,610426,610428,610429,610430,610431,610481,610482,610502,610503,610522,610523,610524,610525,610526,610527,610528,610581,610582,610602,610603,610621,610622,610625,610626,610627,610628,610629,610630,610631,610632,610681,610702,610703,610722,610723,610724,610725,610726,610727,610728,610729,610730,610802,610803,610822,610824,610825,610826,610827,610828,610829,610830,610831,610881,610902,610921,610922,610923,610924,610925,610926,610927,610929,610981,611002,611021,611022,611023,611024,611025,611026,540102,540103,540104,540121,540122,540123,540124,540127,540171,540172,540173,540174,540202,540221,540222,540223,540224,540225,540226,540227,540228,540229,540230,540231,540232,540233,540234,540235,540236,540237,540302,540321,540322,540323,540324,540325,540326,540327,540328,540329,540330,540402,540421,540422,540423,540424,540425,540426,540502,540521,540522,540523,540524,540525,540526,540527,540528,540529,540530,540531,540602,540621,540622,540623,540624,540625,540626,540627,540628,540629,540630,542521,542522,542523,542524,542525,542526,542527,530102,530103,530111,530112,530113,530114,530115,530124,530125,530126,530127,530128,530129,530181,530302,530303,530304,530322,530323,530324,530325,530326,530381,530402,530403,530423,530424,530425,530426,530427,530428,530481,530502,530521,530523,530524,530581,530602,530621,530622,530623,530624,530625,530626,530627,530628,530629,530681,530702,530721,530722,530723,530724,530802,530821,530822,530823,530824,530825,530826,530827,530828,530829,530902,530921,530922,530923,530924,530925,530926,530927,532301,532302,532322,532323,532324,532325,532326,532327,532328,532329,532501,532502,532503,532504,532523,532524,532525,532527,532528,532529,532530,532531,532532,532601,532622,532623,532624,532625,532626,532627,532628,532801,532822,532823,532901,532922,532923,532924,532925,532926,532927,532928,532929,532930,532931,532932,533102,533103,533122,533123,533124,533301,533323,533324,533325,533401,533422,533423,520102,520103,520111,520112,520113,520115,520121,520122,520123,520181,520201,520203,520204,520281,520302,520303,520304,520322,520323,520324,520325,520326,520327,520328,520329,520330,520381,520382,520402,520403,520422,520423,520424,520425,520502,520521,520523,520524,520525,520526,520527,520581,520602,520603,520621,520622,520623,520624,520625,520626,520627,520628,522301,522302,522323,522324,522325,522326,522327,522328,522601,522622,522623,522624,522625,522626,522627,522628,522629,522630,522631,522632,522633,522634,522635,522636,522701,522702,522722,522723,522725,522726,522727,522728,522729,522730,522731,522732,510104,510105,510106,510107,510108,510112,510113,510114,510115,510116,510117,510118,510121,510129,510131,510181,510182,510183,510184,510185,510302,510303,510304,510311,510321,510322,510402,510403,510411,510421,510422,510502,510503,510504,510521,510522,510524,510525,510603,510604,510623,510681,510682,510683,510703,510704,510705,510722,510723,510725,510726,510727,510781,510802,510811,510812,510821,510822,510823,510824,510903,510904,510921,510923,510981,511002,511011,511024,511025,511071,511083,511102,511111,511112,511113,511123,511124,511126,511129,511132,511133,511181,511302,511303,511304,511321,511322,511323,511324,511325,511381,511402,511403,511421,511423,511424,511425,511502,511503,511504,511523,511524,511525,511526,511527,511528,511529,511602,511603,511621,511622,511623,511681,511702,511703,511722,511723,511724,511725,511771,511781,511802,511803,511822,511823,511824,511825,511826,511827,511902,511903,511921,511922,511923,511971,512002,512021,512022,513201,513221,513222,513223,513224,513225,513226,513227,513228,513230,513231,513232,513233,513301,513322,513323,513324,513325,513326,513327,513328,513329,513330,513331,513332,513333,513334,513335,513336,513337,513338,513401,513402,513422,513423,513424,513426,513427,513428,513429,513430,513431,513432,513433,513434,513435,513436,513437,500101,500102,500103,500104,500105,500106,500107,500108,500109,500110,500111,500112,500113,500114,500115,500116,500117,500118,500119,500120,500151,500152,500153,500154,500155,500156,500229,500230,500231,500233,500235,500236,500237,500238,500240,500241,500242,500243,460105,460106,460107,460108,460202,460203,460204,460205,460321,460322,460323,460400,469001,469002,469005,469006,469007,469021,469022,469023,469024,469025,469026,469027,469028,469029,469030,450102,450103,450105,450107,450108,450109,450110,450123,450124,450125,450126,450181,450202,450203,450204,450205,450206,450222,450223,450224,450225,450226,450302,450303,450304,450305,450311,450312,450321,450323,450324,450325,450326,450327,450328,450329,450330,450332,450381,450403,450405,450406,450421,450422,450423,450481,450502,450503,450512,450521,450602,450603,450621,450681,450702,450703,450721,450722,450802,450803,450804,450821,450881,450902,450903,450921,450922,450923,450924,450981,451002,451003,451022,451024,451026,451027,451028,451029,451030,451031,451081,451082,451102,451103,451121,451122,451123,451202,451203,451221,451222,451223,451224,451225,451226,451227,451228,451229,451302,451321,451322,451323,451324,451381,451402,451421,451422,451423,451424,451425,451481,440103,440104,440105,440106,440111,440112,440113,440114,440115,440117,440118,440203,440204,440205,440222,440224,440229,440232,440233,440281,440282,440303,440304,440305,440306,440307,440308,440309,440310,440311,440402,440403,440404,440507,440511,440512,440513,440514,440515,440523,440604,440605,440606,440607,440608,440703,440704,440705,440781,440783,440784,440785,440802,440803,440804,440811,440823,440825,440881,440882,440883,440902,440904,440981,440982,440983,441202,441203,441204,441223,441224,441225,441226,441284,441302,441303,441322,441323,441324,441402,441403,441422,441423,441424,441426,441427,441481,441502,441521,441523,441581,441602,441621,441622,441623,441624,441625,441702,441704,441721,441781,441802,441803,441821,441823,441825,441826,441881,441882,441900,442000,445102,445103,445122,445202,445203,445222,445224,445281,445302,445303,445321,445322,445381,430102,430103,430104,430105,430111,430112,430121,430181,430182,430202,430203,430204,430211,430212,430223,430224,430225,430271,430281,430302,430304,430321,430371,430372,430373,430381,430382,430405,430406,430407,430408,430412,430421,430422,430423,430424,430426,430471,430472,430473,430481,430482,430502,430503,430511,430522,430523,430524,430525,430527,430528,430529,430581,430582,430602,430603,430611,430621,430623,430624,430626,430671,430681,430682,430702,430703,430721,430722,430723,430724,430725,430726,430771,430781,430802,430811,430821,430822,430902,430903,430921,430922,430923,430971,430972,430981,431002,431003,431021,431022,431023,431024,431025,431026,431027,431028,431081,431102,431103,431122,431123,431124,431125,431126,431127,431128,431129,431171,431173,431181,431202,431221,431222,431223,431224,431225,431226,431227,431228,431229,431230,431271,431281,431302,431321,431322,431381,431382,433101,433122,433123,433124,433125,433126,433127,433130,420102,420103,420104,420105,420106,420107,420111,420112,420113,420114,420115,420116,420117,420202,420203,420204,420205,420222,420281,420302,420303,420304,420322,420323,420324,420325,420381,420502,420503,420504,420505,420506,420525,420526,420527,420528,420529,420581,420582,420583,420602,420606,420607,420624,420625,420626,420682,420683,420684,420702,420703,420704,420802,420804,420822,420881,420882,420902,420921,420922,420923,420981,420982,420984,421002,421003,421022,421024,421071,421081,421083,421087,421088,421102,421121,421122,421123,421124,421125,421126,421127,421171,421181,421182,421202,421221,421222,421223,421224,421281,421303,421321,421381,422801,422802,422822,422823,422825,422826,422827,422828,429004,429005,429006,429021,410102,410103,410104,410105,410106,410108,410122,410171,410172,410173,410181,410182,410183,410184,410185,410202,410203,410204,410205,410212,410221,410222,410223,410225,410302,410303,410304,410305,410307,410308,410311,410323,410324,410325,410326,410327,410328,410329,410371,410402,410403,410404,410411,410421,410422,410423,410425,410471,410472,410481,410482,410502,410503,410505,410506,410522,410523,410526,410527,410571,410581,410602,410603,410611,410621,410622,410671,410702,410703,410704,410711,410721,410724,410725,410726,410727,410771,410772,410773,410781,410782,410783,410802,410803,410804,410811,410821,410822,410823,410825,410871,410882,410883,410902,410922,410923,410926,410927,410928,410971,410972,411002,411003,411024,411025,411071,411081,411082,411102,411103,411104,411121,411122,411171,411202,411203,411221,411224,411271,411281,411282,411302,411303,411321,411322,411323,411324,411325,411326,411327,411328,411329,411330,411371,411372,411381,411402,411403,411421,411422,411423,411424,411425,411426,411471,411472,411481,411502,411503,411521,411522,411523,411524,411525,411526,411527,411528,411571,411602,411603,411621,411622,411623,411624,411625,411627,411628,411671,411681,411702,411721,411722,411723,411724,411725,411726,411727,411728,411729,411771,419001,370102,370103,370104,370105,370112,370113,370114,370115,370116,370117,370124,370126,370171,370202,370203,370211,370212,370213,370214,370215,370271,370281,370283,370285,370302,370303,370304,370305,370306,370321,370322,370323,370402,370403,370404,370405,370406,370481,370502,370503,370505,370522,370523,370571,370572,370602,370611,370612,370613,370614,370671,370672,370681,370682,370683,370685,370686,370687,370702,370703,370704,370705,370724,370725,370772,370781,370782,370783,370784,370785,370786,370811,370812,370826,370827,370828,370829,370830,370831,370832,370871,370881,370883,370902,370911,370921,370923,370982,370983,371002,371003,371071,371072,371073,371082,371083,371102,371103,371121,371122,371171,371302,371311,371312,371321,371322,371323,371324,371325,371326,371327,371328,371329,371371,371402,371403,371422,371423,371424,371425,371426,371427,371428,371471,371472,371481,371482,371502,371503,371521,371522,371524,371525,371526,371581,371602,371603,371621,371622,371623,371625,371681,371702,371703,371721,371722,371723,371724,371725,371726,371728,371771,371772,360102,360103,360104,360111,360112,360113,360121,360123,360124,360202,360203,360222,360281,360302,360313,360321,360322,360323,360402,360403,360404,360423,360424,360425,360426,360428,360429,360430,360481,360482,360483,360502,360521,360602,360603,360681,360702,360703,360704,360722,360723,360724,360725,360726,360728,360729,360730,360731,360732,360733,360734,360735,360781,360783,360802,360803,360821,360822,360823,360824,360825,360826,360827,360828,360829,360830,360881,360902,360921,360922,360923,360924,360925,360926,360981,360982,360983,361002,361003,361021,361022,361023,361024,361025,361026,361027,361028,361030,361102,361103,361104,361123,361124,361125,361126,361127,361128,361129,361130,361181', 1, 1, 100000000, 1, 100000000, '1', '2023-10-02 17:53:00', '1', '2023-12-20 23:08:15', b'1', 1), (10, 1, '120102,110101,110102,110105,110106,110107,110108,110109,110111,110112,110113,110114,110115,110116,110117,110118,110119,120101,120103,120104,120105,120106,120110,120111,120112,120113,120114,120115,120116,120117,120118,120119,140105,140106,140107,140108,140109,140110,140121,140122,140123,140171,140181,140212,140213,140214,140215,140221,140222,140223,140224,140225,140226,140271,140302,140303,140311,140321,140322,140403,140404,140405,140406,140423,140425,140426,140427,140428,140429,140430,140431,140471,140502,140521,140522,140524,140525,140581,140602,140603,140621,140622,140623,140671,140681,140702,140703,140721,140722,140723,140724,140725,140727,140728,140729,140781,140802,140821,140822,140823,140824,140825,140826,140827,140828,140829,140830,140881,140882,140902,140921,140922,140923,140924,140925,140926,140927,140928,140929,140930,140931,140932,140971,140981,141002,141021,141022,141023,141024,141025,141026,141027,141028,141029,141030,141031,141032,141033,141034,141081,141082,141102,141121,141122,141123,141124,141125,141126,141127,141128,141129,141130,141181,141182,150102,150103,150104,150105,150121,150122,150123,150124,150125,150172,150202,150203,150204,150205,150206,150207,150221,150222,150223,150271,150302,150303,150304,150402,150403,150404,150421,150422,150423,150424,150425,150426,150428,150429,150430,150502,150521,150522,150523,150524,150525,150526,150571,150581,150602,150603,150621,150622,150623,150624,150625,150626,150627,150702,150703,150721,150722,150723,150724,150725,150726,150727,150781,150782,150783,150784,150785,150802,150821,150822,150823,150824,150825,150826,150902,150921,150922,150923,150924,150925,150926,150927,150928,150929,150981,152201,152202,152221,152222,152223,152224,152501,152502,152522,152523,152524,152525,152526,152527,152528,152529,152530,152531,152571,152921,152922,152923,152971,210102,210103,210104,210105,210106,210111,210112,210113,210114,210115,210123,210124,210181,210202,210203,210204,210211,210212,210213,210214,210224,210281,210283,210302,210303,210304,210311,210321,210323,210381,210402,210403,210404,210411,210421,210422,210423,210502,210503,210504,210505,210521,210522,210602,210603,210604,210624,210681,210682,210702,210703,210711,210726,210727,210781,210782,210802,210803,210804,210811,210881,210882,210902,210903,210904,210905,210911,210921,210922,211002,211003,211004,211005,211011,211021,211081,211102,211103,211104,211122,211202,211204,211221,211223,211224,211281,211282,211302,211303,211321,211322,211324,211381,211382,211402,211403,211404,211421,211422,211481,650102,650103,650104,650105,650106,650107,650109,650121,650202,650203,650204,650205,650402,650421,650422,650502,650521,650522,652301,652302,652323,652324,652325,652327,652328,652701,652702,652722,652723,652801,652822,652823,652824,652825,652826,652827,652828,652829,652871,652901,652902,652922,652924,652925,652926,652927,652928,652929,653001,653022,653023,653024,653101,653121,653122,653123,653124,653125,653126,653127,653128,653129,653130,653131,653201,653221,653222,653223,653224,653225,653226,653227,654002,654003,654004,654021,654022,654023,654024,654025,654026,654027,654028,654201,654202,654203,654221,654224,654225,654226,654301,654321,654322,654323,654324,654325,654326,659001,659002,659003,659004,659005,659006,659007,659008,659009,659010,659011,640104,640105,640106,640121,640122,640181,640202,640205,640221,640302,640303,640323,640324,640381,640402,640422,640423,640424,640425,640502,640521,640522,630102,630103,630104,630105,630106,630121,630123,630202,630203,630222,630223,630224,630225,632221,632222,632223,632224,632301,632322,632323,632324,632521,632522,632523,632524,632525,632621,632622,632623,632624,632625,632626,632701,632722,632723,632724,632725,632726,632801,632802,632803,632821,632822,632823,632857,620102,620103,620104,620105,620111,620121,620122,620123,620171,620201,620302,620321,620402,620403,620421,620422,620423,620502,620503,620521,620522,620523,620524,620525,620602,620621,620622,620623,620702,620721,620722,620723,620724,620725,620802,620821,620822,620823,620825,620826,620881,620902,620921,620922,620923,620924,620981,620982,621002,621021,621022,621023,621024,621025,621026,621027,621102,621121,621122,621123,621124,621125,621126,621202,621221,621222,621223,621224,621225,621226,621227,621228,622901,622921,622922,622923,622924,622925,622926,622927,623001,623021,623022,623023,623024,623025,623026,623027,230102,230103,230104,230108,230109,230110,230111,230112,230113,230123,230124,230125,230126,230127,230128,230129,230183,230184,230202,230203,230204,230205,230206,230207,230208,230221,230223,230224,230225,230227,230229,230230,230231,230281,230302,230303,230304,230305,230306,230307,230321,230381,230382,230402,230403,230404,230405,230406,230407,230421,230422,230502,230503,230505,230506,230521,230522,230523,230524,230602,230603,230604,230605,230606,230621,230622,230623,230624,230671,230717,230718,230719,230722,230723,230724,230725,230726,230751,230781,230803,230804,230805,230811,230822,230826,230828,230881,230882,230883,230902,230903,230904,230921,231002,231003,231004,231005,231025,231071,231081,231083,231084,231085,231086,231102,231123,231124,231181,231182,231183,231202,231221,231222,231223,231224,231225,231226,231281,231282,231283,232701,232721,232722,232761,232762,232763,232764,220102,220103,220104,220105,220106,220112,220113,220122,220171,220172,220173,220174,220182,220183,220184,220202,220203,220204,220211,220221,220271,220272,220273,220281,220282,220283,220284,220302,220303,220322,220323,220382,220402,220403,220421,220422,220502,220503,220521,220523,220524,220581,220582,220602,220605,220621,220622,220623,220681,220702,220721,220722,220723,220771,220781,220802,220821,220822,220871,220881,220882,222401,222402,222403,222404,222405,222406,222424,222426,310101,310104,310105,310106,310107,310109,310110,310112,310113,310114,310115,310116,310117,310118,310120,310151,320102,320104,320105,320106,320111,320113,320114,320115,320116,320117,320118,320205,320206,320211,320213,320214,320281,320282,320302,320303,320305,320311,320312,320321,320322,320324,320371,320381,320382,320402,320404,320411,320412,320413,320481,320505,320506,320507,320508,320509,320571,320581,320582,320583,320585,320612,320613,320614,320623,320671,320681,320682,320685,320703,320706,320707,320722,320723,320724,320771,320772,320803,320804,320812,320813,320826,320830,320831,320871,320902,320903,320904,320921,320922,320923,320924,320925,320971,320981,321002,321003,321012,321023,321071,321081,321084,321102,321111,321112,321171,321181,321182,321183,321202,321203,321204,321271,321281,321282,321283,321302,321311,321322,321323,321324,321371,330102,330105,330106,330108,330109,330110,330111,330112,330113,330114,330122,330127,330182,330203,330205,330206,330211,330212,330213,330225,330226,330281,330282,330302,330303,330304,330305,330324,330326,330327,330328,330329,330371,330381,330382,330383,330402,330411,330421,330424,330481,330482,330483,330502,330503,330521,330522,330523,330602,330603,330604,330624,330681,330683,330702,330703,330723,330726,330727,330781,330782,330783,330784,330802,330803,330822,330824,330825,330881,330902,330903,330921,330922,331002,331003,331004,331022,331023,331024,331081,331082,331083,331102,331121,331122,331123,331124,331125,331126,331127,331181,340102,340103,340104,340111,340121,340122,340123,340124,340171,340172,340173,340181,340202,340207,340209,340210,340212,340223,340271,340272,340281,340302,340303,340304,340311,340321,340322,340323,340371,340372,340402,340403,340404,340405,340406,340421,340422,340503,340504,340506,340521,340522,340523,340602,340603,340604,340621,340705,340706,340711,340722,340802,340803,340811,340822,340825,340826,340827,340828,340871,340881,340882,341002,341003,341004,341021,341022,341023,341024,341102,341103,341122,341124,341125,341126,341171,341172,341181,341182,341202,341203,341204,341221,341222,341225,341226,341271,341272,341282,341302,341321,341322,341323,341324,341371,341372,341502,341503,341504,341522,341523,341524,341525,341602,341621,341622,341623,341702,341721,341722,341723,341802,341821,341823,341824,341825,341871,341881,341882,350102,350103,350104,350105,350111,350112,350121,350122,350123,350124,350125,350128,350181,350203,350205,350206,350211,350212,350213,350302,350303,350304,350305,350322,350404,350405,350421,350423,350424,350425,350426,350428,350429,350430,350481,350502,350503,350504,350505,350521,350524,350525,350526,350527,350581,350582,350583,350602,350603,350604,350605,350622,350623,350624,350626,350627,350628,350629,350702,350703,350721,350722,350723,350724,350725,350781,350782,350783,350802,350803,350821,350823,350824,350825,350881,350902,350921,350922,350923,350924,350925,350926,350981,350982,610102,610103,610104,610111,610112,610113,610114,610115,610116,610117,610118,610122,610124,610202,610203,610204,610222,610302,610303,610304,610305,610323,610324,610326,610327,610328,610329,610330,610331,610402,610403,610404,610422,610423,610424,610425,610426,610428,610429,610430,610431,610481,610482,610502,610503,610522,610523,610524,610525,610526,610527,610528,610581,610582,610602,610603,610621,610622,610625,610626,610627,610628,610629,610630,610631,610632,610681,610702,610703,610722,610723,610724,610725,610726,610727,610728,610729,610730,610802,610803,610822,610824,610825,610826,610827,610828,610829,610830,610831,610881,610902,610921,610922,610923,610924,610925,610926,610927,610929,610981,611002,611021,611022,611023,611024,611025,611026,540102,540103,540104,540121,540122,540123,540124,540127,540171,540172,540173,540174,540202,540221,540222,540223,540224,540225,540226,540227,540228,540229,540230,540231,540232,540233,540234,540235,540236,540237,540302,540321,540322,540323,540324,540325,540326,540327,540328,540329,540330,540402,540421,540422,540423,540424,540425,540426,540502,540521,540522,540523,540524,540525,540526,540527,540528,540529,540530,540531,540602,540621,540622,540623,540624,540625,540626,540627,540628,540629,540630,542521,542522,542523,542524,542525,542526,542527,530102,530103,530111,530112,530113,530114,530115,530124,530125,530126,530127,530128,530129,530181,530302,530303,530304,530322,530323,530324,530325,530326,530381,530402,530403,530423,530424,530425,530426,530427,530428,530481,530502,530521,530523,530524,530581,530602,530621,530622,530623,530624,530625,530626,530627,530628,530629,530681,530702,530721,530722,530723,530724,530802,530821,530822,530823,530824,530825,530826,530827,530828,530829,530902,530921,530922,530923,530924,530925,530926,530927,532301,532302,532322,532323,532324,532325,532326,532327,532328,532329,532501,532502,532503,532504,532523,532524,532525,532527,532528,532529,532530,532531,532532,532601,532622,532623,532624,532625,532626,532627,532628,532801,532822,532823,532901,532922,532923,532924,532925,532926,532927,532928,532929,532930,532931,532932,533102,533103,533122,533123,533124,533301,533323,533324,533325,533401,533422,533423,520102,520103,520111,520112,520113,520115,520121,520122,520123,520181,520201,520203,520204,520281,520302,520303,520304,520322,520323,520324,520325,520326,520327,520328,520329,520330,520381,520382,520402,520403,520422,520423,520424,520425,520502,520521,520523,520524,520525,520526,520527,520581,520602,520603,520621,520622,520623,520624,520625,520626,520627,520628,522301,522302,522323,522324,522325,522326,522327,522328,522601,522622,522623,522624,522625,522626,522627,522628,522629,522630,522631,522632,522633,522634,522635,522636,522701,522702,522722,522723,522725,522726,522727,522728,522729,522730,522731,522732,510104,510105,510106,510107,510108,510112,510113,510114,510115,510116,510117,510118,510121,510129,510131,510181,510182,510183,510184,510185,510302,510303,510304,510311,510321,510322,510402,510403,510411,510421,510422,510502,510503,510504,510521,510522,510524,510525,510603,510604,510623,510681,510682,510683,510703,510704,510705,510722,510723,510725,510726,510727,510781,510802,510811,510812,510821,510822,510823,510824,510903,510904,510921,510923,510981,511002,511011,511024,511025,511071,511083,511102,511111,511112,511113,511123,511124,511126,511129,511132,511133,511181,511302,511303,511304,511321,511322,511323,511324,511325,511381,511402,511403,511421,511423,511424,511425,511502,511503,511504,511523,511524,511525,511526,511527,511528,511529,511602,511603,511621,511622,511623,511681,511702,511703,511722,511723,511724,511725,511771,511781,511802,511803,511822,511823,511824,511825,511826,511827,511902,511903,511921,511922,511923,511971,512002,512021,512022,513201,513221,513222,513223,513224,513225,513226,513227,513228,513230,513231,513232,513233,513301,513322,513323,513324,513325,513326,513327,513328,513329,513330,513331,513332,513333,513334,513335,513336,513337,513338,513401,513402,513422,513423,513424,513426,513427,513428,513429,513430,513431,513432,513433,513434,513435,513436,513437,500101,500102,500103,500104,500105,500106,500107,500108,500109,500110,500111,500112,500113,500114,500115,500116,500117,500118,500119,500120,500151,500152,500153,500154,500155,500156,500229,500230,500231,500233,500235,500236,500237,500238,500240,500241,500242,500243,460105,460106,460107,460108,460202,460203,460204,460205,460321,460322,460323,460400,469001,469002,469005,469006,469007,469021,469022,469023,469024,469025,469026,469027,469028,469029,469030,450102,450103,450105,450107,450108,450109,450110,450123,450124,450125,450126,450181,450202,450203,450204,450205,450206,450222,450223,450224,450225,450226,450302,450303,450304,450305,450311,450312,450321,450323,450324,450325,450326,450327,450328,450329,450330,450332,450381,450403,450405,450406,450421,450422,450423,450481,450502,450503,450512,450521,450602,450603,450621,450681,450702,450703,450721,450722,450802,450803,450804,450821,450881,450902,450903,450921,450922,450923,450924,450981,451002,451003,451022,451024,451026,451027,451028,451029,451030,451031,451081,451082,451102,451103,451121,451122,451123,451202,451203,451221,451222,451223,451224,451225,451226,451227,451228,451229,451302,451321,451322,451323,451324,451381,451402,451421,451422,451423,451424,451425,451481,440103,440104,440105,440106,440111,440112,440113,440114,440115,440117,440118,440203,440204,440205,440222,440224,440229,440232,440233,440281,440282,440303,440304,440305,440306,440307,440308,440309,440310,440311,440402,440403,440404,440507,440511,440512,440513,440514,440515,440523,440604,440605,440606,440607,440608,440703,440704,440705,440781,440783,440784,440785,440802,440803,440804,440811,440823,440825,440881,440882,440883,440902,440904,440981,440982,440983,441202,441203,441204,441223,441224,441225,441226,441284,441302,441303,441322,441323,441324,441402,441403,441422,441423,441424,441426,441427,441481,441502,441521,441523,441581,441602,441621,441622,441623,441624,441625,441702,441704,441721,441781,441802,441803,441821,441823,441825,441826,441881,441882,441900,442000,445102,445103,445122,445202,445203,445222,445224,445281,445302,445303,445321,445322,445381,430102,430103,430104,430105,430111,430112,430121,430181,430182,430202,430203,430204,430211,430212,430223,430224,430225,430271,430281,430302,430304,430321,430371,430372,430373,430381,430382,430405,430406,430407,430408,430412,430421,430422,430423,430424,430426,430471,430472,430473,430481,430482,430502,430503,430511,430522,430523,430524,430525,430527,430528,430529,430581,430582,430602,430603,430611,430621,430623,430624,430626,430671,430681,430682,430702,430703,430721,430722,430723,430724,430725,430726,430771,430781,430802,430811,430821,430822,430902,430903,430921,430922,430923,430971,430972,430981,431002,431003,431021,431022,431023,431024,431025,431026,431027,431028,431081,431102,431103,431122,431123,431124,431125,431126,431127,431128,431129,431171,431173,431181,431202,431221,431222,431223,431224,431225,431226,431227,431228,431229,431230,431271,431281,431302,431321,431322,431381,431382,433101,433122,433123,433124,433125,433126,433127,433130,420102,420103,420104,420105,420106,420107,420111,420112,420113,420114,420115,420116,420117,420202,420203,420204,420205,420222,420281,420302,420303,420304,420322,420323,420324,420325,420381,420502,420503,420504,420505,420506,420525,420526,420527,420528,420529,420581,420582,420583,420602,420606,420607,420624,420625,420626,420682,420683,420684,420702,420703,420704,420802,420804,420822,420881,420882,420902,420921,420922,420923,420981,420982,420984,421002,421003,421022,421024,421071,421081,421083,421087,421088,421102,421121,421122,421123,421124,421125,421126,421127,421171,421181,421182,421202,421221,421222,421223,421224,421281,421303,421321,421381,422801,422802,422822,422823,422825,422826,422827,422828,429004,429005,429006,429021,410102,410103,410104,410105,410106,410108,410122,410171,410172,410173,410181,410182,410183,410184,410185,410202,410203,410204,410205,410212,410221,410222,410223,410225,410302,410303,410304,410305,410307,410308,410311,410323,410324,410325,410326,410327,410328,410329,410371,410402,410403,410404,410411,410421,410422,410423,410425,410471,410472,410481,410482,410502,410503,410505,410506,410522,410523,410526,410527,410571,410581,410602,410603,410611,410621,410622,410671,410702,410703,410704,410711,410721,410724,410725,410726,410727,410771,410772,410773,410781,410782,410783,410802,410803,410804,410811,410821,410822,410823,410825,410871,410882,410883,410902,410922,410923,410926,410927,410928,410971,410972,411002,411003,411024,411025,411071,411081,411082,411102,411103,411104,411121,411122,411171,411202,411203,411221,411224,411271,411281,411282,411302,411303,411321,411322,411323,411324,411325,411326,411327,411328,411329,411330,411371,411372,411381,411402,411403,411421,411422,411423,411424,411425,411426,411471,411472,411481,411502,411503,411521,411522,411523,411524,411525,411526,411527,411528,411571,411602,411603,411621,411622,411623,411624,411625,411627,411628,411671,411681,411702,411721,411722,411723,411724,411725,411726,411727,411728,411729,411771,419001,370102,370103,370104,370105,370112,370113,370114,370115,370116,370117,370124,370126,370171,370202,370203,370211,370212,370213,370214,370215,370271,370281,370283,370285,370302,370303,370304,370305,370306,370321,370322,370323,370402,370403,370404,370405,370406,370481,370502,370503,370505,370522,370523,370571,370572,370602,370611,370612,370613,370614,370671,370672,370681,370682,370683,370685,370686,370687,370702,370703,370704,370705,370724,370725,370772,370781,370782,370783,370784,370785,370786,370811,370812,370826,370827,370828,370829,370830,370831,370832,370871,370881,370883,370902,370911,370921,370923,370982,370983,371002,371003,371071,371072,371073,371082,371083,371102,371103,371121,371122,371171,371302,371311,371312,371321,371322,371323,371324,371325,371326,371327,371328,371329,371371,371402,371403,371422,371423,371424,371425,371426,371427,371428,371471,371472,371481,371482,371502,371503,371521,371522,371524,371525,371526,371581,371602,371603,371621,371622,371623,371625,371681,371702,371703,371721,371722,371723,371724,371725,371726,371728,371771,371772,360102,360103,360104,360111,360112,360113,360121,360123,360124,360202,360203,360222,360281,360302,360313,360321,360322,360323,360402,360403,360404,360423,360424,360425,360426,360428,360429,360430,360481,360482,360483,360502,360521,360602,360603,360681,360702,360703,360704,360722,360723,360724,360725,360726,360728,360729,360730,360731,360732,360733,360734,360735,360781,360783,360802,360803,360821,360822,360823,360824,360825,360826,360827,360828,360829,360830,360881,360902,360921,360922,360923,360924,360925,360926,360981,360982,360983,361002,361003,361021,361022,361023,361024,361025,361026,361027,361028,361030,361102,361103,361104,361123,361124,361125,361126,361127,361128,361129,361130,361181', 1, 1, 200, 1, 500, '1', '2023-10-02 17:55:14', '1', '2023-12-20 23:08:14', b'1', 1), (11, 1, '120102,110101,110102,110105,110106,110107,110108,110109,110111,110112,110113,110114,110115,110116,110117,110118,110119,120101,120103,120104,120105,120106,120110,120111,120112,120113,120114,120115,120116,120117,120118,120119,140105,140106,140107,140108,140109,140110,140121,140122,140123,140171,140181,140212,140213,140214,140215,140221,140222,140223,140224,140225,140226,140271,140302,140303,140311,140321,140322,140403,140404,140405,140406,140423,140425,140426,140427,140428,140429,140430,140431,140471,140502,140521,140522,140524,140525,140581,140602,140603,140621,140622,140623,140671,140681,140702,140703,140721,140722,140723,140724,140725,140727,140728,140729,140781,140802,140821,140822,140823,140824,140825,140826,140827,140828,140829,140830,140881,140882,140902,140921,140922,140923,140924,140925,140926,140927,140928,140929,140930,140931,140932,140971,140981,141002,141021,141022,141023,141024,141025,141026,141027,141028,141029,141030,141031,141032,141033,141034,141081,141082,141102,141121,141122,141123,141124,141125,141126,141127,141128,141129,141130,141181,141182,150102,150103,150104,150105,150121,150122,150123,150124,150125,150172,150202,150203,150204,150205,150206,150207,150221,150222,150223,150271,150302,150303,150304,150402,150403,150404,150421,150422,150423,150424,150425,150426,150428,150429,150430,150502,150521,150522,150523,150524,150525,150526,150571,150581,150602,150603,150621,150622,150623,150624,150625,150626,150627,150702,150703,150721,150722,150723,150724,150725,150726,150727,150781,150782,150783,150784,150785,150802,150821,150822,150823,150824,150825,150826,150902,150921,150922,150923,150924,150925,150926,150927,150928,150929,150981,152201,152202,152221,152222,152223,152224,152501,152502,152522,152523,152524,152525,152526,152527,152528,152529,152530,152531,152571,152921,152922,152923,152971,210102,210103,210104,210105,210106,210111,210112,210113,210114,210115,210123,210124,210181,210202,210203,210204,210211,210212,210213,210214,210224,210281,210283,210302,210303,210304,210311,210321,210323,210381,210402,210403,210404,210411,210421,210422,210423,210502,210503,210504,210505,210521,210522,210602,210603,210604,210624,210681,210682,210702,210703,210711,210726,210727,210781,210782,210802,210803,210804,210811,210881,210882,210902,210903,210904,210905,210911,210921,210922,211002,211003,211004,211005,211011,211021,211081,211102,211103,211104,211122,211202,211204,211221,211223,211224,211281,211282,211302,211303,211321,211322,211324,211381,211382,211402,211403,211404,211421,211422,211481,650102,650103,650104,650105,650106,650107,650109,650121,650202,650203,650204,650205,650402,650421,650422,650502,650521,650522,652301,652302,652323,652324,652325,652327,652328,652701,652702,652722,652723,652801,652822,652823,652824,652825,652826,652827,652828,652829,652871,652901,652902,652922,652924,652925,652926,652927,652928,652929,653001,653022,653023,653024,653101,653121,653122,653123,653124,653125,653126,653127,653128,653129,653130,653131,653201,653221,653222,653223,653224,653225,653226,653227,654002,654003,654004,654021,654022,654023,654024,654025,654026,654027,654028,654201,654202,654203,654221,654224,654225,654226,654301,654321,654322,654323,654324,654325,654326,659001,659002,659003,659004,659005,659006,659007,659008,659009,659010,659011,640104,640105,640106,640121,640122,640181,640202,640205,640221,640302,640303,640323,640324,640381,640402,640422,640423,640424,640425,640502,640521,640522,630102,630103,630104,630105,630106,630121,630123,630202,630203,630222,630223,630224,630225,632221,632222,632223,632224,632301,632322,632323,632324,632521,632522,632523,632524,632525,632621,632622,632623,632624,632625,632626,632701,632722,632723,632724,632725,632726,632801,632802,632803,632821,632822,632823,632857,620102,620103,620104,620105,620111,620121,620122,620123,620171,620201,620302,620321,620402,620403,620421,620422,620423,620502,620503,620521,620522,620523,620524,620525,620602,620621,620622,620623,620702,620721,620722,620723,620724,620725,620802,620821,620822,620823,620825,620826,620881,620902,620921,620922,620923,620924,620981,620982,621002,621021,621022,621023,621024,621025,621026,621027,621102,621121,621122,621123,621124,621125,621126,621202,621221,621222,621223,621224,621225,621226,621227,621228,622901,622921,622922,622923,622924,622925,622926,622927,623001,623021,623022,623023,623024,623025,623026,623027,230102,230103,230104,230108,230109,230110,230111,230112,230113,230123,230124,230125,230126,230127,230128,230129,230183,230184,230202,230203,230204,230205,230206,230207,230208,230221,230223,230224,230225,230227,230229,230230,230231,230281,230302,230303,230304,230305,230306,230307,230321,230381,230382,230402,230403,230404,230405,230406,230407,230421,230422,230502,230503,230505,230506,230521,230522,230523,230524,230602,230603,230604,230605,230606,230621,230622,230623,230624,230671,230717,230718,230719,230722,230723,230724,230725,230726,230751,230781,230803,230804,230805,230811,230822,230826,230828,230881,230882,230883,230902,230903,230904,230921,231002,231003,231004,231005,231025,231071,231081,231083,231084,231085,231086,231102,231123,231124,231181,231182,231183,231202,231221,231222,231223,231224,231225,231226,231281,231282,231283,232701,232721,232722,232761,232762,232763,232764,220102,220103,220104,220105,220106,220112,220113,220122,220171,220172,220173,220174,220182,220183,220184,220202,220203,220204,220211,220221,220271,220272,220273,220281,220282,220283,220284,220302,220303,220322,220323,220382,220402,220403,220421,220422,220502,220503,220521,220523,220524,220581,220582,220602,220605,220621,220622,220623,220681,220702,220721,220722,220723,220771,220781,220802,220821,220822,220871,220881,220882,222401,222402,222403,222404,222405,222406,222424,222426,310101,310104,310105,310106,310107,310109,310110,310112,310113,310114,310115,310116,310117,310118,310120,310151,320102,320104,320105,320106,320111,320113,320114,320115,320116,320117,320118,320205,320206,320211,320213,320214,320281,320282,320302,320303,320305,320311,320312,320321,320322,320324,320371,320381,320382,320402,320404,320411,320412,320413,320481,320505,320506,320507,320508,320509,320571,320581,320582,320583,320585,320612,320613,320614,320623,320671,320681,320682,320685,320703,320706,320707,320722,320723,320724,320771,320772,320803,320804,320812,320813,320826,320830,320831,320871,320902,320903,320904,320921,320922,320923,320924,320925,320971,320981,321002,321003,321012,321023,321071,321081,321084,321102,321111,321112,321171,321181,321182,321183,321202,321203,321204,321271,321281,321282,321283,321302,321311,321322,321323,321324,321371,330102,330105,330106,330108,330109,330110,330111,330112,330113,330114,330122,330127,330182,330203,330205,330206,330211,330212,330213,330225,330226,330281,330282,330302,330303,330304,330305,330324,330326,330327,330328,330329,330371,330381,330382,330383,330402,330411,330421,330424,330481,330482,330483,330502,330503,330521,330522,330523,330602,330603,330604,330624,330681,330683,330702,330703,330723,330726,330727,330781,330782,330783,330784,330802,330803,330822,330824,330825,330881,330902,330903,330921,330922,331002,331003,331004,331022,331023,331024,331081,331082,331083,331102,331121,331122,331123,331124,331125,331126,331127,331181,340102,340103,340104,340111,340121,340122,340123,340124,340171,340172,340173,340181,340202,340207,340209,340210,340212,340223,340271,340272,340281,340302,340303,340304,340311,340321,340322,340323,340371,340372,340402,340403,340404,340405,340406,340421,340422,340503,340504,340506,340521,340522,340523,340602,340603,340604,340621,340705,340706,340711,340722,340802,340803,340811,340822,340825,340826,340827,340828,340871,340881,340882,341002,341003,341004,341021,341022,341023,341024,341102,341103,341122,341124,341125,341126,341171,341172,341181,341182,341202,341203,341204,341221,341222,341225,341226,341271,341272,341282,341302,341321,341322,341323,341324,341371,341372,341502,341503,341504,341522,341523,341524,341525,341602,341621,341622,341623,341702,341721,341722,341723,341802,341821,341823,341824,341825,341871,341881,341882,350102,350103,350104,350105,350111,350112,350121,350122,350123,350124,350125,350128,350181,350203,350205,350206,350211,350212,350213,350302,350303,350304,350305,350322,350404,350405,350421,350423,350424,350425,350426,350428,350429,350430,350481,350502,350503,350504,350505,350521,350524,350525,350526,350527,350581,350582,350583,350602,350603,350604,350605,350622,350623,350624,350626,350627,350628,350629,350702,350703,350721,350722,350723,350724,350725,350781,350782,350783,350802,350803,350821,350823,350824,350825,350881,350902,350921,350922,350923,350924,350925,350926,350981,350982,610102,610103,610104,610111,610112,610113,610114,610115,610116,610117,610118,610122,610124,610202,610203,610204,610222,610302,610303,610304,610305,610323,610324,610326,610327,610328,610329,610330,610331,610402,610403,610404,610422,610423,610424,610425,610426,610428,610429,610430,610431,610481,610482,610502,610503,610522,610523,610524,610525,610526,610527,610528,610581,610582,610602,610603,610621,610622,610625,610626,610627,610628,610629,610630,610631,610632,610681,610702,610703,610722,610723,610724,610725,610726,610727,610728,610729,610730,610802,610803,610822,610824,610825,610826,610827,610828,610829,610830,610831,610881,610902,610921,610922,610923,610924,610925,610926,610927,610929,610981,611002,611021,611022,611023,611024,611025,611026,540102,540103,540104,540121,540122,540123,540124,540127,540171,540172,540173,540174,540202,540221,540222,540223,540224,540225,540226,540227,540228,540229,540230,540231,540232,540233,540234,540235,540236,540237,540302,540321,540322,540323,540324,540325,540326,540327,540328,540329,540330,540402,540421,540422,540423,540424,540425,540426,540502,540521,540522,540523,540524,540525,540526,540527,540528,540529,540530,540531,540602,540621,540622,540623,540624,540625,540626,540627,540628,540629,540630,542521,542522,542523,542524,542525,542526,542527,530102,530103,530111,530112,530113,530114,530115,530124,530125,530126,530127,530128,530129,530181,530302,530303,530304,530322,530323,530324,530325,530326,530381,530402,530403,530423,530424,530425,530426,530427,530428,530481,530502,530521,530523,530524,530581,530602,530621,530622,530623,530624,530625,530626,530627,530628,530629,530681,530702,530721,530722,530723,530724,530802,530821,530822,530823,530824,530825,530826,530827,530828,530829,530902,530921,530922,530923,530924,530925,530926,530927,532301,532302,532322,532323,532324,532325,532326,532327,532328,532329,532501,532502,532503,532504,532523,532524,532525,532527,532528,532529,532530,532531,532532,532601,532622,532623,532624,532625,532626,532627,532628,532801,532822,532823,532901,532922,532923,532924,532925,532926,532927,532928,532929,532930,532931,532932,533102,533103,533122,533123,533124,533301,533323,533324,533325,533401,533422,533423,520102,520103,520111,520112,520113,520115,520121,520122,520123,520181,520201,520203,520204,520281,520302,520303,520304,520322,520323,520324,520325,520326,520327,520328,520329,520330,520381,520382,520402,520403,520422,520423,520424,520425,520502,520521,520523,520524,520525,520526,520527,520581,520602,520603,520621,520622,520623,520624,520625,520626,520627,520628,522301,522302,522323,522324,522325,522326,522327,522328,522601,522622,522623,522624,522625,522626,522627,522628,522629,522630,522631,522632,522633,522634,522635,522636,522701,522702,522722,522723,522725,522726,522727,522728,522729,522730,522731,522732,510104,510105,510106,510107,510108,510112,510113,510114,510115,510116,510117,510118,510121,510129,510131,510181,510182,510183,510184,510185,510302,510303,510304,510311,510321,510322,510402,510403,510411,510421,510422,510502,510503,510504,510521,510522,510524,510525,510603,510604,510623,510681,510682,510683,510703,510704,510705,510722,510723,510725,510726,510727,510781,510802,510811,510812,510821,510822,510823,510824,510903,510904,510921,510923,510981,511002,511011,511024,511025,511071,511083,511102,511111,511112,511113,511123,511124,511126,511129,511132,511133,511181,511302,511303,511304,511321,511322,511323,511324,511325,511381,511402,511403,511421,511423,511424,511425,511502,511503,511504,511523,511524,511525,511526,511527,511528,511529,511602,511603,511621,511622,511623,511681,511702,511703,511722,511723,511724,511725,511771,511781,511802,511803,511822,511823,511824,511825,511826,511827,511902,511903,511921,511922,511923,511971,512002,512021,512022,513201,513221,513222,513223,513224,513225,513226,513227,513228,513230,513231,513232,513233,513301,513322,513323,513324,513325,513326,513327,513328,513329,513330,513331,513332,513333,513334,513335,513336,513337,513338,513401,513402,513422,513423,513424,513426,513427,513428,513429,513430,513431,513432,513433,513434,513435,513436,513437,500101,500102,500103,500104,500105,500106,500107,500108,500109,500110,500111,500112,500113,500114,500115,500116,500117,500118,500119,500120,500151,500152,500153,500154,500155,500156,500229,500230,500231,500233,500235,500236,500237,500238,500240,500241,500242,500243,460105,460106,460107,460108,460202,460203,460204,460205,460321,460322,460323,460400,469001,469002,469005,469006,469007,469021,469022,469023,469024,469025,469026,469027,469028,469029,469030,450102,450103,450105,450107,450108,450109,450110,450123,450124,450125,450126,450181,450202,450203,450204,450205,450206,450222,450223,450224,450225,450226,450302,450303,450304,450305,450311,450312,450321,450323,450324,450325,450326,450327,450328,450329,450330,450332,450381,450403,450405,450406,450421,450422,450423,450481,450502,450503,450512,450521,450602,450603,450621,450681,450702,450703,450721,450722,450802,450803,450804,450821,450881,450902,450903,450921,450922,450923,450924,450981,451002,451003,451022,451024,451026,451027,451028,451029,451030,451031,451081,451082,451102,451103,451121,451122,451123,451202,451203,451221,451222,451223,451224,451225,451226,451227,451228,451229,451302,451321,451322,451323,451324,451381,451402,451421,451422,451423,451424,451425,451481,440103,440104,440105,440106,440111,440112,440113,440114,440115,440117,440118,440203,440204,440205,440222,440224,440229,440232,440233,440281,440282,440303,440304,440305,440306,440307,440308,440309,440310,440311,440402,440403,440404,440507,440511,440512,440513,440514,440515,440523,440604,440605,440606,440607,440608,440703,440704,440705,440781,440783,440784,440785,440802,440803,440804,440811,440823,440825,440881,440882,440883,440902,440904,440981,440982,440983,441202,441203,441204,441223,441224,441225,441226,441284,441302,441303,441322,441323,441324,441402,441403,441422,441423,441424,441426,441427,441481,441502,441521,441523,441581,441602,441621,441622,441623,441624,441625,441702,441704,441721,441781,441802,441803,441821,441823,441825,441826,441881,441882,441900,442000,445102,445103,445122,445202,445203,445222,445224,445281,445302,445303,445321,445322,445381,430102,430103,430104,430105,430111,430112,430121,430181,430182,430202,430203,430204,430211,430212,430223,430224,430225,430271,430281,430302,430304,430321,430371,430372,430373,430381,430382,430405,430406,430407,430408,430412,430421,430422,430423,430424,430426,430471,430472,430473,430481,430482,430502,430503,430511,430522,430523,430524,430525,430527,430528,430529,430581,430582,430602,430603,430611,430621,430623,430624,430626,430671,430681,430682,430702,430703,430721,430722,430723,430724,430725,430726,430771,430781,430802,430811,430821,430822,430902,430903,430921,430922,430923,430971,430972,430981,431002,431003,431021,431022,431023,431024,431025,431026,431027,431028,431081,431102,431103,431122,431123,431124,431125,431126,431127,431128,431129,431171,431173,431181,431202,431221,431222,431223,431224,431225,431226,431227,431228,431229,431230,431271,431281,431302,431321,431322,431381,431382,433101,433122,433123,433124,433125,433126,433127,433130,420102,420103,420104,420105,420106,420107,420111,420112,420113,420114,420115,420116,420117,420202,420203,420204,420205,420222,420281,420302,420303,420304,420322,420323,420324,420325,420381,420502,420503,420504,420505,420506,420525,420526,420527,420528,420529,420581,420582,420583,420602,420606,420607,420624,420625,420626,420682,420683,420684,420702,420703,420704,420802,420804,420822,420881,420882,420902,420921,420922,420923,420981,420982,420984,421002,421003,421022,421024,421071,421081,421083,421087,421088,421102,421121,421122,421123,421124,421125,421126,421127,421171,421181,421182,421202,421221,421222,421223,421224,421281,421303,421321,421381,422801,422802,422822,422823,422825,422826,422827,422828,429004,429005,429006,429021,410102,410103,410104,410105,410106,410108,410122,410171,410172,410173,410181,410182,410183,410184,410185,410202,410203,410204,410205,410212,410221,410222,410223,410225,410302,410303,410304,410305,410307,410308,410311,410323,410324,410325,410326,410327,410328,410329,410371,410402,410403,410404,410411,410421,410422,410423,410425,410471,410472,410481,410482,410502,410503,410505,410506,410522,410523,410526,410527,410571,410581,410602,410603,410611,410621,410622,410671,410702,410703,410704,410711,410721,410724,410725,410726,410727,410771,410772,410773,410781,410782,410783,410802,410803,410804,410811,410821,410822,410823,410825,410871,410882,410883,410902,410922,410923,410926,410927,410928,410971,410972,411002,411003,411024,411025,411071,411081,411082,411102,411103,411104,411121,411122,411171,411202,411203,411221,411224,411271,411281,411282,411302,411303,411321,411322,411323,411324,411325,411326,411327,411328,411329,411330,411371,411372,411381,411402,411403,411421,411422,411423,411424,411425,411426,411471,411472,411481,411502,411503,411521,411522,411523,411524,411525,411526,411527,411528,411571,411602,411603,411621,411622,411623,411624,411625,411627,411628,411671,411681,411702,411721,411722,411723,411724,411725,411726,411727,411728,411729,411771,419001,370102,370103,370104,370105,370112,370113,370114,370115,370116,370117,370124,370126,370171,370202,370203,370211,370212,370213,370214,370215,370271,370281,370283,370285,370302,370303,370304,370305,370306,370321,370322,370323,370402,370403,370404,370405,370406,370481,370502,370503,370505,370522,370523,370571,370572,370602,370611,370612,370613,370614,370671,370672,370681,370682,370683,370685,370686,370687,370702,370703,370704,370705,370724,370725,370772,370781,370782,370783,370784,370785,370786,370811,370812,370826,370827,370828,370829,370830,370831,370832,370871,370881,370883,370902,370911,370921,370923,370982,370983,371002,371003,371071,371072,371073,371082,371083,371102,371103,371121,371122,371171,371302,371311,371312,371321,371322,371323,371324,371325,371326,371327,371328,371329,371371,371402,371403,371422,371423,371424,371425,371426,371427,371428,371471,371472,371481,371482,371502,371503,371521,371522,371524,371525,371526,371581,371602,371603,371621,371622,371623,371625,371681,371702,371703,371721,371722,371723,371724,371725,371726,371728,371771,371772,360102,360103,360104,360111,360112,360113,360121,360123,360124,360202,360203,360222,360281,360302,360313,360321,360322,360323,360402,360403,360404,360423,360424,360425,360426,360428,360429,360430,360481,360482,360483,360502,360521,360602,360603,360681,360702,360703,360704,360722,360723,360724,360725,360726,360728,360729,360730,360731,360732,360733,360734,360735,360781,360783,360802,360803,360821,360822,360823,360824,360825,360826,360827,360828,360829,360830,360881,360902,360921,360922,360923,360924,360925,360926,360981,360982,360983,361002,361003,361021,361022,361023,361024,361025,361026,361027,361028,361030,361102,361103,361104,361123,361124,361125,361126,361127,361128,361129,361130,361181', 1, 1, 200, 1, 500, '1', '2023-10-02 18:11:33', '1', '2023-12-20 23:08:14', b'1', 1), (12, 1, '120102,110101,110102,110105,110106,110107,110108,110109,110111,110112,110113,110114,110115,110116,110117,110118,110119,120101,120103,120104,120105,120106,120110,120111,120112,120113,120114,120115,120116,120117,120118,120119,140105,140106,140107,140108,140109,140110,140121,140122,140123,140171,140181,140212,140213,140214,140215,140221,140222,140223,140224,140225,140226,140271,140302,140303,140311,140321,140322,140403,140404,140405,140406,140423,140425,140426,140427,140428,140429,140430,140431,140471,140502,140521,140522,140524,140525,140581,140602,140603,140621,140622,140623,140671,140681,140702,140703,140721,140722,140723,140724,140725,140727,140728,140729,140781,140802,140821,140822,140823,140824,140825,140826,140827,140828,140829,140830,140881,140882,140902,140921,140922,140923,140924,140925,140926,140927,140928,140929,140930,140931,140932,140971,140981,141002,141021,141022,141023,141024,141025,141026,141027,141028,141029,141030,141031,141032,141033,141034,141081,141082,141102,141121,141122,141123,141124,141125,141126,141127,141128,141129,141130,141181,141182,150102,150103,150104,150105,150121,150122,150123,150124,150125,150172,150202,150203,150204,150205,150206,150207,150221,150222,150223,150271,150302,150303,150304,150402,150403,150404,150421,150422,150423,150424,150425,150426,150428,150429,150430,150502,150521,150522,150523,150524,150525,150526,150571,150581,150602,150603,150621,150622,150623,150624,150625,150626,150627,150702,150703,150721,150722,150723,150724,150725,150726,150727,150781,150782,150783,150784,150785,150802,150821,150822,150823,150824,150825,150826,150902,150921,150922,150923,150924,150925,150926,150927,150928,150929,150981,152201,152202,152221,152222,152223,152224,152501,152502,152522,152523,152524,152525,152526,152527,152528,152529,152530,152531,152571,152921,152922,152923,152971,210102,210103,210104,210105,210106,210111,210112,210113,210114,210115,210123,210124,210181,210202,210203,210204,210211,210212,210213,210214,210224,210281,210283,210302,210303,210304,210311,210321,210323,210381,210402,210403,210404,210411,210421,210422,210423,210502,210503,210504,210505,210521,210522,210602,210603,210604,210624,210681,210682,210702,210703,210711,210726,210727,210781,210782,210802,210803,210804,210811,210881,210882,210902,210903,210904,210905,210911,210921,210922,211002,211003,211004,211005,211011,211021,211081,211102,211103,211104,211122,211202,211204,211221,211223,211224,211281,211282,211302,211303,211321,211322,211324,211381,211382,211402,211403,211404,211421,211422,211481,650102,650103,650104,650105,650106,650107,650109,650121,650202,650203,650204,650205,650402,650421,650422,650502,650521,650522,652301,652302,652323,652324,652325,652327,652328,652701,652702,652722,652723,652801,652822,652823,652824,652825,652826,652827,652828,652829,652871,652901,652902,652922,652924,652925,652926,652927,652928,652929,653001,653022,653023,653024,653101,653121,653122,653123,653124,653125,653126,653127,653128,653129,653130,653131,653201,653221,653222,653223,653224,653225,653226,653227,654002,654003,654004,654021,654022,654023,654024,654025,654026,654027,654028,654201,654202,654203,654221,654224,654225,654226,654301,654321,654322,654323,654324,654325,654326,659001,659002,659003,659004,659005,659006,659007,659008,659009,659010,659011,640104,640105,640106,640121,640122,640181,640202,640205,640221,640302,640303,640323,640324,640381,640402,640422,640423,640424,640425,640502,640521,640522,630102,630103,630104,630105,630106,630121,630123,630202,630203,630222,630223,630224,630225,632221,632222,632223,632224,632301,632322,632323,632324,632521,632522,632523,632524,632525,632621,632622,632623,632624,632625,632626,632701,632722,632723,632724,632725,632726,632801,632802,632803,632821,632822,632823,632857,620102,620103,620104,620105,620111,620121,620122,620123,620171,620201,620302,620321,620402,620403,620421,620422,620423,620502,620503,620521,620522,620523,620524,620525,620602,620621,620622,620623,620702,620721,620722,620723,620724,620725,620802,620821,620822,620823,620825,620826,620881,620902,620921,620922,620923,620924,620981,620982,621002,621021,621022,621023,621024,621025,621026,621027,621102,621121,621122,621123,621124,621125,621126,621202,621221,621222,621223,621224,621225,621226,621227,621228,622901,622921,622922,622923,622924,622925,622926,622927,623001,623021,623022,623023,623024,623025,623026,623027,230102,230103,230104,230108,230109,230110,230111,230112,230113,230123,230124,230125,230126,230127,230128,230129,230183,230184,230202,230203,230204,230205,230206,230207,230208,230221,230223,230224,230225,230227,230229,230230,230231,230281,230302,230303,230304,230305,230306,230307,230321,230381,230382,230402,230403,230404,230405,230406,230407,230421,230422,230502,230503,230505,230506,230521,230522,230523,230524,230602,230603,230604,230605,230606,230621,230622,230623,230624,230671,230717,230718,230719,230722,230723,230724,230725,230726,230751,230781,230803,230804,230805,230811,230822,230826,230828,230881,230882,230883,230902,230903,230904,230921,231002,231003,231004,231005,231025,231071,231081,231083,231084,231085,231086,231102,231123,231124,231181,231182,231183,231202,231221,231222,231223,231224,231225,231226,231281,231282,231283,232701,232721,232722,232761,232762,232763,232764,220102,220103,220104,220105,220106,220112,220113,220122,220171,220172,220173,220174,220182,220183,220184,220202,220203,220204,220211,220221,220271,220272,220273,220281,220282,220283,220284,220302,220303,220322,220323,220382,220402,220403,220421,220422,220502,220503,220521,220523,220524,220581,220582,220602,220605,220621,220622,220623,220681,220702,220721,220722,220723,220771,220781,220802,220821,220822,220871,220881,220882,222401,222402,222403,222404,222405,222406,222424,222426,310101,310104,310105,310106,310107,310109,310110,310112,310113,310114,310115,310116,310117,310118,310120,310151,320102,320104,320105,320106,320111,320113,320114,320115,320116,320117,320118,320205,320206,320211,320213,320214,320281,320282,320302,320303,320305,320311,320312,320321,320322,320324,320371,320381,320382,320402,320404,320411,320412,320413,320481,320505,320506,320507,320508,320509,320571,320581,320582,320583,320585,320612,320613,320614,320623,320671,320681,320682,320685,320703,320706,320707,320722,320723,320724,320771,320772,320803,320804,320812,320813,320826,320830,320831,320871,320902,320903,320904,320921,320922,320923,320924,320925,320971,320981,321002,321003,321012,321023,321071,321081,321084,321102,321111,321112,321171,321181,321182,321183,321202,321203,321204,321271,321281,321282,321283,321302,321311,321322,321323,321324,321371,330102,330105,330106,330108,330109,330110,330111,330112,330113,330114,330122,330127,330182,330203,330205,330206,330211,330212,330213,330225,330226,330281,330282,330302,330303,330304,330305,330324,330326,330327,330328,330329,330371,330381,330382,330383,330402,330411,330421,330424,330481,330482,330483,330502,330503,330521,330522,330523,330602,330603,330604,330624,330681,330683,330702,330703,330723,330726,330727,330781,330782,330783,330784,330802,330803,330822,330824,330825,330881,330902,330903,330921,330922,331002,331003,331004,331022,331023,331024,331081,331082,331083,331102,331121,331122,331123,331124,331125,331126,331127,331181,340102,340103,340104,340111,340121,340122,340123,340124,340171,340172,340173,340181,340202,340207,340209,340210,340212,340223,340271,340272,340281,340302,340303,340304,340311,340321,340322,340323,340371,340372,340402,340403,340404,340405,340406,340421,340422,340503,340504,340506,340521,340522,340523,340602,340603,340604,340621,340705,340706,340711,340722,340802,340803,340811,340822,340825,340826,340827,340828,340871,340881,340882,341002,341003,341004,341021,341022,341023,341024,341102,341103,341122,341124,341125,341126,341171,341172,341181,341182,341202,341203,341204,341221,341222,341225,341226,341271,341272,341282,341302,341321,341322,341323,341324,341371,341372,341502,341503,341504,341522,341523,341524,341525,341602,341621,341622,341623,341702,341721,341722,341723,341802,341821,341823,341824,341825,341871,341881,341882,350102,350103,350104,350105,350111,350112,350121,350122,350123,350124,350125,350128,350181,350203,350205,350206,350211,350212,350213,350302,350303,350304,350305,350322,350404,350405,350421,350423,350424,350425,350426,350428,350429,350430,350481,350502,350503,350504,350505,350521,350524,350525,350526,350527,350581,350582,350583,350602,350603,350604,350605,350622,350623,350624,350626,350627,350628,350629,350702,350703,350721,350722,350723,350724,350725,350781,350782,350783,350802,350803,350821,350823,350824,350825,350881,350902,350921,350922,350923,350924,350925,350926,350981,350982,610102,610103,610104,610111,610112,610113,610114,610115,610116,610117,610118,610122,610124,610202,610203,610204,610222,610302,610303,610304,610305,610323,610324,610326,610327,610328,610329,610330,610331,610402,610403,610404,610422,610423,610424,610425,610426,610428,610429,610430,610431,610481,610482,610502,610503,610522,610523,610524,610525,610526,610527,610528,610581,610582,610602,610603,610621,610622,610625,610626,610627,610628,610629,610630,610631,610632,610681,610702,610703,610722,610723,610724,610725,610726,610727,610728,610729,610730,610802,610803,610822,610824,610825,610826,610827,610828,610829,610830,610831,610881,610902,610921,610922,610923,610924,610925,610926,610927,610929,610981,611002,611021,611022,611023,611024,611025,611026,540102,540103,540104,540121,540122,540123,540124,540127,540171,540172,540173,540174,540202,540221,540222,540223,540224,540225,540226,540227,540228,540229,540230,540231,540232,540233,540234,540235,540236,540237,540302,540321,540322,540323,540324,540325,540326,540327,540328,540329,540330,540402,540421,540422,540423,540424,540425,540426,540502,540521,540522,540523,540524,540525,540526,540527,540528,540529,540530,540531,540602,540621,540622,540623,540624,540625,540626,540627,540628,540629,540630,542521,542522,542523,542524,542525,542526,542527,530102,530103,530111,530112,530113,530114,530115,530124,530125,530126,530127,530128,530129,530181,530302,530303,530304,530322,530323,530324,530325,530326,530381,530402,530403,530423,530424,530425,530426,530427,530428,530481,530502,530521,530523,530524,530581,530602,530621,530622,530623,530624,530625,530626,530627,530628,530629,530681,530702,530721,530722,530723,530724,530802,530821,530822,530823,530824,530825,530826,530827,530828,530829,530902,530921,530922,530923,530924,530925,530926,530927,532301,532302,532322,532323,532324,532325,532326,532327,532328,532329,532501,532502,532503,532504,532523,532524,532525,532527,532528,532529,532530,532531,532532,532601,532622,532623,532624,532625,532626,532627,532628,532801,532822,532823,532901,532922,532923,532924,532925,532926,532927,532928,532929,532930,532931,532932,533102,533103,533122,533123,533124,533301,533323,533324,533325,533401,533422,533423,520102,520103,520111,520112,520113,520115,520121,520122,520123,520181,520201,520203,520204,520281,520302,520303,520304,520322,520323,520324,520325,520326,520327,520328,520329,520330,520381,520382,520402,520403,520422,520423,520424,520425,520502,520521,520523,520524,520525,520526,520527,520581,520602,520603,520621,520622,520623,520624,520625,520626,520627,520628,522301,522302,522323,522324,522325,522326,522327,522328,522601,522622,522623,522624,522625,522626,522627,522628,522629,522630,522631,522632,522633,522634,522635,522636,522701,522702,522722,522723,522725,522726,522727,522728,522729,522730,522731,522732,510104,510105,510106,510107,510108,510112,510113,510114,510115,510116,510117,510118,510121,510129,510131,510181,510182,510183,510184,510185,510302,510303,510304,510311,510321,510322,510402,510403,510411,510421,510422,510502,510503,510504,510521,510522,510524,510525,510603,510604,510623,510681,510682,510683,510703,510704,510705,510722,510723,510725,510726,510727,510781,510802,510811,510812,510821,510822,510823,510824,510903,510904,510921,510923,510981,511002,511011,511024,511025,511071,511083,511102,511111,511112,511113,511123,511124,511126,511129,511132,511133,511181,511302,511303,511304,511321,511322,511323,511324,511325,511381,511402,511403,511421,511423,511424,511425,511502,511503,511504,511523,511524,511525,511526,511527,511528,511529,511602,511603,511621,511622,511623,511681,511702,511703,511722,511723,511724,511725,511771,511781,511802,511803,511822,511823,511824,511825,511826,511827,511902,511903,511921,511922,511923,511971,512002,512021,512022,513201,513221,513222,513223,513224,513225,513226,513227,513228,513230,513231,513232,513233,513301,513322,513323,513324,513325,513326,513327,513328,513329,513330,513331,513332,513333,513334,513335,513336,513337,513338,513401,513402,513422,513423,513424,513426,513427,513428,513429,513430,513431,513432,513433,513434,513435,513436,513437,500101,500102,500103,500104,500105,500106,500107,500108,500109,500110,500111,500112,500113,500114,500115,500116,500117,500118,500119,500120,500151,500152,500153,500154,500155,500156,500229,500230,500231,500233,500235,500236,500237,500238,500240,500241,500242,500243,460105,460106,460107,460108,460202,460203,460204,460205,460321,460322,460323,460400,469001,469002,469005,469006,469007,469021,469022,469023,469024,469025,469026,469027,469028,469029,469030,450102,450103,450105,450107,450108,450109,450110,450123,450124,450125,450126,450181,450202,450203,450204,450205,450206,450222,450223,450224,450225,450226,450302,450303,450304,450305,450311,450312,450321,450323,450324,450325,450326,450327,450328,450329,450330,450332,450381,450403,450405,450406,450421,450422,450423,450481,450502,450503,450512,450521,450602,450603,450621,450681,450702,450703,450721,450722,450802,450803,450804,450821,450881,450902,450903,450921,450922,450923,450924,450981,451002,451003,451022,451024,451026,451027,451028,451029,451030,451031,451081,451082,451102,451103,451121,451122,451123,451202,451203,451221,451222,451223,451224,451225,451226,451227,451228,451229,451302,451321,451322,451323,451324,451381,451402,451421,451422,451423,451424,451425,451481,440103,440104,440105,440106,440111,440112,440113,440114,440115,440117,440118,440203,440204,440205,440222,440224,440229,440232,440233,440281,440282,440303,440304,440305,440306,440307,440308,440309,440310,440311,440402,440403,440404,440507,440511,440512,440513,440514,440515,440523,440604,440605,440606,440607,440608,440703,440704,440705,440781,440783,440784,440785,440802,440803,440804,440811,440823,440825,440881,440882,440883,440902,440904,440981,440982,440983,441202,441203,441204,441223,441224,441225,441226,441284,441302,441303,441322,441323,441324,441402,441403,441422,441423,441424,441426,441427,441481,441502,441521,441523,441581,441602,441621,441622,441623,441624,441625,441702,441704,441721,441781,441802,441803,441821,441823,441825,441826,441881,441882,441900,442000,445102,445103,445122,445202,445203,445222,445224,445281,445302,445303,445321,445322,445381,430102,430103,430104,430105,430111,430112,430121,430181,430182,430202,430203,430204,430211,430212,430223,430224,430225,430271,430281,430302,430304,430321,430371,430372,430373,430381,430382,430405,430406,430407,430408,430412,430421,430422,430423,430424,430426,430471,430472,430473,430481,430482,430502,430503,430511,430522,430523,430524,430525,430527,430528,430529,430581,430582,430602,430603,430611,430621,430623,430624,430626,430671,430681,430682,430702,430703,430721,430722,430723,430724,430725,430726,430771,430781,430802,430811,430821,430822,430902,430903,430921,430922,430923,430971,430972,430981,431002,431003,431021,431022,431023,431024,431025,431026,431027,431028,431081,431102,431103,431122,431123,431124,431125,431126,431127,431128,431129,431171,431173,431181,431202,431221,431222,431223,431224,431225,431226,431227,431228,431229,431230,431271,431281,431302,431321,431322,431381,431382,433101,433122,433123,433124,433125,433126,433127,433130,420102,420103,420104,420105,420106,420107,420111,420112,420113,420114,420115,420116,420117,420202,420203,420204,420205,420222,420281,420302,420303,420304,420322,420323,420324,420325,420381,420502,420503,420504,420505,420506,420525,420526,420527,420528,420529,420581,420582,420583,420602,420606,420607,420624,420625,420626,420682,420683,420684,420702,420703,420704,420802,420804,420822,420881,420882,420902,420921,420922,420923,420981,420982,420984,421002,421003,421022,421024,421071,421081,421083,421087,421088,421102,421121,421122,421123,421124,421125,421126,421127,421171,421181,421182,421202,421221,421222,421223,421224,421281,421303,421321,421381,422801,422802,422822,422823,422825,422826,422827,422828,429004,429005,429006,429021,410102,410103,410104,410105,410106,410108,410122,410171,410172,410173,410181,410182,410183,410184,410185,410202,410203,410204,410205,410212,410221,410222,410223,410225,410302,410303,410304,410305,410307,410308,410311,410323,410324,410325,410326,410327,410328,410329,410371,410402,410403,410404,410411,410421,410422,410423,410425,410471,410472,410481,410482,410502,410503,410505,410506,410522,410523,410526,410527,410571,410581,410602,410603,410611,410621,410622,410671,410702,410703,410704,410711,410721,410724,410725,410726,410727,410771,410772,410773,410781,410782,410783,410802,410803,410804,410811,410821,410822,410823,410825,410871,410882,410883,410902,410922,410923,410926,410927,410928,410971,410972,411002,411003,411024,411025,411071,411081,411082,411102,411103,411104,411121,411122,411171,411202,411203,411221,411224,411271,411281,411282,411302,411303,411321,411322,411323,411324,411325,411326,411327,411328,411329,411330,411371,411372,411381,411402,411403,411421,411422,411423,411424,411425,411426,411471,411472,411481,411502,411503,411521,411522,411523,411524,411525,411526,411527,411528,411571,411602,411603,411621,411622,411623,411624,411625,411627,411628,411671,411681,411702,411721,411722,411723,411724,411725,411726,411727,411728,411729,411771,419001,370102,370103,370104,370105,370112,370113,370114,370115,370116,370117,370124,370126,370171,370202,370203,370211,370212,370213,370214,370215,370271,370281,370283,370285,370302,370303,370304,370305,370306,370321,370322,370323,370402,370403,370404,370405,370406,370481,370502,370503,370505,370522,370523,370571,370572,370602,370611,370612,370613,370614,370671,370672,370681,370682,370683,370685,370686,370687,370702,370703,370704,370705,370724,370725,370772,370781,370782,370783,370784,370785,370786,370811,370812,370826,370827,370828,370829,370830,370831,370832,370871,370881,370883,370902,370911,370921,370923,370982,370983,371002,371003,371071,371072,371073,371082,371083,371102,371103,371121,371122,371171,371302,371311,371312,371321,371322,371323,371324,371325,371326,371327,371328,371329,371371,371402,371403,371422,371423,371424,371425,371426,371427,371428,371471,371472,371481,371482,371502,371503,371521,371522,371524,371525,371526,371581,371602,371603,371621,371622,371623,371625,371681,371702,371703,371721,371722,371723,371724,371725,371726,371728,371771,371772,360102,360103,360104,360111,360112,360113,360121,360123,360124,360202,360203,360222,360281,360302,360313,360321,360322,360323,360402,360403,360404,360423,360424,360425,360426,360428,360429,360430,360481,360482,360483,360502,360521,360602,360603,360681,360702,360703,360704,360722,360723,360724,360725,360726,360728,360729,360730,360731,360732,360733,360734,360735,360781,360783,360802,360803,360821,360822,360823,360824,360825,360826,360827,360828,360829,360830,360881,360902,360921,360922,360923,360924,360925,360926,360981,360982,360983,361002,361003,361021,361022,361023,361024,361025,361026,361027,361028,361030,361102,361103,361104,361123,361124,361125,361126,361127,361128,361129,361130,361181', 1, 1, 200, 1, 500, '1', '2023-10-02 18:12:07', '1', '2023-12-20 23:08:13', b'1', 1);
INSERT INTO `trade_delivery_express_template_charge` (`id`, `template_id`, `area_ids`, `charge_mode`, `start_count`, `start_price`, `extra_count`, `extra_price`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (13, 1, '120102,110101,110102,110105,110106,110107,110108,110109,110111,110112,110113,110114,110115,110116,110117,110118,110119,120101,120103,120104,120105,120106,120110,120111,120112,120113,120114,120115,120116,120117,120118,120119,140105,140106,140107,140108,140109,140110,140121,140122,140123,140171,140181,140212,140213,140214,140215,140221,140222,140223,140224,140225,140226,140271,140302,140303,140311,140321,140322,140403,140404,140405,140406,140423,140425,140426,140427,140428,140429,140430,140431,140471,140502,140521,140522,140524,140525,140581,140602,140603,140621,140622,140623,140671,140681,140702,140703,140721,140722,140723,140724,140725,140727,140728,140729,140781,140802,140821,140822,140823,140824,140825,140826,140827,140828,140829,140830,140881,140882,140902,140921,140922,140923,140924,140925,140926,140927,140928,140929,140930,140931,140932,140971,140981,141002,141021,141022,141023,141024,141025,141026,141027,141028,141029,141030,141031,141032,141033,141034,141081,141082,141102,141121,141122,141123,141124,141125,141126,141127,141128,141129,141130,141181,141182,150102,150103,150104,150105,150121,150122,150123,150124,150125,150172,150202,150203,150204,150205,150206,150207,150221,150222,150223,150271,150302,150303,150304,150402,150403,150404,150421,150422,150423,150424,150425,150426,150428,150429,150430,150502,150521,150522,150523,150524,150525,150526,150571,150581,150602,150603,150621,150622,150623,150624,150625,150626,150627,150702,150703,150721,150722,150723,150724,150725,150726,150727,150781,150782,150783,150784,150785,150802,150821,150822,150823,150824,150825,150826,150902,150921,150922,150923,150924,150925,150926,150927,150928,150929,150981,152201,152202,152221,152222,152223,152224,152501,152502,152522,152523,152524,152525,152526,152527,152528,152529,152530,152531,152571,152921,152922,152923,152971,210102,210103,210104,210105,210106,210111,210112,210113,210114,210115,210123,210124,210181,210202,210203,210204,210211,210212,210213,210214,210224,210281,210283,210302,210303,210304,210311,210321,210323,210381,210402,210403,210404,210411,210421,210422,210423,210502,210503,210504,210505,210521,210522,210602,210603,210604,210624,210681,210682,210702,210703,210711,210726,210727,210781,210782,210802,210803,210804,210811,210881,210882,210902,210903,210904,210905,210911,210921,210922,211002,211003,211004,211005,211011,211021,211081,211102,211103,211104,211122,211202,211204,211221,211223,211224,211281,211282,211302,211303,211321,211322,211324,211381,211382,211402,211403,211404,211421,211422,211481,650102,650103,650104,650105,650106,650107,650109,650121,650202,650203,650204,650205,650402,650421,650422,650502,650521,650522,652301,652302,652323,652324,652325,652327,652328,652701,652702,652722,652723,652801,652822,652823,652824,652825,652826,652827,652828,652829,652871,652901,652902,652922,652924,652925,652926,652927,652928,652929,653001,653022,653023,653024,653101,653121,653122,653123,653124,653125,653126,653127,653128,653129,653130,653131,653201,653221,653222,653223,653224,653225,653226,653227,654002,654003,654004,654021,654022,654023,654024,654025,654026,654027,654028,654201,654202,654203,654221,654224,654225,654226,654301,654321,654322,654323,654324,654325,654326,659001,659002,659003,659004,659005,659006,659007,659008,659009,659010,659011,640104,640105,640106,640121,640122,640181,640202,640205,640221,640302,640303,640323,640324,640381,640402,640422,640423,640424,640425,640502,640521,640522,630102,630103,630104,630105,630106,630121,630123,630202,630203,630222,630223,630224,630225,632221,632222,632223,632224,632301,632322,632323,632324,632521,632522,632523,632524,632525,632621,632622,632623,632624,632625,632626,632701,632722,632723,632724,632725,632726,632801,632802,632803,632821,632822,632823,632857,620102,620103,620104,620105,620111,620121,620122,620123,620171,620201,620302,620321,620402,620403,620421,620422,620423,620502,620503,620521,620522,620523,620524,620525,620602,620621,620622,620623,620702,620721,620722,620723,620724,620725,620802,620821,620822,620823,620825,620826,620881,620902,620921,620922,620923,620924,620981,620982,621002,621021,621022,621023,621024,621025,621026,621027,621102,621121,621122,621123,621124,621125,621126,621202,621221,621222,621223,621224,621225,621226,621227,621228,622901,622921,622922,622923,622924,622925,622926,622927,623001,623021,623022,623023,623024,623025,623026,623027,230102,230103,230104,230108,230109,230110,230111,230112,230113,230123,230124,230125,230126,230127,230128,230129,230183,230184,230202,230203,230204,230205,230206,230207,230208,230221,230223,230224,230225,230227,230229,230230,230231,230281,230302,230303,230304,230305,230306,230307,230321,230381,230382,230402,230403,230404,230405,230406,230407,230421,230422,230502,230503,230505,230506,230521,230522,230523,230524,230602,230603,230604,230605,230606,230621,230622,230623,230624,230671,230717,230718,230719,230722,230723,230724,230725,230726,230751,230781,230803,230804,230805,230811,230822,230826,230828,230881,230882,230883,230902,230903,230904,230921,231002,231003,231004,231005,231025,231071,231081,231083,231084,231085,231086,231102,231123,231124,231181,231182,231183,231202,231221,231222,231223,231224,231225,231226,231281,231282,231283,232701,232721,232722,232761,232762,232763,232764,220102,220103,220104,220105,220106,220112,220113,220122,220171,220172,220173,220174,220182,220183,220184,220202,220203,220204,220211,220221,220271,220272,220273,220281,220282,220283,220284,220302,220303,220322,220323,220382,220402,220403,220421,220422,220502,220503,220521,220523,220524,220581,220582,220602,220605,220621,220622,220623,220681,220702,220721,220722,220723,220771,220781,220802,220821,220822,220871,220881,220882,222401,222402,222403,222404,222405,222406,222424,222426,310101,310104,310105,310106,310107,310109,310110,310112,310113,310114,310115,310116,310117,310118,310120,310151,320102,320104,320105,320106,320111,320113,320114,320115,320116,320117,320118,320205,320206,320211,320213,320214,320281,320282,320302,320303,320305,320311,320312,320321,320322,320324,320371,320381,320382,320402,320404,320411,320412,320413,320481,320505,320506,320507,320508,320509,320571,320581,320582,320583,320585,320612,320613,320614,320623,320671,320681,320682,320685,320703,320706,320707,320722,320723,320724,320771,320772,320803,320804,320812,320813,320826,320830,320831,320871,320902,320903,320904,320921,320922,320923,320924,320925,320971,320981,321002,321003,321012,321023,321071,321081,321084,321102,321111,321112,321171,321181,321182,321183,321202,321203,321204,321271,321281,321282,321283,321302,321311,321322,321323,321324,321371,330102,330105,330106,330108,330109,330110,330111,330112,330113,330114,330122,330127,330182,330203,330205,330206,330211,330212,330213,330225,330226,330281,330282,330302,330303,330304,330305,330324,330326,330327,330328,330329,330371,330381,330382,330383,330402,330411,330421,330424,330481,330482,330483,330502,330503,330521,330522,330523,330602,330603,330604,330624,330681,330683,330702,330703,330723,330726,330727,330781,330782,330783,330784,330802,330803,330822,330824,330825,330881,330902,330903,330921,330922,331002,331003,331004,331022,331023,331024,331081,331082,331083,331102,331121,331122,331123,331124,331125,331126,331127,331181,340102,340103,340104,340111,340121,340122,340123,340124,340171,340172,340173,340181,340202,340207,340209,340210,340212,340223,340271,340272,340281,340302,340303,340304,340311,340321,340322,340323,340371,340372,340402,340403,340404,340405,340406,340421,340422,340503,340504,340506,340521,340522,340523,340602,340603,340604,340621,340705,340706,340711,340722,340802,340803,340811,340822,340825,340826,340827,340828,340871,340881,340882,341002,341003,341004,341021,341022,341023,341024,341102,341103,341122,341124,341125,341126,341171,341172,341181,341182,341202,341203,341204,341221,341222,341225,341226,341271,341272,341282,341302,341321,341322,341323,341324,341371,341372,341502,341503,341504,341522,341523,341524,341525,341602,341621,341622,341623,341702,341721,341722,341723,341802,341821,341823,341824,341825,341871,341881,341882,350102,350103,350104,350105,350111,350112,350121,350122,350123,350124,350125,350128,350181,350203,350205,350206,350211,350212,350213,350302,350303,350304,350305,350322,350404,350405,350421,350423,350424,350425,350426,350428,350429,350430,350481,350502,350503,350504,350505,350521,350524,350525,350526,350527,350581,350582,350583,350602,350603,350604,350605,350622,350623,350624,350626,350627,350628,350629,350702,350703,350721,350722,350723,350724,350725,350781,350782,350783,350802,350803,350821,350823,350824,350825,350881,350902,350921,350922,350923,350924,350925,350926,350981,350982,610102,610103,610104,610111,610112,610113,610114,610115,610116,610117,610118,610122,610124,610202,610203,610204,610222,610302,610303,610304,610305,610323,610324,610326,610327,610328,610329,610330,610331,610402,610403,610404,610422,610423,610424,610425,610426,610428,610429,610430,610431,610481,610482,610502,610503,610522,610523,610524,610525,610526,610527,610528,610581,610582,610602,610603,610621,610622,610625,610626,610627,610628,610629,610630,610631,610632,610681,610702,610703,610722,610723,610724,610725,610726,610727,610728,610729,610730,610802,610803,610822,610824,610825,610826,610827,610828,610829,610830,610831,610881,610902,610921,610922,610923,610924,610925,610926,610927,610929,610981,611002,611021,611022,611023,611024,611025,611026,540102,540103,540104,540121,540122,540123,540124,540127,540171,540172,540173,540174,540202,540221,540222,540223,540224,540225,540226,540227,540228,540229,540230,540231,540232,540233,540234,540235,540236,540237,540302,540321,540322,540323,540324,540325,540326,540327,540328,540329,540330,540402,540421,540422,540423,540424,540425,540426,540502,540521,540522,540523,540524,540525,540526,540527,540528,540529,540530,540531,540602,540621,540622,540623,540624,540625,540626,540627,540628,540629,540630,542521,542522,542523,542524,542525,542526,542527,530102,530103,530111,530112,530113,530114,530115,530124,530125,530126,530127,530128,530129,530181,530302,530303,530304,530322,530323,530324,530325,530326,530381,530402,530403,530423,530424,530425,530426,530427,530428,530481,530502,530521,530523,530524,530581,530602,530621,530622,530623,530624,530625,530626,530627,530628,530629,530681,530702,530721,530722,530723,530724,530802,530821,530822,530823,530824,530825,530826,530827,530828,530829,530902,530921,530922,530923,530924,530925,530926,530927,532301,532302,532322,532323,532324,532325,532326,532327,532328,532329,532501,532502,532503,532504,532523,532524,532525,532527,532528,532529,532530,532531,532532,532601,532622,532623,532624,532625,532626,532627,532628,532801,532822,532823,532901,532922,532923,532924,532925,532926,532927,532928,532929,532930,532931,532932,533102,533103,533122,533123,533124,533301,533323,533324,533325,533401,533422,533423,520102,520103,520111,520112,520113,520115,520121,520122,520123,520181,520201,520203,520204,520281,520302,520303,520304,520322,520323,520324,520325,520326,520327,520328,520329,520330,520381,520382,520402,520403,520422,520423,520424,520425,520502,520521,520523,520524,520525,520526,520527,520581,520602,520603,520621,520622,520623,520624,520625,520626,520627,520628,522301,522302,522323,522324,522325,522326,522327,522328,522601,522622,522623,522624,522625,522626,522627,522628,522629,522630,522631,522632,522633,522634,522635,522636,522701,522702,522722,522723,522725,522726,522727,522728,522729,522730,522731,522732,510104,510105,510106,510107,510108,510112,510113,510114,510115,510116,510117,510118,510121,510129,510131,510181,510182,510183,510184,510185,510302,510303,510304,510311,510321,510322,510402,510403,510411,510421,510422,510502,510503,510504,510521,510522,510524,510525,510603,510604,510623,510681,510682,510683,510703,510704,510705,510722,510723,510725,510726,510727,510781,510802,510811,510812,510821,510822,510823,510824,510903,510904,510921,510923,510981,511002,511011,511024,511025,511071,511083,511102,511111,511112,511113,511123,511124,511126,511129,511132,511133,511181,511302,511303,511304,511321,511322,511323,511324,511325,511381,511402,511403,511421,511423,511424,511425,511502,511503,511504,511523,511524,511525,511526,511527,511528,511529,511602,511603,511621,511622,511623,511681,511702,511703,511722,511723,511724,511725,511771,511781,511802,511803,511822,511823,511824,511825,511826,511827,511902,511903,511921,511922,511923,511971,512002,512021,512022,513201,513221,513222,513223,513224,513225,513226,513227,513228,513230,513231,513232,513233,513301,513322,513323,513324,513325,513326,513327,513328,513329,513330,513331,513332,513333,513334,513335,513336,513337,513338,513401,513402,513422,513423,513424,513426,513427,513428,513429,513430,513431,513432,513433,513434,513435,513436,513437,500101,500102,500103,500104,500105,500106,500107,500108,500109,500110,500111,500112,500113,500114,500115,500116,500117,500118,500119,500120,500151,500152,500153,500154,500155,500156,500229,500230,500231,500233,500235,500236,500237,500238,500240,500241,500242,500243,460105,460106,460107,460108,460202,460203,460204,460205,460321,460322,460323,460400,469001,469002,469005,469006,469007,469021,469022,469023,469024,469025,469026,469027,469028,469029,469030,450102,450103,450105,450107,450108,450109,450110,450123,450124,450125,450126,450181,450202,450203,450204,450205,450206,450222,450223,450224,450225,450226,450302,450303,450304,450305,450311,450312,450321,450323,450324,450325,450326,450327,450328,450329,450330,450332,450381,450403,450405,450406,450421,450422,450423,450481,450502,450503,450512,450521,450602,450603,450621,450681,450702,450703,450721,450722,450802,450803,450804,450821,450881,450902,450903,450921,450922,450923,450924,450981,451002,451003,451022,451024,451026,451027,451028,451029,451030,451031,451081,451082,451102,451103,451121,451122,451123,451202,451203,451221,451222,451223,451224,451225,451226,451227,451228,451229,451302,451321,451322,451323,451324,451381,451402,451421,451422,451423,451424,451425,451481,440103,440104,440105,440106,440111,440112,440113,440114,440115,440117,440118,440203,440204,440205,440222,440224,440229,440232,440233,440281,440282,440303,440304,440305,440306,440307,440308,440309,440310,440311,440402,440403,440404,440507,440511,440512,440513,440514,440515,440523,440604,440605,440606,440607,440608,440703,440704,440705,440781,440783,440784,440785,440802,440803,440804,440811,440823,440825,440881,440882,440883,440902,440904,440981,440982,440983,441202,441203,441204,441223,441224,441225,441226,441284,441302,441303,441322,441323,441324,441402,441403,441422,441423,441424,441426,441427,441481,441502,441521,441523,441581,441602,441621,441622,441623,441624,441625,441702,441704,441721,441781,441802,441803,441821,441823,441825,441826,441881,441882,441900,442000,445102,445103,445122,445202,445203,445222,445224,445281,445302,445303,445321,445322,445381,430102,430103,430104,430105,430111,430112,430121,430181,430182,430202,430203,430204,430211,430212,430223,430224,430225,430271,430281,430302,430304,430321,430371,430372,430373,430381,430382,430405,430406,430407,430408,430412,430421,430422,430423,430424,430426,430471,430472,430473,430481,430482,430502,430503,430511,430522,430523,430524,430525,430527,430528,430529,430581,430582,430602,430603,430611,430621,430623,430624,430626,430671,430681,430682,430702,430703,430721,430722,430723,430724,430725,430726,430771,430781,430802,430811,430821,430822,430902,430903,430921,430922,430923,430971,430972,430981,431002,431003,431021,431022,431023,431024,431025,431026,431027,431028,431081,431102,431103,431122,431123,431124,431125,431126,431127,431128,431129,431171,431173,431181,431202,431221,431222,431223,431224,431225,431226,431227,431228,431229,431230,431271,431281,431302,431321,431322,431381,431382,433101,433122,433123,433124,433125,433126,433127,433130,420102,420103,420104,420105,420106,420107,420111,420112,420113,420114,420115,420116,420117,420202,420203,420204,420205,420222,420281,420302,420303,420304,420322,420323,420324,420325,420381,420502,420503,420504,420505,420506,420525,420526,420527,420528,420529,420581,420582,420583,420602,420606,420607,420624,420625,420626,420682,420683,420684,420702,420703,420704,420802,420804,420822,420881,420882,420902,420921,420922,420923,420981,420982,420984,421002,421003,421022,421024,421071,421081,421083,421087,421088,421102,421121,421122,421123,421124,421125,421126,421127,421171,421181,421182,421202,421221,421222,421223,421224,421281,421303,421321,421381,422801,422802,422822,422823,422825,422826,422827,422828,429004,429005,429006,429021,410102,410103,410104,410105,410106,410108,410122,410171,410172,410173,410181,410182,410183,410184,410185,410202,410203,410204,410205,410212,410221,410222,410223,410225,410302,410303,410304,410305,410307,410308,410311,410323,410324,410325,410326,410327,410328,410329,410371,410402,410403,410404,410411,410421,410422,410423,410425,410471,410472,410481,410482,410502,410503,410505,410506,410522,410523,410526,410527,410571,410581,410602,410603,410611,410621,410622,410671,410702,410703,410704,410711,410721,410724,410725,410726,410727,410771,410772,410773,410781,410782,410783,410802,410803,410804,410811,410821,410822,410823,410825,410871,410882,410883,410902,410922,410923,410926,410927,410928,410971,410972,411002,411003,411024,411025,411071,411081,411082,411102,411103,411104,411121,411122,411171,411202,411203,411221,411224,411271,411281,411282,411302,411303,411321,411322,411323,411324,411325,411326,411327,411328,411329,411330,411371,411372,411381,411402,411403,411421,411422,411423,411424,411425,411426,411471,411472,411481,411502,411503,411521,411522,411523,411524,411525,411526,411527,411528,411571,411602,411603,411621,411622,411623,411624,411625,411627,411628,411671,411681,411702,411721,411722,411723,411724,411725,411726,411727,411728,411729,411771,419001,370102,370103,370104,370105,370112,370113,370114,370115,370116,370117,370124,370126,370171,370202,370203,370211,370212,370213,370214,370215,370271,370281,370283,370285,370302,370303,370304,370305,370306,370321,370322,370323,370402,370403,370404,370405,370406,370481,370502,370503,370505,370522,370523,370571,370572,370602,370611,370612,370613,370614,370671,370672,370681,370682,370683,370685,370686,370687,370702,370703,370704,370705,370724,370725,370772,370781,370782,370783,370784,370785,370786,370811,370812,370826,370827,370828,370829,370830,370831,370832,370871,370881,370883,370902,370911,370921,370923,370982,370983,371002,371003,371071,371072,371073,371082,371083,371102,371103,371121,371122,371171,371302,371311,371312,371321,371322,371323,371324,371325,371326,371327,371328,371329,371371,371402,371403,371422,371423,371424,371425,371426,371427,371428,371471,371472,371481,371482,371502,371503,371521,371522,371524,371525,371526,371581,371602,371603,371621,371622,371623,371625,371681,371702,371703,371721,371722,371723,371724,371725,371726,371728,371771,371772,360102,360103,360104,360111,360112,360113,360121,360123,360124,360202,360203,360222,360281,360302,360313,360321,360322,360323,360402,360403,360404,360423,360424,360425,360426,360428,360429,360430,360481,360482,360483,360502,360521,360602,360603,360681,360702,360703,360704,360722,360723,360724,360725,360726,360728,360729,360730,360731,360732,360733,360734,360735,360781,360783,360802,360803,360821,360822,360823,360824,360825,360826,360827,360828,360829,360830,360881,360902,360921,360922,360923,360924,360925,360926,360981,360982,360983,361002,361003,361021,361022,361023,361024,361025,361026,361027,361028,361030,361102,361103,361104,361123,361124,361125,361126,361127,361128,361129,361130,361181,130102,130104,130105,130107,130108,130109,130110,130111,130121,130123,130125,130126,130127,130128,130129,130130,130131,130132,130133,130171,130172,130181,130183,130184,130202,130203,130204,130205,130207,130208,130209,130224,130225,130227,130229,130271,130272,130273,130274,130281,130283,130284,130302,130303,130304,130306,130321,130322,130324,130371,130372,130402,130403,130404,130406,130407,130408,130423,130424,130425,130426,130427,130430,130431,130432,130433,130434,130435,130471,130473,130481,130502,130503,130505,130506,130522,130523,130524,130525,130528,130529,130530,130531,130532,130533,130534,130535,130571,130581,130582,130602,130606,130607,130608,130609,130623,130624,130626,130627,130628,130629,130630,130631,130632,130633,130634,130635,130636,130637,130638,130671,130672,130681,130682,130683,130684,130702,130703,130705,130706,130708,130709,130722,130723,130724,130725,130726,130727,130728,130730,130731,130732,130771,130772,130773,130802,130803,130804,130821,130822,130824,130825,130826,130827,130828,130871,130881,130902,130903,130921,130922,130923,130924,130925,130926,130927,130928,130929,130930,130971,130972,130973,130981,130982,130983,130984,131002,131003,131022,131023,131024,131025,131026,131028,131071,131081,131082,131102,131103,131121,131122,131123,131124,131125,131126,131127,131128,131171,131172,131182', 3, 1, 100, 1, 500, '1', '2023-10-02 18:12:31', '1', '2023-12-24 11:31:31', b'0', 1), (14, 4, '110101,110102,110105,110106,110107,110108,110109,110111,110112,110113,110114,110115,110116,110117,110118,110119', 2, 1, 100, 1, 100, '1', '2023-10-02 18:29:40', '1', '2023-12-24 11:30:58', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for trade_delivery_express_template_free
-- ----------------------------
DROP TABLE IF EXISTS `trade_delivery_express_template_free`;
CREATE TABLE `trade_delivery_express_template_free`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `template_id` bigint NOT NULL COMMENT '快递运费模板编号',
  `area_ids` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '包邮区域 id',
  `free_price` int NOT NULL COMMENT '包邮金额，单位：分',
  `free_count` int NOT NULL DEFAULT 0 COMMENT '包邮件数,',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 21 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '快递运费模板包邮配置';

-- ----------------------------
-- Records of trade_delivery_express_template_free
-- ----------------------------
BEGIN;
INSERT INTO `trade_delivery_express_template_free` (`id`, `template_id`, `area_ids`, `free_price`, `free_count`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (1, 1, '110101', 100, 1, '1', '2023-05-24 23:59:25', '1', '2023-08-31 07:46:59', b'1', 1), (2, 1, '110101', 100, 1, '1', '2023-08-31 15:47:00', '1', '2023-10-02 09:39:29', b'1', 1), (3, 1, '110101', 100, 1, '1', '2023-10-02 17:39:30', '1', '2023-10-02 09:39:41', b'1', 1), (4, 1, '110101', 100, 1, '1', '2023-10-02 17:39:42', '1', '2023-10-02 09:41:37', b'1', 1), (5, 1, '110101', 100000000, 1, '1', '2023-10-02 17:41:38', '1', '2023-10-02 09:41:52', b'1', 1), (6, 1, '110101', 100000000, 1, '1', '2023-10-02 17:41:53', '1', '2023-10-02 09:44:33', b'1', 1), (7, 1, '110101', 100000000, 1, '1', '2023-10-02 17:44:34', '1', '2023-10-02 09:52:59', b'1', 1), (8, 1, '110101', 100000000, 1, '1', '2023-10-02 17:53:00', '1', '2023-10-02 09:55:14', b'1', 1), (9, 1, '110101,110102,110105,110106,110107,110108,110109,110111,110112,110113,110114,110115,110116,110117,110118,110119,130102,130104,130105,130107,130108,130109,130110,130111,130121,130123,130125,130126,130127,130128,130129,130130,130131,130132,130133,130171,130172,130181,130183,130184,130202,130203,130204,130205,130207,130208,130209,130224,130225,130227,130229,130271,130272,130273,130274,130281,130283,130284,130302,130303,130304,130306,130321,130322,130324,130371,130372,130402,130403,130404,130406,130407,130408,130423,130424,130425,130426,130427,130430,130431,130432,130433,130434,130435,130471,130473,130481,130502,130503,130505,130506,130522,130523,130524,130525,130528,130529,130530,130531,130532,130533,130534,130535,130571,130581,130582,130602,130606,130607,130608,130609,130623,130624,130626,130627,130628,130629,130630,130631,130632,130633,130634,130635,130636,130637,130638,130671,130672,130681,130682,130683,130684,130702,130703,130705,130706,130708,130709,130722,130723,130724,130725,130726,130727,130728,130730,130731,130732,130771,130772,130773,130802,130803,130804,130821,130822,130824,130825,130826,130827,130828,130871,130881,130902,130903,130921,130922,130923,130924,130925,130926,130927,130928,130929,130930,130971,130972,130973,130981,130982,130983,130984,131002,131003,131022,131023,131024,131025,131026,131028,131071,131081,131082,131102,131103,131121,131122,131123,131124,131125,131126,131127,131128,131171,131172,131182', 100, 1, '1', '2023-10-02 17:53:00', '1', '2023-10-02 09:55:14', b'1', 1), (10, 1, '110101', 1000, 1, '1', '2023-10-02 17:55:14', '1', '2023-10-02 10:11:53', b'1', 1), (11, 1, '110101,110102,110105,110106,110107,110108,110109,110111,110112,110113,110114,110115,110116,110117,110118,110119,130102,130104,130105,130107,130108,130109,130110,130111,130121,130123,130125,130126,130127,130128,130129,130130,130131,130132,130133,130171,130172,130181,130183,130184,130202,130203,130204,130205,130207,130208,130209,130224,130225,130227,130229,130271,130272,130273,130274,130281,130283,130284,130302,130303,130304,130306,130321,130322,130324,130371,130372,130402,130403,130404,130406,130407,130408,130423,130424,130425,130426,130427,130430,130431,130432,130433,130434,130435,130471,130473,130481,130502,130503,130505,130506,130522,130523,130524,130525,130528,130529,130530,130531,130532,130533,130534,130535,130571,130581,130582,130602,130606,130607,130608,130609,130623,130624,130626,130627,130628,130629,130630,130631,130632,130633,130634,130635,130636,130637,130638,130671,130672,130681,130682,130683,130684,130702,130703,130705,130706,130708,130709,130722,130723,130724,130725,130726,130727,130728,130730,130731,130732,130771,130772,130773,130802,130803,130804,130821,130822,130824,130825,130826,130827,130828,130871,130881,130902,130903,130921,130922,130923,130924,130925,130926,130927,130928,130929,130930,130971,130972,130973,130981,130982,130983,130984,131002,131003,131022,131023,131024,131025,131026,131028,131071,131081,131082,131102,131103,131121,131122,131123,131124,131125,131126,131127,131128,131171,131172,131182', 100, 1, '1', '2023-10-02 17:55:14', '1', '2023-10-02 10:11:53', b'1', 1), (12, 1, '110101,110102,110105,110106,110107,110108,110109,110111,110112,110113,110114,110115,110116,110117,110118,110119,130102,130104,130105,130107,130108,130109,130110,130111,130121,130123,130125,130126,130127,130128,130129,130130,130131,130132,130133,130171,130172,130181,130183,130184,130202,130203,130204,130205,130207,130208,130209,130224,130225,130227,130229,130271,130272,130273,130274,130281,130283,130284,130302,130303,130304,130306,130321,130322,130324,130371,130372,130402,130403,130404,130406,130407,130408,130423,130424,130425,130426,130427,130430,130431,130432,130433,130434,130435,130471,130473,130481,130502,130503,130505,130506,130522,130523,130524,130525,130528,130529,130530,130531,130532,130533,130534,130535,130571,130581,130582,130602,130606,130607,130608,130609,130623,130624,130626,130627,130628,130629,130630,130631,130632,130633,130634,130635,130636,130637,130638,130671,130672,130681,130682,130683,130684,130702,130703,130705,130706,130708,130709,130722,130723,130724,130725,130726,130727,130728,130730,130731,130732,130771,130772,130773,130802,130803,130804,130821,130822,130824,130825,130826,130827,130828,130871,130881,130902,130903,130921,130922,130923,130924,130925,130926,130927,130928,130929,130930,130971,130972,130973,130981,130982,130983,130984,131002,131003,131022,131023,131024,131025,131026,131028,131071,131081,131082,131102,131103,131121,131122,131123,131124,131125,131126,131127,131128,131171,131172,131182', 100, 1, '1', '2023-10-02 18:11:50', '1', '2023-10-02 10:12:13', b'1', 1), (13, 1, '110101,110102,110105,110106,110107,110108,110109,110111,110112,110113,110114,110115,110116,110117,110118,110119', 100, 1, '1', '2023-10-02 18:11:51', '1', '2023-10-02 10:12:13', b'1', 1), (14, 1, '110101,110102,110105,110106,110107,110108,110109,110111,110112,110113,110114,110115,110116,110117,110118,110119,120101,120102,120103,120104,120105,120106,120110,120111,120112,120113,120114,120115,120116,120117,120118,120119', 100, 1, '1', '2023-10-02 18:12:10', '1', '2023-10-02 10:12:52', b'1', 1), (15, 1, '110101,110102,110105,110106,110107,110108,110109,110111,110112,110113,110114,110115,110116,110117,110118,110119,120101,120102,120103,120104,120105,120106,120110,120111,120112,120113,120114,120115,120116,120117,120118,120119', 100, 1, '1', '2023-10-02 18:12:39', '1', '2023-10-02 10:27:41', b'1', 1), (16, 1, '110101,110102,110105,110106,110107,110108,110109,110111,110112,110113,110114,110115,110116,110117,110118,110119,120101,120102,120103,120104,120105,120106,120110,120111,120112,120113,120114,120115,120116,120117,120118,120119', 100, 1, '1', '2023-10-02 18:27:41', '1', '2023-10-02 10:28:52', b'1', 1), (17, 1, '110101,110102,110105,110106,110107,110108,110109,110111,110112,110113,110114,110115,110116,110117,110118,110119', 100, 1, '1', '2023-10-02 18:27:41', '1', '2023-10-02 10:28:52', b'1', 1), (18, 1, '110101,110102,110105,110106,110107,110108,110109,110111,110112,110113,110114,110115,110116,110117,110118,110119,120101,120102,120103,120104,120105,120106,120110,120111,120112,120113,120114,120115,120116,120117,120118,120119', 100, 1, '1', '2023-10-02 18:28:52', '1', '2023-10-02 10:29:10', b'1', 1), (19, 1, '110101,110102,110105,110106,110107,110108,110109,110111,110112,110113,110114,110115,110116,110117,110118,110119', 100, 1, '1', '2023-10-02 18:28:52', '1', '2023-10-02 10:29:10', b'1', 1), (20, 4, '110101,110102,110105,110106,110107,110108,110109,110111,110112,110113,110114,110115,110116,110117,110118,110119,120101,120102,120103,120104,120105,120106,120110,120111,120112,120113,120114,120115,120116,120117,120118,120119,130102,130104,130105,130107,130108,130109,130110,130111,130121,130123,130125,130126,130127,130128,130129,130130,130131,130132,130133,130171,130172,130181,130183,130184,130202,130203,130204,130205,130207,130208,130209,130224,130225,130227,130229,130271,130272,130273,130274,130281,130283,130284,130302,130303,130304,130306,130321,130322,130324,130371,130372,130402,130403,130404,130406,130407,130408,130423,130424,130425,130426,130427,130430,130431,130432,130433,130434,130435,130471,130473,130481,130502,130503,130505,130506,130522,130523,130524,130525,130528,130529,130530,130531,130532,130533,130534,130535,130571,130581,130582,130602,130606,130607,130608,130609,130623,130624,130626,130627,130628,130629,130630,130631,130632,130633,130634,130635,130636,130637,130638,130671,130672,130681,130682,130683,130684,130702,130703,130705,130706,130708,130709,130722,130723,130724,130725,130726,130727,130728,130730,130731,130732,130771,130772,130773,130802,130803,130804,130821,130822,130824,130825,130826,130827,130828,130871,130881,130902,130903,130921,130922,130923,130924,130925,130926,130927,130928,130929,130930,130971,130972,130973,130981,130982,130983,130984,131002,131003,131022,131023,131024,131025,131026,131028,131071,131081,131082,131102,131103,131121,131122,131123,131124,131125,131126,131127,131128,131171,131172,131182,140105,140106,140107,140108,140109,140110,140121,140122,140123,140171,140181,140212,140213,140214,140215,140221,140222,140223,140224,140225,140226,140271,140302,140303,140311,140321,140322,140403,140404,140405,140406,140423,140425,140426,140427,140428,140429,140430,140431,140471,140502,140521,140522,140524,140525,140581,140602,140603,140621,140622,140623,140671,140681,140702,140703,140721,140722,140723,140724,140725,140727,140728,140729,140781,140802,140821,140822,140823,140824,140825,140826,140827,140828,140829,140830,140881,140882,140902,140921,140922,140923,140924,140925,140926,140927,140928,140929,140930,140931,140932,140971,140981,141002,141021,141022,141023,141024,141025,141026,141027,141028,141029,141030,141031,141032,141033,141034,141081,141082,141102,141121,141122,141123,141124,141125,141126,141127,141128,141129,141130,141181,141182,150102,150103,150104,150105,150121,150122,150123,150124,150125,150172,150202,150203,150204,150205,150206,150207,150221,150222,150223,150271,150302,150303,150304,150402,150403,150404,150421,150422,150423,150424,150425,150426,150428,150429,150430,150502,150521,150522,150523,150524,150525,150526,150571,150581,150602,150603,150621,150622,150623,150624,150625,150626,150627,150702,150703,150721,150722,150723,150724,150725,150726,150727,150781,150782,150783,150784,150785,150802,150821,150822,150823,150824,150825,150826,150902,150921,150922,150923,150924,150925,150926,150927,150928,150929,150981,152201,152202,152221,152222,152223,152224,152501,152502,152522,152523,152524,152525,152526,152527,152528,152529,152530,152531,152571,152921,152922,152923,152971,210102,210103,210104,210105,210106,210111,210112,210113,210114,210115,210123,210124,210181,210202,210203,210204,210211,210212,210213,210214,210224,210281,210283,210302,210303,210304,210311,210321,210323,210381,210402,210403,210404,210411,210421,210422,210423,210502,210503,210504,210505,210521,210522,210602,210603,210604,210624,210681,210682,210702,210703,210711,210726,210727,210781,210782,210802,210803,210804,210811,210881,210882,210902,210903,210904,210905,210911,210921,210922,211002,211003,211004,211005,211011,211021,211081,211102,211103,211104,211122,211202,211204,211221,211223,211224,211281,211282,211302,211303,211321,211322,211324,211381,211382,211402,211403,211404,211421,211422,211481,650102,650103,650104,650105,650106,650107,650109,650121,650202,650203,650204,650205,650402,650421,650422,650502,650521,650522,652301,652302,652323,652324,652325,652327,652328,652701,652702,652722,652723,652801,652822,652823,652824,652825,652826,652827,652828,652829,652871,652901,652902,652922,652924,652925,652926,652927,652928,652929,653001,653022,653023,653024,653101,653121,653122,653123,653124,653125,653126,653127,653128,653129,653130,653131,653201,653221,653222,653223,653224,653225,653226,653227,654002,654003,654004,654021,654022,654023,654024,654025,654026,654027,654028,654201,654202,654203,654221,654224,654225,654226,654301,654321,654322,654323,654324,654325,654326,659001,659002,659003,659004,659005,659006,659007,659008,659009,659010,659011,640104,640105,640106,640121,640122,640181,640202,640205,640221,640302,640303,640323,640324,640381,640402,640422,640423,640424,640425,640502,640521,640522,630102,630103,630104,630105,630106,630121,630123,630202,630203,630222,630223,630224,630225,632221,632222,632223,632224,632301,632322,632323,632324,632521,632522,632523,632524,632525,632621,632622,632623,632624,632625,632626,632701,632722,632723,632724,632725,632726,632801,632802,632803,632821,632822,632823,632857,620102,620103,620104,620105,620111,620121,620122,620123,620171,620201,620302,620321,620402,620403,620421,620422,620423,620502,620503,620521,620522,620523,620524,620525,620602,620621,620622,620623,620702,620721,620722,620723,620724,620725,620802,620821,620822,620823,620825,620826,620881,620902,620921,620922,620923,620924,620981,620982,621002,621021,621022,621023,621024,621025,621026,621027,621102,621121,621122,621123,621124,621125,621126,621202,621221,621222,621223,621224,621225,621226,621227,621228,622901,622921,622922,622923,622924,622925,622926,622927,623001,623021,623022,623023,623024,623025,623026,623027,610102,610103,610104,610111,610112,610113,610114,610115,610116,610117,610118,610122,610124,610202,610203,610204,610222,610302,610303,610304,610305,610323,610324,610326,610327,610328,610329,610330,610331,610402,610403,610404,610422,610423,610424,610425,610426,610428,610429,610430,610431,610481,610482,610502,610503,610522,610523,610524,610525,610526,610527,610528,610581,610582,610602,610603,610621,610622,610625,610626,610627,610628,610629,610630,610631,610632,610681,610702,610703,610722,610723,610724,610725,610726,610727,610728,610729,610730,610802,610803,610822,610824,610825,610826,610827,610828,610829,610830,610831,610881,610902,610921,610922,610923,610924,610925,610926,610927,610929,610981,611002,611021,611022,611023,611024,611025,611026,540102,540103,540104,540121,540122,540123,540124,540127,540171,540172,540173,540174,540202,540221,540222,540223,540224,540225,540226,540227,540228,540229,540230,540231,540232,540233,540234,540235,540236,540237,540302,540321,540322,540323,540324,540325,540326,540327,540328,540329,540330,540402,540421,540422,540423,540424,540425,540426,540502,540521,540522,540523,540524,540525,540526,540527,540528,540529,540530,540531,540602,540621,540622,540623,540624,540625,540626,540627,540628,540629,540630,542521,542522,542523,542524,542525,542526,542527,530102,530103,530111,530112,530113,530114,530115,530124,530125,530126,530127,530128,530129,530181,530302,530303,530304,530322,530323,530324,530325,530326,530381,530402,530403,530423,530424,530425,530426,530427,530428,530481,530502,530521,530523,530524,530581,530602,530621,530622,530623,530624,530625,530626,530627,530628,530629,530681,530702,530721,530722,530723,530724,530802,530821,530822,530823,530824,530825,530826,530827,530828,530829,530902,530921,530922,530923,530924,530925,530926,530927,532301,532302,532322,532323,532324,532325,532326,532327,532328,532329,532501,532502,532503,532504,532523,532524,532525,532527,532528,532529,532530,532531,532532,532601,532622,532623,532624,532625,532626,532627,532628,532801,532822,532823,532901,532922,532923,532924,532925,532926,532927,532928,532929,532930,532931,532932,533102,533103,533122,533123,533124,533301,533323,533324,533325,533401,533422,533423,520102,520103,520111,520112,520113,520115,520121,520122,520123,520181,520201,520203,520204,520281,520302,520303,520304,520322,520323,520324,520325,520326,520327,520328,520329,520330,520381,520382,520402,520403,520422,520423,520424,520425,520502,520521,520523,520524,520525,520526,520527,520581,520602,520603,520621,520622,520623,520624,520625,520626,520627,520628,522301,522302,522323,522324,522325,522326,522327,522328,522601,522622,522623,522624,522625,522626,522627,522628,522629,522630,522631,522632,522633,522634,522635,522636,522701,522702,522722,522723,522725,522726,522727,522728,522729,522730,522731,522732,510104,510105,510106,510107,510108,510112,510113,510114,510115,510116,510117,510118,510121,510129,510131,510181,510182,510183,510184,510185,510302,510303,510304,510311,510321,510322,510402,510403,510411,510421,510422,510502,510503,510504,510521,510522,510524,510525,510603,510604,510623,510681,510682,510683,510703,510704,510705,510722,510723,510725,510726,510727,510781,510802,510811,510812,510821,510822,510823,510824,510903,510904,510921,510923,510981,511002,511011,511024,511025,511071,511083,511102,511111,511112,511113,511123,511124,511126,511129,511132,511133,511181,511302,511303,511304,511321,511322,511323,511324,511325,511381,511402,511403,511421,511423,511424,511425,511502,511503,511504,511523,511524,511525,511526,511527,511528,511529,511602,511603,511621,511622,511623,511681,511702,511703,511722,511723,511724,511725,511771,511781,511802,511803,511822,511823,511824,511825,511826,511827,511902,511903,511921,511922,511923,511971,512002,512021,512022,513201,513221,513222,513223,513224,513225,513226,513227,513228,513230,513231,513232,513233,513301,513322,513323,513324,513325,513326,513327,513328,513329,513330,513331,513332,513333,513334,513335,513336,513337,513338,513401,513402,513422,513423,513424,513426,513427,513428,513429,513430,513431,513432,513433,513434,513435,513436,513437,500101,500102,500103,500104,500105,500106,500107,500108,500109,500110,500111,500112,500113,500114,500115,500116,500117,500118,500119,500120,500151,500152,500153,500154,500155,500156,500229,500230,500231,500233,500235,500236,500237,500238,500240,500241,500242,500243,460105,460106,460107,460108,460202,460203,460204,460205,460321,460322,460323,460400,469001,469002,469005,469006,469007,469021,469022,469023,469024,469025,469026,469027,469028,469029,469030,440103,440104,440105,440106,440111,440112,440113,440114,440115,440117,440118,440203,440204,440205,440222,440224,440229,440232,440233,440281,440282,440303,440304,440305,440306,440307,440308,440309,440310,440311,440402,440403,440404,440507,440511,440512,440513,440514,440515,440523,440604,440605,440606,440607,440608,440703,440704,440705,440781,440783,440784,440785,440802,440803,440804,440811,440823,440825,440881,440882,440883,440902,440904,440981,440982,440983,441202,441203,441204,441223,441224,441225,441226,441284,441302,441303,441322,441323,441324,441402,441403,441422,441423,441424,441426,441427,441481,441502,441521,441523,441581,441602,441621,441622,441623,441624,441625,441702,441704,441721,441781,441802,441803,441821,441823,441825,441826,441881,441882,441900,442000,445102,445103,445122,445202,445203,445222,445224,445281,445302,445303,445321,445322,445381,450102,450103,450105,450107,450108,450109,450110,450123,450124,450125,450126,450181,450202,450203,450204,450205,450206,450222,450223,450224,450225,450226,450302,450303,450304,450305,450311,450312,450321,450323,450324,450325,450326,450327,450328,450329,450330,450332,450381,450403,450405,450406,450421,450422,450423,450481,450502,450503,450512,450521,450602,450603,450621,450681,450702,450703,450721,450722,450802,450803,450804,450821,450881,450902,450903,450921,450922,450923,450924,450981,451002,451003,451022,451024,451026,451027,451028,451029,451030,451031,451081,451082,451102,451103,451121,451122,451123,451202,451203,451221,451222,451223,451224,451225,451226,451227,451228,451229,451302,451321,451322,451323,451324,451381,451402,451421,451422,451423,451424,451425,451481,230102,230103,230104,230108,230109,230110,230111,230112,230113,230123,230124,230125,230126,230127,230128,230129,230183,230184,230202,230203,230204,230205,230206,230207,230208,230221,230223,230224,230225,230227,230229,230230,230231,230281,230302,230303,230304,230305,230306,230307,230321,230381,230382,230402,230403,230404,230405,230406,230407,230421,230422,230502,230503,230505,230506,230521,230522,230523,230524,230602,230603,230604,230605,230606,230621,230622,230623,230624,230671,230717,230718,230719,230722,230723,230724,230725,230726,230751,230781,230803,230804,230805,230811,230822,230826,230828,230881,230882,230883,230902,230903,230904,230921,231002,231003,231004,231005,231025,231071,231081,231083,231084,231085,231086,231102,231123,231124,231181,231182,231183,231202,231221,231222,231223,231224,231225,231226,231281,231282,231283,232701,232721,232722,232761,232762,232763,232764,220102,220103,220104,220105,220106,220112,220113,220122,220171,220172,220173,220174,220182,220183,220184,220202,220203,220204,220211,220221,220271,220272,220273,220281,220282,220283,220284,220302,220303,220322,220323,220382,220402,220403,220421,220422,220502,220503,220521,220523,220524,220581,220582,220602,220605,220621,220622,220623,220681,220702,220721,220722,220723,220771,220781,220802,220821,220822,220871,220881,220882,222401,222402,222403,222404,222405,222406,222424,222426,310101,310104,310105,310106,310107,310109,310110,310112,310113,310114,310115,310116,310117,310118,310120,310151,320102,320104,320105,320106,320111,320113,320114,320115,320116,320117,320118,320205,320206,320211,320213,320214,320281,320282,320302,320303,320305,320311,320312,320321,320322,320324,320371,320381,320382,320402,320404,320411,320412,320413,320481,320505,320506,320507,320508,320509,320571,320581,320582,320583,320585,320612,320613,320614,320623,320671,320681,320682,320685,320703,320706,320707,320722,320723,320724,320771,320772,320803,320804,320812,320813,320826,320830,320831,320871,320902,320903,320904,320921,320922,320923,320924,320925,320971,320981,321002,321003,321012,321023,321071,321081,321084,321102,321111,321112,321171,321181,321182,321183,321202,321203,321204,321271,321281,321282,321283,321302,321311,321322,321323,321324,321371,330102,330105,330106,330108,330109,330110,330111,330112,330113,330114,330122,330127,330182,330203,330205,330206,330211,330212,330213,330225,330226,330281,330282,330302,330303,330304,330305,330324,330326,330327,330328,330329,330371,330381,330382,330383,330402,330411,330421,330424,330481,330482,330483,330502,330503,330521,330522,330523,330602,330603,330604,330624,330681,330683,330702,330703,330723,330726,330727,330781,330782,330783,330784,330802,330803,330822,330824,330825,330881,330902,330903,330921,330922,331002,331003,331004,331022,331023,331024,331081,331082,331083,331102,331121,331122,331123,331124,331125,331126,331127,331181,340102,340103,340104,340111,340121,340122,340123,340124,340171,340172,340173,340181,340202,340207,340209,340210,340212,340223,340271,340272,340281,340302,340303,340304,340311,340321,340322,340323,340371,340372,340402,340403,340404,340405,340406,340421,340422,340503,340504,340506,340521,340522,340523,340602,340603,340604,340621,340705,340706,340711,340722,340802,340803,340811,340822,340825,340826,340827,340828,340871,340881,340882,341002,341003,341004,341021,341022,341023,341024,341102,341103,341122,341124,341125,341126,341171,341172,341181,341182,341202,341203,341204,341221,341222,341225,341226,341271,341272,341282,341302,341321,341322,341323,341324,341371,341372,341502,341503,341504,341522,341523,341524,341525,341602,341621,341622,341623,341702,341721,341722,341723,341802,341821,341823,341824,341825,341871,341881,341882,350102,350103,350104,350105,350111,350112,350121,350122,350123,350124,350125,350128,350181,350203,350205,350206,350211,350212,350213,350302,350303,350304,350305,350322,350404,350405,350421,350423,350424,350425,350426,350428,350429,350430,350481,350502,350503,350504,350505,350521,350524,350525,350526,350527,350581,350582,350583,350602,350603,350604,350605,350622,350623,350624,350626,350627,350628,350629,350702,350703,350721,350722,350723,350724,350725,350781,350782,350783,350802,350803,350821,350823,350824,350825,350881,350902,350921,350922,350923,350924,350925,350926,350981,350982,360102,360103,360104,360111,360112,360113,360121,360123,360124,360202,360203,360222,360281,360302,360313,360321,360322,360323,360402,360403,360404,360423,360424,360425,360426,360428,360429,360430,360481,360482,360483,360502,360521,360602,360603,360681,360702,360703,360704,360722,360723,360724,360725,360726,360728,360729,360730,360731,360732,360733,360734,360735,360781,360783,360802,360803,360821,360822,360823,360824,360825,360826,360827,360828,360829,360830,360881,360902,360921,360922,360923,360924,360925,360926,360981,360982,360983,361002,361003,361021,361022,361023,361024,361025,361026,361027,361028,361030,361102,361103,361104,361123,361124,361125,361126,361127,361128,361129,361130,361181,370102,370103,370104,370105,370112,370113,370114,370115,370116,370117,370124,370126,370171,370202,370203,370211,370212,370213,370214,370215,370271,370281,370283,370285,370302,370303,370304,370305,370306,370321,370322,370323,370402,370403,370404,370405,370406,370481,370502,370503,370505,370522,370523,370571,370572,370602,370611,370612,370613,370614,370671,370672,370681,370682,370683,370685,370686,370687,370702,370703,370704,370705,370724,370725,370772,370781,370782,370783,370784,370785,370786,370811,370812,370826,370827,370828,370829,370830,370831,370832,370871,370881,370883,370902,370911,370921,370923,370982,370983,371002,371003,371071,371072,371073,371082,371083,371102,371103,371121,371122,371171,371302,371311,371312,371321,371322,371323,371324,371325,371326,371327,371328,371329,371371,371402,371403,371422,371423,371424,371425,371426,371427,371428,371471,371472,371481,371482,371502,371503,371521,371522,371524,371525,371526,371581,371602,371603,371621,371622,371623,371625,371681,371702,371703,371721,371722,371723,371724,371725,371726,371728,371771,371772,410102,410103,410104,410105,410106,410108,410122,410171,410172,410173,410181,410182,410183,410184,410185,410202,410203,410204,410205,410212,410221,410222,410223,410225,410302,410303,410304,410305,410307,410308,410311,410323,410324,410325,410326,410327,410328,410329,410371,410402,410403,410404,410411,410421,410422,410423,410425,410471,410472,410481,410482,410502,410503,410505,410506,410522,410523,410526,410527,410571,410581,410602,410603,410611,410621,410622,410671,410702,410703,410704,410711,410721,410724,410725,410726,410727,410771,410772,410773,410781,410782,410783,410802,410803,410804,410811,410821,410822,410823,410825,410871,410882,410883,410902,410922,410923,410926,410927,410928,410971,410972,411002,411003,411024,411025,411071,411081,411082,411102,411103,411104,411121,411122,411171,411202,411203,411221,411224,411271,411281,411282,411302,411303,411321,411322,411323,411324,411325,411326,411327,411328,411329,411330,411371,411372,411381,411402,411403,411421,411422,411423,411424,411425,411426,411471,411472,411481,411502,411503,411521,411522,411523,411524,411525,411526,411527,411528,411571,411602,411603,411621,411622,411623,411624,411625,411627,411628,411671,411681,411702,411721,411722,411723,411724,411725,411726,411727,411728,411729,411771,419001,420102,420103,420104,420105,420106,420107,420111,420112,420113,420114,420115,420116,420117,420202,420203,420204,420205,420222,420281,420302,420303,420304,420322,420323,420324,420325,420381,420502,420503,420504,420505,420506,420525,420526,420527,420528,420529,420581,420582,420583,420602,420606,420607,420624,420625,420626,420682,420683,420684,420702,420703,420704,420802,420804,420822,420881,420882,420902,420921,420922,420923,420981,420982,420984,421002,421003,421022,421024,421071,421081,421083,421087,421088,421102,421121,421122,421123,421124,421125,421126,421127,421171,421181,421182,421202,421221,421222,421223,421224,421281,421303,421321,421381,422801,422802,422822,422823,422825,422826,422827,422828,429004,429005,429006,429021,430102,430103,430104,430105,430111,430112,430121,430181,430182,430202,430203,430204,430211,430212,430223,430224,430225,430271,430281,430302,430304,430321,430371,430372,430373,430381,430382,430405,430406,430407,430408,430412,430421,430422,430423,430424,430426,430471,430472,430473,430481,430482,430502,430503,430511,430522,430523,430524,430525,430527,430528,430529,430581,430582,430602,430603,430611,430621,430623,430624,430626,430671,430681,430682,430702,430703,430721,430722,430723,430724,430725,430726,430771,430781,430802,430811,430821,430822,430902,430903,430921,430922,430923,430971,430972,430981,431002,431003,431021,431022,431023,431024,431025,431026,431027,431028,431081,431102,431103,431122,431123,431124,431125,431126,431127,431128,431129,431171,431173,431181,431202,431221,431222,431223,431224,431225,431226,431227,431228,431229,431230,431271,431281,431302,431321,431322,431381,431382,433101,433122,433123,433124,433125,433126,433127,433130', 100, 1, '1', '2023-12-24 11:30:19', '1', '2023-12-20 23:11:27', b'1', 1);
COMMIT;

-- ----------------------------
-- Table structure for trade_delivery_pick_up_store
-- ----------------------------
DROP TABLE IF EXISTS `trade_delivery_pick_up_store`;
CREATE TABLE `trade_delivery_pick_up_store`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '门店名称',
  `introduction` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '门店简介',
  `phone` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '门店手机',
  `area_id` int NOT NULL COMMENT '区域编号',
  `detail_address` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '门店详细地址',
  `logo` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '门店 logo',
  `opening_time` time NOT NULL COMMENT '营业开始时间',
  `closing_time` time NOT NULL COMMENT '营业结束时间',
  `latitude` double NOT NULL COMMENT '纬度',
  `longitude` double NOT NULL COMMENT '经度',
  `status` tinyint NOT NULL DEFAULT 0 COMMENT '门店状态',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '自提门店';

-- ----------------------------
-- Records of trade_delivery_pick_up_store
-- ----------------------------
BEGIN;
INSERT INTO `trade_delivery_pick_up_store` (`id`, `name`, `introduction`, `phone`, `area_id`, `detail_address`, `logo`, `opening_time`, `closing_time`, `latitude`, `longitude`, `status`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (1, '测试自提点', NULL, '15601691300', 110101, '徐汇区土豆饼', 'http://test.yudao.iocoder.cn/604bdc695e13b3b22745be704d1f2aa8ee05c5f26f9fead6d1ca49005afbc857.jpeg', '08:30:00', '23:12:00', 31.40527, 121.48941, 0, '', '2023-09-20 15:13:05', '1', '2024-01-16 23:41:01', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for trade_order
-- ----------------------------
DROP TABLE IF EXISTS `trade_order`;
CREATE TABLE `trade_order`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '订单编号',
  `no` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '订单流水号',
  `type` int NOT NULL DEFAULT 0 COMMENT '订单类型',
  `terminal` int NOT NULL COMMENT '订单来源终端',
  `user_id` bigint UNSIGNED NOT NULL COMMENT '用户编号',
  `user_ip` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '用户 IP',
  `user_remark` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '用户备注',
  `status` int NOT NULL DEFAULT 0 COMMENT '订单状态',
  `product_count` int NOT NULL COMMENT '购买的商品数量',
  `cancel_type` int NULL DEFAULT NULL COMMENT '取消类型',
  `remark` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '商家备注',
  `comment_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否评价',
  `brokerage_user_id` bigint NULL DEFAULT NULL COMMENT '推广人编号',
  `pay_order_id` bigint NULL DEFAULT NULL COMMENT '支付订单编号',
  `pay_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否已支付：[0:未支付 1:已经支付过]',
  `pay_time` datetime NULL DEFAULT NULL COMMENT '订单支付时间',
  `pay_channel_code` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '支付成功的支付渠道',
  `finish_time` datetime NULL DEFAULT NULL COMMENT '订单完成时间',
  `cancel_time` datetime NULL DEFAULT NULL COMMENT '订单取消时间',
  `total_price` int NOT NULL DEFAULT 0 COMMENT '商品原价（总），单位：分',
  `discount_price` int NOT NULL DEFAULT 0 COMMENT '订单优惠（总），单位：分',
  `delivery_price` int NOT NULL DEFAULT 0 COMMENT '运费金额，单位：分',
  `adjust_price` int NOT NULL DEFAULT 0 COMMENT '订单调价（总），单位：分',
  `pay_price` int NOT NULL DEFAULT 0 COMMENT '应付金额（总），单位：分',
  `delivery_type` tinyint NOT NULL COMMENT '配送类型',
  `logistics_id` bigint NULL DEFAULT NULL COMMENT '发货物流公司编号',
  `logistics_no` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '物流公司单号',
  `delivery_time` datetime NULL DEFAULT NULL COMMENT '发货时间',
  `receive_time` datetime NULL DEFAULT NULL COMMENT '收货时间',
  `receiver_name` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '收件人名称',
  `receiver_mobile` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '收件人手机',
  `receiver_area_id` int NULL DEFAULT NULL COMMENT '收件人地区编号',
  `receiver_detail_address` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '收件人详细地址',
  `pick_up_store_id` bigint NULL DEFAULT NULL COMMENT '自提门店编号',
  `pick_up_verify_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '自提核销码',
  `refund_status` tinyint NOT NULL DEFAULT 0 COMMENT '售后状态',
  `refund_price` int NOT NULL DEFAULT 0 COMMENT '退款金额，单位：分',
  `coupon_id` bigint UNSIGNED NULL DEFAULT NULL COMMENT '优惠劵编号',
  `coupon_price` int NOT NULL DEFAULT 0 COMMENT '优惠劵减免金额，单位：分',
  `use_point` int NOT NULL DEFAULT 0 COMMENT '使用的积分',
  `point_price` int NOT NULL DEFAULT 0 COMMENT '积分抵扣的金额',
  `give_point` int NOT NULL DEFAULT 0 COMMENT '赠送的积分',
  `refund_point` int NOT NULL DEFAULT 0 COMMENT '退还的使用的积分',
  `vip_price` int NOT NULL DEFAULT 0 COMMENT 'VIP 减免金额，单位：分',
  `seckill_activity_id` bigint NULL DEFAULT NULL COMMENT '秒杀活动编号',
  `bargain_activity_id` bigint NULL DEFAULT NULL COMMENT '砍价活动编号',
  `bargain_record_id` bigint NULL DEFAULT NULL COMMENT '砍价记录编号',
  `combination_activity_id` bigint NULL DEFAULT NULL COMMENT '拼团活动编号',
  `combination_head_id` bigint NULL DEFAULT NULL COMMENT '拼团团长编号',
  `combination_record_id` bigint NULL DEFAULT NULL COMMENT '拼团记录编号',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 162 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '交易订单表';

-- ----------------------------
-- Records of trade_order
-- ----------------------------
BEGIN;
INSERT INTO `trade_order` (`id`, `no`, `type`, `terminal`, `user_id`, `user_ip`, `user_remark`, `status`, `product_count`, `cancel_type`, `remark`, `comment_status`, `brokerage_user_id`, `pay_order_id`, `pay_status`, `pay_time`, `pay_channel_code`, `finish_time`, `cancel_time`, `total_price`, `discount_price`, `delivery_price`, `adjust_price`, `pay_price`, `delivery_type`, `logistics_id`, `logistics_no`, `delivery_time`, `receive_time`, `receiver_name`, `receiver_mobile`, `receiver_area_id`, `receiver_detail_address`, `pick_up_store_id`, `pick_up_verify_code`, `refund_status`, `refund_price`, `coupon_id`, `coupon_price`, `use_point`, `point_price`, `give_point`, `refund_point`, `vip_price`, `seckill_activity_id`, `bargain_activity_id`, `bargain_record_id`, `combination_activity_id`, `combination_head_id`, `combination_record_id`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (21, '1595061082189692928', 1, 10, 247, '127.0.0.1', '我是备注', 30, 1, NULL, '测试下备注', b'1', NULL, NULL, b'1', NULL, 'wx_pub', NULL, NULL, 200, 0, 0, 0, 200, 2, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 610632, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2022-11-22 22:26:11', '1', '2023-10-01 21:34:06', b'0', 1), (23, '1595067235174912000', 2, 11, 247, '127.0.0.1', '我是备注', 40, 1, 10, NULL, b'0', NULL, 125, b'1', NULL, NULL, NULL, '2023-09-25 23:54:34', 200, 0, 0, 0, 200, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 610632, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2022-11-22 22:50:38', NULL, '2023-09-25 23:54:34', b'0', 1), (24, '1595061082189692928', 3, 10, 248, '127.0.0.1', '我是备注', 30, 1, NULL, NULL, b'0', NULL, NULL, b'0', NULL, 'wx_pub', NULL, NULL, 200, 0, 0, 0, 200, 2, 1, '777168349863987', NULL, NULL, 'yunai', '15601691300', 610632, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '248', '2022-12-13 22:26:11', '248', '2023-09-27 03:09:32', b'0', 1), (25, '1595067235174912000', 4, 11, 248, '127.0.0.1', '我是备注', 30, 1, NULL, NULL, b'0', NULL, 125, b'0', NULL, NULL, NULL, NULL, 200, 0, 0, 0, 200, 0, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 610632, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '248', '2022-12-13 22:50:38', '248', '2023-05-20 03:05:00', b'0', 1), (29, '1664802570730221568', 0, 20, 247, '127.0.0.1', '我是备注', 40, 2, 10, NULL, b'0', NULL, 172, b'0', NULL, NULL, NULL, '2023-09-25 23:51:01', 59800, 0, 0, 0, 59800, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 610632, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-06-03 09:13:58', NULL, '2023-09-25 23:51:01', b'0', 1), (30, '1674807288407797760', 0, 20, 247, '127.0.0.1', NULL, 40, 1, 10, NULL, b'0', NULL, 173, b'0', NULL, NULL, NULL, '2023-09-25 23:51:01', 29900, 0, 0, 0, 29900, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-06-30 23:49:09', NULL, '2023-09-25 23:51:01', b'0', 1), (31, '1674814720739651584', 0, 20, 247, '127.0.0.1', NULL, 40, 1, 10, NULL, b'0', NULL, 174, b'0', NULL, NULL, NULL, '2023-09-25 23:51:01', 29900, 0, 0, 0, 29900, 2, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', 1, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-01 00:18:41', NULL, '2023-09-25 23:51:01', b'0', 1), (32, '1676241314821955584', 0, 20, 247, '127.0.0.1', NULL, 40, 1, 10, NULL, b'0', NULL, 175, b'0', NULL, NULL, NULL, '2023-09-25 23:51:01', 29900, 0, 0, 0, 29900, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-04 22:47:27', NULL, '2023-09-25 23:51:01', b'0', 1), (33, '1676248641276993536', 0, 20, 247, '127.0.0.1', NULL, 40, 1, 10, NULL, b'0', NULL, 176, b'0', NULL, NULL, NULL, '2023-09-25 23:51:01', 29900, 0, 0, 0, 29900, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-04 23:16:34', NULL, '2023-09-25 23:51:01', b'0', 1), (34, '1676248922656071680', 0, 20, 247, '127.0.0.1', NULL, 40, 1, 10, NULL, b'0', NULL, 177, b'0', NULL, NULL, NULL, '2023-09-25 23:51:01', 29900, 0, 0, 0, 29900, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-04 23:17:41', NULL, '2023-09-25 23:51:01', b'0', 1), (35, '1676254908489916416', 0, 20, 247, '127.0.0.1', NULL, 40, 1, 10, NULL, b'0', NULL, 178, b'0', NULL, NULL, NULL, '2023-09-25 23:51:01', 29900, 0, 0, 0, 29900, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-04 23:41:28', NULL, '2023-09-25 23:51:01', b'0', 1), (36, '1676610322305904640', 0, 20, 247, '127.0.0.1', NULL, 40, 1, 10, NULL, b'0', NULL, 179, b'0', NULL, NULL, NULL, '2023-09-25 23:51:01', 29900, 0, 0, 0, 29900, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-05 23:13:45', NULL, '2023-09-25 23:51:01', b'0', 1), (37, '1676790423029760000', 0, 20, 247, '39.144.104.107', NULL, 40, 1, 10, NULL, b'0', NULL, 180, b'0', NULL, NULL, NULL, '2023-09-25 23:51:01', 29900, 0, 0, 0, 29900, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-06 11:09:25', NULL, '2023-09-25 23:51:01', b'0', 1), (38, '1676796859214413824', 0, 20, 247, '39.144.104.107', NULL, 40, 1, 10, NULL, b'0', NULL, 181, b'0', NULL, NULL, NULL, '2023-09-25 23:51:01', 29900, 0, 0, 0, 29900, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-06 11:34:59', NULL, '2023-09-25 23:51:01', b'0', 1), (39, '1676813795272900608', 0, 20, 247, '39.144.105.28', NULL, 40, 1, 10, NULL, b'0', NULL, 182, b'0', NULL, NULL, NULL, '2023-09-25 23:51:02', 29900, 0, 0, 0, 29900, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-06 12:42:17', NULL, '2023-09-25 23:51:02', b'0', 1), (40, '1676814319435071488', 0, 20, 247, '39.144.105.28', NULL, 40, 1, 10, NULL, b'0', NULL, 183, b'0', NULL, NULL, NULL, '2023-09-25 23:51:02', 29900, 0, 0, 0, 29900, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-06 12:44:22', NULL, '2023-09-25 23:51:02', b'0', 1), (41, '1676814748415901696', 0, 20, 247, '39.144.105.28', NULL, 40, 1, 10, NULL, b'0', NULL, 184, b'0', NULL, NULL, NULL, '2023-09-25 23:51:02', 6, 0, 0, 0, 6, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-06 12:46:04', NULL, '2023-09-25 23:51:02', b'0', 1), (42, '1676842791880556544', 0, 20, 247, '39.144.105.120', NULL, 40, 1, 10, NULL, b'0', NULL, 185, b'0', NULL, NULL, NULL, '2023-09-25 23:51:02', 4, 0, 0, 0, 4, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-06 14:37:30', NULL, '2023-09-25 23:51:02', b'0', 1), (43, '1676843246601830400', 0, 20, 247, '39.144.105.120', NULL, 40, 1, 10, NULL, b'0', NULL, 186, b'0', NULL, NULL, NULL, '2023-09-25 23:51:02', 4, 0, 0, 0, 4, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-06 14:39:19', NULL, '2023-09-25 23:51:02', b'0', 1), (44, '1676848021946957824', 0, 20, 247, '39.144.105.120', NULL, 40, 1, 10, NULL, b'0', NULL, 187, b'0', NULL, NULL, NULL, '2023-09-25 23:51:02', 4, 0, 0, 0, 4, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-06 14:58:17', NULL, '2023-09-25 23:51:02', b'0', 1), (45, '1676871394747936768', 0, 20, 247, '39.144.105.120', NULL, 40, 1, 10, NULL, b'0', NULL, 188, b'0', NULL, NULL, NULL, '2023-09-25 23:51:02', 6, 0, 0, 0, 6, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-06 16:31:10', NULL, '2023-09-25 23:51:02', b'0', 1), (46, '1676871891588411392', 0, 20, 247, '39.144.105.120', NULL, 40, 1, 10, NULL, b'0', NULL, 189, b'0', NULL, NULL, NULL, '2023-09-25 23:51:02', 6, 0, 0, 0, 6, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-06 16:33:08', NULL, '2023-09-25 23:51:02', b'0', 1), (47, '1676878232700792832', 0, 20, 247, '39.144.104.41', NULL, 40, 1, 10, NULL, b'0', NULL, 190, b'0', NULL, NULL, NULL, '2023-09-25 23:51:02', 6, 0, 0, 0, 6, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-06 16:58:20', NULL, '2023-09-25 23:51:02', b'0', 1), (48, '1676880606890766336', 0, 20, 247, '39.144.104.41', NULL, 40, 1, 10, NULL, b'0', NULL, 191, b'0', NULL, NULL, NULL, '2023-09-25 23:51:02', 6, 0, 0, 0, 6, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-06 17:07:46', NULL, '2023-09-25 23:51:02', b'0', 1), (49, '1676883084608745472', 0, 20, 247, '39.144.104.41', NULL, 40, 1, 10, NULL, b'0', NULL, 192, b'0', NULL, NULL, NULL, '2023-09-25 23:51:02', 6, 0, 0, 0, 6, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-06 17:17:37', NULL, '2023-09-25 23:51:02', b'0', 1), (50, '1676919023997497344', 0, 20, 247, '39.144.103.229', NULL, 40, 1, 10, NULL, b'0', NULL, 193, b'0', NULL, NULL, NULL, '2023-09-25 23:51:03', 6, 0, 0, 0, 6, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-06 19:40:26', NULL, '2023-09-25 23:51:03', b'0', 1), (51, '1676919030054072320', 0, 20, 247, '39.144.103.229', NULL, 40, 1, 10, NULL, b'0', NULL, 194, b'0', NULL, NULL, NULL, '2023-09-25 23:51:03', 6, 0, 0, 0, 6, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-06 19:40:27', NULL, '2023-09-25 23:51:03', b'0', 1), (52, '1676922590019923968', 0, 20, 247, '39.144.103.229', NULL, 40, 1, 10, NULL, b'0', NULL, 195, b'0', NULL, NULL, NULL, '2023-09-25 23:51:03', 6, 0, 0, 0, 6, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-06 19:54:36', NULL, '2023-09-25 23:51:03', b'0', 1), (53, '1676925756664918016', 0, 20, 247, '39.144.103.229', NULL, 40, 1, 10, NULL, b'0', NULL, 196, b'0', NULL, NULL, NULL, '2023-09-25 23:51:03', 6, 0, 0, 0, 6, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-06 20:07:11', NULL, '2023-09-25 23:51:03', b'0', 1), (54, '1676926752342355968', 0, 20, 247, '39.144.103.229', NULL, 40, 1, 10, NULL, b'0', NULL, 197, b'0', NULL, NULL, NULL, '2023-09-25 23:51:03', 6, 0, 0, 0, 6, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-06 20:11:08', NULL, '2023-09-25 23:51:03', b'0', 1), (55, '1676928765545361408', 0, 20, 247, '39.144.103.229', NULL, 40, 1, 10, NULL, b'0', NULL, 198, b'0', NULL, NULL, NULL, '2023-09-25 23:51:03', 6, 0, 0, 0, 6, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-06 20:19:08', NULL, '2023-09-25 23:51:03', b'0', 1), (56, '1676933108956868608', 0, 20, 247, '39.144.103.229', NULL, 40, 1, 10, NULL, b'0', NULL, 199, b'0', NULL, NULL, NULL, '2023-09-25 23:51:03', 6, 0, 0, 0, 6, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-06 20:36:24', NULL, '2023-09-25 23:51:03', b'0', 1), (57, '1676937622568992768', 0, 20, 247, '39.144.103.229', NULL, 40, 1, 10, NULL, b'0', NULL, 200, b'0', NULL, NULL, NULL, '2023-09-25 23:51:03', 6, 0, 0, 0, 6, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-06 20:54:20', NULL, '2023-09-25 23:51:03', b'0', 1), (58, '1676974528767057920', 0, 20, 247, '114.86.74.143', NULL, 40, 1, 10, NULL, b'0', NULL, 201, b'0', NULL, NULL, NULL, '2023-09-25 23:51:03', 6, 0, 0, 0, 6, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-06 23:20:59', NULL, '2023-09-25 23:51:03', b'0', 1), (59, '1676974985623232512', 0, 20, 247, '114.86.74.143', NULL, 40, 1, 10, NULL, b'0', NULL, 202, b'0', NULL, NULL, NULL, '2023-09-25 23:51:03', 6, 0, 0, 0, 6, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-06 23:22:48', NULL, '2023-09-25 23:51:03', b'0', 1), (60, '1677531936589414400', 0, 20, 247, '114.86.74.143', NULL, 40, 1, 10, NULL, b'0', NULL, 203, b'0', NULL, NULL, NULL, '2023-09-25 23:51:03', 6, 0, 0, 0, 6, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-08 12:15:55', NULL, '2023-09-25 23:51:03', b'0', 1), (61, '1677534566103449600', 0, 20, 247, '114.86.74.143', NULL, 40, 1, 10, NULL, b'0', NULL, 204, b'0', NULL, NULL, NULL, '2023-09-25 23:51:03', 6, 0, 0, 0, 6, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-08 12:26:22', NULL, '2023-09-25 23:51:03', b'0', 1), (62, '1677535579870920704', 0, 20, 247, '114.86.74.143', NULL, 40, 1, 10, NULL, b'0', NULL, 205, b'0', NULL, NULL, NULL, '2023-09-25 23:51:03', 6, 0, 0, 0, 6, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-08 12:30:24', NULL, '2023-09-25 23:51:03', b'0', 1), (63, '1677536015713632256', 0, 20, 247, '114.86.74.143', NULL, 40, 1, 10, NULL, b'0', NULL, 206, b'0', NULL, NULL, NULL, '2023-09-25 23:51:03', 6, 0, 0, 0, 6, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-07-08 12:32:08', NULL, '2023-09-25 23:51:03', b'0', 1), (64, '1690640279503245312', 0, 20, 247, '127.0.0.1', NULL, 40, 1, 10, NULL, b'0', NULL, 307, b'0', NULL, NULL, NULL, '2023-09-25 23:51:03', 6, 0, 0, 0, 6, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-08-13 16:23:48', NULL, '2023-09-25 23:51:03', b'0', 1), (65, '1690655525575987200', 0, 20, 247, '127.0.0.1', NULL, 40, 1, 10, NULL, b'0', NULL, 308, b'0', NULL, NULL, NULL, '2023-09-25 23:51:03', 6, 0, 0, 0, 6, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-08-13 17:24:23', NULL, '2023-09-25 23:51:03', b'0', 1), (66, '1690655769877417984', 0, 20, 247, '127.0.0.1', NULL, 40, 1, 10, NULL, b'0', NULL, 309, b'0', NULL, NULL, NULL, '2023-09-25 23:51:03', 6, 0, 0, 0, 6, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-08-13 17:25:21', NULL, '2023-09-25 23:51:03', b'0', 1), (67, '1690656217590009856', 0, 20, 247, '127.0.0.1', NULL, 30, 1, 20, NULL, b'1', NULL, 310, b'1', '2023-08-13 17:27:09', 'mock', '2023-09-26 23:46:44', '2023-08-18 15:07:04', 6, 0, 0, 0, 6, 1, NULL, NULL, '2023-08-01 19:26:17', '2023-09-26 19:26:38', 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 20, 42, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-08-13 17:27:08', NULL, '2023-09-26 23:46:44', b'0', 1), (68, '1690656420132950016', 0, 20, 247, '127.0.0.1', NULL, 40, 1, 10, NULL, b'0', NULL, 311, b'0', NULL, NULL, NULL, '2023-09-25 23:51:03', 6, 0, 0, 0, 6, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-08-13 17:27:56', NULL, '2023-09-25 23:51:03', b'0', 1), (69, '1690659233437192192', 0, 20, 247, '127.0.0.1', NULL, 40, 1, 10, NULL, b'0', NULL, 312, b'0', NULL, NULL, NULL, '2023-09-25 23:51:04', 6, 0, 0, 0, 6, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-08-13 17:39:07', NULL, '2023-09-25 23:51:04', b'0', 1), (70, '1690659326236168192', 0, 20, 247, '127.0.0.1', NULL, 30, 1, NULL, NULL, b'1', NULL, 313, b'1', '2023-08-13 17:39:30', 'mock', NULL, NULL, 6, 0, 0, 0, 6, 1, 1, '773220402764314', NULL, '2023-08-13 20:22:53', 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-08-13 17:39:29', '247', '2023-08-15 04:37:18', b'0', 1), (71, '1690718626090459136', 0, 20, 247, '127.0.0.1', NULL, 30, 1, NULL, NULL, b'1', NULL, 314, b'1', '2023-08-13 21:35:09', 'mock', NULL, NULL, 6, 0, 0, 0, 6, 1, 4, '433239106979647', NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-08-13 21:35:07', '247', '2023-08-15 04:28:13', b'0', 1), (72, '1690718859084046336', 0, 20, 247, '127.0.0.1', NULL, 30, 1, NULL, NULL, b'1', NULL, 315, b'1', '2023-08-13 21:36:04', 'mock', NULL, NULL, 6, 0, 0, 0, 6, 1, 1, '773227873313167', NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-08-13 21:36:03', '247', '2023-08-14 01:26:51', b'0', 1), (73, '1690720321663041536', 0, 20, 247, '127.0.0.1', NULL, 30, 1, NULL, NULL, b'1', NULL, 316, b'1', '2023-08-13 21:41:54', 'mock', NULL, NULL, 6, 0, 0, 0, 6, 1, 3, 'LBX03200112943273221', NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-08-13 21:41:51', '247', '2023-08-14 01:24:52', b'0', 1), (74, '1692435420052332544', 0, 20, 247, '127.0.0.1', NULL, 30, 1, NULL, NULL, b'1', NULL, 317, b'1', '2023-08-18 15:17:10', 'mock', '2023-09-26 23:48:01', NULL, 5, 0, 0, 0, 5, 1, NULL, NULL, NULL, '2023-08-18 19:30:51', 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-08-18 15:17:03', NULL, '2023-09-26 23:48:01', b'0', 1), (75, '1692503226265624576', 0, 20, 247, '127.0.0.1', NULL, 10, 1, 20, NULL, b'0', NULL, 318, b'1', '2023-08-18 19:46:37', 'mock', NULL, '2023-08-31 19:56:21', 6, 0, 0, 0, 6, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 20, 6, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-08-18 19:46:29', '1', '2023-08-31 19:56:21', b'0', 1), (78, '1696836867028389888', 0, 20, 247, '127.0.0.1', NULL, 10, 5, NULL, NULL, b'0', NULL, 319, b'1', '2023-08-30 18:46:52', 'mock', NULL, NULL, 27, 0, 0, 0, 27, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-08-30 18:46:49', NULL, '2023-08-30 18:46:52', b'0', 1), (79, '1696839430691844096', 0, 20, 247, '127.0.0.1', NULL, 40, 5, 10, NULL, b'0', NULL, 320, b'0', NULL, NULL, NULL, '2023-09-25 23:54:41', 27, 0, 0, 0, 27, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-08-30 18:57:01', NULL, '2023-12-13 12:34:42', b'1', 1), (80, '1697273902944288768', 0, 20, 247, '127.0.0.1', NULL, 10, 2, NULL, NULL, b'0', NULL, 321, b'1', '2023-08-31 23:43:29', 'mock', NULL, NULL, 699906, 0, 0, 0, 699906, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 10, 699900, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-08-31 23:43:27', '1', '2023-10-02 15:19:37', b'0', 1), (81, '1697274609705484288', 0, 20, 247, '127.0.0.1', NULL, 10, 5, NULL, NULL, b'0', NULL, 322, b'1', '2023-08-31 23:46:17', 'mock', NULL, NULL, 2799606, 0, 0, 0, 2799606, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-08-31 23:46:15', NULL, '2023-08-31 23:46:17', b'0', 1), (83, 'O202309201601311', 0, 20, 247, '127.0.0.1', '我是备注', 40, 2, 10, NULL, b'0', NULL, 323, b'0', NULL, NULL, NULL, '2023-09-25 23:51:04', 12, 0, 0, 0, 12, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-09-20 16:01:32', NULL, '2023-09-25 23:51:04', b'0', 1), (84, 'O202309201605331', 0, 20, 247, '127.0.0.1', '我是备注', 40, 2, 10, NULL, b'0', NULL, 324, b'0', NULL, NULL, NULL, '2023-09-25 23:54:47', 12, 0, 0, 0, 12, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-09-20 16:05:33', NULL, '2023-09-25 23:54:47', b'0', 1), (85, 'O202309201711351', 0, 20, 247, '127.0.0.1', '我是备注', 40, 2, 10, NULL, b'0', NULL, 325, b'0', NULL, NULL, NULL, '2023-09-25 23:54:47', 12, 0, 0, 0, 12, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 10, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-09-20 17:11:35', NULL, '2023-09-25 23:54:47', b'0', 1), (86, 'O202309201932591', 0, 20, 247, '127.0.0.1', '我是备注', 40, 2, 10, NULL, b'0', NULL, 326, b'0', NULL, NULL, NULL, '2023-09-25 23:54:47', 12, 0, 0, 0, 12, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 10, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-09-20 19:32:59', NULL, '2023-09-25 23:54:47', b'0', 1), (87, 'O202309202311201', 0, 20, 247, '127.0.0.1', '我是备注', 40, 2, 10, NULL, b'0', NULL, 327, b'0', NULL, NULL, NULL, '2023-09-25 23:54:48', 12, 0, 0, 0, 12, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 10, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-09-20 23:11:21', NULL, '2023-09-25 23:54:48', b'0', 1), (88, 'O202309202320201', 0, 20, 247, '127.0.0.1', '我是备注', 40, 2, 10, NULL, b'0', NULL, 328, b'0', NULL, NULL, NULL, '2023-09-25 23:54:48', 12, 0, 0, 0, 12, 2, NULL, NULL, NULL, NULL, '土豆', '15601691300', NULL, NULL, 1, '52969491', 0, 0, NULL, 0, 10, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-09-20 23:20:21', NULL, '2023-09-25 23:54:48', b'0', 1), (89, 'O202309232351351', 0, 20, 247, '127.0.0.1', '我是备注', 40, 2, 10, NULL, b'0', NULL, 329, b'0', NULL, NULL, NULL, '2023-09-25 23:54:48', 12, 0, 0, 0, 12, 2, NULL, NULL, NULL, NULL, '土豆', '15601691300', NULL, NULL, 1, '07102828', 0, 0, NULL, 0, 10, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-09-23 23:51:36', NULL, '2023-09-25 23:54:48', b'0', 1), (90, 'O202309232352331', 0, 20, 247, '127.0.0.1', '我是备注', 40, 2, 10, NULL, b'0', NULL, 330, b'0', NULL, NULL, NULL, '2023-09-25 23:54:48', 12, 0, 0, 0, 12, 2, NULL, NULL, NULL, NULL, '土豆', '15601691300', NULL, NULL, 1, '04209062', 0, 0, NULL, 0, 10, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-09-23 23:52:34', NULL, '2023-09-25 23:54:48', b'0', 1), (91, 'O202309232354171', 0, 20, 247, '127.0.0.1', '我是备注', 40, 2, 10, NULL, b'0', NULL, 331, b'0', NULL, NULL, NULL, '2023-09-25 23:54:48', 12, 0, 0, 0, 9, 2, NULL, NULL, NULL, NULL, '土豆', '15601691300', NULL, NULL, 1, '89473788', 0, 0, NULL, 0, 10, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-09-23 23:54:18', NULL, '2023-09-25 23:54:48', b'0', 1), (92, 'O202309232355331', 0, 20, 247, '127.0.0.1', '我是备注', 40, 2, 10, NULL, b'0', NULL, 332, b'0', NULL, NULL, NULL, '2023-09-25 23:54:48', 12, 0, 0, 0, 9, 2, NULL, NULL, NULL, NULL, '土豆', '15601691300', NULL, NULL, 1, '56945388', 0, 0, NULL, 0, 10, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-09-23 23:55:33', NULL, '2023-09-25 23:54:48', b'0', 1), (93, 'O202309232356521', 0, 20, 247, '127.0.0.1', '我是备注', 30, 2, 10, NULL, b'0', NULL, 333, b'0', NULL, NULL, NULL, '2023-09-25 23:54:48', 12, 0, 0, 0, 9, 2, NULL, NULL, NULL, '2023-10-17 21:43:55', '土豆', '15601691300', NULL, NULL, 1, '11934928', 0, 0, NULL, 0, 10, 0, 0, 0, 3, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-09-23 23:56:53', '1', '2023-10-17 21:43:55', b'0', 1), (94, 'O202309302104041', 0, 20, 247, '127.0.0.1', NULL, 30, 1, NULL, NULL, b'0', NULL, 338, b'1', '2023-09-30 22:07:42', 'wallet', NULL, NULL, 699900, 0, 0, 0, 559920, 1, 0, '', '2023-10-02 09:58:50', '2023-12-13 20:34:17', 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 16797, 0, 139980, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-09-30 21:04:05', '247', '2023-12-13 20:34:17', b'0', 1), (95, 'O202310012136091', 0, 20, 247, '127.0.0.1', NULL, 20, 1, NULL, '就是看看', b'0', NULL, 339, b'1', '2023-10-01 21:36:13', 'mock', NULL, NULL, 699900, 0, 0, 0, 384945, 1, 1, '777168349863987', '2023-10-02 09:29:38', NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 11548, 0, 314955, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-10-01 21:36:10', '1', '2023-10-02 09:29:38', b'0', 1), (96, 'O202310020940161', 0, 20, 247, '127.0.0.1', NULL, 10, 1, NULL, NULL, b'0', NULL, 340, b'1', '2023-10-02 09:40:20', 'mock', NULL, NULL, 699900, 0, 0, 0, 699900, 2, NULL, NULL, NULL, '2023-10-14 17:13:35', 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', 1, '1024', 0, 0, NULL, 0, 0, 0, 20997, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-10-02 09:40:17', '1', '2023-12-28 03:37:35', b'0', 1), (97, 'O202310021021091', 0, 20, 247, '127.0.0.1', NULL, 10, 1, NULL, NULL, b'0', 247, 341, b'1', '2023-10-02 10:21:12', 'wallet', NULL, NULL, 699900, 0, 0, 0, 384945, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 11548, 0, 314955, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-10-02 10:21:10', NULL, '2023-10-02 02:33:54', b'0', 1), (98, 'trade_no:o202310021538341', 0, 20, 247, '127.0.0.1', NULL, 10, 1, NULL, NULL, b'0', NULL, 342, b'1', '2023-10-02 15:38:39', 'mock', NULL, NULL, 699900, 0, 0, 0, 384945, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 11548, 0, 314955, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-10-02 15:38:34', NULL, '2023-10-02 15:38:39', b'0', 1), (99, 'o202310040029151', 1, 20, 247, '127.0.0.1', NULL, 0, 1, NULL, NULL, b'0', NULL, 343, b'0', NULL, NULL, NULL, NULL, 699900, 699800, 200, 0, 300, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 9, 0, 0, 41, NULL, NULL, NULL, NULL, NULL, '247', '2023-10-04 00:29:16', '247', '2023-10-04 00:29:17', b'0', 1), (100, 'o202310051718261', 0, 20, 247, '127.0.0.1', NULL, 40, 1, 30, NULL, b'0', NULL, 344, b'0', NULL, NULL, NULL, '2023-12-13 19:53:02', 6, 0, 200, 0, 206, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 6, 0, 0, NULL, NULL, 27, NULL, NULL, NULL, '247', '2023-10-05 17:18:27', '247', '2023-12-13 11:53:04', b'1', 1), (102, 'o202310052300121', 2, 20, 247, '127.0.0.1', NULL, 10, 1, NULL, NULL, b'0', NULL, 345, b'1', '2023-10-05 23:05:29', 'wallet', NULL, NULL, 6, 5, 200, 0, 201, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 6, 0, 0, NULL, 1, 27, NULL, NULL, NULL, '247', '2023-10-05 23:00:13', NULL, '2023-10-05 23:05:29', b'0', 1), (104, 'o202310052314021', 2, 20, 247, '127.0.0.1', NULL, 40, 1, 30, NULL, b'0', NULL, 346, b'0', NULL, NULL, NULL, '2023-12-13 19:50:04', 6, 5, 200, 0, 201, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 6, 0, 0, NULL, 1, 27, NULL, NULL, NULL, '247', '2023-10-05 23:14:02', '247', '2023-12-13 11:53:18', b'1', 1), (105, 'o202310052317281', 2, 20, 247, '127.0.0.1', NULL, 0, 1, NULL, NULL, b'0', NULL, 347, b'0', NULL, NULL, NULL, NULL, 6, 5, 200, 0, 201, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 6, 0, 0, NULL, 1, 27, NULL, NULL, NULL, '247', '2023-10-05 23:17:29', '247', '2023-10-05 23:17:29', b'0', 1), (106, 'o202310052318491', 2, 20, 247, '127.0.0.1', NULL, 40, 1, 30, NULL, b'0', NULL, 348, b'0', NULL, NULL, NULL, '2023-12-13 20:01:06', 6, 5, 200, 0, 201, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 6, 0, 0, NULL, 1, 27, NULL, NULL, NULL, '247', '2023-10-05 23:19:05', '247', '2023-12-13 20:01:06', b'0', 1), (107, 'o202310052322441', 2, 20, 247, '127.0.0.1', NULL, 10, 1, NULL, NULL, b'0', NULL, 349, b'1', '2023-10-05 23:23:00', 'wallet', NULL, NULL, 6, 5, 200, 0, 201, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 6, 0, 0, NULL, 1, 27, NULL, NULL, NULL, '247', '2023-10-05 23:22:49', NULL, '2023-10-05 23:23:00', b'0', 1), (108, 'o202310061008331', 2, 20, 248, '127.0.0.1', NULL, 10, 1, NULL, NULL, b'0', 247, 350, b'1', '2023-10-06 10:13:44', 'mock', NULL, NULL, 6, -69, 200, 0, 275, 1, NULL, NULL, NULL, NULL, '芋头', '15601691234', 110101, '灌灌灌灌灌', NULL, NULL, 0, 0, NULL, 0, 0, 0, 8, 0, 0, NULL, 1, 31, NULL, NULL, NULL, '248', '2023-10-06 10:08:33', NULL, '2023-10-06 10:13:44', b'0', 1), (109, 'o202310062240111', 0, 20, 248, '127.0.0.1', NULL, 0, 1, NULL, NULL, b'0', 247, 351, b'0', NULL, NULL, NULL, NULL, 699900, 0, 200, 0, 560120, 1, NULL, NULL, NULL, NULL, '芋头', '15601691234', 110101, '灌灌灌灌灌', NULL, NULL, 0, 0, NULL, 0, 0, 0, 16803, 0, 139980, NULL, NULL, NULL, 7, NULL, NULL, '248', '2023-10-06 22:40:11', '248', '2023-10-06 22:40:11', b'0', 1), (115, 'o202310070647221', 3, 20, 248, '127.0.0.1', NULL, 40, 1, 30, NULL, b'0', 247, 352, b'0', NULL, NULL, NULL, '2023-10-07 06:50:20', 699900, 699897, 200, 0, 203, 1, NULL, NULL, NULL, NULL, '芋头', '15601691234', 110101, '灌灌灌灌灌', NULL, NULL, 0, 0, NULL, 0, 0, 0, 6, 0, 0, NULL, NULL, NULL, 7, NULL, NULL, '248', '2023-10-07 06:47:22', '248', '2023-10-07 06:50:20', b'0', 1), (116, 'o202310070656471', 3, 20, 248, '127.0.0.1', NULL, 0, 1, NULL, NULL, b'0', 247, 353, b'0', NULL, NULL, NULL, NULL, 699900, 699897, 200, 0, 203, 1, NULL, NULL, NULL, NULL, '芋头', '15601691234', 110101, '灌灌灌灌灌', NULL, NULL, 0, 0, NULL, 0, 0, 0, 6, 0, 0, NULL, NULL, NULL, 7, NULL, NULL, '248', '2023-10-07 06:56:47', '248', '2023-10-07 06:56:48', b'0', 1), (117, 'o202310070657381', 3, 20, 248, '127.0.0.1', NULL, 0, 1, NULL, NULL, b'0', 247, 354, b'0', NULL, NULL, NULL, NULL, 699900, 699897, 200, 0, 203, 1, NULL, NULL, NULL, NULL, '芋头', '15601691234', 110101, '灌灌灌灌灌', NULL, NULL, 0, 0, NULL, 0, 0, 0, 6, 0, 0, NULL, NULL, NULL, 7, NULL, NULL, '248', '2023-10-07 06:57:39', '248', '2023-10-07 06:57:39', b'0', 1), (118, 'o202310070658471', 3, 20, 248, '127.0.0.1', NULL, 10, 1, NULL, NULL, b'0', 247, 355, b'1', '2023-10-07 06:58:51', 'mock', NULL, NULL, 699900, 699897, 200, 0, 203, 1, NULL, NULL, NULL, NULL, '芋头', '15601691234', 110101, '灌灌灌灌灌', NULL, NULL, 0, 0, NULL, 0, 0, 0, 6, 0, 0, NULL, NULL, NULL, 7, NULL, NULL, '248', '2023-10-07 06:58:48', NULL, '2023-10-07 06:58:51', b'0', 1), (119, 'o202310102302261', 0, 20, 248, '127.0.0.1', NULL, 40, 1, 20, NULL, b'0', 247, 356, b'1', '2023-10-10 23:02:35', 'mock', NULL, '2023-10-10 23:11:22', 699900, 0, 200, 0, 700100, 1, NULL, NULL, NULL, NULL, '芋头', '15601691234', 110101, '灌灌灌灌灌', NULL, NULL, 20, 700100, NULL, 0, 0, 0, 21003, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '248', '2023-10-10 23:02:32', '1', '2023-10-10 23:11:22', b'0', 1), (120, 'o202310102316021', 0, 20, 248, '127.0.0.1', NULL, 40, 1, 20, NULL, b'0', 247, 357, b'1', '2023-10-10 23:16:09', 'mock', NULL, '2023-10-10 23:20:14', 699900, 0, 200, 0, 700100, 1, NULL, NULL, NULL, NULL, '芋头', '15601691234', 110101, '灌灌灌灌灌', NULL, NULL, 20, 700100, NULL, 0, 0, 0, 21003, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '248', '2023-10-10 23:16:02', '1', '2023-10-10 23:20:14', b'0', 1), (121, 'o202310102323261', 0, 20, 248, '127.0.0.1', NULL, 40, 1, 20, NULL, b'0', 247, 358, b'1', '2023-10-10 23:23:30', 'mock', NULL, '2023-10-10 23:23:54', 699900, 0, 200, 0, 700100, 1, NULL, NULL, NULL, NULL, '芋头', '15601691234', 110101, '灌灌灌灌灌', NULL, NULL, 20, 700100, NULL, 0, 0, 0, 21003, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '248', '2023-10-10 23:23:27', '1', '2023-10-10 23:23:54', b'0', 1), (122, 'o202310102328031', 0, 20, 248, '127.0.0.1', NULL, 40, 1, 20, NULL, b'0', 247, 359, b'1', '2023-10-10 23:28:07', 'mock', NULL, '2023-10-10 23:29:58', 699900, 0, 200, 0, 700100, 1, NULL, NULL, NULL, NULL, '芋头', '15601691234', 110101, '灌灌灌灌灌', NULL, NULL, 20, 700100, NULL, 0, 0, 0, 21003, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '248', '2023-10-10 23:28:04', '1', '2023-10-10 23:29:58', b'0', 1), (123, 'o202310102344401', 1, 20, 248, '127.0.0.1', NULL, 40, 1, 20, NULL, b'0', 247, 360, b'1', '2023-10-10 23:44:45', 'mock', NULL, '2023-10-11 07:04:29', 699900, 699800, 200, 0, 300, 1, NULL, NULL, NULL, NULL, '芋头', '15601691234', 110101, '灌灌灌灌灌', NULL, NULL, 20, 300, NULL, 0, 0, 0, 9, 0, 0, 41, NULL, NULL, NULL, NULL, NULL, '248', '2023-10-10 23:44:41', '1', '2023-10-11 07:04:29', b'0', 1), (124, 'o202310110703411', 0, 20, 248, '127.0.0.1', NULL, 10, 1, NULL, NULL, b'0', 247, 361, b'1', '2023-10-11 07:03:46', 'mock', NULL, NULL, 699900, 0, 200, 0, 560120, 1, NULL, NULL, NULL, NULL, '芋头', '15601691234', 110101, '灌灌灌灌灌', NULL, NULL, 0, 0, NULL, 0, 0, 0, 16803, 0, 139980, NULL, NULL, NULL, NULL, NULL, NULL, '248', '2023-10-11 07:03:42', NULL, '2023-10-11 07:03:46', b'0', 1), (125, 'o202310110733251', 0, 20, 248, '127.0.0.1', NULL, 10, 1, NULL, NULL, b'0', 247, 362, b'1', '2023-10-11 07:33:29', 'mock', NULL, NULL, 699900, 0, 200, 0, 700100, 1, NULL, NULL, NULL, NULL, '芋头', '15601691234', 110101, '灌灌灌灌灌', NULL, NULL, 0, 0, NULL, 0, 0, 0, 21003, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '248', '2023-10-11 07:33:25', NULL, '2023-10-11 07:33:29', b'0', 1), (126, 'o202310110736281', 0, 20, 248, '127.0.0.1', NULL, 0, 1, NULL, NULL, b'0', 247, 363, b'0', NULL, NULL, NULL, NULL, 699900, 0, 200, 0, 385145, 1, NULL, NULL, NULL, NULL, '芋头', '15601691234', 110101, '灌灌灌灌灌', NULL, NULL, 0, 0, NULL, 0, 0, 0, 11554, 0, 314955, NULL, NULL, NULL, NULL, NULL, NULL, '248', '2023-10-11 07:36:29', '248', '2023-10-11 07:36:29', b'0', 1), (127, 'o202310110736401', 0, 20, 248, '127.0.0.1', NULL, 40, 1, 20, NULL, b'0', 247, 364, b'1', '2023-10-11 07:36:43', 'mock', NULL, '2023-10-11 07:39:27', 699900, 0, 200, 0, 385145, 1, NULL, NULL, NULL, NULL, '芋头', '15601691234', 110101, '灌灌灌灌灌', NULL, NULL, 20, 385145, NULL, 0, 0, 0, 11554, 0, 314955, NULL, NULL, NULL, NULL, NULL, NULL, '248', '2023-10-11 07:36:41', '1', '2023-10-11 07:39:27', b'0', 1), (128, 'o202310241143351', 0, 20, 248, '127.0.0.1', NULL, 0, 1, NULL, NULL, b'0', 247, 365, b'0', NULL, NULL, NULL, NULL, 699900, 0, 200, 0, 700100, 1, NULL, NULL, NULL, NULL, '芋头', '15601691234', 110101, '灌灌灌灌灌', NULL, NULL, 0, 0, NULL, 0, 0, 0, 21003, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '248', '2023-10-24 11:43:36', '248', '2023-10-24 11:43:38', b'0', 1), (129, 'o202310241227301', 0, 20, 248, '127.0.0.1', NULL, 0, 1, NULL, NULL, b'0', 247, 366, b'0', NULL, NULL, NULL, NULL, 699900, 0, 200, 0, 700100, 1, NULL, NULL, NULL, NULL, '芋头', '15601691234', 110101, '灌灌灌灌灌', NULL, NULL, 0, 0, NULL, 0, 0, 0, 21003, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '248', '2023-10-24 12:27:30', '248', '2023-10-24 12:27:30', b'0', 1), (130, 'o202310241229401', 0, 20, 248, '127.0.0.1', NULL, 0, 1, NULL, NULL, b'0', 247, 367, b'0', NULL, NULL, NULL, NULL, 699900, 0, 200, 0, 700100, 1, NULL, NULL, NULL, NULL, '芋头', '15601691234', 110101, '灌灌灌灌灌', NULL, NULL, 0, 0, NULL, 0, 0, 0, 21003, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '248', '2023-10-24 12:29:40', '248', '2023-10-24 12:29:41', b'0', 1), (131, 'o202310241233131', 0, 20, 248, '127.0.0.1', NULL, 10, 1, NULL, NULL, b'0', 247, 368, b'1', '2023-10-24 12:33:22', 'mock', NULL, NULL, 699900, 0, 200, 0, 700100, 1, NULL, NULL, NULL, NULL, '芋头', '15601691234', 110101, '灌灌灌灌灌', NULL, NULL, 0, 0, NULL, 0, 0, 0, 21003, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '248', '2023-10-24 12:33:14', NULL, '2023-10-24 12:33:22', b'0', 1), (133, 'o202312112216511', 0, 20, 247, '127.0.0.1', NULL, 40, 1, 30, NULL, b'0', NULL, 369, b'0', NULL, NULL, NULL, '2023-12-13 20:00:32', 699900, 0, 200, 0, 700100, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 21003, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-12-11 22:16:51', '247', '2023-12-13 20:00:32', b'0', 1), (134, 'o202312122001141', 0, 20, 247, '127.0.0.1', NULL, 40, 1, 30, NULL, b'0', NULL, 370, b'0', NULL, NULL, NULL, '2023-12-13 20:00:13', 6, 0, 200, 0, 206, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 6, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-12-12 20:01:14', '247', '2023-12-13 20:00:13', b'0', 1), (135, 'o202312122009271', 0, 20, 247, '127.0.0.1', NULL, 40, 1, 30, NULL, b'0', NULL, 371, b'0', NULL, NULL, NULL, '2023-12-13 19:48:59', 699900, 0, 200, 0, 700100, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 21003, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-12-12 20:09:27', '247', '2023-12-13 11:52:49', b'1', 1), (136, 'o202312122049321', 0, 20, 247, '127.0.0.1', NULL, 10, 1, NULL, NULL, b'0', NULL, 372, b'1', '2023-12-12 20:49:44', 'wallet', NULL, NULL, 55, 0, 200, 0, 255, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 7, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-12-12 20:49:33', NULL, '2023-12-12 20:49:44', b'0', 1), (137, 'o202312122051041', 0, 20, 247, '127.0.0.1', NULL, 30, 1, NULL, NULL, b'1', NULL, 373, b'1', '2023-12-12 20:51:12', 'wallet', '2023-12-14 21:59:07', NULL, 699900, 0, 200, 0, 385145, 1, 1, '777168349863987', NULL, '2023-12-13 20:51:41', 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 11554, 0, 314955, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-12-12 20:51:05', '247', '2023-12-14 14:52:42', b'0', 1), (138, 'o202312152353561', 0, 20, 247, '127.0.0.1', NULL, 0, 1, NULL, NULL, b'0', NULL, 374, b'0', NULL, NULL, NULL, NULL, 699900, 0, 200, 0, 700100, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 21003, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-12-15 23:53:56', '247', '2023-12-15 23:53:56', b'0', 1), (139, 'o202312152359491', 0, 20, 247, '127.0.0.1', NULL, 10, 1, NULL, NULL, b'0', NULL, 375, b'1', '2023-12-16 00:01:26', 'wallet', NULL, NULL, 6, 0, 200, 0, 206, 1, NULL, NULL, NULL, NULL, 'yunai', '15601691300', 140302, '芋道源码 233 号 666 室', NULL, NULL, 0, 0, NULL, 0, 0, 0, 6, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-12-15 23:59:50', NULL, '2023-12-16 00:01:26', b'0', 1), (140, 'o202312232259251', 0, 20, 247, '127.0.0.1', NULL, 40, 1, 30, NULL, b'0', NULL, 382, b'0', NULL, NULL, NULL, '2023-12-24 10:16:08', 6, 0, 200, 0, 203, 1, NULL, NULL, NULL, NULL, '测试1', '15601691300', 120101, '3213213444', NULL, NULL, 0, 0, NULL, 0, 0, 0, 6, 0, 3, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-12-23 22:59:26', '247', '2023-12-24 10:16:08', b'0', 1), (141, 'o202312241018021', 0, 20, 247, '127.0.0.1', NULL, 0, 1, NULL, NULL, b'0', NULL, 383, b'0', NULL, NULL, NULL, NULL, 6, 0, 200, 0, 203, 1, NULL, NULL, NULL, NULL, '测试1', '15601691300', 120101, '3213213444', NULL, NULL, 0, 0, NULL, 0, 0, 0, 6, 0, 3, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-12-24 10:18:03', '247', '2023-12-24 10:18:03', b'0', 1), (142, 'o202312241132071', 0, 20, 247, '114.84.176.64', NULL, 10, 1, NULL, NULL, b'0', NULL, 384, b'1', '2023-12-24 11:32:18', 'wx_pub', NULL, NULL, 1, 0, 100, 0, 100, 1, NULL, NULL, NULL, NULL, '测试1', '15601691300', 120101, '3213213444', NULL, NULL, 0, 0, NULL, 0, 0, 0, 3, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-12-24 11:32:08', NULL, '2023-12-24 11:32:18', b'0', 1), (143, 'o202312241135351', 0, 20, 247, '114.84.176.64', NULL, 10, 1, NULL, NULL, b'0', NULL, 385, b'1', '2023-12-24 13:08:57', 'wx_lite', NULL, NULL, 1, 0, 100, 0, 101, 1, NULL, NULL, NULL, NULL, '测试1', '15601691300', 120101, '3213213444', NULL, NULL, 0, 0, NULL, 0, 0, 0, 3, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-12-24 11:35:36', NULL, '2023-12-24 13:08:57', b'0', 1), (144, 'o202312241152051', 0, 20, 247, '114.84.176.64', NULL, 0, 1, NULL, NULL, b'0', NULL, 386, b'0', NULL, NULL, NULL, NULL, 55, 0, 100, 0, 155, 1, NULL, NULL, NULL, NULL, '测试1', '15601691300', 120101, '3213213444', NULL, NULL, 0, 0, NULL, 0, 0, 0, 4, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-12-24 11:52:05', '247', '2023-12-24 11:52:05', b'0', 1), (145, 'o202312241152311', 0, 20, 247, '114.84.176.64', NULL, 0, 1, NULL, NULL, b'0', NULL, 387, b'0', NULL, NULL, NULL, NULL, 55, 0, 100, 0, 155, 1, NULL, NULL, NULL, NULL, '测试1', '15601691300', 120101, '3213213444', NULL, NULL, 0, 0, NULL, 0, 0, 0, 4, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-12-24 11:52:32', '247', '2023-12-24 11:52:32', b'0', 1), (146, 'o202312241844111', 0, 20, 247, '112.112.56.63', NULL, 0, 1, NULL, NULL, b'0', NULL, 388, b'0', NULL, NULL, NULL, NULL, 55, 0, 100, 0, 130, 1, NULL, NULL, NULL, NULL, '测试1', '15601691300', 120101, '3213213444', NULL, NULL, 0, 0, NULL, 0, 0, 0, 3, 0, 25, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-12-24 18:44:12', '247', '2023-12-24 18:44:12', b'0', 1), (147, 'o202312242011461', 0, 20, 247, '114.84.176.64', NULL, 0, 1, NULL, NULL, b'0', NULL, 389, b'0', NULL, NULL, NULL, NULL, 55, 0, 100, 0, 130, 1, NULL, NULL, NULL, NULL, '测试1', '15601691300', 120101, '3213213444', NULL, NULL, 0, 0, NULL, 0, 0, 0, 3, 0, 25, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-12-24 20:11:46', '247', '2023-12-24 20:11:46', b'0', 1), (148, 'o202312242012471', 0, 20, 247, '114.84.176.64', NULL, 0, 1, NULL, NULL, b'0', NULL, 390, b'0', NULL, NULL, NULL, NULL, 55, 0, 100, 0, 130, 1, NULL, NULL, NULL, NULL, '测试1', '15601691300', 120101, '3213213444', NULL, NULL, 0, 0, NULL, 0, 0, 0, 3, 0, 25, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-12-24 20:12:48', '247', '2023-12-24 20:12:48', b'0', 1), (149, 'o202312242013521', 0, 20, 247, '114.84.176.64', NULL, 0, 1, NULL, NULL, b'0', NULL, 391, b'0', NULL, NULL, NULL, NULL, 55, 0, 100, 0, 130, 1, NULL, NULL, NULL, NULL, '测试1', '15601691300', 120101, '3213213444', NULL, NULL, 0, 0, NULL, 0, 0, 0, 3, 0, 25, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-12-24 20:13:53', '247', '2023-12-24 20:13:53', b'0', 1), (150, 'o202312242233271', 0, 20, 247, '114.84.176.64', NULL, 0, 1, NULL, NULL, b'0', NULL, 392, b'0', NULL, NULL, NULL, NULL, 55, 0, 100, 0, 130, 1, NULL, NULL, NULL, NULL, '测试1', '15601691300', 120101, '3213213444', NULL, NULL, 0, 0, NULL, 0, 0, 0, 3, 0, 25, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2023-12-24 22:33:28', '247', '2023-12-24 22:33:28', b'0', 1), (151, 'o202401042318261', 0, 20, 247, '127.0.0.1', NULL, 10, 2, NULL, NULL, b'0', NULL, 393, b'1', '2024-01-04 23:40:52', 'mock', NULL, NULL, 699904, 0, 100, 0, 385047, 1, NULL, NULL, NULL, NULL, '测试1', '15601691300', 120101, '3213213444', NULL, NULL, 0, 0, NULL, 0, 0, 0, 11551, 0, 314957, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2024-01-04 23:18:26', NULL, '2024-01-04 23:40:52', b'0', 1), (152, 'o202401131647121', 0, 20, 247, '127.0.0.1', NULL, 10, 1, NULL, NULL, b'0', NULL, 394, b'1', '2024-01-13 16:47:16', 'mock', NULL, NULL, 699900, 0, 100, 0, 700000, 1, NULL, NULL, NULL, NULL, '测试1', '15601691300', 120101, '3213213444', NULL, NULL, 0, 0, NULL, 0, 0, 0, 21000, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2024-01-13 16:47:13', NULL, '2024-01-13 16:47:16', b'0', 1), (153, 'o202401131647411', 3, 20, 247, '127.0.0.1', NULL, 10, 1, NULL, NULL, b'0', NULL, 395, b'1', '2024-01-13 16:47:44', 'mock', NULL, NULL, 699900, 699897, 100, 0, 103, 1, NULL, NULL, NULL, NULL, '测试1', '15601691300', 120101, '3213213444', NULL, NULL, 0, 0, NULL, 0, 0, 0, 3, 0, 0, NULL, NULL, NULL, 7, 0, 5, '247', '2024-01-13 16:47:42', NULL, '2024-01-13 16:47:44', b'0', 1), (154, 'o202401131707561', 3, 20, 247, '127.0.0.1', NULL, 10, 1, NULL, NULL, b'0', NULL, 396, b'1', '2024-01-13 17:07:58', 'mock', NULL, NULL, 699900, 699897, 100, 0, 103, 1, NULL, NULL, NULL, NULL, '测试1', '15601691300', 120101, '3213213444', NULL, NULL, 0, 0, NULL, 0, 0, 0, 3, 0, 0, NULL, NULL, NULL, 7, 0, 6, '247', '2024-01-13 17:07:57', NULL, '2024-01-13 17:07:58', b'0', 1), (155, 'o202401131710311', 3, 20, 247, '127.0.0.1', NULL, 10, 1, NULL, NULL, b'0', NULL, 397, b'1', '2024-01-13 17:10:33', 'mock', NULL, NULL, 55, -145, 100, 0, 300, 1, NULL, NULL, NULL, NULL, '测试1', '15601691300', 120101, '3213213444', NULL, NULL, 0, 0, NULL, 0, 0, 0, 9, 0, 0, NULL, NULL, NULL, 8, 0, 7, '247', '2024-01-13 17:10:31', NULL, '2024-01-13 17:10:33', b'0', 1), (156, 'o202401131711401', 3, 20, 247, '127.0.0.1', NULL, 10, 1, NULL, NULL, b'0', NULL, 398, b'1', '2024-01-13 17:11:43', 'mock', NULL, NULL, 55, -145, 100, 0, 300, 1, NULL, NULL, NULL, NULL, '测试1', '15601691300', 120101, '3213213444', NULL, NULL, 0, 0, NULL, 0, 0, 0, 9, 0, 0, NULL, NULL, NULL, 8, 0, 8, '247', '2024-01-13 17:11:41', NULL, '2024-01-13 17:12:13', b'0', 1), (157, 'o202401131713431', 3, 20, 247, '127.0.0.1', NULL, 10, 1, NULL, NULL, b'0', NULL, 399, b'1', '2024-01-13 17:13:45', 'mock', NULL, NULL, 55, -145, 100, 0, 300, 1, NULL, NULL, NULL, NULL, '测试1', '15601691300', 120101, '3213213444', NULL, NULL, 0, 0, NULL, 0, 0, 0, 9, 0, 0, NULL, NULL, NULL, 8, 0, 9, '247', '2024-01-13 17:13:44', NULL, '2024-01-13 17:13:45', b'0', 1), (158, 'o202401131716471', 3, 20, 247, '127.0.0.1', NULL, 10, 1, NULL, NULL, b'0', NULL, 400, b'1', '2024-01-13 17:16:49', 'mock', NULL, NULL, 55, -145, 100, 0, 300, 1, NULL, NULL, NULL, NULL, '测试1', '15601691300', 120101, '3213213444', NULL, NULL, 0, 0, NULL, 0, 0, 0, 9, 0, 0, NULL, NULL, NULL, 8, 9, 10, '247', '2024-01-13 17:16:47', NULL, '2024-01-13 17:16:49', b'0', 1), (159, 'o202401131916361', 3, 20, 247, '127.0.0.1', NULL, 10, 1, NULL, NULL, b'0', NULL, 401, b'1', '2024-01-13 19:16:38', 'mock', NULL, NULL, 55, -145, 100, 0, 300, 1, NULL, NULL, NULL, NULL, '测试1', '15601691300', 120101, '3213213444', NULL, NULL, 0, 0, NULL, 0, 0, 0, 9, 0, 0, NULL, NULL, NULL, 8, 0, 11, '247', '2024-01-13 19:16:36', NULL, '2024-01-13 19:16:38', b'0', 1), (160, 'o202401132023081', 1, 20, 247, '127.0.0.1', NULL, 10, 1, NULL, NULL, b'0', NULL, 402, b'1', '2024-01-13 20:23:10', 'mock', NULL, NULL, 699900, 699800, 100, 0, 200, 1, NULL, NULL, NULL, NULL, '测试1', '15601691300', 120101, '3213213444', NULL, NULL, 0, 0, NULL, 0, 0, 0, 6, 0, 0, 41, NULL, NULL, NULL, NULL, NULL, '247', '2024-01-13 20:23:09', NULL, '2024-01-13 20:23:10', b'0', 1), (161, 'o202401160804331', 0, 20, 247, '127.0.0.1', NULL, 30, 33, NULL, NULL, b'0', NULL, 403, b'1', '2024-01-16 08:14:07', 'mock', NULL, NULL, 701660, 0, 100, 0, 386013, 1, 1, '777168349863987', '2024-01-16 09:26:53', '2024-01-16 12:27:45', '测试1', '15601691300', 120101, '3213213444', NULL, NULL, 10, 384945, NULL, 0, 0, 0, 11580, 0, 315747, NULL, NULL, NULL, NULL, NULL, NULL, '247', '2024-01-16 08:04:33', '1', '2024-01-16 20:27:23', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for trade_order_item
-- ----------------------------
DROP TABLE IF EXISTS `trade_order_item`;
CREATE TABLE `trade_order_item`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '订单项编号',
  `user_id` bigint UNSIGNED NOT NULL COMMENT '用户编号',
  `order_id` bigint UNSIGNED NOT NULL COMMENT '订单编号',
  `cart_id` bigint UNSIGNED NULL DEFAULT NULL COMMENT '购物车项编号',
  `spu_id` bigint UNSIGNED NOT NULL COMMENT '商品 SPU 编号',
  `spu_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '商品 SPU 名称',
  `sku_id` bigint UNSIGNED NOT NULL COMMENT '商品 SKU 编号',
  `properties` json NULL COMMENT '商品属性数组，JSON 格式',
  `pic_url` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '商品图片',
  `count` int NOT NULL COMMENT '购买数量',
  `comment_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否评价',
  `price` int NOT NULL DEFAULT 0 COMMENT '商品原价（单），单位：分',
  `discount_price` int NOT NULL DEFAULT 0 COMMENT '商品级优惠（总），单位：分',
  `delivery_price` int NOT NULL DEFAULT 0 COMMENT '运费金额，单位：分',
  `adjust_price` int NOT NULL DEFAULT 0 COMMENT '订单调价（总），单位：分',
  `pay_price` int NOT NULL DEFAULT 0 COMMENT '子订单实付金额（总），不算主订单分摊金额，单位：分',
  `coupon_price` int NOT NULL DEFAULT 0 COMMENT '优惠劵减免金额，单位：分',
  `point_price` int NOT NULL DEFAULT 0 COMMENT '积分抵扣的金额',
  `use_point` int NOT NULL DEFAULT 0 COMMENT '使用的积分',
  `give_point` int NOT NULL DEFAULT 0 COMMENT '赠送的积分',
  `vip_price` int NOT NULL DEFAULT 0 COMMENT 'VIP 减免金额，单位：分',
  `after_sale_id` bigint UNSIGNED NULL DEFAULT NULL COMMENT '售后订单编号',
  `after_sale_status` int NOT NULL DEFAULT 0 COMMENT '售后状态',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 157 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '交易订单明细表';

-- ----------------------------
-- Records of trade_order_item
-- ----------------------------
BEGIN;
INSERT INTO `trade_order_item` (`id`, `user_id`, `order_id`, `cart_id`, `spu_id`, `spu_name`, `sku_id`, `properties`, `pic_url`, `count`, `comment_status`, `price`, `discount_price`, `delivery_price`, `adjust_price`, `pay_price`, `coupon_price`, `point_price`, `use_point`, `give_point`, `vip_price`, `after_sale_id`, `after_sale_status`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (1, 247, 21, 0, 10, '好利来', 29, '[{\"valueId\": 3, \"propertyId\": 2}]', 'https://cdn.pixabay.com/photo/2022/11/18/14/00/christmas-tree-7600201_640.jpg', 1, b'1', 200, 0, 0, 0, 200, 0, 0, 0, 0, 0, NULL, 0, '247', '2022-11-22 22:26:15', '247', '2023-05-19 11:41:34', b'0', 1), (2, 247, 21, 0, 10, '好利来（测试）', 29, '[{\"valueId\": 3, \"propertyId\": 2}]', 'https://cdn.pixabay.com/photo/2012/03/01/00/55/flowers-19830_1280.jpg', 1, b'0', 200, 0, 0, 0, 200, 0, 0, 0, 0, 0, NULL, 0, '247', '2022-11-22 22:26:15', '247', '2022-12-10 11:16:44', b'0', 1), (3, 247, 23, 0, 10, '好利来', 29, '[{\"valueId\": 4, \"propertyId\": 2}]', 'https://cdn.pixabay.com/photo/2022/12/06/06/21/lavender-7638368_1280.jpg', 1, b'0', 200, 0, 0, 0, 200, 0, 0, 0, 0, 0, NULL, 0, '247', '2022-11-22 22:50:39', '247', '2023-05-21 04:18:11', b'0', 1), (4, 248, 24, 0, 10, '好利来', 29, '[{\"valueId\": 3, \"propertyId\": 2}]', 'https://cdn.pixabay.com/photo/2022/11/18/14/00/christmas-tree-7600201_640.jpg', 1, b'0', 200, 0, 0, 0, 200, 0, 0, 0, 0, 0, NULL, 0, '248', '2022-11-22 22:26:15', '248', '2022-12-13 17:50:27', b'0', 1), (5, 248, 24, 0, 10, '好利来（测试）', 29, '[{\"valueId\": 3, \"propertyId\": 2}]', 'https://cdn.pixabay.com/photo/2012/03/01/00/55/flowers-19830_1280.jpg', 1, b'0', 200, 0, 0, 0, 200, 0, 0, 0, 0, 0, NULL, 0, '248', '2022-11-22 22:26:15', '248', '2022-12-13 17:50:31', b'0', 1), (6, 248, 25, 0, 10, '好利来', 29, '[{\"valueId\": 4, \"propertyId\": 2}]', 'https://cdn.pixabay.com/photo/2022/12/06/06/21/lavender-7638368_1280.jpg', 1, b'0', 200, 0, 0, 0, 200, 0, 0, 0, 0, 0, NULL, 0, '248', '2022-11-22 22:50:39', '248', '2022-12-13 17:50:34', b'0', 1), (9, 247, 29, NULL, 102, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": null}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 2, b'0', 29900, 0, 0, 0, 59800, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-06-03 09:13:58', '247', '2023-06-03 09:13:58', b'0', 1), (10, 247, 30, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 29900, 0, 0, 0, 29900, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-06-30 23:49:09', '247', '2023-06-30 23:49:09', b'0', 1), (11, 247, 31, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 29900, 0, 0, 0, 29900, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-01 00:18:41', '247', '2023-07-01 00:18:41', b'0', 1), (12, 247, 32, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 29900, 0, 0, 0, 29900, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-04 22:47:27', '247', '2023-07-04 22:47:27', b'0', 1), (13, 247, 33, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 29900, 0, 0, 0, 29900, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-04 23:16:34', '247', '2023-07-04 23:16:34', b'0', 1), (14, 247, 34, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 29900, 0, 0, 0, 29900, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-04 23:17:41', '247', '2023-07-04 23:17:41', b'0', 1), (15, 247, 35, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 29900, 0, 0, 0, 29900, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-04 23:41:28', '247', '2023-07-04 23:41:28', b'0', 1), (16, 247, 36, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 29900, 0, 0, 0, 29900, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-05 23:13:45', '247', '2023-07-05 23:13:45', b'0', 1), (17, 247, 37, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 29900, 0, 0, 0, 29900, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-06 11:09:25', '247', '2023-07-06 11:09:25', b'0', 1), (18, 247, 38, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 29900, 0, 0, 0, 29900, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-06 11:34:59', '247', '2023-07-06 11:34:59', b'0', 1), (19, 247, 39, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 29900, 0, 0, 0, 29900, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-06 12:42:17', '247', '2023-07-06 12:42:17', b'0', 1), (20, 247, 40, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 29900, 0, 0, 0, 29900, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-06 12:44:22', '247', '2023-07-06 12:44:22', b'0', 1), (21, 247, 41, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-06 12:46:04', '247', '2023-07-06 12:46:04', b'0', 1), (22, 247, 42, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 3, '[{\"valueId\": 7, \"valueName\": \"白色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 4, 0, 0, 0, 4, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-06 14:37:31', '247', '2023-07-06 14:37:31', b'0', 1), (23, 247, 43, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 3, '[{\"valueId\": 7, \"valueName\": \"白色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 4, 0, 0, 0, 4, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-06 14:39:19', '247', '2023-07-06 14:39:19', b'0', 1), (24, 247, 44, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 3, '[{\"valueId\": 7, \"valueName\": \"白色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 4, 0, 0, 0, 4, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-06 14:58:17', '247', '2023-07-06 14:58:17', b'0', 1), (25, 247, 45, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-06 16:31:10', '247', '2023-07-06 16:31:10', b'0', 1), (26, 247, 46, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-06 16:33:08', '247', '2023-07-06 16:33:08', b'0', 1), (27, 247, 47, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-06 16:58:20', '247', '2023-07-06 16:58:20', b'0', 1), (28, 247, 48, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-06 17:07:46', '247', '2023-07-06 17:07:46', b'0', 1), (29, 247, 49, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-06 17:17:37', '247', '2023-07-06 17:17:37', b'0', 1), (30, 247, 50, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-06 19:40:26', '247', '2023-07-06 19:40:26', b'0', 1), (31, 247, 51, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-06 19:40:27', '247', '2023-07-06 19:40:27', b'0', 1), (32, 247, 52, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-06 19:54:36', '247', '2023-07-06 19:54:36', b'0', 1), (33, 247, 53, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-06 20:07:11', '247', '2023-07-06 20:07:11', b'0', 1), (34, 247, 54, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-06 20:11:08', '247', '2023-07-06 20:11:08', b'0', 1), (35, 247, 55, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-06 20:19:08', '247', '2023-07-06 20:19:08', b'0', 1), (36, 247, 56, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-06 20:36:24', '247', '2023-07-06 20:36:24', b'0', 1), (37, 247, 57, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-06 20:54:20', '247', '2023-07-06 20:54:20', b'0', 1), (38, 247, 58, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-06 23:20:59', '247', '2023-07-06 23:20:59', b'0', 1), (39, 247, 59, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-06 23:22:48', '247', '2023-07-06 23:22:48', b'0', 1), (40, 247, 60, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-08 12:15:55', '247', '2023-07-08 12:15:55', b'0', 1), (41, 247, 61, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-08 12:26:22', '247', '2023-07-08 12:26:22', b'0', 1), (42, 247, 62, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-08 12:30:24', '247', '2023-07-08 12:30:24', b'0', 1), (43, 247, 63, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-07-08 12:32:08', '247', '2023-07-08 12:32:08', b'0', 1), (44, 247, 64, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-08-13 16:23:48', '247', '2023-08-13 16:23:48', b'0', 1), (45, 247, 65, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-08-13 17:24:23', '247', '2023-08-13 17:24:23', b'0', 1), (46, 247, 66, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-08-13 17:25:21', '247', '2023-08-13 17:25:21', b'0', 1), (47, 247, 67, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'1', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, 6, 20, '247', '2023-08-13 17:27:08', NULL, '2023-09-26 23:46:44', b'0', 1), (48, 247, 68, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-08-13 17:27:56', '247', '2023-08-13 17:27:56', b'0', 1), (49, 247, 69, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-08-13 17:39:07', '247', '2023-08-13 17:39:07', b'0', 1), (50, 247, 70, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'1', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-08-13 17:39:29', '247', '2023-08-13 21:34:48', b'0', 1), (51, 247, 71, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'1', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-08-13 21:35:07', '247', '2023-08-13 21:35:32', b'0', 1), (52, 247, 72, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'1', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-08-13 21:36:03', '247', '2023-08-13 21:41:40', b'0', 1), (53, 247, 73, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'1', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-08-13 21:41:51', '247', '2023-08-13 22:01:36', b'0', 1), (54, 247, 74, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 2, '[{\"valueId\": 6, \"valueName\": \"蓝色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'1', 5, 0, 0, 0, 5, 0, 0, 0, 0, 0, 7, 10, '247', '2023-08-18 15:17:03', NULL, '2023-09-26 23:48:01', b'0', 1), (55, 247, 75, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, 8, 20, '247', '2023-08-18 19:46:29', '1', '2023-08-31 19:56:20', b'0', 1), (62, 247, 78, 63, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 3, '[{\"valueId\": 7, \"valueName\": \"白色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 4, 0, 0, 0, 4, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-08-30 18:46:50', '247', '2023-08-30 18:46:50', b'0', 1), (63, 247, 78, 62, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 2, '[{\"valueId\": 6, \"valueName\": \"蓝色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 5, 0, 0, 0, 5, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-08-30 18:46:50', '247', '2023-08-30 18:46:50', b'0', 1), (64, 247, 78, 61, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 3, b'0', 6, 0, 0, 0, 18, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-08-30 18:46:50', '247', '2023-08-30 18:46:50', b'0', 1), (65, 247, 79, 63, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 3, '[{\"valueId\": 7, \"valueName\": \"白色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 4, 0, 0, 0, 4, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-08-30 18:57:01', '247', '2023-08-30 18:57:01', b'0', 1), (66, 247, 79, 62, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 2, '[{\"valueId\": 6, \"valueName\": \"蓝色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 5, 0, 0, 0, 5, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-08-30 18:57:01', '247', '2023-08-30 18:57:01', b'0', 1), (67, 247, 79, 61, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://demo26.crmeb.net/uploads/attach/2021/11/15/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 3, b'0', 6, 0, 0, 0, 18, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-08-30 18:57:01', '247', '2023-08-30 18:57:01', b'0', 1), (68, 247, 80, 65, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, b'0', 699900, 0, 0, 0, 699900, 0, 0, 0, 0, 0, 11, 20, '247', '2023-08-31 23:43:27', '1', '2023-10-02 15:19:37', b'0', 1), (69, 247, 80, 64, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, 12, 10, '247', '2023-08-31 23:43:27', '247', '2023-10-02 15:25:32', b'0', 1), (70, 247, 81, 70, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 0, 0, 6, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-08-31 23:46:15', '247', '2023-08-31 23:46:15', b'0', 1), (71, 247, 81, 69, 634, 'HUAWEI Mate 60 Pro', 17, '[{\"valueId\": 21, \"valueName\": \"南糯紫\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/23c7564ad843c326296c17c16dd1d2749a421ae81c416fe9e94fb1d310c02ed5.jpg', 1, b'0', 699900, 0, 0, 0, 699900, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-08-31 23:46:15', '247', '2023-08-31 23:46:15', b'0', 1), (72, 247, 81, 68, 634, 'HUAWEI Mate 60 Pro', 16, '[{\"valueId\": 20, \"valueName\": \"白沙银\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/44c8288cd79d2e7df3a80244e519e5fd98c43c9264335f0cbe2fda2445198e45.jpg', 1, b'0', 699900, 0, 0, 0, 699900, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-08-31 23:46:15', '247', '2023-08-31 23:46:15', b'0', 1), (73, 247, 81, 67, 634, 'HUAWEI Mate 60 Pro', 15, '[{\"valueId\": 19, \"valueName\": \"雅川青\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/3661b4ca3b922d31bef4440a7d68f9112b8f529ba160b3278bb0b5158384abf6.jpg', 1, b'0', 699900, 0, 0, 0, 699900, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-08-31 23:46:15', '247', '2023-08-31 23:46:15', b'0', 1), (74, 247, 81, 66, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, b'0', 699900, 0, 0, 0, 699900, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-08-31 23:46:15', '247', '2023-08-31 23:46:15', b'0', 1), (76, 247, 83, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 2, b'0', 6, 0, 0, 0, 12, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-09-20 16:01:32', '247', '2023-09-20 16:01:32', b'0', 1), (77, 247, 84, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 2, b'0', 6, 0, 0, 0, 12, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-09-20 16:05:33', '247', '2023-09-20 16:05:33', b'0', 1), (78, 247, 85, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 2, b'0', 6, 0, 0, 0, 12, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-09-20 17:11:35', '247', '2023-09-20 17:11:35', b'0', 1), (79, 247, 86, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 2, b'0', 6, 0, 0, 0, 12, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-09-20 19:32:59', '247', '2023-09-20 19:32:59', b'0', 1), (80, 247, 87, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 2, b'0', 6, 0, 0, 0, 12, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-09-20 23:11:21', '247', '2023-09-20 23:11:21', b'0', 1), (81, 247, 88, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 2, b'0', 6, 0, 0, 0, 12, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-09-20 23:20:21', '247', '2023-09-20 23:20:21', b'0', 1), (82, 247, 89, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 2, b'0', 6, 0, 0, 0, 12, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-09-23 23:51:36', '247', '2023-09-23 23:51:36', b'0', 1), (83, 247, 90, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 2, b'0', 6, 0, 0, 0, 12, 0, 0, 0, 0, 0, NULL, 0, '247', '2023-09-23 23:52:34', '247', '2023-09-23 23:52:34', b'0', 1), (84, 247, 91, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 2, b'0', 6, 0, 0, 0, 9, 0, 0, 0, 0, 3, NULL, 0, '247', '2023-09-23 23:54:18', '247', '2023-09-23 23:54:18', b'0', 1), (85, 247, 92, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 2, b'0', 6, 0, 0, 0, 9, 0, 0, 0, 0, 3, NULL, 0, '247', '2023-09-23 23:55:33', '247', '2023-09-23 23:55:33', b'0', 1), (86, 247, 93, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课 白色', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 2, b'0', 6, 0, 0, 0, 9, 0, 0, 0, 0, 3, NULL, 0, '247', '2023-09-23 23:56:53', '247', '2023-09-23 23:56:53', b'0', 1), (87, 247, 94, NULL, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, b'0', 699900, 0, 0, 0, 559920, 0, 0, 0, 16797, 139980, NULL, 0, '247', '2023-09-30 21:04:05', '247', '2023-09-30 21:04:05', b'0', 1), (88, 247, 95, NULL, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, b'0', 699900, 0, 0, 0, 384945, 0, 0, 0, 11548, 314955, 10, 0, '247', '2023-10-01 21:36:10', '1', '2023-10-02 15:20:11', b'0', 1), (89, 247, 96, NULL, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, b'0', 699900, 0, 0, 0, 699900, 0, 0, 0, 20997, 0, NULL, 0, '247', '2023-10-02 09:40:17', '247', '2023-10-02 09:40:17', b'0', 1), (90, 247, 97, NULL, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, b'0', 699900, 0, 0, 0, 384945, 0, 0, 0, 11548, 314955, 9, 10, '247', '2023-10-02 10:21:10', '247', '2023-10-02 14:54:53', b'0', 1), (91, 247, 98, NULL, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, b'0', 699900, 0, 0, 0, 384945, 0, 0, 0, 11548, 314955, 14, 10, '247', '2023-10-02 15:38:34', '247', '2023-10-02 15:41:55', b'0', 1), (92, 247, 99, NULL, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, b'0', 699900, 699800, 200, 0, 300, 0, 0, 0, 9, 0, NULL, 0, '247', '2023-10-04 00:29:16', '247', '2023-10-04 00:29:16', b'0', 1), (93, 247, 100, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 200, 0, 206, 0, 0, 0, 6, 0, NULL, 0, '247', '2023-10-05 17:18:27', '247', '2023-10-05 17:18:27', b'0', 1), (95, 247, 102, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 5, 200, 0, 201, 0, 0, 0, 6, 0, NULL, 0, '247', '2023-10-05 23:00:13', '247', '2023-10-05 23:00:13', b'0', 1), (97, 247, 104, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 5, 200, 0, 201, 0, 0, 0, 6, 0, NULL, 0, '247', '2023-10-05 23:14:02', '247', '2023-10-05 23:14:02', b'0', 1), (98, 247, 105, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 5, 200, 0, 201, 0, 0, 0, 6, 0, NULL, 0, '247', '2023-10-05 23:17:29', '247', '2023-10-05 23:17:29', b'0', 1), (99, 247, 106, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 5, 200, 0, 201, 0, 0, 0, 6, 0, NULL, 0, '247', '2023-10-05 23:19:05', '247', '2023-10-05 23:19:05', b'0', 1), (100, 247, 107, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 5, 200, 0, 201, 0, 0, 0, 6, 0, NULL, 0, '247', '2023-10-05 23:22:49', '247', '2023-10-05 23:22:49', b'0', 1), (101, 248, 108, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, -69, 200, 0, 275, 0, 0, 0, 8, 0, NULL, 0, '248', '2023-10-06 10:08:34', '248', '2023-10-06 10:08:34', b'0', 1), (102, 248, 109, NULL, 634, 'HUAWEI Mate 60 Pro', 16, '[{\"valueId\": 20, \"valueName\": \"白沙银\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/44c8288cd79d2e7df3a80244e519e5fd98c43c9264335f0cbe2fda2445198e45.jpg', 1, b'0', 699900, 0, 200, 0, 560120, 0, 0, 0, 16803, 139980, NULL, 0, '248', '2023-10-06 22:40:11', '248', '2023-10-06 22:40:11', b'0', 1), (108, 248, 115, NULL, 634, 'HUAWEI Mate 60 Pro', 16, '[{\"valueId\": 20, \"valueName\": \"白沙银\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/44c8288cd79d2e7df3a80244e519e5fd98c43c9264335f0cbe2fda2445198e45.jpg', 1, b'0', 699900, 699897, 200, 0, 203, 0, 0, 0, 6, 0, NULL, 0, '248', '2023-10-07 06:47:22', '248', '2023-10-07 06:47:22', b'0', 1), (109, 248, 116, NULL, 634, 'HUAWEI Mate 60 Pro', 16, '[{\"valueId\": 20, \"valueName\": \"白沙银\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/44c8288cd79d2e7df3a80244e519e5fd98c43c9264335f0cbe2fda2445198e45.jpg', 1, b'0', 699900, 699897, 200, 0, 203, 0, 0, 0, 6, 0, NULL, 0, '248', '2023-10-07 06:56:47', '248', '2023-10-07 06:56:47', b'0', 1), (110, 248, 117, NULL, 634, 'HUAWEI Mate 60 Pro', 16, '[{\"valueId\": 20, \"valueName\": \"白沙银\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/44c8288cd79d2e7df3a80244e519e5fd98c43c9264335f0cbe2fda2445198e45.jpg', 1, b'0', 699900, 699897, 200, 0, 203, 0, 0, 0, 6, 0, NULL, 0, '248', '2023-10-07 06:57:39', '248', '2023-10-07 06:57:39', b'0', 1), (111, 248, 118, NULL, 634, 'HUAWEI Mate 60 Pro', 16, '[{\"valueId\": 20, \"valueName\": \"白沙银\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/44c8288cd79d2e7df3a80244e519e5fd98c43c9264335f0cbe2fda2445198e45.jpg', 1, b'0', 699900, 699897, 200, 0, 203, 0, 0, 0, 6, 0, NULL, 0, '248', '2023-10-07 06:58:48', '248', '2023-10-07 06:58:48', b'0', 1), (112, 248, 119, NULL, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, b'0', 699900, 0, 200, 0, 700100, 0, 0, 0, 21003, 0, 15, 20, '248', '2023-10-10 23:02:32', '1', '2023-10-10 23:11:19', b'0', 1), (113, 248, 120, NULL, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, b'0', 699900, 0, 200, 0, 700100, 0, 0, 0, 21003, 0, 16, 20, '248', '2023-10-10 23:16:02', '1', '2023-10-10 23:20:10', b'0', 1), (114, 248, 121, NULL, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, b'0', 699900, 0, 200, 0, 700100, 0, 0, 0, 21003, 0, 17, 20, '248', '2023-10-10 23:23:27', '1', '2023-10-10 23:23:50', b'0', 1), (115, 248, 122, NULL, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, b'0', 699900, 0, 200, 0, 700100, 0, 0, 0, 21003, 0, 18, 20, '248', '2023-10-10 23:28:04', '1', '2023-10-10 23:29:55', b'0', 1), (116, 248, 123, NULL, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, b'0', 699900, 699800, 200, 0, 300, 0, 0, 0, 9, 0, 19, 20, '248', '2023-10-10 23:44:41', '1', '2023-10-11 07:04:28', b'0', 1), (117, 248, 124, NULL, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, b'0', 699900, 0, 200, 0, 560120, 0, 0, 0, 16803, 139980, NULL, 0, '248', '2023-10-11 07:03:42', '248', '2023-10-11 07:03:42', b'0', 1), (118, 248, 125, NULL, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, b'0', 699900, 0, 200, 0, 700100, 0, 0, 0, 21003, 0, 20, 10, '248', '2023-10-11 07:33:25', '248', '2023-10-11 07:34:22', b'0', 1), (119, 248, 126, NULL, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, b'0', 699900, 0, 200, 0, 385145, 0, 0, 0, 11554, 314955, NULL, 0, '248', '2023-10-11 07:36:29', '248', '2023-10-11 07:36:29', b'0', 1), (120, 248, 127, NULL, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, b'0', 699900, 0, 200, 0, 385145, 0, 0, 0, 11554, 314955, 21, 20, '248', '2023-10-11 07:36:41', '1', '2023-10-11 07:39:26', b'0', 1), (121, 248, 128, NULL, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, b'0', 699900, 0, 200, 0, 700100, 0, 0, 0, 21003, 0, NULL, 0, '248', '2023-10-24 11:43:36', '248', '2023-10-24 11:43:36', b'0', 1), (122, 248, 129, NULL, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, b'0', 699900, 0, 200, 0, 700100, 0, 0, 0, 21003, 0, NULL, 0, '248', '2023-10-24 12:27:30', '248', '2023-10-24 12:27:30', b'0', 1), (123, 248, 130, NULL, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, b'0', 699900, 0, 200, 0, 700100, 0, 0, 0, 21003, 0, NULL, 0, '248', '2023-10-24 12:29:40', '248', '2023-10-24 12:29:40', b'0', 1), (124, 248, 131, NULL, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, b'0', 699900, 0, 200, 0, 700100, 0, 0, 0, 21003, 0, NULL, 0, '248', '2023-10-24 12:33:14', '248', '2023-10-24 12:33:14', b'0', 1), (126, 247, 133, NULL, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, b'0', 699900, 0, 200, 0, 700100, 0, 0, 0, 21003, 0, NULL, 0, '247', '2023-12-11 22:16:51', '247', '2023-12-11 22:16:51', b'0', 1), (127, 247, 134, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 200, 0, 206, 0, 0, 0, 6, 0, NULL, 0, '247', '2023-12-12 20:01:14', '247', '2023-12-12 20:01:14', b'0', 1), (128, 247, 135, NULL, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, b'0', 699900, 0, 200, 0, 700100, 0, 0, 0, 21003, 0, NULL, 0, '247', '2023-12-12 20:09:27', '247', '2023-12-12 20:09:27', b'0', 1), (129, 247, 136, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 2, '[{\"valueId\": 6, \"valueName\": \"蓝色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 55, 0, 200, 0, 255, 0, 0, 0, 7, 0, NULL, 0, '247', '2023-12-12 20:49:33', '247', '2023-12-12 20:49:33', b'0', 1), (130, 247, 137, NULL, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, b'1', 699900, 0, 200, 0, 385145, 0, 0, 0, 11554, 314955, 22, 0, '247', '2023-12-12 20:51:05', '247', '2023-12-14 21:59:07', b'0', 1), (131, 247, 138, NULL, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, b'0', 699900, 0, 200, 0, 700100, 0, 0, 0, 21003, 0, NULL, 0, '247', '2023-12-15 23:53:56', '247', '2023-12-15 23:53:56', b'0', 1), (132, 247, 139, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 200, 0, 206, 0, 0, 0, 6, 0, NULL, 0, '247', '2023-12-15 23:59:50', '247', '2023-12-15 23:59:50', b'0', 1), (133, 247, 140, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 200, 0, 203, 0, 0, 0, 6, 3, NULL, 0, '247', '2023-12-23 22:59:26', '247', '2023-12-23 22:59:26', b'0', 1), (134, 247, 141, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 6, 0, 200, 0, 203, 0, 0, 0, 6, 3, NULL, 0, '247', '2023-12-24 10:18:03', '247', '2023-12-24 10:18:03', b'0', 1), (135, 247, 142, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 1, 0, 100, 0, 100, 0, 0, 0, 3, 1, NULL, 0, '247', '2023-12-24 11:32:08', '247', '2023-12-24 11:32:08', b'0', 1), (136, 247, 143, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 1, '[{\"valueId\": 5, \"valueName\": \"黑色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 1, 0, 100, 0, 101, 0, 0, 0, 3, 0, NULL, 0, '247', '2023-12-24 11:35:36', '247', '2023-12-24 11:35:36', b'0', 1), (137, 247, 144, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 2, '[{\"valueId\": 6, \"valueName\": \"蓝色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 55, 0, 100, 0, 155, 0, 0, 0, 4, 0, NULL, 0, '247', '2023-12-24 11:52:05', '247', '2023-12-24 11:52:05', b'0', 1), (138, 247, 145, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 2, '[{\"valueId\": 6, \"valueName\": \"蓝色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 55, 0, 100, 0, 155, 0, 0, 0, 4, 0, NULL, 0, '247', '2023-12-24 11:52:32', '247', '2023-12-24 11:52:32', b'0', 1), (139, 247, 146, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 2, '[{\"valueId\": 6, \"valueName\": \"蓝色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 55, 0, 100, 0, 130, 0, 0, 0, 3, 25, NULL, 0, '247', '2023-12-24 18:44:12', '247', '2023-12-24 18:44:12', b'0', 1), (140, 247, 147, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 2, '[{\"valueId\": 6, \"valueName\": \"蓝色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 55, 0, 100, 0, 130, 0, 0, 0, 3, 25, NULL, 0, '247', '2023-12-24 20:11:46', '247', '2023-12-24 20:11:46', b'0', 1), (141, 247, 148, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 2, '[{\"valueId\": 6, \"valueName\": \"蓝色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 55, 0, 100, 0, 130, 0, 0, 0, 3, 25, NULL, 0, '247', '2023-12-24 20:12:48', '247', '2023-12-24 20:12:48', b'0', 1), (142, 247, 149, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 2, '[{\"valueId\": 6, \"valueName\": \"蓝色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 55, 0, 100, 0, 130, 0, 0, 0, 3, 25, NULL, 0, '247', '2023-12-24 20:13:53', '247', '2023-12-24 20:13:53', b'0', 1), (143, 247, 150, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 2, '[{\"valueId\": 6, \"valueName\": \"蓝色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 55, 0, 100, 0, 130, 0, 0, 0, 3, 25, NULL, 0, '247', '2023-12-24 22:33:28', '247', '2023-12-24 22:33:28', b'0', 1), (144, 247, 151, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 3, '[{\"valueId\": 7, \"valueName\": \"白色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 4, 0, 0, 0, 2, 0, 0, 0, 0, 2, NULL, 0, '247', '2024-01-04 23:18:27', '247', '2024-01-04 23:18:27', b'0', 1), (145, 247, 151, NULL, 634, 'HUAWEI Mate 60 Pro', 16, '[{\"valueId\": 20, \"valueName\": \"白沙银\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/44c8288cd79d2e7df3a80244e519e5fd98c43c9264335f0cbe2fda2445198e45.jpg', 1, b'0', 699900, 0, 100, 0, 385045, 0, 0, 0, 11551, 314955, NULL, 0, '247', '2024-01-04 23:18:27', '247', '2024-01-04 23:18:27', b'0', 1), (146, 247, 152, NULL, 634, 'HUAWEI Mate 60 Pro', 16, '[{\"valueId\": 20, \"valueName\": \"白沙银\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/44c8288cd79d2e7df3a80244e519e5fd98c43c9264335f0cbe2fda2445198e45.jpg', 1, b'0', 699900, 0, 100, 0, 700000, 0, 0, 0, 21000, 0, NULL, 0, '247', '2024-01-13 16:47:13', '247', '2024-01-13 16:47:13', b'0', 1), (147, 247, 153, NULL, 634, 'HUAWEI Mate 60 Pro', 16, '[{\"valueId\": 20, \"valueName\": \"白沙银\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/44c8288cd79d2e7df3a80244e519e5fd98c43c9264335f0cbe2fda2445198e45.jpg', 1, b'0', 699900, 699897, 100, 0, 103, 0, 0, 0, 3, 0, NULL, 0, '247', '2024-01-13 16:47:42', '247', '2024-01-13 16:47:42', b'0', 1), (148, 247, 154, NULL, 634, 'HUAWEI Mate 60 Pro', 16, '[{\"valueId\": 20, \"valueName\": \"白沙银\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/44c8288cd79d2e7df3a80244e519e5fd98c43c9264335f0cbe2fda2445198e45.jpg', 1, b'0', 699900, 699897, 100, 0, 103, 0, 0, 0, 3, 0, NULL, 0, '247', '2024-01-13 17:07:57', '247', '2024-01-13 17:07:57', b'0', 1), (149, 247, 155, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 2, '[{\"valueId\": 6, \"valueName\": \"蓝色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 55, -145, 100, 0, 300, 0, 0, 0, 9, 0, NULL, 0, '247', '2024-01-13 17:10:31', '247', '2024-01-13 17:10:31', b'0', 1), (150, 247, 156, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 2, '[{\"valueId\": 6, \"valueName\": \"蓝色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 55, -145, 100, 0, 300, 0, 0, 0, 9, 0, NULL, 0, '247', '2024-01-13 17:11:41', '247', '2024-01-13 17:11:41', b'0', 1), (151, 247, 157, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 2, '[{\"valueId\": 6, \"valueName\": \"蓝色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 55, -145, 100, 0, 300, 0, 0, 0, 9, 0, NULL, 0, '247', '2024-01-13 17:13:44', '247', '2024-01-13 17:13:44', b'0', 1), (152, 247, 158, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 2, '[{\"valueId\": 6, \"valueName\": \"蓝色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 55, -145, 100, 0, 300, 0, 0, 0, 9, 0, NULL, 0, '247', '2024-01-13 17:16:47', '247', '2024-01-13 17:16:47', b'0', 1), (153, 247, 159, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 2, '[{\"valueId\": 6, \"valueName\": \"蓝色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 1, b'0', 55, -145, 100, 0, 300, 0, 0, 0, 9, 0, NULL, 0, '247', '2024-01-13 19:16:36', '247', '2024-01-13 19:16:36', b'0', 1), (154, 247, 160, NULL, 634, 'HUAWEI Mate 60 Pro', 14, '[{\"valueId\": 18, \"valueName\": \"雅丹黑\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/49009b73d392657c85bed2e82e22b09720e7c68466b8565c8b2f6c00e03b705e.jpg', 1, b'0', 699900, 699800, 100, 0, 200, 0, 0, 0, 6, 0, NULL, 0, '247', '2024-01-13 20:23:09', '247', '2024-01-13 20:23:09', b'0', 1), (155, 247, 161, NULL, 634, 'HUAWEI Mate 60 Pro', 15, '[{\"valueId\": 19, \"valueName\": \"雅川青\", \"propertyId\": 1, \"propertyName\": \"颜色\"}]', 'http://127.0.0.1:48080/admin-api/infra/file/4/get/3661b4ca3b922d31bef4440a7d68f9112b8f529ba160b3278bb0b5158384abf6.jpg', 1, b'0', 699900, 0, 0, 0, 384945, 0, 0, 0, 11547, 314955, 23, 20, '247', '2024-01-16 08:04:33', '1', '2024-01-16 20:27:23', b'0', 1), (156, 247, 161, NULL, 633, '索尼（SONY）WH-CH510 无线立体声耳机 学生网课', 2, '[{\"valueId\": 6, \"valueName\": \"蓝色\", \"propertyId\": 1, \"propertyName\": \"颜色\"}, {\"valueId\": 8, \"valueName\": \"CH510\", \"propertyId\": 3, \"propertyName\": \"版本\"}]', 'https://static.iocoder.cn/mall/a79f5d2ea6bf0c3c11b2127332dfe2df.jpg', 32, b'0', 55, 0, 100, 0, 1068, 0, 0, 0, 33, 792, NULL, 0, '247', '2024-01-16 08:04:33', '247', '2024-01-16 08:04:33', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for trade_order_log
-- ----------------------------
DROP TABLE IF EXISTS `trade_order_log`;
CREATE TABLE `trade_order_log`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `user_id` bigint NOT NULL COMMENT '用户编号',
  `user_type` tinyint NOT NULL DEFAULT 0 COMMENT '用户类型',
  `order_id` bigint NOT NULL COMMENT '订单号',
  `before_status` tinyint NULL DEFAULT NULL COMMENT '操作前状态',
  `after_status` tinyint NULL DEFAULT NULL COMMENT '操作后状态',
  `operate_type` int NOT NULL DEFAULT 0 COMMENT '操作类型',
  `content` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '操作内容',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 8672 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '交易订单日志';

-- ----------------------------
-- Records of trade_order_log
-- ----------------------------
BEGIN;
INSERT INTO `trade_order_log` (`id`, `user_id`, `user_type`, `order_id`, `before_status`, `after_status`, `operate_type`, `content`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (8557, 247, 1, 97, NULL, 0, 1, '用户下单', NULL, '2023-10-02 10:21:10', NULL, '2023-10-02 10:21:10', b'0', 1), (8558, 0, 1, 97, 0, 10, 10, '用户付款成功', NULL, '2023-10-02 10:21:12', NULL, '2023-10-02 10:21:12', b'0', 1), (8559, 247, 1, 98, NULL, 0, 1, '用户下单', NULL, '2023-10-02 15:38:35', NULL, '2023-10-02 15:38:35', b'0', 1), (8560, 0, 1, 98, 0, 10, 10, '用户付款成功', NULL, '2023-10-02 15:38:39', NULL, '2023-10-02 15:38:39', b'0', 1), (8561, 247, 1, 99, NULL, 0, 1, '用户下单', NULL, '2023-10-04 00:29:17', NULL, '2023-10-04 00:29:17', b'0', 1), (8562, 247, 1, 100, NULL, 0, 1, '用户下单', NULL, '2023-10-05 17:18:27', NULL, '2023-10-05 17:18:27', b'0', 1), (8563, 247, 1, 102, NULL, 0, 1, '用户下单', NULL, '2023-10-05 23:00:13', NULL, '2023-10-05 23:00:13', b'0', 1), (8564, 0, 1, 102, 0, 10, 10, '用户付款成功', NULL, '2023-10-05 23:05:29', NULL, '2023-10-05 23:05:29', b'0', 1), (8565, 247, 1, 104, NULL, 0, 1, '用户下单', NULL, '2023-10-05 23:14:03', NULL, '2023-10-05 23:14:03', b'0', 1), (8566, 247, 1, 105, NULL, 0, 1, '用户下单', NULL, '2023-10-05 23:17:29', NULL, '2023-10-05 23:17:29', b'0', 1), (8567, 247, 1, 106, NULL, 0, 1, '用户下单', NULL, '2023-10-05 23:19:17', NULL, '2023-10-05 23:19:17', b'0', 1), (8568, 247, 1, 107, NULL, 0, 1, '用户下单', NULL, '2023-10-05 23:22:49', NULL, '2023-10-05 23:22:49', b'0', 1), (8569, 0, 1, 107, 0, 10, 10, '用户付款成功', NULL, '2023-10-05 23:23:00', NULL, '2023-10-05 23:23:00', b'0', 1), (8570, 248, 1, 108, NULL, 0, 1, '用户下单', NULL, '2023-10-06 10:08:34', NULL, '2023-10-06 10:08:34', b'0', 1), (8571, 0, 1, 108, 0, 10, 10, '用户付款成功', NULL, '2023-10-06 10:13:44', NULL, '2023-10-06 10:13:44', b'0', 1), (8572, 248, 1, 109, NULL, 0, 1, '用户下单', NULL, '2023-10-06 22:40:11', NULL, '2023-10-06 22:40:11', b'0', 1), (8573, 248, 1, 115, NULL, 0, 1, '用户下单', NULL, '2023-10-07 06:47:23', NULL, '2023-10-07 06:47:23', b'0', 1), (8574, 248, 1, 115, 0, 40, 40, '取消订单', NULL, '2023-10-07 06:50:20', NULL, '2023-10-07 06:50:20', b'0', 1), (8575, 248, 1, 116, NULL, 0, 1, '用户下单', NULL, '2023-10-07 06:56:48', NULL, '2023-10-07 06:56:48', b'0', 1), (8576, 248, 1, 117, NULL, 0, 1, '用户下单', NULL, '2023-10-07 06:57:39', NULL, '2023-10-07 06:57:39', b'0', 1), (8577, 248, 1, 118, NULL, 0, 1, '用户下单', NULL, '2023-10-07 06:58:48', NULL, '2023-10-07 06:58:48', b'0', 1), (8578, 0, 1, 118, 0, 10, 10, '用户付款成功', NULL, '2023-10-07 06:58:51', NULL, '2023-10-07 06:58:51', b'0', 1), (8579, 248, 1, 119, NULL, 0, 1, '用户下单', NULL, '2023-10-10 23:02:33', NULL, '2023-10-10 23:02:33', b'0', 1), (8580, 0, 1, 119, 0, 10, 10, '用户付款成功', NULL, '2023-10-10 23:02:36', NULL, '2023-10-10 23:02:36', b'0', 1), (8581, 248, 1, 120, NULL, 0, 1, '用户下单', NULL, '2023-10-10 23:16:03', NULL, '2023-10-10 23:16:03', b'0', 1), (8582, 0, 1, 120, 0, 10, 10, '用户付款成功', NULL, '2023-10-10 23:16:09', NULL, '2023-10-10 23:16:09', b'0', 1), (8583, 248, 1, 121, NULL, 0, 1, '用户下单', NULL, '2023-10-10 23:23:27', NULL, '2023-10-10 23:23:27', b'0', 1), (8584, 0, 1, 121, 0, 10, 10, '用户付款成功', NULL, '2023-10-10 23:23:30', NULL, '2023-10-10 23:23:30', b'0', 1), (8585, 248, 1, 122, NULL, 0, 1, '用户下单', NULL, '2023-10-10 23:28:04', NULL, '2023-10-10 23:28:04', b'0', 1), (8586, 0, 1, 122, 0, 10, 10, '用户付款成功', NULL, '2023-10-10 23:28:07', NULL, '2023-10-10 23:28:07', b'0', 1), (8587, 248, 1, 123, NULL, 0, 1, '用户下单', NULL, '2023-10-10 23:44:41', NULL, '2023-10-10 23:44:41', b'0', 1), (8588, 0, 1, 123, 0, 10, 10, '用户付款成功', NULL, '2023-10-10 23:44:45', NULL, '2023-10-10 23:44:45', b'0', 1), (8589, 248, 1, 124, NULL, 0, 1, '用户下单', NULL, '2023-10-11 07:03:42', NULL, '2023-10-11 07:03:42', b'0', 1), (8590, 0, 1, 124, 0, 10, 10, '用户付款成功', NULL, '2023-10-11 07:03:47', NULL, '2023-10-11 07:03:47', b'0', 1), (8591, 248, 1, 125, NULL, 0, 1, '用户下单', NULL, '2023-10-11 07:33:25', NULL, '2023-10-11 07:33:25', b'0', 1), (8592, 0, 1, 125, 0, 10, 10, '用户付款成功', NULL, '2023-10-11 07:33:29', NULL, '2023-10-11 07:33:29', b'0', 1), (8593, 248, 1, 126, NULL, 0, 1, '用户下单', NULL, '2023-10-11 07:36:29', NULL, '2023-10-11 07:36:29', b'0', 1), (8594, 248, 1, 127, NULL, 0, 1, '用户下单', NULL, '2023-10-11 07:36:41', NULL, '2023-10-11 07:36:41', b'0', 1), (8595, 0, 1, 127, 0, 10, 10, '用户付款成功', NULL, '2023-10-11 07:36:44', NULL, '2023-10-11 07:36:44', b'0', 1), (8596, 1, 2, 96, 10, 30, 32, '用户自提收货', NULL, '2023-10-14 17:13:35', NULL, '2023-10-14 17:13:35', b'0', 1), (8597, 1, 2, 93, 10, 30, 32, '管理员自提收货', NULL, '2023-10-17 21:43:55', NULL, '2023-10-17 21:43:55', b'0', 1), (8598, 248, 1, 128, NULL, 0, 1, '用户下单', NULL, '2023-10-24 11:43:38', NULL, '2023-10-24 11:43:38', b'0', 1), (8599, 248, 1, 129, NULL, 0, 1, '用户下单', NULL, '2023-10-24 12:27:30', NULL, '2023-10-24 12:27:30', b'0', 1), (8600, 248, 1, 130, NULL, 0, 1, '用户下单', NULL, '2023-10-24 12:29:41', NULL, '2023-10-24 12:29:41', b'0', 1), (8601, 248, 1, 131, NULL, 0, 1, '用户下单', NULL, '2023-10-24 12:33:15', NULL, '2023-10-24 12:33:15', b'0', 1), (8602, 0, 1, 131, 0, 10, 10, '用户付款成功', NULL, '2023-10-24 12:33:22', NULL, '2023-10-24 12:33:22', b'0', 1), (8603, 247, 1, 133, NULL, 0, 1, '用户下单', NULL, '2023-12-11 22:16:51', NULL, '2023-12-11 22:16:51', b'0', 1), (8604, 247, 1, 134, NULL, 0, 1, '用户下单', NULL, '2023-12-12 20:01:15', NULL, '2023-12-12 20:01:15', b'0', 1), (8605, 247, 1, 135, NULL, 0, 1, '用户下单', NULL, '2023-12-12 20:09:27', NULL, '2023-12-12 20:09:27', b'0', 1), (8606, 247, 1, 136, NULL, 0, 1, '用户下单', NULL, '2023-12-12 20:49:33', NULL, '2023-12-12 20:49:33', b'0', 1), (8607, 0, 1, 136, 0, 10, 10, '用户付款成功', NULL, '2023-12-12 20:49:44', NULL, '2023-12-12 20:49:44', b'0', 1), (8608, 247, 1, 137, NULL, 0, 1, '用户下单', NULL, '2023-12-12 20:51:05', NULL, '2023-12-12 20:51:05', b'0', 1), (8609, 0, 1, 137, 0, 10, 10, '用户付款成功', NULL, '2023-12-12 20:51:12', NULL, '2023-12-12 20:51:12', b'0', 1), (8610, 247, 1, 135, 0, 40, 40, '取消订单', NULL, '2023-12-13 19:48:59', NULL, '2023-12-13 19:48:59', b'0', 1), (8611, 247, 1, 104, 0, 40, 40, '取消订单', NULL, '2023-12-13 19:50:04', NULL, '2023-12-13 19:50:04', b'0', 1), (8612, 247, 1, 135, 40, 40, 49, '删除订单', NULL, '2023-12-13 19:52:49', NULL, '2023-12-13 19:52:49', b'0', 1), (8613, 247, 1, 100, 0, 40, 40, '取消订单', NULL, '2023-12-13 19:53:02', NULL, '2023-12-13 19:53:02', b'0', 1), (8614, 247, 1, 100, 40, 40, 49, '删除订单', NULL, '2023-12-13 19:53:04', NULL, '2023-12-13 19:53:04', b'0', 1), (8615, 247, 1, 104, 40, 40, 49, '删除订单', NULL, '2023-12-13 19:53:19', NULL, '2023-12-13 19:53:19', b'0', 1), (8616, 247, 1, 134, 0, 40, 40, '取消订单', NULL, '2023-12-13 20:00:13', NULL, '2023-12-13 20:00:13', b'0', 1), (8617, 247, 1, 133, 0, 40, 40, '取消订单', NULL, '2023-12-13 20:00:32', NULL, '2023-12-13 20:00:32', b'0', 1), (8618, 247, 1, 106, 0, 40, 40, '取消订单', NULL, '2023-12-13 20:01:06', NULL, '2023-12-13 20:01:06', b'0', 1), (8619, 247, 1, 94, 20, 30, 30, '用户已收货', NULL, '2023-12-13 20:34:17', NULL, '2023-12-13 20:34:17', b'0', 1), (8620, 247, 1, 79, 40, 40, 49, '删除订单', NULL, '2023-12-13 20:34:43', NULL, '2023-12-13 20:34:43', b'0', 1), (8621, 247, 1, 137, 20, 30, 30, '用户已收货', NULL, '2023-12-13 20:43:30', NULL, '2023-12-13 20:43:30', b'0', 1), (8622, 247, 1, 137, 20, 30, 30, '用户已收货', NULL, '2023-12-13 20:44:29', NULL, '2023-12-13 20:44:29', b'0', 1), (8623, 247, 1, 137, 20, 30, 30, '用户已收货', NULL, '2023-12-13 20:45:23', NULL, '2023-12-13 20:45:23', b'0', 1), (8624, 247, 1, 137, 20, 30, 30, '用户已收货', NULL, '2023-12-13 20:45:57', NULL, '2023-12-13 20:45:57', b'0', 1), (8625, 247, 1, 137, 20, 30, 30, '用户已收货', NULL, '2023-12-13 20:46:24', NULL, '2023-12-13 20:46:24', b'0', 1), (8626, 247, 1, 137, 20, 30, 30, '用户已收货', NULL, '2023-12-13 20:46:35', NULL, '2023-12-13 20:46:35', b'0', 1), (8627, 247, 1, 137, 20, 30, 30, '用户已收货', NULL, '2023-12-13 20:47:02', NULL, '2023-12-13 20:47:02', b'0', 1), (8628, 247, 1, 137, 20, 30, 30, '用户已收货', NULL, '2023-12-13 20:47:33', NULL, '2023-12-13 20:47:33', b'0', 1), (8629, 247, 1, 137, 20, 30, 30, '用户已收货', NULL, '2023-12-13 20:51:41', NULL, '2023-12-13 20:51:41', b'0', 1), (8630, 247, 1, 137, 30, 30, 33, '用户评价', NULL, '2023-12-14 21:59:07', NULL, '2023-12-14 21:59:07', b'0', 1), (8631, 247, 1, 138, NULL, 0, 1, '用户下单', NULL, '2023-12-15 23:53:56', NULL, '2023-12-15 23:53:56', b'0', 1), (8632, 247, 1, 139, NULL, 0, 1, '用户下单', NULL, '2023-12-15 23:59:50', NULL, '2023-12-15 23:59:50', b'0', 1), (8633, 0, 1, 139, 0, 10, 10, '用户付款成功', NULL, '2023-12-16 00:01:26', NULL, '2023-12-16 00:01:26', b'0', 1), (8634, 247, 1, 140, NULL, 0, 1, '用户下单', NULL, '2023-12-23 22:59:26', NULL, '2023-12-23 22:59:26', b'0', 1), (8635, 247, 1, 140, 0, 40, 40, '取消订单', NULL, '2023-12-24 10:16:08', NULL, '2023-12-24 10:16:08', b'0', 1), (8636, 247, 1, 141, NULL, 0, 1, '用户下单', NULL, '2023-12-24 10:18:03', NULL, '2023-12-24 10:18:03', b'0', 1), (8637, 247, 1, 142, NULL, 0, 1, '用户下单', NULL, '2023-12-24 11:32:08', NULL, '2023-12-24 11:32:08', b'0', 1), (8638, 0, 1, 142, 0, 10, 10, '用户付款成功', NULL, '2023-12-24 11:32:18', NULL, '2023-12-24 11:32:18', b'0', 1), (8639, 247, 1, 143, NULL, 0, 1, '用户下单', NULL, '2023-12-24 11:35:36', NULL, '2023-12-24 11:35:36', b'0', 1), (8640, 247, 1, 144, NULL, 0, 1, '用户下单', NULL, '2023-12-24 11:52:05', NULL, '2023-12-24 11:52:05', b'0', 1), (8641, 247, 1, 145, NULL, 0, 1, '用户下单', NULL, '2023-12-24 11:52:32', NULL, '2023-12-24 11:52:32', b'0', 1), (8642, 0, 1, 143, 0, 10, 10, '用户付款成功', NULL, '2023-12-24 13:08:57', NULL, '2023-12-24 13:08:57', b'0', 1), (8643, 247, 1, 146, NULL, 0, 1, '用户下单', NULL, '2023-12-24 18:44:12', NULL, '2023-12-24 18:44:12', b'0', 1), (8644, 247, 1, 147, NULL, 0, 1, '用户下单', NULL, '2023-12-24 20:11:46', NULL, '2023-12-24 20:11:46', b'0', 1), (8645, 247, 1, 148, NULL, 0, 1, '用户下单', NULL, '2023-12-24 20:12:48', NULL, '2023-12-24 20:12:48', b'0', 1), (8646, 247, 1, 149, NULL, 0, 1, '用户下单', NULL, '2023-12-24 20:13:53', NULL, '2023-12-24 20:13:53', b'0', 1), (8647, 247, 1, 150, NULL, 0, 1, '用户下单', NULL, '2023-12-24 22:33:28', NULL, '2023-12-24 22:33:28', b'0', 1), (8648, 247, 1, 151, NULL, 0, 1, '用户下单', NULL, '2024-01-04 23:18:27', NULL, '2024-01-04 23:18:27', b'0', 1), (8649, 0, 1, 151, 0, 10, 10, '用户付款成功', NULL, '2024-01-04 23:40:52', NULL, '2024-01-04 23:40:52', b'0', 1), (8650, 247, 1, 152, NULL, 0, 1, '用户下单', NULL, '2024-01-13 16:47:13', NULL, '2024-01-13 16:47:13', b'0', 1), (8651, 0, 1, 152, 0, 10, 10, '用户付款成功', NULL, '2024-01-13 16:47:16', NULL, '2024-01-13 16:47:16', b'0', 1), (8652, 247, 1, 153, NULL, 0, 1, '用户下单', NULL, '2024-01-13 16:47:42', NULL, '2024-01-13 16:47:42', b'0', 1), (8653, 0, 1, 153, 0, 10, 10, '用户付款成功', NULL, '2024-01-13 16:47:44', NULL, '2024-01-13 16:47:44', b'0', 1), (8654, 247, 1, 154, NULL, 0, 1, '用户下单', NULL, '2024-01-13 17:07:57', NULL, '2024-01-13 17:07:57', b'0', 1), (8655, 0, 1, 154, 0, 10, 10, '用户付款成功', NULL, '2024-01-13 17:07:58', NULL, '2024-01-13 17:07:58', b'0', 1), (8656, 247, 1, 155, NULL, 0, 1, '用户下单', NULL, '2024-01-13 17:10:31', NULL, '2024-01-13 17:10:31', b'0', 1), (8657, 0, 1, 155, 0, 10, 10, '用户付款成功', NULL, '2024-01-13 17:10:33', NULL, '2024-01-13 17:10:33', b'0', 1), (8658, 247, 1, 156, NULL, 0, 1, '用户下单', NULL, '2024-01-13 17:11:41', NULL, '2024-01-13 17:11:41', b'0', 1), (8659, 0, 1, 156, 0, 10, 10, '用户付款成功', NULL, '2024-01-13 17:12:13', NULL, '2024-01-13 17:12:13', b'0', 1), (8660, 247, 1, 157, NULL, 0, 1, '用户下单', NULL, '2024-01-13 17:13:44', NULL, '2024-01-13 17:13:44', b'0', 1), (8661, 0, 1, 157, 0, 10, 10, '用户付款成功', NULL, '2024-01-13 17:13:45', NULL, '2024-01-13 17:13:45', b'0', 1), (8662, 247, 1, 158, NULL, 0, 1, '用户下单', NULL, '2024-01-13 17:16:47', NULL, '2024-01-13 17:16:47', b'0', 1), (8663, 0, 1, 158, 0, 10, 10, '用户付款成功', NULL, '2024-01-13 17:16:49', NULL, '2024-01-13 17:16:49', b'0', 1), (8664, 247, 1, 159, NULL, 0, 1, '用户下单', NULL, '2024-01-13 19:16:36', NULL, '2024-01-13 19:16:36', b'0', 1), (8665, 0, 1, 159, 0, 10, 10, '用户付款成功', NULL, '2024-01-13 19:16:38', NULL, '2024-01-13 19:16:38', b'0', 1), (8666, 247, 1, 160, NULL, 0, 1, '用户下单', NULL, '2024-01-13 20:23:09', NULL, '2024-01-13 20:23:09', b'0', 1), (8667, 0, 1, 160, 0, 10, 10, '用户付款成功', NULL, '2024-01-13 20:23:10', NULL, '2024-01-13 20:23:10', b'0', 1), (8668, 247, 1, 161, NULL, 0, 1, '用户下单', NULL, '2024-01-16 08:04:33', NULL, '2024-01-16 08:04:33', b'0', 1), (8669, 0, 1, 161, 0, 10, 10, '用户付款成功', NULL, '2024-01-16 08:14:07', NULL, '2024-01-16 08:14:07', b'0', 1), (8670, 1, 2, 161, 10, 20, 20, '已发货，快递公司：{deliveryName}，快递单号：777168349863987', NULL, '2024-01-16 09:26:53', NULL, '2024-01-16 09:26:53', b'0', 1), (8671, 247, 1, 161, 20, 30, 30, '用户已收货', NULL, '2024-01-16 12:27:45', NULL, '2024-01-16 12:27:45', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for trade_statistics
-- ----------------------------
DROP TABLE IF EXISTS `trade_statistics`;
CREATE TABLE `trade_statistics`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号，主键自增',
  `time` datetime NOT NULL COMMENT '统计日期',
  `order_create_count` int NOT NULL DEFAULT 0 COMMENT '创建订单数',
  `order_pay_count` int NOT NULL DEFAULT 0 COMMENT '支付订单商品数',
  `order_pay_price` int NOT NULL DEFAULT 0 COMMENT '总支付金额，单位：分',
  `after_sale_count` int NOT NULL DEFAULT 0 COMMENT '退款订单数',
  `after_sale_refund_price` int NOT NULL DEFAULT 0 COMMENT '总退款金额，单位：分',
  `brokerage_settlement_price` int NOT NULL DEFAULT 0 COMMENT '佣金金额（已结算），单位：分',
  `wallet_pay_price` int NOT NULL DEFAULT 0 COMMENT '总支付金额（余额），单位：分',
  `recharge_pay_count` int NOT NULL DEFAULT 0 COMMENT '充值订单数',
  `recharge_pay_price` int NOT NULL DEFAULT 0 COMMENT '充值金额，单位：分',
  `recharge_refund_count` int NOT NULL DEFAULT 0 COMMENT '充值退款订单数',
  `recharge_refund_price` int NOT NULL DEFAULT 0 COMMENT '充值退款金额，单位：分',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `trade_statistics_time_index`(`time` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '交易统计表';

-- ----------------------------
-- Records of trade_statistics
-- ----------------------------
BEGIN;
INSERT INTO `trade_statistics` (`id`, `time`, `order_create_count`, `order_pay_count`, `order_pay_price`, `after_sale_count`, `after_sale_refund_price`, `brokerage_settlement_price`, `wallet_pay_price`, `recharge_pay_count`, `recharge_pay_price`, `recharge_refund_count`, `recharge_refund_price`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (1, '2023-10-09 12:59:52', 1, 2, 3, 5, 6, 7, 4, 9, 10, 11, 12, '', '2023-10-11 04:59:55', '', '2023-10-11 05:01:04', b'0', 0), (2, '2023-10-10 12:59:52', 2, 4, 6, 10, 20, 40, 8, 80, 60, 888, 1111, '', '2023-10-11 04:59:55', '', '2023-10-11 05:01:31', b'0', 0);
COMMIT;

SET FOREIGN_KEY_CHECKS = 1;
